
/****************************************************************************************************//**
 * @file     Z32F3841.h
 *
 * @brief    CMSIS Cortex-M3 Peripheral Access Layer Header File for
 *           Z32F3841 from Zilog, Inc.
 *
 * @version  V1.0.1
 * @date     13. April 2016
 *
 * @note     Generated with SVDConv V2.87e 
 *           from CMSIS SVD File 'Z32F3841.svd' Version 1.0.1,
 *
 * @par      THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 *           OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 *           MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 *           ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 *           CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER. 
 *
 *******************************************************************************************************/



/** @addtogroup Zilog, Inc
  * @{
  */

/** @addtogroup Z32F3841
  * @{
  */

#ifndef Z32F3841_H
#define Z32F3841_H

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
/* -------------------  Cortex-M3 Processor Exceptions Numbers  ------------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  MemoryManagement_IRQn         = -12,              /*!<   4  Memory Management, MPU mismatch, including Access Violation
                                                         and No Match                                                          */
  BusFault_IRQn                 = -11,              /*!<   5  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory
                                                         related Fault                                                         */
  UsageFault_IRQn               = -10,              /*!<   6  Usage Fault, i.e. Undef Instruction, Illegal State Transition    */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  DebugMonitor_IRQn             =  -4,              /*!<  12  Debug Monitor                                                    */
  PendSV_IRQn                   =  -2,              /*!<  14  Pendable request for system service                              */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* ---------------------  Z32F3841 Specific Interrupt Numbers  -------------------- */
  LVDDETECT_IRQn                =   0,              /*!<   0  LVDDETECT                                                        */
  SYSCLKFAIL_IRQn               =   1,              /*!<   1  SYSCLKFAIL                                                       */
  XOSCFAIL_IRQn                 =   2,              /*!<   2  XOSCFAIL                                                         */
  WDT_IRQn                      =   3,              /*!<   3  WDT                                                              */
  FRT_IRQn                      =   4,              /*!<   4  FRT                                                              */
  TIMER0_IRQn                   =   5,              /*!<   5  TIMER0                                                           */
  TIMER1_IRQn                   =   6,              /*!<   6  TIMER1                                                           */
  TIMER2_IRQn                   =   7,              /*!<   7  TIMER2                                                           */
  TIMER3_IRQn                   =   8,              /*!<   8  TIMER3                                                           */
  TIMER4_IRQn                   =   9,              /*!<   9  TIMER4                                                           */
  TIMER5_IRQn                   =  10,              /*!<  10  TIMER5                                                           */
  TIMER6_IRQn                   =  11,              /*!<  11  TIMER6                                                           */
  TIMER7_IRQn                   =  12,              /*!<  12  TIMER7                                                           */
  TIMER8_IRQn                   =  13,              /*!<  13  TIMER8                                                           */
  TIMER9_IRQn                   =  14,              /*!<  14  TIMER9                                                           */
  GPIOAE_IRQn                   =  16,              /*!<  16  GPIOAE                                                           */
  GPIOAO_IRQn                   =  17,              /*!<  17  GPIOAO                                                           */
  GPIOBE_IRQn                   =  18,              /*!<  18  GPIOBE                                                           */
  GPIOBO_IRQn                   =  19,              /*!<  19  GPIOBO                                                           */
  GPIOCE_IRQn                   =  20,              /*!<  20  GPIOCE                                                           */
  GPIOCO_IRQn                   =  21,              /*!<  21  GPIOCO                                                           */
  GPIODE_IRQn                   =  22,              /*!<  22  GPIODE                                                           */
  GPIODO_IRQn                   =  23,              /*!<  23  GPIODO                                                           */
  MPWM0_IRQn                    =  24,              /*!<  24  MPWM0                                                            */
  MPWM0PROT_IRQn                =  25,              /*!<  25  MPWM0PROT                                                        */
  MPWM0OVV_IRQn                 =  26,              /*!<  26  MPWM0OVV                                                         */
  MPWM1_IRQn                    =  27,              /*!<  27  MPWM1                                                            */
  MPWM1PROT_IRQn                =  28,              /*!<  28  MPWM1PROT                                                        */
  MPWM1OVV_IRQn                 =  29,              /*!<  29  MPWM1OVV                                                         */
  SPI0_IRQn                     =  32,              /*!<  32  SPI0                                                             */
  SPI1_IRQn                     =  33,              /*!<  33  SPI1                                                             */
  I2C0_IRQn                     =  36,              /*!<  36  I2C0                                                             */
  I2C1_IRQn                     =  37,              /*!<  37  I2C1                                                             */
  UART0_IRQn                    =  38,              /*!<  38  UART0                                                            */
  UART1_IRQn                    =  39,              /*!<  39  UART1                                                            */
  UART2_IRQn                    =  40,              /*!<  40  UART2                                                            */
  UART3_IRQn                    =  41,              /*!<  41  UART3                                                            */
  ADC0_IRQn                     =  43,              /*!<  43  ADC0                                                             */
  ADC1_IRQn                     =  44,              /*!<  44  ADC1                                                             */
  GPIOEE_IRQn                   =  50,              /*!<  50  GPIOEE                                                           */
  GPIOEO_IRQn                   =  51,              /*!<  51  GPIOEO                                                           */
  GPIOFE_IRQn                   =  52,              /*!<  52  GPIOFE                                                           */
  GPIOFO_IRQn                   =  53               /*!<  53  GPIOFO                                                           */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

/* ----------------Configuration of the Cortex-M3 Processor and Core Peripherals---------------- */
#define __CM3_REV                 0x0200            /*!< Cortex-M3 Core Revision                                               */
#define __MPU_PRESENT                  0            /*!< MPU present or not                                                    */
#define __NVIC_PRIO_BITS               3            /*!< Number of Bits used for Priority Levels                               */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used                          */
/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm3.h"                               /*!< Cortex-M3 processor and core peripherals                              */
#include "system_Z32F3841.h"                        /*!< Z32F3841 System                                                       */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                       SCU                      ================ */
/* ================================================================================ */


/**
  * @brief SYSTEM CONTROL UNIT (SCU)
  */

typedef struct {                                    /*!< SCU Structure                                                         */
  __I  uint32_t  CIDR;                              /*!< Chip ID Register                                                      */
  __IO uint32_t  SMR;                               /*!< System Mode Register                                                  */
  __IO uint32_t  SRCR;                              /*!< System Reset Control Register                                         */
  __I  uint32_t  CIDR2;                             /*!< Revision ID Register                                                  */
  __IO uint32_t  WUER;                              /*!< Wakeup Source Enable Register                                         */
  __I  uint32_t  WUSR;                              /*!< Wakeup Source Status Register                                         */
  __IO uint32_t  RSER;                              /*!< Reset Source Enable Register                                          */
  __IO uint32_t  RSSR;                              /*!< Reset Source Status Register                                          */
  __IO uint32_t  PRER1;                             /*!< Peripheral Reset Enable Register 1                                    */
  __IO uint32_t  PRER2;                             /*!< Peripheral Reset Enable Register 2                                    */
  __IO uint32_t  PER1;                              /*!< Peripheral Enable Register 1                                          */
  __IO uint32_t  PER2;                              /*!< Peripheral Enable Register 2                                          */
  __IO uint32_t  PCER1;                             /*!< Peripheral Clock Enable Register 1                                    */
  __IO uint32_t  PCER2;                             /*!< Peripheral Clock Enable Register 2                                    */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  CSCR;                              /*!< Clock Source Control Register                                         */
  __IO uint32_t  SCCR;                              /*!< System Clock Control Register                                         */
  __IO uint32_t  CMR;                               /*!< Clock Monitoring Register                                             */
  __IO uint32_t  NMIR;                              /*!< NMI Control Register                                                  */
  __IO uint32_t  COR;                               /*!< Clock Output Register                                                 */
  __I  uint32_t  RESERVED1[3];
  __IO uint32_t  PLLCON;                            /*!< PLL Control Register                                                  */
  __IO uint32_t  VDCCON;                            /*!< VDC Control Register                                                  */
  __IO uint32_t  LVDCON;                            /*!< Brown out detect Control Register                                     */
  __IO uint32_t  IOSCTRIM;                          /*!< Internal OSC Trim Register                                            */
  __I  uint32_t  RESERVED2[4];
  __IO uint32_t  EOSCR;                             /*!< External Oscillator Control Register                                  */
  __I  uint32_t  EMODR;                             /*!< External Mode Status Register                                         */
  __I  uint32_t  RESERVED3[2];
  __IO uint32_t  MCCR1;                             /*!< Trace and SysTick Clock Control Register                              */
  __IO uint32_t  MCCR2;                             /*!< MPWM0 and MPWM1 Clock Control Register                                */
  __IO uint32_t  MCCR3;                             /*!< TEXT0 and WDT clock control registers                                 */
  __IO uint32_t  DBCLK1;                            /*!< PA and PB Debounce Clock Control Register                             */
  __IO uint32_t  DBCLK2;                            /*!< PC and PD Debounce Control Register                                   */
  __IO uint32_t  DBCLK3;                            /*!< PE and PF Debounce Clock Control                                      */
  __IO uint32_t  MCCR4;                             /*!< Alternative ADC and NMI Debounce Clock control                        */
} SCU_Type;


/* ================================================================================ */
/* ================                       FM                       ================ */
/* ================================================================================ */


/**
  * @brief FLASH MEMORY CONTROLLER (FM)
  */

typedef struct {                                    /*!< FM Structure                                                          */
  __I  uint32_t  RESERVED;
  __IO uint32_t  MR;                                /*!< Flash Memory Mode Register                                            */
  __IO uint32_t  CR;                                /*!< Flash Memory Control Register                                         */
  __IO uint32_t  AR;                                /*!< Flash Memory Address Register                                         */
  __IO uint32_t  DR;                                /*!< Flash Memory Data Register                                            */
  __IO uint32_t  TMR;                               /*!< Flash Memory Timer Register                                           */
  __IO uint32_t  DRTY;                              /*!< Flash Memory Dirty bit Register                                       */
  __IO uint32_t  TICK;                              /*!< Flash Memory Tick Timer register                                      */
  __IO uint32_t  CRC;                               /*!< Flash Memory CRC value register                                       */
  __I  uint32_t  RESERVED1[3];
  __IO uint32_t  CFG;                               /*!< Flash Memory Config value register                                    */
  __I  uint32_t  RESERVED2[16];
  __IO uint32_t  BOOTCR;                            /*!< Boot ROM Remap Clear Register                                         */
  __IO uint32_t  PROT;                              /*!< Internal flash memory protection Register                             */
  __IO uint32_t  JTAGEN;                            /*!< JTAG Protection Control Register                                      */
} FM_Type;


/* ================================================================================ */
/* ================                       WDT                      ================ */
/* ================================================================================ */


/**
  * @brief WATCH-DOG TIMER (WDT)
  */

typedef struct {                                    /*!< WDT Structure                                                         */
  __IO uint32_t  LR;                                /*!< Watchdog Timer Load Register                                          */
  __IO uint32_t  CNT;                               /*!< Watchdog Timer Current Counter Register                               */
  __IO uint32_t  CON;                               /*!< Watchdog Timer Control Register                                       */
} WDT_Type;


/* ================================================================================ */
/* ================                       DC0                      ================ */
/* ================================================================================ */


/**
  * @brief DIRECT MEMORY ACCESS CONTROLLER (DC0)
  */

typedef struct {                                    /*!< DC0 Structure                                                         */
  __IO uint32_t  CR;                                /*!< DMA Controller Configuration Register                                 */
  __IO uint32_t  SR;                                /*!< DMA Controller Status register                                        */
  __IO uint32_t  PAR;                               /*!< DMA Controller Peripheral Address register                            */
  __IO uint32_t  MAR;                               /*!< DMA Controller Memory Address register                                */
} DC0_Type;


/* ================================================================================ */
/* ================                       PCA                      ================ */
/* ================================================================================ */


/**
  * @brief PORT CONTROL UNIT (PCA)
  */

typedef struct {                                    /*!< PCA Structure                                                         */
  __IO uint32_t  MR;                                /*!< PORT n Pin MUX Register                                               */
  __IO uint32_t  CR;                                /*!< PORT n Pin Control Register                                           */
  __IO uint32_t  PCR;                               /*!< PORT n Pull-up Resistor Control Register                              */
  __IO uint32_t  DER;                               /*!< PORT n Debounce Enable Register                                       */
  __IO uint32_t  IER;                               /*!< PORT n Interrupt Enable Register                                      */
  __IO uint32_t  ISR;                               /*!< PORT n Interrupt Status Register                                      */
  __IO uint32_t  ICR;                               /*!< PORT n Interrupt Control Register                                     */
} PCA_Type;


/* ================================================================================ */
/* ================                     PORTEN                     ================ */
/* ================================================================================ */


/**
  * @brief Port Access Eable (PORTEN)
  */

typedef struct {                                    /*!< PORTEN Structure                                                      */
  __IO uint32_t  EN;                                /*!< Port Access Enable                                                    */
} PORTEN_Type;


/* ================================================================================ */
/* ================                       PA                       ================ */
/* ================================================================================ */


/**
  * @brief GENERAL PURPOSE I/O (PA)
  */

typedef struct {                                    /*!< PA Structure                                                          */
  __IO uint32_t  ODR;                               /*!< PORT n Output Data Register                                           */
  __I  uint32_t  IDR;                               /*!< PORT n Input Data Register                                            */
  __O  uint32_t  BSR;                               /*!< PORT n Bit Set Register                                               */
  __O  uint32_t  BCR;                               /*!< PORT n Bit Clear Register                                             */
} PA_Type;


/* ================================================================================ */
/* ================                       T0                       ================ */
/* ================================================================================ */


/**
  * @brief 16-BIT TIMER (T0)
  */

typedef struct {                                    /*!< T0 Structure                                                          */
  __IO uint32_t  CR1;                               /*!< Timer n Control Register 1                                            */
  __IO uint32_t  CR2;                               /*!< Timer n Control Register 2                                            */
  __IO uint32_t  PRS;                               /*!< Timer n Prescaler Register                                            */
  __IO uint32_t  GRA;                               /*!< Timer n General Register A                                            */
  __IO uint32_t  GRB;                               /*!< Timer n General Register B                                            */
  __IO uint32_t  CNT;                               /*!< Timer n Count Register                                                */
  __IO uint32_t  SR;                                /*!< Timer n Status Register                                               */
  __IO uint32_t  IER;                               /*!< Timer n Interrupt Enable Register                                     */
} T0_Type;


/* ================================================================================ */
/* ================                       FRT                      ================ */
/* ================================================================================ */


/**
  * @brief 32bit Free Run Timer (FRT)
  */

typedef struct {                                    /*!< FRT Structure                                                         */
  __IO uint32_t  MR;                                /*!< Free Run Timer Mode Register                                          */
  __IO uint32_t  CR;                                /*!< Free Run Timer Control Register                                       */
  __IO uint32_t  PER;                               /*!< Free Run Timer Period Match Register                                  */
  __I  uint32_t  CNT;                               /*!< Free Run Timer Counter Register                                       */
  __IO uint32_t  SR;                                /*!< Free Run Timer Status Register                                        */
} FRT_Type;


/* ================================================================================ */
/* ================                       MP0                      ================ */
/* ================================================================================ */


/**
  * @brief MOTOR PULSE-WIDTH-MODULATOR (MP0)
  */

typedef struct {                                    /*!< MP0 Structure                                                         */
  __IO uint32_t  MR;                                /*!< MPWM Mode Register                                                    */
  __IO uint32_t  OLR;                               /*!< MPWM Output Level Register                                            */
  __IO uint32_t  FOR;                               /*!< MPWM Forced Output Control Register                                   */
  __IO uint32_t  PRD;                               /*!< MPWM Period Register                                                  */
  __IO uint32_t  DUH;                               /*!< MPWM Duty UH Register                                                 */
  __IO uint32_t  DVH;                               /*!< MPWM Duty VH Register                                                 */
  __IO uint32_t  DWH;                               /*!< MPWM Duty WH Register                                                 */
  __IO uint32_t  DUL;                               /*!< MPWM Duty UL Register                                                 */
  __IO uint32_t  DVL;                               /*!< MPWM Duty UL Register                                                 */
  __IO uint32_t  DWL;                               /*!< MPWM Duty WL Register                                                 */
  __IO uint32_t  CR1;                               /*!< MPWM Control Register 1                                               */
  __IO uint32_t  CR2;                               /*!< MPWM Control Register 2                                               */
  __IO uint32_t  SR;                                /*!< MPWM Status Register                                                  */
  __IO uint32_t  IER;                               /*!< MPWM Interrupt Enable Register                                        */
  __IO uint32_t  CNT;                               /*!< MPWM Counter Register                                                 */
  __IO uint32_t  DTR;                               /*!< MPWM Dead Time Register                                               */
  __IO uint32_t  PCR0;                              /*!< MPWM Protection control Register (PRTIN pin)                          */
  __IO uint32_t  PSR0;                              /*!< MPWM Protection Status Register (PRTIN pin)                           */
  __IO uint32_t  PCR1;                              /*!< MPWM Protection control Register (OVIN pin)                           */
  __IO uint32_t  PSR1;                              /*!< MPWM Protection Status Register (OVIN pin)                            */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  ATR1;                              /*!< MPWMn ADC Trigger Counter 1 Register                                  */
  __IO uint32_t  ATR2;                              /*!< MPWMn ADC Trigger Counter 2 Register                                  */
  __IO uint32_t  ATR3;                              /*!< MPWMn ADC Trigger Counter 3 Register                                  */
  __IO uint32_t  ATR4;                              /*!< MPWMn ADC Trigger Counter 4 Register                                  */
  __IO uint32_t  ATR5;                              /*!< MPWMn ADC Trigger Counter 5 Register                                  */
  __IO uint32_t  ATR6;                              /*!< MPWMn ADC Trigger Counter 6 Register                                  */
} MP0_Type;


/* ================================================================================ */
/* ================                       U0                       ================ */
/* ================================================================================ */


/**
  * @brief UNIVERSAL ASYNCHRONOUS RECEIVER/TRANSMITTER (U0)
  */

typedef struct {                                    /*!< U0 Structure                                                          */
  
  union {
    __O  uint32_t  THR;                             /*!< Transmit Data Hold Register                                           */
    __I  uint32_t  RBR;                             /*!< Receive Buffer Register                                               */
  };
  __IO uint32_t  IER;                               /*!< UART Interrupt Enable Register                                        */
  __I  uint32_t  IIR;                               /*!< UART Interrupt ID Register                                            */
  __IO uint32_t  LCR;                               /*!< UART Line Control Register                                            */
  __IO uint32_t  DCR;                               /*!< UART Data Control Register                                            */
  __IO uint32_t  LSR;                               /*!< UART Line Status Register                                             */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  BDR;                               /*!< Baud rate Divisor Latch Register                                      */
  __IO uint32_t  BFR;                               /*!< Baud rate Fraction Counter Register                                   */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  IDTR;                              /*!< Inter-frame Delay Time Register                                       */
} U0_Type;


/* ================================================================================ */
/* ================                       SP0                      ================ */
/* ================================================================================ */


/**
  * @brief SERIAL PERIPHERAL INTERFACE (SP0)
  */

typedef struct {                                    /*!< SP0 Structure                                                         */
  
  union {
    __O  uint32_t  TDR;                             /*!< SPI n Transmit Data Register                                          */
    __I  uint32_t  RDR;                             /*!< SPI n Receive Data Register                                           */
  };
  __IO uint32_t  CR;                                /*!< SPI n Control Register                                                */
  __IO uint32_t  SR;                                /*!< SPI n Status Register                                                 */
  __IO uint32_t  BR;                                /*!< SPI n Baud Rate Register                                              */
  __IO uint32_t  EN;                                /*!< SPI n Enable register                                                 */
  __IO uint32_t  LR;                                /*!< SPI n delay Length Register                                           */
} SP0_Type;


/* ================================================================================ */
/* ================                       IC0                      ================ */
/* ================================================================================ */


/**
  * @brief I2C Interface (IC0)
  */

typedef struct {                                    /*!< IC0 Structure                                                         */
  __IO uint32_t  DR;                                /*!< I2C Data Register                                                     */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SR;                                /*!< Status register                                                       */
  __IO uint32_t  SAR;                               /*!< I2C Slave Address Register                                            */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< I2C Control Register                                                  */
  __IO uint32_t  SCLL;                              /*!< I2C SCL LOW duration Register                                         */
  __IO uint32_t  SCLH;                              /*!< I2C SCL HIGH duration Register                                        */
  __IO uint32_t  SDH;                               /*!< SDA Hold Register                                                     */
} IC0_Type;


/* ================================================================================ */
/* ================                       AD0                      ================ */
/* ================================================================================ */


/**
  * @brief 12-BIT A/D CONVERTER (AD0)
  */

typedef struct {                                    /*!< AD0 Structure                                                         */
  __IO uint32_t  MR;                                /*!< ADCn Mode Register                                                    */
  __IO uint32_t  CSCR;                              /*!< ADCn Current Sequence/Channel Register                                */
  __IO uint32_t  CR1;                               /*!< ADCn Clock Control Register                                           */
  __IO uint32_t  TRG;                               /*!< ADC Trigger Selection Register                                        */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  SCSR;                              /*!< ADC Sequence Channel select                                           */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< ADCn Control Register                                                 */
  __IO uint32_t  SR;                                /*!< ADC Status Register                                                   */
  __IO uint32_t  IER;                               /*!< Interrupt Enable Register                                             */
  __I  uint32_t  DDR;                               /*!< ADC DMA Data Register                                                 */
  __I  uint32_t  DR0;                               /*!< ADC Sequence Data Register 1                                          */
  __I  uint32_t  DR1;                               /*!< ADC Sequence Data Register 2                                          */
  __I  uint32_t  DR2;                               /*!< ADC Sequence Data Register 3                                          */
  __I  uint32_t  DR3;                               /*!< ADC Sequence Data Register 4                                          */
  __I  uint32_t  DR4;                               /*!< ADC Sequence Data Register 5                                          */
  __I  uint32_t  DR5;                               /*!< ADC Sequence Data Register 6                                          */
  __I  uint32_t  DR6;                               /*!< ADC Sequence Data Register 7                                          */
  __I  uint32_t  DR7;                               /*!< ADC Sequence Data Register 8                                          */
} AD0_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================          struct 'SCU' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SCU_SMR  ---------------------------------- */
#define SCU_SMR_PREVMODE_Pos                  (4UL)                     /*!< SCU SMR: PREVMODE (Bit 4)                                   */
#define SCU_SMR_PREVMODE_Msk                  (0x30UL)                  /*!< SCU SMR: PREVMODE (Bitfield-Mask: 0x03)                     */
#define SCU_SMR_VDCAON_Pos                    (8UL)                     /*!< SCU SMR: VDCAON (Bit 8)                                     */
#define SCU_SMR_VDCAON_Msk                    (0x100UL)                 /*!< SCU SMR: VDCAON (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_SRCR  ---------------------------------- */
#define SCU_SRCR_SWRST_Pos                    (0UL)                     /*!< SCU SRCR: SWRST (Bit 0)                                     */
#define SCU_SRCR_SWRST_Msk                    (0x1UL)                   /*!< SCU SRCR: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_SRCR_STBYOP_Pos                   (4UL)                     /*!< SCU SRCR: STBYOP (Bit 4)                                    */
#define SCU_SRCR_STBYOP_Msk                   (0x10UL)                  /*!< SCU SRCR: STBYOP (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_WUER  ---------------------------------- */
#define SCU_WUER_LVDWUE_Pos                   (0UL)                     /*!< SCU WUER: LVDWUE (Bit 0)                                    */
#define SCU_WUER_LVDWUE_Msk                   (0x1UL)                   /*!< SCU WUER: LVDWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_WDTWUE_Pos                   (1UL)                     /*!< SCU WUER: WDTWUE (Bit 1)                                    */
#define SCU_WUER_WDTWUE_Msk                   (0x2UL)                   /*!< SCU WUER: WDTWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_FRTWUE_Pos                   (2UL)                     /*!< SCU WUER: FRTWUE (Bit 2)                                    */
#define SCU_WUER_FRTWUE_Msk                   (0x4UL)                   /*!< SCU WUER: FRTWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_GPIOAWUE_Pos                 (8UL)                     /*!< SCU WUER: GPIOAWUE (Bit 8)                                  */
#define SCU_WUER_GPIOAWUE_Msk                 (0x100UL)                 /*!< SCU WUER: GPIOAWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOBWUE_Pos                 (9UL)                     /*!< SCU WUER: GPIOBWUE (Bit 9)                                  */
#define SCU_WUER_GPIOBWUE_Msk                 (0x200UL)                 /*!< SCU WUER: GPIOBWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOCWUE_Pos                 (10UL)                    /*!< SCU WUER: GPIOCWUE (Bit 10)                                 */
#define SCU_WUER_GPIOCWUE_Msk                 (0x400UL)                 /*!< SCU WUER: GPIOCWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIODWUE_Pos                 (11UL)                    /*!< SCU WUER: GPIODWUE (Bit 11)                                 */
#define SCU_WUER_GPIODWUE_Msk                 (0x800UL)                 /*!< SCU WUER: GPIODWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOEWUE_Pos                 (12UL)                    /*!< SCU WUER: GPIOEWUE (Bit 12)                                 */
#define SCU_WUER_GPIOEWUE_Msk                 (0x1000UL)                /*!< SCU WUER: GPIOEWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOFWUE_Pos                 (13UL)                    /*!< SCU WUER: GPIOFWUE (Bit 13)                                 */
#define SCU_WUER_GPIOFWUE_Msk                 (0x2000UL)                /*!< SCU WUER: GPIOFWUE (Bitfield-Mask: 0x01)                    */

/* ----------------------------------  SCU_WUSR  ---------------------------------- */
#define SCU_WUSR_LVDDWU_Pos                   (0UL)                     /*!< SCU WUSR: LVDDWU (Bit 0)                                    */
#define SCU_WUSR_LVDDWU_Msk                   (0x1UL)                   /*!< SCU WUSR: LVDDWU (Bitfield-Mask: 0x01)                      */
#define SCU_WUSR_WDTWU_Pos                    (1UL)                     /*!< SCU WUSR: WDTWU (Bit 1)                                     */
#define SCU_WUSR_WDTWU_Msk                    (0x2UL)                   /*!< SCU WUSR: WDTWU (Bitfield-Mask: 0x01)                       */
#define SCU_WUSR_FRTWU_Pos                    (2UL)                     /*!< SCU WUSR: FRTWU (Bit 2)                                     */
#define SCU_WUSR_FRTWU_Msk                    (0x4UL)                   /*!< SCU WUSR: FRTWU (Bitfield-Mask: 0x01)                       */
#define SCU_WUSR_GPIOAWU_Pos                  (8UL)                     /*!< SCU WUSR: GPIOAWU (Bit 8)                                   */
#define SCU_WUSR_GPIOAWU_Msk                  (0x100UL)                 /*!< SCU WUSR: GPIOAWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOBWU_Pos                  (9UL)                     /*!< SCU WUSR: GPIOBWU (Bit 9)                                   */
#define SCU_WUSR_GPIOBWU_Msk                  (0x200UL)                 /*!< SCU WUSR: GPIOBWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOCWU_Pos                  (10UL)                    /*!< SCU WUSR: GPIOCWU (Bit 10)                                  */
#define SCU_WUSR_GPIOCWU_Msk                  (0x400UL)                 /*!< SCU WUSR: GPIOCWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIODWU_Pos                  (11UL)                    /*!< SCU WUSR: GPIODWU (Bit 11)                                  */
#define SCU_WUSR_GPIODWU_Msk                  (0x800UL)                 /*!< SCU WUSR: GPIODWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOEWU_Pos                  (12UL)                    /*!< SCU WUSR: GPIOEWU (Bit 12)                                  */
#define SCU_WUSR_GPIOEWU_Msk                  (0x1000UL)                /*!< SCU WUSR: GPIOEWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOFWU_Pos                  (13UL)                    /*!< SCU WUSR: GPIOFWU (Bit 13)                                  */
#define SCU_WUSR_GPIOFWU_Msk                  (0x2000UL)                /*!< SCU WUSR: GPIOFWU (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_RSER  ---------------------------------- */
#define SCU_RSER_LVDRST_Pos                   (0UL)                     /*!< SCU RSER: LVDRST (Bit 0)                                    */
#define SCU_RSER_LVDRST_Msk                   (0x1UL)                   /*!< SCU RSER: LVDRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_XFRST_Pos                    (1UL)                     /*!< SCU RSER: XFRST (Bit 1)                                     */
#define SCU_RSER_XFRST_Msk                    (0x2UL)                   /*!< SCU RSER: XFRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSER_MCKFRST_Pos                  (2UL)                     /*!< SCU RSER: MCKFRST (Bit 2)                                   */
#define SCU_RSER_MCKFRST_Msk                  (0x4UL)                   /*!< SCU RSER: MCKFRST (Bitfield-Mask: 0x01)                     */
#define SCU_RSER_WDTRST_Pos                   (3UL)                     /*!< SCU RSER: WDTRST (Bit 3)                                    */
#define SCU_RSER_WDTRST_Msk                   (0x8UL)                   /*!< SCU RSER: WDTRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_SWRST_Pos                    (4UL)                     /*!< SCU RSER: SWRST (Bit 4)                                     */
#define SCU_RSER_SWRST_Msk                    (0x10UL)                  /*!< SCU RSER: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSER_CPURST_Pos                   (5UL)                     /*!< SCU RSER: CPURST (Bit 5)                                    */
#define SCU_RSER_CPURST_Msk                   (0x20UL)                  /*!< SCU RSER: CPURST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_PINRST_Pos                   (6UL)                     /*!< SCU RSER: PINRST (Bit 6)                                    */
#define SCU_RSER_PINRST_Msk                   (0x40UL)                  /*!< SCU RSER: PINRST (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_RSSR  ---------------------------------- */
#define SCU_RSSR_LVDRST_Pos                   (0UL)                     /*!< SCU RSSR: LVDRST (Bit 0)                                    */
#define SCU_RSSR_LVDRST_Msk                   (0x1UL)                   /*!< SCU RSSR: LVDRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_XFRST_Pos                    (1UL)                     /*!< SCU RSSR: XFRST (Bit 1)                                     */
#define SCU_RSSR_XFRST_Msk                    (0x2UL)                   /*!< SCU RSSR: XFRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSSR_MCKFRST_Pos                  (2UL)                     /*!< SCU RSSR: MCKFRST (Bit 2)                                   */
#define SCU_RSSR_MCKFRST_Msk                  (0x4UL)                   /*!< SCU RSSR: MCKFRST (Bitfield-Mask: 0x01)                     */
#define SCU_RSSR_WDTRST_Pos                   (3UL)                     /*!< SCU RSSR: WDTRST (Bit 3)                                    */
#define SCU_RSSR_WDTRST_Msk                   (0x8UL)                   /*!< SCU RSSR: WDTRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_SWRST_Pos                    (4UL)                     /*!< SCU RSSR: SWRST (Bit 4)                                     */
#define SCU_RSSR_SWRST_Msk                    (0x10UL)                  /*!< SCU RSSR: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSSR_CPURST_Pos                   (5UL)                     /*!< SCU RSSR: CPURST (Bit 5)                                    */
#define SCU_RSSR_CPURST_Msk                   (0x20UL)                  /*!< SCU RSSR: CPURST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_PINRST_Pos                   (6UL)                     /*!< SCU RSSR: PINRST (Bit 6)                                    */
#define SCU_RSSR_PINRST_Msk                   (0x40UL)                  /*!< SCU RSSR: PINRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_PORST_Pos                    (7UL)                     /*!< SCU RSSR: PORST (Bit 7)                                     */
#define SCU_RSSR_PORST_Msk                    (0x80UL)                  /*!< SCU RSSR: PORST (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_PRER1  --------------------------------- */
#define SCU_PRER1_SCU_Pos                     (0UL)                     /*!< SCU PRER1: SCU (Bit 0)                                      */
#define SCU_PRER1_SCU_Msk                     (0x1UL)                   /*!< SCU PRER1: SCU (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_FMC_Pos                     (1UL)                     /*!< SCU PRER1: FMC (Bit 1)                                      */
#define SCU_PRER1_FMC_Msk                     (0x2UL)                   /*!< SCU PRER1: FMC (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_WDT_Pos                     (2UL)                     /*!< SCU PRER1: WDT (Bit 2)                                      */
#define SCU_PRER1_WDT_Msk                     (0x4UL)                   /*!< SCU PRER1: WDT (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_PCU_Pos                     (3UL)                     /*!< SCU PRER1: PCU (Bit 3)                                      */
#define SCU_PRER1_PCU_Msk                     (0x8UL)                   /*!< SCU PRER1: PCU (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_DMA_Pos                     (4UL)                     /*!< SCU PRER1: DMA (Bit 4)                                      */
#define SCU_PRER1_DMA_Msk                     (0x10UL)                  /*!< SCU PRER1: DMA (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_FRT_Pos                     (7UL)                     /*!< SCU PRER1: FRT (Bit 7)                                      */
#define SCU_PRER1_FRT_Msk                     (0x80UL)                  /*!< SCU PRER1: FRT (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_GPIOA_Pos                   (8UL)                     /*!< SCU PRER1: GPIOA (Bit 8)                                    */
#define SCU_PRER1_GPIOA_Msk                   (0x100UL)                 /*!< SCU PRER1: GPIOA (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOB_Pos                   (9UL)                     /*!< SCU PRER1: GPIOB (Bit 9)                                    */
#define SCU_PRER1_GPIOB_Msk                   (0x200UL)                 /*!< SCU PRER1: GPIOB (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOC_Pos                   (10UL)                    /*!< SCU PRER1: GPIOC (Bit 10)                                   */
#define SCU_PRER1_GPIOC_Msk                   (0x400UL)                 /*!< SCU PRER1: GPIOC (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOD_Pos                   (11UL)                    /*!< SCU PRER1: GPIOD (Bit 11)                                   */
#define SCU_PRER1_GPIOD_Msk                   (0x800UL)                 /*!< SCU PRER1: GPIOD (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOE_Pos                   (12UL)                    /*!< SCU PRER1: GPIOE (Bit 12)                                   */
#define SCU_PRER1_GPIOE_Msk                   (0x1000UL)                /*!< SCU PRER1: GPIOE (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOF_Pos                   (13UL)                    /*!< SCU PRER1: GPIOF (Bit 13)                                   */
#define SCU_PRER1_GPIOF_Msk                   (0x2000UL)                /*!< SCU PRER1: GPIOF (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_TIMER0_Pos                  (16UL)                    /*!< SCU PRER1: TIMER0 (Bit 16)                                  */
#define SCU_PRER1_TIMER0_Msk                  (0x10000UL)               /*!< SCU PRER1: TIMER0 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER1_Pos                  (17UL)                    /*!< SCU PRER1: TIMER1 (Bit 17)                                  */
#define SCU_PRER1_TIMER1_Msk                  (0x20000UL)               /*!< SCU PRER1: TIMER1 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER2_Pos                  (18UL)                    /*!< SCU PRER1: TIMER2 (Bit 18)                                  */
#define SCU_PRER1_TIMER2_Msk                  (0x40000UL)               /*!< SCU PRER1: TIMER2 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER3_Pos                  (19UL)                    /*!< SCU PRER1: TIMER3 (Bit 19)                                  */
#define SCU_PRER1_TIMER3_Msk                  (0x80000UL)               /*!< SCU PRER1: TIMER3 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER4_Pos                  (20UL)                    /*!< SCU PRER1: TIMER4 (Bit 20)                                  */
#define SCU_PRER1_TIMER4_Msk                  (0x100000UL)              /*!< SCU PRER1: TIMER4 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER5_Pos                  (21UL)                    /*!< SCU PRER1: TIMER5 (Bit 21)                                  */
#define SCU_PRER1_TIMER5_Msk                  (0x200000UL)              /*!< SCU PRER1: TIMER5 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER6_Pos                  (22UL)                    /*!< SCU PRER1: TIMER6 (Bit 22)                                  */
#define SCU_PRER1_TIMER6_Msk                  (0x400000UL)              /*!< SCU PRER1: TIMER6 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER7_Pos                  (23UL)                    /*!< SCU PRER1: TIMER7 (Bit 23)                                  */
#define SCU_PRER1_TIMER7_Msk                  (0x800000UL)              /*!< SCU PRER1: TIMER7 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER8_Pos                  (24UL)                    /*!< SCU PRER1: TIMER8 (Bit 24)                                  */
#define SCU_PRER1_TIMER8_Msk                  (0x1000000UL)             /*!< SCU PRER1: TIMER8 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER9_Pos                  (25UL)                    /*!< SCU PRER1: TIMER9 (Bit 25)                                  */
#define SCU_PRER1_TIMER9_Msk                  (0x2000000UL)             /*!< SCU PRER1: TIMER9 (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_PRER2  --------------------------------- */
#define SCU_PRER2_SPI0_Pos                    (0UL)                     /*!< SCU PRER2: SPI0 (Bit 0)                                     */
#define SCU_PRER2_SPI0_Msk                    (0x1UL)                   /*!< SCU PRER2: SPI0 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_SPI1_Pos                    (1UL)                     /*!< SCU PRER2: SPI1 (Bit 1)                                     */
#define SCU_PRER2_SPI1_Msk                    (0x2UL)                   /*!< SCU PRER2: SPI1 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_IIC0_Pos                    (4UL)                     /*!< SCU PRER2: IIC0 (Bit 4)                                     */
#define SCU_PRER2_IIC0_Msk                    (0x10UL)                  /*!< SCU PRER2: IIC0 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_IIC1_Pos                    (5UL)                     /*!< SCU PRER2: IIC1 (Bit 5)                                     */
#define SCU_PRER2_IIC1_Msk                    (0x20UL)                  /*!< SCU PRER2: IIC1 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_UART0_Pos                   (8UL)                     /*!< SCU PRER2: UART0 (Bit 8)                                    */
#define SCU_PRER2_UART0_Msk                   (0x100UL)                 /*!< SCU PRER2: UART0 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_UART1_Pos                   (9UL)                     /*!< SCU PRER2: UART1 (Bit 9)                                    */
#define SCU_PRER2_UART1_Msk                   (0x200UL)                 /*!< SCU PRER2: UART1 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_UART2_Pos                   (10UL)                    /*!< SCU PRER2: UART2 (Bit 10)                                   */
#define SCU_PRER2_UART2_Msk                   (0x400UL)                 /*!< SCU PRER2: UART2 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_UART3_Pos                   (11UL)                    /*!< SCU PRER2: UART3 (Bit 11)                                   */
#define SCU_PRER2_UART3_Msk                   (0x800UL)                 /*!< SCU PRER2: UART3 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_MPWM0_Pos                   (16UL)                    /*!< SCU PRER2: MPWM0 (Bit 16)                                   */
#define SCU_PRER2_MPWM0_Msk                   (0x10000UL)               /*!< SCU PRER2: MPWM0 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_MPWM1_Pos                   (17UL)                    /*!< SCU PRER2: MPWM1 (Bit 17)                                   */
#define SCU_PRER2_MPWM1_Msk                   (0x20000UL)               /*!< SCU PRER2: MPWM1 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_ADC0_Pos                    (20UL)                    /*!< SCU PRER2: ADC0 (Bit 20)                                    */
#define SCU_PRER2_ADC0_Msk                    (0x100000UL)              /*!< SCU PRER2: ADC0 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_ADC1_Pos                    (21UL)                    /*!< SCU PRER2: ADC1 (Bit 21)                                    */
#define SCU_PRER2_ADC1_Msk                    (0x200000UL)              /*!< SCU PRER2: ADC1 (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_PER1  ---------------------------------- */
#define SCU_PER1_DMA_Pos                      (4UL)                     /*!< SCU PER1: DMA (Bit 4)                                       */
#define SCU_PER1_DMA_Msk                      (0x10UL)                  /*!< SCU PER1: DMA (Bitfield-Mask: 0x01)                         */
#define SCU_PER1_FRT_Pos                      (7UL)                     /*!< SCU PER1: FRT (Bit 7)                                       */
#define SCU_PER1_FRT_Msk                      (0x80UL)                  /*!< SCU PER1: FRT (Bitfield-Mask: 0x01)                         */
#define SCU_PER1_GPIOA_Pos                    (8UL)                     /*!< SCU PER1: GPIOA (Bit 8)                                     */
#define SCU_PER1_GPIOA_Msk                    (0x100UL)                 /*!< SCU PER1: GPIOA (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOB_Pos                    (9UL)                     /*!< SCU PER1: GPIOB (Bit 9)                                     */
#define SCU_PER1_GPIOB_Msk                    (0x200UL)                 /*!< SCU PER1: GPIOB (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOC_Pos                    (10UL)                    /*!< SCU PER1: GPIOC (Bit 10)                                    */
#define SCU_PER1_GPIOC_Msk                    (0x400UL)                 /*!< SCU PER1: GPIOC (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOD_Pos                    (11UL)                    /*!< SCU PER1: GPIOD (Bit 11)                                    */
#define SCU_PER1_GPIOD_Msk                    (0x800UL)                 /*!< SCU PER1: GPIOD (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOE_Pos                    (12UL)                    /*!< SCU PER1: GPIOE (Bit 12)                                    */
#define SCU_PER1_GPIOE_Msk                    (0x1000UL)                /*!< SCU PER1: GPIOE (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOF_Pos                    (13UL)                    /*!< SCU PER1: GPIOF (Bit 13)                                    */
#define SCU_PER1_GPIOF_Msk                    (0x2000UL)                /*!< SCU PER1: GPIOF (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_TIMER0_Pos                   (16UL)                    /*!< SCU PER1: TIMER0 (Bit 16)                                   */
#define SCU_PER1_TIMER0_Msk                   (0x10000UL)               /*!< SCU PER1: TIMER0 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER1_Pos                   (17UL)                    /*!< SCU PER1: TIMER1 (Bit 17)                                   */
#define SCU_PER1_TIMER1_Msk                   (0x20000UL)               /*!< SCU PER1: TIMER1 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER2_Pos                   (18UL)                    /*!< SCU PER1: TIMER2 (Bit 18)                                   */
#define SCU_PER1_TIMER2_Msk                   (0x40000UL)               /*!< SCU PER1: TIMER2 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER3_Pos                   (19UL)                    /*!< SCU PER1: TIMER3 (Bit 19)                                   */
#define SCU_PER1_TIMER3_Msk                   (0x80000UL)               /*!< SCU PER1: TIMER3 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER4_Pos                   (20UL)                    /*!< SCU PER1: TIMER4 (Bit 20)                                   */
#define SCU_PER1_TIMER4_Msk                   (0x100000UL)              /*!< SCU PER1: TIMER4 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER5_Pos                   (21UL)                    /*!< SCU PER1: TIMER5 (Bit 21)                                   */
#define SCU_PER1_TIMER5_Msk                   (0x200000UL)              /*!< SCU PER1: TIMER5 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER6_Pos                   (22UL)                    /*!< SCU PER1: TIMER6 (Bit 22)                                   */
#define SCU_PER1_TIMER6_Msk                   (0x400000UL)              /*!< SCU PER1: TIMER6 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER7_Pos                   (23UL)                    /*!< SCU PER1: TIMER7 (Bit 23)                                   */
#define SCU_PER1_TIMER7_Msk                   (0x800000UL)              /*!< SCU PER1: TIMER7 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER8_Pos                   (24UL)                    /*!< SCU PER1: TIMER8 (Bit 24)                                   */
#define SCU_PER1_TIMER8_Msk                   (0x1000000UL)             /*!< SCU PER1: TIMER8 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER9_Pos                   (25UL)                    /*!< SCU PER1: TIMER9 (Bit 25)                                   */
#define SCU_PER1_TIMER9_Msk                   (0x2000000UL)             /*!< SCU PER1: TIMER9 (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_PER2  ---------------------------------- */
#define SCU_PER2_SPI0_Pos                     (0UL)                     /*!< SCU PER2: SPI0 (Bit 0)                                      */
#define SCU_PER2_SPI0_Msk                     (0x1UL)                   /*!< SCU PER2: SPI0 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_SPI1_Pos                     (1UL)                     /*!< SCU PER2: SPI1 (Bit 1)                                      */
#define SCU_PER2_SPI1_Msk                     (0x2UL)                   /*!< SCU PER2: SPI1 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_I2C0_Pos                     (4UL)                     /*!< SCU PER2: I2C0 (Bit 4)                                      */
#define SCU_PER2_I2C0_Msk                     (0x10UL)                  /*!< SCU PER2: I2C0 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_I2C1_Pos                     (5UL)                     /*!< SCU PER2: I2C1 (Bit 5)                                      */
#define SCU_PER2_I2C1_Msk                     (0x20UL)                  /*!< SCU PER2: I2C1 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_UART0_Pos                    (8UL)                     /*!< SCU PER2: UART0 (Bit 8)                                     */
#define SCU_PER2_UART0_Msk                    (0x100UL)                 /*!< SCU PER2: UART0 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_UART1_Pos                    (9UL)                     /*!< SCU PER2: UART1 (Bit 9)                                     */
#define SCU_PER2_UART1_Msk                    (0x200UL)                 /*!< SCU PER2: UART1 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_UART2_Pos                    (10UL)                    /*!< SCU PER2: UART2 (Bit 10)                                    */
#define SCU_PER2_UART2_Msk                    (0x400UL)                 /*!< SCU PER2: UART2 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_UART3_Pos                    (11UL)                    /*!< SCU PER2: UART3 (Bit 11)                                    */
#define SCU_PER2_UART3_Msk                    (0x800UL)                 /*!< SCU PER2: UART3 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_MPWM0_Pos                    (16UL)                    /*!< SCU PER2: MPWM0 (Bit 16)                                    */
#define SCU_PER2_MPWM0_Msk                    (0x10000UL)               /*!< SCU PER2: MPWM0 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_MPWM1_Pos                    (17UL)                    /*!< SCU PER2: MPWM1 (Bit 17)                                    */
#define SCU_PER2_MPWM1_Msk                    (0x20000UL)               /*!< SCU PER2: MPWM1 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_ADC0_Pos                     (20UL)                    /*!< SCU PER2: ADC0 (Bit 20)                                     */
#define SCU_PER2_ADC0_Msk                     (0x100000UL)              /*!< SCU PER2: ADC0 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_ADC1_Pos                     (21UL)                    /*!< SCU PER2: ADC1 (Bit 21)                                     */
#define SCU_PER2_ADC1_Msk                     (0x200000UL)              /*!< SCU PER2: ADC1 (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  SCU_PCER1  --------------------------------- */
#define SCU_PCER1_DMA_Pos                     (4UL)                     /*!< SCU PCER1: DMA (Bit 4)                                      */
#define SCU_PCER1_DMA_Msk                     (0x10UL)                  /*!< SCU PCER1: DMA (Bitfield-Mask: 0x01)                        */
#define SCU_PCER1_FRT_Pos                     (7UL)                     /*!< SCU PCER1: FRT (Bit 7)                                      */
#define SCU_PCER1_FRT_Msk                     (0x80UL)                  /*!< SCU PCER1: FRT (Bitfield-Mask: 0x01)                        */
#define SCU_PCER1_GPIOA_Pos                   (8UL)                     /*!< SCU PCER1: GPIOA (Bit 8)                                    */
#define SCU_PCER1_GPIOA_Msk                   (0x100UL)                 /*!< SCU PCER1: GPIOA (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOB_Pos                   (9UL)                     /*!< SCU PCER1: GPIOB (Bit 9)                                    */
#define SCU_PCER1_GPIOB_Msk                   (0x200UL)                 /*!< SCU PCER1: GPIOB (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOC_Pos                   (10UL)                    /*!< SCU PCER1: GPIOC (Bit 10)                                   */
#define SCU_PCER1_GPIOC_Msk                   (0x400UL)                 /*!< SCU PCER1: GPIOC (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOD_Pos                   (11UL)                    /*!< SCU PCER1: GPIOD (Bit 11)                                   */
#define SCU_PCER1_GPIOD_Msk                   (0x800UL)                 /*!< SCU PCER1: GPIOD (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOE_Pos                   (12UL)                    /*!< SCU PCER1: GPIOE (Bit 12)                                   */
#define SCU_PCER1_GPIOE_Msk                   (0x1000UL)                /*!< SCU PCER1: GPIOE (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOF_Pos                   (13UL)                    /*!< SCU PCER1: GPIOF (Bit 13)                                   */
#define SCU_PCER1_GPIOF_Msk                   (0x2000UL)                /*!< SCU PCER1: GPIOF (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_TIMER0_Pos                  (16UL)                    /*!< SCU PCER1: TIMER0 (Bit 16)                                  */
#define SCU_PCER1_TIMER0_Msk                  (0x10000UL)               /*!< SCU PCER1: TIMER0 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER1_Pos                  (17UL)                    /*!< SCU PCER1: TIMER1 (Bit 17)                                  */
#define SCU_PCER1_TIMER1_Msk                  (0x20000UL)               /*!< SCU PCER1: TIMER1 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER2_Pos                  (18UL)                    /*!< SCU PCER1: TIMER2 (Bit 18)                                  */
#define SCU_PCER1_TIMER2_Msk                  (0x40000UL)               /*!< SCU PCER1: TIMER2 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER3_Pos                  (19UL)                    /*!< SCU PCER1: TIMER3 (Bit 19)                                  */
#define SCU_PCER1_TIMER3_Msk                  (0x80000UL)               /*!< SCU PCER1: TIMER3 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER4_Pos                  (20UL)                    /*!< SCU PCER1: TIMER4 (Bit 20)                                  */
#define SCU_PCER1_TIMER4_Msk                  (0x100000UL)              /*!< SCU PCER1: TIMER4 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER5_Pos                  (21UL)                    /*!< SCU PCER1: TIMER5 (Bit 21)                                  */
#define SCU_PCER1_TIMER5_Msk                  (0x200000UL)              /*!< SCU PCER1: TIMER5 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER6_Pos                  (22UL)                    /*!< SCU PCER1: TIMER6 (Bit 22)                                  */
#define SCU_PCER1_TIMER6_Msk                  (0x400000UL)              /*!< SCU PCER1: TIMER6 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER7_Pos                  (23UL)                    /*!< SCU PCER1: TIMER7 (Bit 23)                                  */
#define SCU_PCER1_TIMER7_Msk                  (0x800000UL)              /*!< SCU PCER1: TIMER7 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER8_Pos                  (24UL)                    /*!< SCU PCER1: TIMER8 (Bit 24)                                  */
#define SCU_PCER1_TIMER8_Msk                  (0x1000000UL)             /*!< SCU PCER1: TIMER8 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER9_Pos                  (25UL)                    /*!< SCU PCER1: TIMER9 (Bit 25)                                  */
#define SCU_PCER1_TIMER9_Msk                  (0x2000000UL)             /*!< SCU PCER1: TIMER9 (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_PCER2  --------------------------------- */
#define SCU_PCER2_SPI0_Pos                    (0UL)                     /*!< SCU PCER2: SPI0 (Bit 0)                                     */
#define SCU_PCER2_SPI0_Msk                    (0x1UL)                   /*!< SCU PCER2: SPI0 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_SPI1_Pos                    (1UL)                     /*!< SCU PCER2: SPI1 (Bit 1)                                     */
#define SCU_PCER2_SPI1_Msk                    (0x2UL)                   /*!< SCU PCER2: SPI1 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_I2C0_Pos                    (4UL)                     /*!< SCU PCER2: I2C0 (Bit 4)                                     */
#define SCU_PCER2_I2C0_Msk                    (0x10UL)                  /*!< SCU PCER2: I2C0 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_I2C1_Pos                    (5UL)                     /*!< SCU PCER2: I2C1 (Bit 5)                                     */
#define SCU_PCER2_I2C1_Msk                    (0x20UL)                  /*!< SCU PCER2: I2C1 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_UART0_Pos                   (8UL)                     /*!< SCU PCER2: UART0 (Bit 8)                                    */
#define SCU_PCER2_UART0_Msk                   (0x100UL)                 /*!< SCU PCER2: UART0 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_UART1_Pos                   (9UL)                     /*!< SCU PCER2: UART1 (Bit 9)                                    */
#define SCU_PCER2_UART1_Msk                   (0x200UL)                 /*!< SCU PCER2: UART1 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_UART2_Pos                   (10UL)                    /*!< SCU PCER2: UART2 (Bit 10)                                   */
#define SCU_PCER2_UART2_Msk                   (0x400UL)                 /*!< SCU PCER2: UART2 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_UART3_Pos                   (11UL)                    /*!< SCU PCER2: UART3 (Bit 11)                                   */
#define SCU_PCER2_UART3_Msk                   (0x800UL)                 /*!< SCU PCER2: UART3 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_MPWM0_Pos                   (16UL)                    /*!< SCU PCER2: MPWM0 (Bit 16)                                   */
#define SCU_PCER2_MPWM0_Msk                   (0x10000UL)               /*!< SCU PCER2: MPWM0 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_MPWM1_Pos                   (17UL)                    /*!< SCU PCER2: MPWM1 (Bit 17)                                   */
#define SCU_PCER2_MPWM1_Msk                   (0x20000UL)               /*!< SCU PCER2: MPWM1 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_ADC0_Pos                    (20UL)                    /*!< SCU PCER2: ADC0 (Bit 20)                                    */
#define SCU_PCER2_ADC0_Msk                    (0x100000UL)              /*!< SCU PCER2: ADC0 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_ADC1_Pos                    (21UL)                    /*!< SCU PCER2: ADC1 (Bit 21)                                    */
#define SCU_PCER2_ADC1_Msk                    (0x200000UL)              /*!< SCU PCER2: ADC1 (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_CSCR  ---------------------------------- */
#define SCU_CSCR_EOSCON_Pos                   (0UL)                     /*!< SCU CSCR: EOSCON (Bit 0)                                    */
#define SCU_CSCR_EOSCON_Msk                   (0x3UL)                   /*!< SCU CSCR: EOSCON (Bitfield-Mask: 0x03)                      */
#define SCU_CSCR_IOSCCON_Pos                  (2UL)                     /*!< SCU CSCR: IOSCCON (Bit 2)                                   */
#define SCU_CSCR_IOSCCON_Msk                  (0xcUL)                   /*!< SCU CSCR: IOSCCON (Bitfield-Mask: 0x03)                     */
#define SCU_CSCR_RINGOSCCON_Pos               (4UL)                     /*!< SCU CSCR: RINGOSCCON (Bit 4)                                */
#define SCU_CSCR_RINGOSCCON_Msk               (0x30UL)                  /*!< SCU CSCR: RINGOSCCON (Bitfield-Mask: 0x03)                  */
#define SCU_CSCR_SXOSCEN_Pos                  (7UL)                     /*!< SCU CSCR: SXOSCEN (Bit 7)                                   */
#define SCU_CSCR_SXOSCEN_Msk                  (0x80UL)                  /*!< SCU CSCR: SXOSCEN (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_SCCR  ---------------------------------- */
#define SCU_SCCR_MCLKSEL_Pos                  (0UL)                     /*!< SCU SCCR: MCLKSEL (Bit 0)                                   */
#define SCU_SCCR_MCLKSEL_Msk                  (0x3UL)                   /*!< SCU SCCR: MCLKSEL (Bitfield-Mask: 0x03)                     */
#define SCU_SCCR_FINSEL_Pos                   (2UL)                     /*!< SCU SCCR: FINSEL (Bit 2)                                    */
#define SCU_SCCR_FINSEL_Msk                   (0x4UL)                   /*!< SCU SCCR: FINSEL (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  SCU_CMR  ---------------------------------- */
#define SCU_CMR_EOSCSTS_Pos                   (0UL)                     /*!< SCU CMR: EOSCSTS (Bit 0)                                    */
#define SCU_CMR_EOSCSTS_Msk                   (0x1UL)                   /*!< SCU CMR: EOSCSTS (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_EOSCFAIL_Pos                  (1UL)                     /*!< SCU CMR: EOSCFAIL (Bit 1)                                   */
#define SCU_CMR_EOSCFAIL_Msk                  (0x2UL)                   /*!< SCU CMR: EOSCFAIL (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_EOSCIE_Pos                    (2UL)                     /*!< SCU CMR: EOSCIE (Bit 2)                                     */
#define SCU_CMR_EOSCIE_Msk                    (0x4UL)                   /*!< SCU CMR: EOSCIE (Bitfield-Mask: 0x01)                       */
#define SCU_CMR_EOSCMNT_Pos                   (3UL)                     /*!< SCU CMR: EOSCMNT (Bit 3)                                    */
#define SCU_CMR_EOSCMNT_Msk                   (0x8UL)                   /*!< SCU CMR: EOSCMNT (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKSTS_Pos                   (4UL)                     /*!< SCU CMR: MCLKSTS (Bit 4)                                    */
#define SCU_CMR_MCLKSTS_Msk                   (0x10UL)                  /*!< SCU CMR: MCLKSTS (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKFAIL_Pos                  (5UL)                     /*!< SCU CMR: MCLKFAIL (Bit 5)                                   */
#define SCU_CMR_MCLKFAIL_Msk                  (0x20UL)                  /*!< SCU CMR: MCLKFAIL (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_MCLKIE_Pos                    (6UL)                     /*!< SCU CMR: MCLKIE (Bit 6)                                     */
#define SCU_CMR_MCLKIE_Msk                    (0x40UL)                  /*!< SCU CMR: MCLKIE (Bitfield-Mask: 0x01)                       */
#define SCU_CMR_MCLKMNT_Pos                   (7UL)                     /*!< SCU CMR: MCLKMNT (Bit 7)                                    */
#define SCU_CMR_MCLKMNT_Msk                   (0x80UL)                  /*!< SCU CMR: MCLKMNT (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_SX0SCSTS_Pos                  (8UL)                     /*!< SCU CMR: SX0SCSTS (Bit 8)                                   */
#define SCU_CMR_SX0SCSTS_Msk                  (0x100UL)                 /*!< SCU CMR: SX0SCSTS (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_SX0SCFAIL_Pos                 (9UL)                     /*!< SCU CMR: SX0SCFAIL (Bit 9)                                  */
#define SCU_CMR_SX0SCFAIL_Msk                 (0x200UL)                 /*!< SCU CMR: SX0SCFAIL (Bitfield-Mask: 0x01)                    */
#define SCU_CMR_SX0SCIE_Pos                   (10UL)                    /*!< SCU CMR: SX0SCIE (Bit 10)                                   */
#define SCU_CMR_SX0SCIE_Msk                   (0x400UL)                 /*!< SCU CMR: SX0SCIE (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_SX0SCMNT_Pos                  (11UL)                    /*!< SCU CMR: SX0SCMNT (Bit 11)                                  */
#define SCU_CMR_SX0SCMNT_Msk                  (0x800UL)                 /*!< SCU CMR: SX0SCMNT (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_MCLKREC_Pos                   (15UL)                    /*!< SCU CMR: MCLKREC (Bit 15)                                   */
#define SCU_CMR_MCLKREC_Msk                   (0x8000UL)                /*!< SCU CMR: MCLKREC (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_NMIR  ---------------------------------- */
#define SCU_NMIR_BODEN_Pos                    (0UL)                     /*!< SCU NMIR: BODEN (Bit 0)                                     */
#define SCU_NMIR_BODEN_Msk                    (0x1UL)                   /*!< SCU NMIR: BODEN (Bitfield-Mask: 0x01)                       */
#define SCU_NMIR_MCLKFAILEN_Pos               (1UL)                     /*!< SCU NMIR: MCLKFAILEN (Bit 1)                                */
#define SCU_NMIR_MCLKFAILEN_Msk               (0x2UL)                   /*!< SCU NMIR: MCLKFAILEN (Bitfield-Mask: 0x01)                  */
#define SCU_NMIR_WDTINTEN_Pos                 (2UL)                     /*!< SCU NMIR: WDTINTEN (Bit 2)                                  */
#define SCU_NMIR_WDTINTEN_Msk                 (0x4UL)                   /*!< SCU NMIR: WDTINTEN (Bitfield-Mask: 0x01)                    */
#define SCU_NMIR_OVP0EN_Pos                   (3UL)                     /*!< SCU NMIR: OVP0EN (Bit 3)                                    */
#define SCU_NMIR_OVP0EN_Msk                   (0x8UL)                   /*!< SCU NMIR: OVP0EN (Bitfield-Mask: 0x01)                      */
#define SCU_NMIR_PROT0EN_Pos                  (4UL)                     /*!< SCU NMIR: PROT0EN (Bit 4)                                   */
#define SCU_NMIR_PROT0EN_Msk                  (0x10UL)                  /*!< SCU NMIR: PROT0EN (Bitfield-Mask: 0x01)                     */
#define SCU_NMIR_OVP1EN_Pos                   (5UL)                     /*!< SCU NMIR: OVP1EN (Bit 5)                                    */
#define SCU_NMIR_OVP1EN_Msk                   (0x20UL)                  /*!< SCU NMIR: OVP1EN (Bitfield-Mask: 0x01)                      */
#define SCU_NMIR_PROT1EN_Pos                  (6UL)                     /*!< SCU NMIR: PROT1EN (Bit 6)                                   */
#define SCU_NMIR_PROT1EN_Msk                  (0x40UL)                  /*!< SCU NMIR: PROT1EN (Bitfield-Mask: 0x01)                     */
#define SCU_NMIR_NMIPINEN_Pos                 (7UL)                     /*!< SCU NMIR: NMIPINEN (Bit 7)                                  */
#define SCU_NMIR_NMIPINEN_Msk                 (0x80UL)                  /*!< SCU NMIR: NMIPINEN (Bitfield-Mask: 0x01)                    */
#define SCU_NMIR_BODSTS_Pos                   (8UL)                     /*!< SCU NMIR: BODSTS (Bit 8)                                    */
#define SCU_NMIR_BODSTS_Msk                   (0x100UL)                 /*!< SCU NMIR: BODSTS (Bitfield-Mask: 0x01)                      */
#define SCU_NMIR_MCLKFAILSTS_Pos              (9UL)                     /*!< SCU NMIR: MCLKFAILSTS (Bit 9)                               */
#define SCU_NMIR_MCLKFAILSTS_Msk              (0x200UL)                 /*!< SCU NMIR: MCLKFAILSTS (Bitfield-Mask: 0x01)                 */
#define SCU_NMIR_WDTINTSTS_Pos                (10UL)                    /*!< SCU NMIR: WDTINTSTS (Bit 10)                                */
#define SCU_NMIR_WDTINTSTS_Msk                (0x400UL)                 /*!< SCU NMIR: WDTINTSTS (Bitfield-Mask: 0x01)                   */
#define SCU_NMIR_OVP0STS_Pos                  (11UL)                    /*!< SCU NMIR: OVP0STS (Bit 11)                                  */
#define SCU_NMIR_OVP0STS_Msk                  (0x800UL)                 /*!< SCU NMIR: OVP0STS (Bitfield-Mask: 0x01)                     */
#define SCU_NMIR_PROT0STS_Pos                 (12UL)                    /*!< SCU NMIR: PROT0STS (Bit 12)                                 */
#define SCU_NMIR_PROT0STS_Msk                 (0x1000UL)                /*!< SCU NMIR: PROT0STS (Bitfield-Mask: 0x01)                    */
#define SCU_NMIR_OVP1STS_Pos                  (13UL)                    /*!< SCU NMIR: OVP1STS (Bit 13)                                  */
#define SCU_NMIR_OVP1STS_Msk                  (0x2000UL)                /*!< SCU NMIR: OVP1STS (Bitfield-Mask: 0x01)                     */
#define SCU_NMIR_PROT1STS_Pos                 (14UL)                    /*!< SCU NMIR: PROT1STS (Bit 14)                                 */
#define SCU_NMIR_PROT1STS_Msk                 (0x4000UL)                /*!< SCU NMIR: PROT1STS (Bitfield-Mask: 0x01)                    */
#define SCU_NMIR_NMIINTSTS_Pos                (15UL)                    /*!< SCU NMIR: NMIINTSTS (Bit 15)                                */
#define SCU_NMIR_NMIINTSTS_Msk                (0x8000UL)                /*!< SCU NMIR: NMIINTSTS (Bitfield-Mask: 0x01)                   */
#define SCU_NMIR_NMIPINDBEN_Pos               (17UL)                    /*!< SCU NMIR: NMIPINDBEN (Bit 17)                               */
#define SCU_NMIR_NMIPINDBEN_Msk               (0x20000UL)               /*!< SCU NMIR: NMIPINDBEN (Bitfield-Mask: 0x01)                  */
#define SCU_NMIR_NMIINT_Pos                   (18UL)                    /*!< SCU NMIR: NMIINT (Bit 18)                                   */
#define SCU_NMIR_NMIINT_Msk                   (0x40000UL)               /*!< SCU NMIR: NMIINT (Bitfield-Mask: 0x01)                      */
#define SCU_NMIR_NMIPINSTS_Pos                (19UL)                    /*!< SCU NMIR: NMIPINSTS (Bit 19)                                */
#define SCU_NMIR_NMIPINSTS_Msk                (0x80000UL)               /*!< SCU NMIR: NMIPINSTS (Bitfield-Mask: 0x01)                   */

/* -----------------------------------  SCU_COR  ---------------------------------- */
#define SCU_COR_CLKODIV_Pos                   (0UL)                     /*!< SCU COR: CLKODIV (Bit 0)                                    */
#define SCU_COR_CLKODIV_Msk                   (0xfUL)                   /*!< SCU COR: CLKODIV (Bitfield-Mask: 0x0f)                      */
#define SCU_COR_CLKOEN_Pos                    (4UL)                     /*!< SCU COR: CLKOEN (Bit 4)                                     */
#define SCU_COR_CLKOEN_Msk                    (0x10UL)                  /*!< SCU COR: CLKOEN (Bitfield-Mask: 0x01)                       */

/* ---------------------------------  SCU_PLLCON  --------------------------------- */
#define SCU_PLLCON_POSTDIV_Pos                (0UL)                     /*!< SCU PLLCON: POSTDIV (Bit 0)                                 */
#define SCU_PLLCON_POSTDIV_Msk                (0xfUL)                   /*!< SCU PLLCON: POSTDIV (Bitfield-Mask: 0x0f)                   */
#define SCU_PLLCON_FBCTRL_Pos                 (4UL)                     /*!< SCU PLLCON: FBCTRL (Bit 4)                                  */
#define SCU_PLLCON_FBCTRL_Msk                 (0xf0UL)                  /*!< SCU PLLCON: FBCTRL (Bitfield-Mask: 0x0f)                    */
#define SCU_PLLCON_PREDIV_Pos                 (8UL)                     /*!< SCU PLLCON: PREDIV (Bit 8)                                  */
#define SCU_PLLCON_PREDIV_Msk                 (0x100UL)                 /*!< SCU PLLCON: PREDIV (Bitfield-Mask: 0x01)                    */
#define SCU_PLLCON_LOCK_Pos                   (12UL)                    /*!< SCU PLLCON: LOCK (Bit 12)                                   */
#define SCU_PLLCON_LOCK_Msk                   (0x1000UL)                /*!< SCU PLLCON: LOCK (Bitfield-Mask: 0x01)                      */
#define SCU_PLLCON_BYPASS_Pos                 (13UL)                    /*!< SCU PLLCON: BYPASS (Bit 13)                                 */
#define SCU_PLLCON_BYPASS_Msk                 (0x2000UL)                /*!< SCU PLLCON: BYPASS (Bitfield-Mask: 0x01)                    */
#define SCU_PLLCON_PLLEN_Pos                  (14UL)                    /*!< SCU PLLCON: PLLEN (Bit 14)                                  */
#define SCU_PLLCON_PLLEN_Msk                  (0x4000UL)                /*!< SCU PLLCON: PLLEN (Bitfield-Mask: 0x01)                     */
#define SCU_PLLCON_PLLRSTB_Pos                (15UL)                    /*!< SCU PLLCON: PLLRSTB (Bit 15)                                */
#define SCU_PLLCON_PLLRSTB_Msk                (0x8000UL)                /*!< SCU PLLCON: PLLRSTB (Bitfield-Mask: 0x01)                   */

/* ---------------------------------  SCU_VDCCON  --------------------------------- */
#define SCU_VDCCON_VDCWDLY_Pos                (0UL)                     /*!< SCU VDCCON: VDCWDLY (Bit 0)                                 */
#define SCU_VDCCON_VDCWDLY_Msk                (0xffUL)                  /*!< SCU VDCCON: VDCWDLY (Bitfield-Mask: 0xff)                   */
#define SCU_VDCCON_VDCDE_Pos                  (8UL)                     /*!< SCU VDCCON: VDCDE (Bit 8)                                   */
#define SCU_VDCCON_VDCDE_Msk                  (0x100UL)                 /*!< SCU VDCCON: VDCDE (Bitfield-Mask: 0x01)                     */
#define SCU_VDCCON_VDCTRIM_Pos                (16UL)                    /*!< SCU VDCCON: VDCTRIM (Bit 16)                                */
#define SCU_VDCCON_VDCTRIM_Msk                (0xf0000UL)               /*!< SCU VDCCON: VDCTRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_VDCCON_VDCTE_Pos                  (23UL)                    /*!< SCU VDCCON: VDCTE (Bit 23)                                  */
#define SCU_VDCCON_VDCTE_Msk                  (0x800000UL)              /*!< SCU VDCCON: VDCTE (Bitfield-Mask: 0x01)                     */
#define SCU_VDCCON_BMRTRIM_Pos                (24UL)                    /*!< SCU VDCCON: BMRTRIM (Bit 24)                                */
#define SCU_VDCCON_BMRTRIM_Msk                (0x7000000UL)             /*!< SCU VDCCON: BMRTRIM (Bitfield-Mask: 0x07)                   */
#define SCU_VDCCON_BMRTE_Pos                  (31UL)                    /*!< SCU VDCCON: BMRTE (Bit 31)                                  */
#define SCU_VDCCON_BMRTE_Msk                  (0x80000000UL)            /*!< SCU VDCCON: BMRTE (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  SCU_LVDCON  --------------------------------- */
#define SCU_LVDCON_BODEN_Pos                  (0UL)                     /*!< SCU LVDCON: BODEN (Bit 0)                                   */
#define SCU_LVDCON_BODEN_Msk                  (0x1UL)                   /*!< SCU LVDCON: BODEN (Bitfield-Mask: 0x01)                     */
#define SCU_LVDCON_BODLVL_Pos                 (1UL)                     /*!< SCU LVDCON: BODLVL (Bit 1)                                  */
#define SCU_LVDCON_BODLVL_Msk                 (0x2UL)                   /*!< SCU LVDCON: BODLVL (Bitfield-Mask: 0x01)                    */
#define SCU_LVDCON_BODSEL_Pos                 (8UL)                     /*!< SCU LVDCON: BODSEL (Bit 8)                                  */
#define SCU_LVDCON_BODSEL_Msk                 (0x300UL)                 /*!< SCU LVDCON: BODSEL (Bitfield-Mask: 0x03)                    */
#define SCU_LVDCON_SELEN_Pos                  (15UL)                    /*!< SCU LVDCON: SELEN (Bit 15)                                  */
#define SCU_LVDCON_SELEN_Msk                  (0x8000UL)                /*!< SCU LVDCON: SELEN (Bitfield-Mask: 0x01)                     */
#define SCU_LVDCON_BODTRIM_Pos                (16UL)                    /*!< SCU LVDCON: BODTRIM (Bit 16)                                */
#define SCU_LVDCON_BODTRIM_Msk                (0x30000UL)               /*!< SCU LVDCON: BODTRIM (Bitfield-Mask: 0x03)                   */
#define SCU_LVDCON_BODTE_Pos                  (23UL)                    /*!< SCU LVDCON: BODTE (Bit 23)                                  */
#define SCU_LVDCON_BODTE_Msk                  (0x800000UL)              /*!< SCU LVDCON: BODTE (Bitfield-Mask: 0x01)                     */

/* --------------------------------  SCU_IOSCTRIM  -------------------------------- */
#define SCU_IOSCTRIM_UDCL_Pos                 (0UL)                     /*!< SCU IOSCTRIM: UDCL (Bit 0)                                  */
#define SCU_IOSCTRIM_UDCL_Msk                 (0x7UL)                   /*!< SCU IOSCTRIM: UDCL (Bitfield-Mask: 0x07)                    */
#define SCU_IOSCTRIM_UDCH_Pos                 (3UL)                     /*!< SCU IOSCTRIM: UDCH (Bit 3)                                  */
#define SCU_IOSCTRIM_UDCH_Msk                 (0x18UL)                  /*!< SCU IOSCTRIM: UDCH (Bitfield-Mask: 0x03)                    */
#define SCU_IOSCTRIM_UDCEN_Pos                (7UL)                     /*!< SCU IOSCTRIM: UDCEN (Bit 7)                                 */
#define SCU_IOSCTRIM_UDCEN_Msk                (0x80UL)                  /*!< SCU IOSCTRIM: UDCEN (Bitfield-Mask: 0x01)                   */
#define SCU_IOSCTRIM_LTM_Pos                  (8UL)                     /*!< SCU IOSCTRIM: LTM (Bit 8)                                   */
#define SCU_IOSCTRIM_LTM_Msk                  (0x300UL)                 /*!< SCU IOSCTRIM: LTM (Bitfield-Mask: 0x03)                     */
#define SCU_IOSCTRIM_LT_Pos                   (10UL)                    /*!< SCU IOSCTRIM: LT (Bit 10)                                   */
#define SCU_IOSCTRIM_LT_Msk                   (0x3c00UL)                /*!< SCU IOSCTRIM: LT (Bitfield-Mask: 0x0f)                      */
#define SCU_IOSCTRIM_LTEN_Pos                 (15UL)                    /*!< SCU IOSCTRIM: LTEN (Bit 15)                                 */
#define SCU_IOSCTRIM_LTEN_Msk                 (0x8000UL)                /*!< SCU IOSCTRIM: LTEN (Bitfield-Mask: 0x01)                    */
#define SCU_IOSCTRIM_TSL_Pos                  (16UL)                    /*!< SCU IOSCTRIM: TSL (Bit 16)                                  */
#define SCU_IOSCTRIM_TSL_Msk                  (0x70000UL)               /*!< SCU IOSCTRIM: TSL (Bitfield-Mask: 0x07)                     */
#define SCU_IOSCTRIM_TSLEN_Pos                (23UL)                    /*!< SCU IOSCTRIM: TSLEN (Bit 23)                                */
#define SCU_IOSCTRIM_TSLEN_Msk                (0x800000UL)              /*!< SCU IOSCTRIM: TSLEN (Bitfield-Mask: 0x01)                   */

/* ----------------------------------  SCU_EOSCR  --------------------------------- */
#define SCU_EOSCR_NCSEL_Pos                   (0UL)                     /*!< SCU EOSCR: NCSEL (Bit 0)                                    */
#define SCU_EOSCR_NCSEL_Msk                   (0x3UL)                   /*!< SCU EOSCR: NCSEL (Bitfield-Mask: 0x03)                      */
#define SCU_EOSCR_NCEN_Pos                    (7UL)                     /*!< SCU EOSCR: NCEN (Bit 7)                                     */
#define SCU_EOSCR_NCEN_Msk                    (0x80UL)                  /*!< SCU EOSCR: NCEN (Bitfield-Mask: 0x01)                       */
#define SCU_EOSCR_ISEL_Pos                    (8UL)                     /*!< SCU EOSCR: ISEL (Bit 8)                                     */
#define SCU_EOSCR_ISEL_Msk                    (0x300UL)                 /*!< SCU EOSCR: ISEL (Bitfield-Mask: 0x03)                       */
#define SCU_EOSCR_ISELEN_Pos                  (15UL)                    /*!< SCU EOSCR: ISELEN (Bit 15)                                  */
#define SCU_EOSCR_ISELEN_Msk                  (0x8000UL)                /*!< SCU EOSCR: ISELEN (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_EMODR  --------------------------------- */
#define SCU_EMODR_BOOT_Pos                    (0UL)                     /*!< SCU EMODR: BOOT (Bit 0)                                     */
#define SCU_EMODR_BOOT_Msk                    (0x1UL)                   /*!< SCU EMODR: BOOT (Bitfield-Mask: 0x01)                       */
#define SCU_EMODR_TEST_Pos                    (1UL)                     /*!< SCU EMODR: TEST (Bit 1)                                     */
#define SCU_EMODR_TEST_Msk                    (0x2UL)                   /*!< SCU EMODR: TEST (Bitfield-Mask: 0x01)                       */
#define SCU_EMODR_SCANMD_Pos                  (2UL)                     /*!< SCU EMODR: SCANMD (Bit 2)                                   */
#define SCU_EMODR_SCANMD_Msk                  (0x4UL)                   /*!< SCU EMODR: SCANMD (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_MCCR1  --------------------------------- */
#define SCU_MCCR1_STDIV_Pos                   (0UL)                     /*!< SCU MCCR1: STDIV (Bit 0)                                    */
#define SCU_MCCR1_STDIV_Msk                   (0xffUL)                  /*!< SCU MCCR1: STDIV (Bitfield-Mask: 0xff)                      */
#define SCU_MCCR1_STCSEL_Pos                  (8UL)                     /*!< SCU MCCR1: STCSEL (Bit 8)                                   */
#define SCU_MCCR1_STCSEL_Msk                  (0x700UL)                 /*!< SCU MCCR1: STCSEL (Bitfield-Mask: 0x07)                     */
#define SCU_MCCR1_TRACEDIV_Pos                (16UL)                    /*!< SCU MCCR1: TRACEDIV (Bit 16)                                */
#define SCU_MCCR1_TRACEDIV_Msk                (0xff0000UL)              /*!< SCU MCCR1: TRACEDIV (Bitfield-Mask: 0xff)                   */
#define SCU_MCCR1_TRCSEL_Pos                  (24UL)                    /*!< SCU MCCR1: TRCSEL (Bit 24)                                  */
#define SCU_MCCR1_TRCSEL_Msk                  (0x7000000UL)             /*!< SCU MCCR1: TRCSEL (Bitfield-Mask: 0x07)                     */
#define SCU_MCCR1_TRCPOL_Pos                  (31UL)                    /*!< SCU MCCR1: TRCPOL (Bit 31)                                  */
#define SCU_MCCR1_TRCPOL_Msk                  (0x80000000UL)            /*!< SCU MCCR1: TRCPOL (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_MCCR2  --------------------------------- */
#define SCU_MCCR2_PWM0DIV_Pos                 (0UL)                     /*!< SCU MCCR2: PWM0DIV (Bit 0)                                  */
#define SCU_MCCR2_PWM0DIV_Msk                 (0xffUL)                  /*!< SCU MCCR2: PWM0DIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR2_PWM0CSEL_Pos                (8UL)                     /*!< SCU MCCR2: PWM0CSEL (Bit 8)                                 */
#define SCU_MCCR2_PWM0CSEL_Msk                (0x700UL)                 /*!< SCU MCCR2: PWM0CSEL (Bitfield-Mask: 0x07)                   */
#define SCU_MCCR2_PWM1DIV_Pos                 (16UL)                    /*!< SCU MCCR2: PWM1DIV (Bit 16)                                 */
#define SCU_MCCR2_PWM1DIV_Msk                 (0xff0000UL)              /*!< SCU MCCR2: PWM1DIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR2_PWM1CSEL_Pos                (24UL)                    /*!< SCU MCCR2: PWM1CSEL (Bit 24)                                */
#define SCU_MCCR2_PWM1CSEL_Msk                (0x7000000UL)             /*!< SCU MCCR2: PWM1CSEL (Bitfield-Mask: 0x07)                   */

/* ----------------------------------  SCU_MCCR3  --------------------------------- */
#define SCU_MCCR3_WDTDIV_Pos                  (0UL)                     /*!< SCU MCCR3: WDTDIV (Bit 0)                                   */
#define SCU_MCCR3_WDTDIV_Msk                  (0xffUL)                  /*!< SCU MCCR3: WDTDIV (Bitfield-Mask: 0xff)                     */
#define SCU_MCCR3_WDTCSEL_Pos                 (8UL)                     /*!< SCU MCCR3: WDTCSEL (Bit 8)                                  */
#define SCU_MCCR3_WDTCSEL_Msk                 (0x700UL)                 /*!< SCU MCCR3: WDTCSEL (Bitfield-Mask: 0x07)                    */
#define SCU_MCCR3_TEXT0DIV_Pos                (16UL)                    /*!< SCU MCCR3: TEXT0DIV (Bit 16)                                */
#define SCU_MCCR3_TEXT0DIV_Msk                (0xff0000UL)              /*!< SCU MCCR3: TEXT0DIV (Bitfield-Mask: 0xff)                   */
#define SCU_MCCR3_TEXT0CSEL_Pos               (24UL)                    /*!< SCU MCCR3: TEXT0CSEL (Bit 24)                               */
#define SCU_MCCR3_TEXT0CSEL_Msk               (0x7000000UL)             /*!< SCU MCCR3: TEXT0CSEL (Bitfield-Mask: 0x07)                  */

/* ---------------------------------  SCU_DBCLK1  --------------------------------- */
#define SCU_DBCLK1_PADDIV_Pos                 (0UL)                     /*!< SCU DBCLK1: PADDIV (Bit 0)                                  */
#define SCU_DBCLK1_PADDIV_Msk                 (0xffUL)                  /*!< SCU DBCLK1: PADDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK1_PADCSEL_Pos                (8UL)                     /*!< SCU DBCLK1: PADCSEL (Bit 8)                                 */
#define SCU_DBCLK1_PADCSEL_Msk                (0x700UL)                 /*!< SCU DBCLK1: PADCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_DBCLK1_PBDDIV_Pos                 (16UL)                    /*!< SCU DBCLK1: PBDDIV (Bit 16)                                 */
#define SCU_DBCLK1_PBDDIV_Msk                 (0xff0000UL)              /*!< SCU DBCLK1: PBDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK1_PBDSEL_Pos                 (24UL)                    /*!< SCU DBCLK1: PBDSEL (Bit 24)                                 */
#define SCU_DBCLK1_PBDSEL_Msk                 (0x7000000UL)             /*!< SCU DBCLK1: PBDSEL (Bitfield-Mask: 0x07)                    */

/* ---------------------------------  SCU_DBCLK2  --------------------------------- */
#define SCU_DBCLK2_PCDDIV_Pos                 (0UL)                     /*!< SCU DBCLK2: PCDDIV (Bit 0)                                  */
#define SCU_DBCLK2_PCDDIV_Msk                 (0xffUL)                  /*!< SCU DBCLK2: PCDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK2_PCDCSEL_Pos                (8UL)                     /*!< SCU DBCLK2: PCDCSEL (Bit 8)                                 */
#define SCU_DBCLK2_PCDCSEL_Msk                (0x700UL)                 /*!< SCU DBCLK2: PCDCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_DBCLK2_PDDDIV_Pos                 (16UL)                    /*!< SCU DBCLK2: PDDDIV (Bit 16)                                 */
#define SCU_DBCLK2_PDDDIV_Msk                 (0xff0000UL)              /*!< SCU DBCLK2: PDDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK2_PDDCSEL_Pos                (24UL)                    /*!< SCU DBCLK2: PDDCSEL (Bit 24)                                */
#define SCU_DBCLK2_PDDCSEL_Msk                (0x7000000UL)             /*!< SCU DBCLK2: PDDCSEL (Bitfield-Mask: 0x07)                   */

/* ---------------------------------  SCU_DBCLK3  --------------------------------- */
#define SCU_DBCLK3_PEDDIV_Pos                 (0UL)                     /*!< SCU DBCLK3: PEDDIV (Bit 0)                                  */
#define SCU_DBCLK3_PEDDIV_Msk                 (0xffUL)                  /*!< SCU DBCLK3: PEDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK3_PEDCSEL_Pos                (8UL)                     /*!< SCU DBCLK3: PEDCSEL (Bit 8)                                 */
#define SCU_DBCLK3_PEDCSEL_Msk                (0x700UL)                 /*!< SCU DBCLK3: PEDCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_DBCLK3_PFDDIV_Pos                 (16UL)                    /*!< SCU DBCLK3: PFDDIV (Bit 16)                                 */
#define SCU_DBCLK3_PFDDIV_Msk                 (0xff0000UL)              /*!< SCU DBCLK3: PFDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK3_PFDCSEL_Pos                (24UL)                    /*!< SCU DBCLK3: PFDCSEL (Bit 24)                                */
#define SCU_DBCLK3_PFDCSEL_Msk                (0x7000000UL)             /*!< SCU DBCLK3: PFDCSEL (Bitfield-Mask: 0x07)                   */

/* ----------------------------------  SCU_MCCR4  --------------------------------- */
#define SCU_MCCR4_NMIDDIV_Pos                 (0UL)                     /*!< SCU MCCR4: NMIDDIV (Bit 0)                                  */
#define SCU_MCCR4_NMIDDIV_Msk                 (0xffUL)                  /*!< SCU MCCR4: NMIDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR4_NMICSEL_Pos                 (8UL)                     /*!< SCU MCCR4: NMICSEL (Bit 8)                                  */
#define SCU_MCCR4_NMICSEL_Msk                 (0x700UL)                 /*!< SCU MCCR4: NMICSEL (Bitfield-Mask: 0x07)                    */
#define SCU_MCCR4_ADCCDIV_Pos                 (16UL)                    /*!< SCU MCCR4: ADCCDIV (Bit 16)                                 */
#define SCU_MCCR4_ADCCDIV_Msk                 (0xff0000UL)              /*!< SCU MCCR4: ADCCDIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR4_ADCCSEL_Pos                 (24UL)                    /*!< SCU MCCR4: ADCCSEL (Bit 24)                                 */
#define SCU_MCCR4_ADCCSEL_Msk                 (0x7000000UL)             /*!< SCU MCCR4: ADCCSEL (Bitfield-Mask: 0x07)                    */


/* ================================================================================ */
/* ================           struct 'FM' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  FM_MR  ----------------------------------- */
#define FM_MR_ACODE_Pos                       (0UL)                     /*!< FM MR: ACODE (Bit 0)                                        */
#define FM_MR_ACODE_Msk                       (0xffUL)                  /*!< FM MR: ACODE (Bitfield-Mask: 0xff)                          */
#define FM_MR_FMOD_Pos                        (8UL)                     /*!< FM MR: FMOD (Bit 8)                                         */
#define FM_MR_FMOD_Msk                        (0x100UL)                 /*!< FM MR: FMOD (Bitfield-Mask: 0x01)                           */
#define FM_MR_FEMOD_Pos                       (9UL)                     /*!< FM MR: FEMOD (Bit 9)                                        */
#define FM_MR_FEMOD_Msk                       (0x200UL)                 /*!< FM MR: FEMOD (Bitfield-Mask: 0x01)                          */
#define FM_MR_TRM_Pos                         (16UL)                    /*!< FM MR: TRM (Bit 16)                                         */
#define FM_MR_TRM_Msk                         (0x10000UL)               /*!< FM MR: TRM (Bitfield-Mask: 0x01)                            */
#define FM_MR_TRMEN_Pos                       (17UL)                    /*!< FM MR: TRMEN (Bit 17)                                       */
#define FM_MR_TRMEN_Msk                       (0x20000UL)               /*!< FM MR: TRMEN (Bitfield-Mask: 0x01)                          */
#define FM_MR_AMBAEN_Pos                      (22UL)                    /*!< FM MR: AMBAEN (Bit 22)                                      */
#define FM_MR_AMBAEN_Msk                      (0x400000UL)              /*!< FM MR: AMBAEN (Bitfield-Mask: 0x01)                         */
#define FM_MR_VERIFY_Pos                      (23UL)                    /*!< FM MR: VERIFY (Bit 23)                                      */
#define FM_MR_VERIFY_Msk                      (0x800000UL)              /*!< FM MR: VERIFY (Bitfield-Mask: 0x01)                         */
#define FM_MR_IDLE_Pos                        (24UL)                    /*!< FM MR: IDLE (Bit 24)                                        */
#define FM_MR_IDLE_Msk                        (0x1000000UL)             /*!< FM MR: IDLE (Bitfield-Mask: 0x01)                           */
#define FM_MR_BOOT_Pos                        (31UL)                    /*!< FM MR: BOOT (Bit 31)                                        */
#define FM_MR_BOOT_Msk                        (0x80000000UL)            /*!< FM MR: BOOT (Bitfield-Mask: 0x01)                           */

/* ------------------------------------  FM_CR  ----------------------------------- */
#define FM_CR_PBR_Pos                         (0UL)                     /*!< FM CR: PBR (Bit 0)                                          */
#define FM_CR_PBR_Msk                         (0x1UL)                   /*!< FM CR: PBR (Bitfield-Mask: 0x01)                            */
#define FM_CR_ERS_Pos                         (1UL)                     /*!< FM CR: ERS (Bit 1)                                          */
#define FM_CR_ERS_Msk                         (0x2UL)                   /*!< FM CR: ERS (Bitfield-Mask: 0x01)                            */
#define FM_CR_PGM_Pos                         (2UL)                     /*!< FM CR: PGM (Bit 2)                                          */
#define FM_CR_PGM_Msk                         (0x4UL)                   /*!< FM CR: PGM (Bitfield-Mask: 0x01)                            */
#define FM_CR_PBLD_Pos                        (3UL)                     /*!< FM CR: PBLD (Bit 3)                                         */
#define FM_CR_PBLD_Msk                        (0x8UL)                   /*!< FM CR: PBLD (Bitfield-Mask: 0x01)                           */
#define FM_CR_WE_Pos                          (4UL)                     /*!< FM CR: WE (Bit 4)                                           */
#define FM_CR_WE_Msk                          (0x10UL)                  /*!< FM CR: WE (Bitfield-Mask: 0x01)                             */
#define FM_CR_PMODE_Pos                       (5UL)                     /*!< FM CR: PMODE (Bit 5)                                        */
#define FM_CR_PMODE_Msk                       (0x20UL)                  /*!< FM CR: PMODE (Bitfield-Mask: 0x01)                          */
#define FM_CR_AE_Pos                          (8UL)                     /*!< FM CR: AE (Bit 8)                                           */
#define FM_CR_AE_Msk                          (0x100UL)                 /*!< FM CR: AE (Bitfield-Mask: 0x01)                             */
#define FM_CR_PPGM_Pos                        (9UL)                     /*!< FM CR: PPGM (Bit 9)                                         */
#define FM_CR_PPGM_Msk                        (0x200UL)                 /*!< FM CR: PPGM (Bitfield-Mask: 0x01)                           */
#define FM_CR_PVER_Pos                        (13UL)                    /*!< FM CR: PVER (Bit 13)                                        */
#define FM_CR_PVER_Msk                        (0x2000UL)                /*!< FM CR: PVER (Bitfield-Mask: 0x01)                           */
#define FM_CR_EVER_Pos                        (14UL)                    /*!< FM CR: EVER (Bit 14)                                        */
#define FM_CR_EVER_Msk                        (0x4000UL)                /*!< FM CR: EVER (Bitfield-Mask: 0x01)                           */
#define FM_CR_VPPOUT_Pos                      (15UL)                    /*!< FM CR: VPPOUT (Bit 15)                                      */
#define FM_CR_VPPOUT_Msk                      (0x8000UL)                /*!< FM CR: VPPOUT (Bitfield-Mask: 0x01)                         */
#define FM_CR_TEST_Pos                        (16UL)                    /*!< FM CR: TEST (Bit 16)                                        */
#define FM_CR_TEST_Msk                        (0x30000UL)               /*!< FM CR: TEST (Bitfield-Mask: 0x03)                           */
#define FM_CR_TIMER_Pos                       (20UL)                    /*!< FM CR: TIMER (Bit 20)                                       */
#define FM_CR_TIMER_Msk                       (0x100000UL)              /*!< FM CR: TIMER (Bitfield-Mask: 0x01)                          */

/* ------------------------------------  FM_AR  ----------------------------------- */
#define FM_AR_FADDR_Pos                       (0UL)                     /*!< FM AR: FADDR (Bit 0)                                        */
#define FM_AR_FADDR_Msk                       (0x1ffffUL)               /*!< FM AR: FADDR (Bitfield-Mask: 0x1ffff)                       */

/* ------------------------------------  FM_DR  ----------------------------------- */
#define FM_DR_FDATA_Pos                       (0UL)                     /*!< FM DR: FDATA (Bit 0)                                        */
#define FM_DR_FDATA_Msk                       (0xffffffffUL)            /*!< FM DR: FDATA (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  FM_TMR  ----------------------------------- */
#define FM_TMR_TMR_Pos                        (0UL)                     /*!< FM TMR: TMR (Bit 0)                                         */
#define FM_TMR_TMR_Msk                        (0xffffUL)                /*!< FM TMR: TMR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  FM_DRTY  ---------------------------------- */
#define FM_DRTY_FDRTY_Pos                     (0UL)                     /*!< FM DRTY: FDRTY (Bit 0)                                      */
#define FM_DRTY_FDRTY_Msk                     (0xffffffffUL)            /*!< FM DRTY: FDRTY (Bitfield-Mask: 0xffffffff)                  */

/* -----------------------------------  FM_TICK  ---------------------------------- */
#define FM_TICK_FTICK_Pos                     (0UL)                     /*!< FM TICK: FTICK (Bit 0)                                      */
#define FM_TICK_FTICK_Msk                     (0x3ffffUL)               /*!< FM TICK: FTICK (Bitfield-Mask: 0x3ffff)                     */

/* -----------------------------------  FM_CRC  ----------------------------------- */
#define FM_CRC_CRC_Pos                        (0UL)                     /*!< FM CRC: CRC (Bit 0)                                         */
#define FM_CRC_CRC_Msk                        (0xffffUL)                /*!< FM CRC: CRC (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  FM_CFG  ----------------------------------- */
#define FM_CFG_TRIM_Pos                       (0UL)                     /*!< FM CFG: TRIM (Bit 0)                                        */
#define FM_CFG_TRIM_Msk                       (0xfUL)                   /*!< FM CFG: TRIM (Bitfield-Mask: 0x0f)                          */
#define FM_CFG_CRCEN_Pos                      (6UL)                     /*!< FM CFG: CRCEN (Bit 6)                                       */
#define FM_CFG_CRCEN_Msk                      (0x40UL)                  /*!< FM CFG: CRCEN (Bitfield-Mask: 0x01)                         */
#define FM_CFG_CRCINIT_Pos                    (7UL)                     /*!< FM CFG: CRCINIT (Bit 7)                                     */
#define FM_CFG_CRCINIT_Msk                    (0x80UL)                  /*!< FM CFG: CRCINIT (Bitfield-Mask: 0x01)                       */
#define FM_CFG_WAIT_Pos                       (8UL)                     /*!< FM CFG: WAIT (Bit 8)                                        */
#define FM_CFG_WAIT_Msk                       (0x700UL)                 /*!< FM CFG: WAIT (Bitfield-Mask: 0x07)                          */
#define FM_CFG_TMRCK_Pos                      (12UL)                    /*!< FM CFG: TMRCK (Bit 12)                                      */
#define FM_CFG_TMRCK_Msk                      (0x1000UL)                /*!< FM CFG: TMRCK (Bitfield-Mask: 0x01)                         */
#define FM_CFG_HRESPD_Pos                     (15UL)                    /*!< FM CFG: HRESPD (Bit 15)                                     */
#define FM_CFG_HRESPD_Msk                     (0x8000UL)                /*!< FM CFG: HRESPD (Bitfield-Mask: 0x01)                        */
#define FM_CFG_WRITEKEY_Pos                   (16UL)                    /*!< FM CFG: WRITEKEY (Bit 16)                                   */
#define FM_CFG_WRITEKEY_Msk                   (0xffff0000UL)            /*!< FM CFG: WRITEKEY (Bitfield-Mask: 0xffff)                    */

/* ----------------------------------  FM_BOOTCR  --------------------------------- */
#define FM_BOOTCR_BOOTROM_Pos                 (0UL)                     /*!< FM BOOTCR: BOOTROM (Bit 0)                                  */
#define FM_BOOTCR_BOOTROM_Msk                 (0x1UL)                   /*!< FM BOOTCR: BOOTROM (Bitfield-Mask: 0x01)                    */

/* -----------------------------------  FM_PROT  ---------------------------------- */
#define FM_PROT_WP0_Pos                       (0UL)                     /*!< FM PROT: WP0 (Bit 0)                                        */
#define FM_PROT_WP0_Msk                       (0x1UL)                   /*!< FM PROT: WP0 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP1_Pos                       (1UL)                     /*!< FM PROT: WP1 (Bit 1)                                        */
#define FM_PROT_WP1_Msk                       (0x2UL)                   /*!< FM PROT: WP1 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP2_Pos                       (2UL)                     /*!< FM PROT: WP2 (Bit 2)                                        */
#define FM_PROT_WP2_Msk                       (0x4UL)                   /*!< FM PROT: WP2 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP3_Pos                       (3UL)                     /*!< FM PROT: WP3 (Bit 3)                                        */
#define FM_PROT_WP3_Msk                       (0x8UL)                   /*!< FM PROT: WP3 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP4_Pos                       (4UL)                     /*!< FM PROT: WP4 (Bit 4)                                        */
#define FM_PROT_WP4_Msk                       (0x10UL)                  /*!< FM PROT: WP4 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP5_Pos                       (5UL)                     /*!< FM PROT: WP5 (Bit 5)                                        */
#define FM_PROT_WP5_Msk                       (0x20UL)                  /*!< FM PROT: WP5 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP6_Pos                       (6UL)                     /*!< FM PROT: WP6 (Bit 6)                                        */
#define FM_PROT_WP6_Msk                       (0x40UL)                  /*!< FM PROT: WP6 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP7_Pos                       (7UL)                     /*!< FM PROT: WP7 (Bit 7)                                        */
#define FM_PROT_WP7_Msk                       (0x80UL)                  /*!< FM PROT: WP7 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP8_Pos                       (8UL)                     /*!< FM PROT: WP8 (Bit 8)                                        */
#define FM_PROT_WP8_Msk                       (0x100UL)                 /*!< FM PROT: WP8 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP9_Pos                       (9UL)                     /*!< FM PROT: WP9 (Bit 9)                                        */
#define FM_PROT_WP9_Msk                       (0x200UL)                 /*!< FM PROT: WP9 (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WP10_Pos                      (10UL)                    /*!< FM PROT: WP10 (Bit 10)                                      */
#define FM_PROT_WP10_Msk                      (0x400UL)                 /*!< FM PROT: WP10 (Bitfield-Mask: 0x01)                         */
#define FM_PROT_WP11_Pos                      (11UL)                    /*!< FM PROT: WP11 (Bit 11)                                      */
#define FM_PROT_WP11_Msk                      (0x800UL)                 /*!< FM PROT: WP11 (Bitfield-Mask: 0x01)                         */
#define FM_PROT_WP12_Pos                      (12UL)                    /*!< FM PROT: WP12 (Bit 12)                                      */
#define FM_PROT_WP12_Msk                      (0x1000UL)                /*!< FM PROT: WP12 (Bitfield-Mask: 0x01)                         */
#define FM_PROT_WP13_Pos                      (13UL)                    /*!< FM PROT: WP13 (Bit 13)                                      */
#define FM_PROT_WP13_Msk                      (0x2000UL)                /*!< FM PROT: WP13 (Bitfield-Mask: 0x01)                         */
#define FM_PROT_WP14_Pos                      (14UL)                    /*!< FM PROT: WP14 (Bit 14)                                      */
#define FM_PROT_WP14_Msk                      (0x4000UL)                /*!< FM PROT: WP14 (Bitfield-Mask: 0x01)                         */
#define FM_PROT_WP15_Pos                      (15UL)                    /*!< FM PROT: WP15 (Bit 15)                                      */
#define FM_PROT_WP15_Msk                      (0x8000UL)                /*!< FM PROT: WP15 (Bitfield-Mask: 0x01)                         */
#define FM_PROT_PAS_Pos                       (16UL)                    /*!< FM PROT: PAS (Bit 16)                                       */
#define FM_PROT_PAS_Msk                       (0x70000UL)               /*!< FM PROT: PAS (Bitfield-Mask: 0x07)                          */
#define FM_PROT_APR_Pos                       (23UL)                    /*!< FM PROT: APR (Bit 23)                                       */
#define FM_PROT_APR_Msk                       (0x800000UL)              /*!< FM PROT: APR (Bitfield-Mask: 0x01)                          */
#define FM_PROT_WRITEKEY_Pos                  (24UL)                    /*!< FM PROT: WRITEKEY (Bit 24)                                  */
#define FM_PROT_WRITEKEY_Msk                  (0xff000000UL)            /*!< FM PROT: WRITEKEY (Bitfield-Mask: 0xff)                     */

/* ----------------------------------  FM_JTAGEN  --------------------------------- */
#define FM_JTAGEN_JTAGEN_Pos                  (0UL)                     /*!< FM JTAGEN: JTAGEN (Bit 0)                                   */
#define FM_JTAGEN_JTAGEN_Msk                  (0x1UL)                   /*!< FM JTAGEN: JTAGEN (Bitfield-Mask: 0x01)                     */
#define FM_JTAGEN_WRITE_KEY_Pos               (24UL)                    /*!< FM JTAGEN: WRITE_KEY (Bit 24)                               */
#define FM_JTAGEN_WRITE_KEY_Msk               (0xff000000UL)            /*!< FM JTAGEN: WRITE_KEY (Bitfield-Mask: 0xff)                  */


/* ================================================================================ */
/* ================          struct 'WDT' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  WDT_CON  ---------------------------------- */
#define WDT_CON_WPRS_Pos                      (0UL)                     /*!< WDT CON: WPRS (Bit 0)                                       */
#define WDT_CON_WPRS_Msk                      (0x7UL)                   /*!< WDT CON: WPRS (Bitfield-Mask: 0x07)                         */
#define WDT_CON_CKSEL_Pos                     (3UL)                     /*!< WDT CON: CKSEL (Bit 3)                                      */
#define WDT_CON_CKSEL_Msk                     (0x8UL)                   /*!< WDT CON: CKSEL (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTEN_Pos                     (4UL)                     /*!< WDT CON: WDTEN (Bit 4)                                      */
#define WDT_CON_WDTEN_Msk                     (0x10UL)                  /*!< WDT CON: WDTEN (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTRE_Pos                     (6UL)                     /*!< WDT CON: WDTRE (Bit 6)                                      */
#define WDT_CON_WDTRE_Msk                     (0x40UL)                  /*!< WDT CON: WDTRE (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTIE_Pos                     (7UL)                     /*!< WDT CON: WDTIE (Bit 7)                                      */
#define WDT_CON_WDTIE_Msk                     (0x80UL)                  /*!< WDT CON: WDTIE (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WUF_Pos                       (8UL)                     /*!< WDT CON: WUF (Bit 8)                                        */
#define WDT_CON_WUF_Msk                       (0x100UL)                 /*!< WDT CON: WUF (Bitfield-Mask: 0x01)                          */
#define WDT_CON_WDBG_Pos                      (15UL)                    /*!< WDT CON: WDBG (Bit 15)                                      */
#define WDT_CON_WDBG_Msk                      (0x8000UL)                /*!< WDT CON: WDBG (Bitfield-Mask: 0x01)                         */


/* ================================================================================ */
/* ================          struct 'DC0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC0_CR  ----------------------------------- */
#define DC0_CR_DIR_Pos                        (1UL)                     /*!< DC0 CR: DIR (Bit 1)                                         */
#define DC0_CR_DIR_Msk                        (0x2UL)                   /*!< DC0 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC0_CR_SIZE_Pos                       (2UL)                     /*!< DC0 CR: SIZE (Bit 2)                                        */
#define DC0_CR_SIZE_Msk                       (0xcUL)                   /*!< DC0 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC0_CR_PERISEL_Pos                    (8UL)                     /*!< DC0 CR: PERISEL (Bit 8)                                     */
#define DC0_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC0 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC0_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC0 CR: TRANSCNT (Bit 16)                                   */
#define DC0_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC0 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC0_SR  ----------------------------------- */
#define DC0_SR_DMAEN_Pos                      (0UL)                     /*!< DC0 SR: DMAEN (Bit 0)                                       */
#define DC0_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC0 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC0_SR_EOT_Pos                        (7UL)                     /*!< DC0 SR: EOT (Bit 7)                                         */
#define DC0_SR_EOT_Msk                        (0x80UL)                  /*!< DC0 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC0_PAR  ---------------------------------- */
#define DC0_PAR_PAR_Pos                       (0UL)                     /*!< DC0 PAR: PAR (Bit 0)                                        */
#define DC0_PAR_PAR_Msk                       (0xffffUL)                /*!< DC0 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC0_MAR  ---------------------------------- */
#define DC0_MAR_MAR_Pos                       (0UL)                     /*!< DC0 MAR: MAR (Bit 0)                                        */
#define DC0_MAR_MAR_Msk                       (0xffffUL)                /*!< DC0 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC1_CR  ----------------------------------- */
#define DC1_CR_DIR_Pos                        (1UL)                     /*!< DC1 CR: DIR (Bit 1)                                         */
#define DC1_CR_DIR_Msk                        (0x2UL)                   /*!< DC1 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC1_CR_SIZE_Pos                       (2UL)                     /*!< DC1 CR: SIZE (Bit 2)                                        */
#define DC1_CR_SIZE_Msk                       (0xcUL)                   /*!< DC1 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC1_CR_PERISEL_Pos                    (8UL)                     /*!< DC1 CR: PERISEL (Bit 8)                                     */
#define DC1_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC1 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC1_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC1 CR: TRANSCNT (Bit 16)                                   */
#define DC1_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC1 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC1_SR  ----------------------------------- */
#define DC1_SR_DMAEN_Pos                      (0UL)                     /*!< DC1 SR: DMAEN (Bit 0)                                       */
#define DC1_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC1 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC1_SR_EOT_Pos                        (7UL)                     /*!< DC1 SR: EOT (Bit 7)                                         */
#define DC1_SR_EOT_Msk                        (0x80UL)                  /*!< DC1 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC1_PAR  ---------------------------------- */
#define DC1_PAR_PAR_Pos                       (0UL)                     /*!< DC1 PAR: PAR (Bit 0)                                        */
#define DC1_PAR_PAR_Msk                       (0xffffUL)                /*!< DC1 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC1_MAR  ---------------------------------- */
#define DC1_MAR_MAR_Pos                       (0UL)                     /*!< DC1 MAR: MAR (Bit 0)                                        */
#define DC1_MAR_MAR_Msk                       (0xffffUL)                /*!< DC1 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC2_CR  ----------------------------------- */
#define DC2_CR_DIR_Pos                        (1UL)                     /*!< DC2 CR: DIR (Bit 1)                                         */
#define DC2_CR_DIR_Msk                        (0x2UL)                   /*!< DC2 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC2_CR_SIZE_Pos                       (2UL)                     /*!< DC2 CR: SIZE (Bit 2)                                        */
#define DC2_CR_SIZE_Msk                       (0xcUL)                   /*!< DC2 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC2_CR_PERISEL_Pos                    (8UL)                     /*!< DC2 CR: PERISEL (Bit 8)                                     */
#define DC2_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC2 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC2_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC2 CR: TRANSCNT (Bit 16)                                   */
#define DC2_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC2 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC2_SR  ----------------------------------- */
#define DC2_SR_DMAEN_Pos                      (0UL)                     /*!< DC2 SR: DMAEN (Bit 0)                                       */
#define DC2_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC2 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC2_SR_EOT_Pos                        (7UL)                     /*!< DC2 SR: EOT (Bit 7)                                         */
#define DC2_SR_EOT_Msk                        (0x80UL)                  /*!< DC2 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC2_PAR  ---------------------------------- */
#define DC2_PAR_PAR_Pos                       (0UL)                     /*!< DC2 PAR: PAR (Bit 0)                                        */
#define DC2_PAR_PAR_Msk                       (0xffffUL)                /*!< DC2 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC2_MAR  ---------------------------------- */
#define DC2_MAR_MAR_Pos                       (0UL)                     /*!< DC2 MAR: MAR (Bit 0)                                        */
#define DC2_MAR_MAR_Msk                       (0xffffUL)                /*!< DC2 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC3_CR  ----------------------------------- */
#define DC3_CR_DIR_Pos                        (1UL)                     /*!< DC3 CR: DIR (Bit 1)                                         */
#define DC3_CR_DIR_Msk                        (0x2UL)                   /*!< DC3 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC3_CR_SIZE_Pos                       (2UL)                     /*!< DC3 CR: SIZE (Bit 2)                                        */
#define DC3_CR_SIZE_Msk                       (0xcUL)                   /*!< DC3 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC3_CR_PERISEL_Pos                    (8UL)                     /*!< DC3 CR: PERISEL (Bit 8)                                     */
#define DC3_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC3 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC3_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC3 CR: TRANSCNT (Bit 16)                                   */
#define DC3_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC3 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC3_SR  ----------------------------------- */
#define DC3_SR_DMAEN_Pos                      (0UL)                     /*!< DC3 SR: DMAEN (Bit 0)                                       */
#define DC3_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC3 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC3_SR_EOT_Pos                        (7UL)                     /*!< DC3 SR: EOT (Bit 7)                                         */
#define DC3_SR_EOT_Msk                        (0x80UL)                  /*!< DC3 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC3_PAR  ---------------------------------- */
#define DC3_PAR_PAR_Pos                       (0UL)                     /*!< DC3 PAR: PAR (Bit 0)                                        */
#define DC3_PAR_PAR_Msk                       (0xffffUL)                /*!< DC3 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC3_MAR  ---------------------------------- */
#define DC3_MAR_MAR_Pos                       (0UL)                     /*!< DC3 MAR: MAR (Bit 0)                                        */
#define DC3_MAR_MAR_Msk                       (0xffffUL)                /*!< DC3 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC4' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC4_CR  ----------------------------------- */
#define DC4_CR_DIR_Pos                        (1UL)                     /*!< DC4 CR: DIR (Bit 1)                                         */
#define DC4_CR_DIR_Msk                        (0x2UL)                   /*!< DC4 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC4_CR_SIZE_Pos                       (2UL)                     /*!< DC4 CR: SIZE (Bit 2)                                        */
#define DC4_CR_SIZE_Msk                       (0xcUL)                   /*!< DC4 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC4_CR_PERISEL_Pos                    (8UL)                     /*!< DC4 CR: PERISEL (Bit 8)                                     */
#define DC4_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC4 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC4_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC4 CR: TRANSCNT (Bit 16)                                   */
#define DC4_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC4 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC4_SR  ----------------------------------- */
#define DC4_SR_DMAEN_Pos                      (0UL)                     /*!< DC4 SR: DMAEN (Bit 0)                                       */
#define DC4_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC4 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC4_SR_EOT_Pos                        (7UL)                     /*!< DC4 SR: EOT (Bit 7)                                         */
#define DC4_SR_EOT_Msk                        (0x80UL)                  /*!< DC4 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC4_PAR  ---------------------------------- */
#define DC4_PAR_PAR_Pos                       (0UL)                     /*!< DC4 PAR: PAR (Bit 0)                                        */
#define DC4_PAR_PAR_Msk                       (0xffffUL)                /*!< DC4 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC4_MAR  ---------------------------------- */
#define DC4_MAR_MAR_Pos                       (0UL)                     /*!< DC4 MAR: MAR (Bit 0)                                        */
#define DC4_MAR_MAR_Msk                       (0xffffUL)                /*!< DC4 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC5' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC5_CR  ----------------------------------- */
#define DC5_CR_DIR_Pos                        (1UL)                     /*!< DC5 CR: DIR (Bit 1)                                         */
#define DC5_CR_DIR_Msk                        (0x2UL)                   /*!< DC5 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC5_CR_SIZE_Pos                       (2UL)                     /*!< DC5 CR: SIZE (Bit 2)                                        */
#define DC5_CR_SIZE_Msk                       (0xcUL)                   /*!< DC5 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC5_CR_PERISEL_Pos                    (8UL)                     /*!< DC5 CR: PERISEL (Bit 8)                                     */
#define DC5_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC5 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC5_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC5 CR: TRANSCNT (Bit 16)                                   */
#define DC5_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC5 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC5_SR  ----------------------------------- */
#define DC5_SR_DMAEN_Pos                      (0UL)                     /*!< DC5 SR: DMAEN (Bit 0)                                       */
#define DC5_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC5 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC5_SR_EOT_Pos                        (7UL)                     /*!< DC5 SR: EOT (Bit 7)                                         */
#define DC5_SR_EOT_Msk                        (0x80UL)                  /*!< DC5 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC5_PAR  ---------------------------------- */
#define DC5_PAR_PAR_Pos                       (0UL)                     /*!< DC5 PAR: PAR (Bit 0)                                        */
#define DC5_PAR_PAR_Msk                       (0xffffUL)                /*!< DC5 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC5_MAR  ---------------------------------- */
#define DC5_MAR_MAR_Pos                       (0UL)                     /*!< DC5 MAR: MAR (Bit 0)                                        */
#define DC5_MAR_MAR_Msk                       (0xffffUL)                /*!< DC5 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC6' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC6_CR  ----------------------------------- */
#define DC6_CR_DIR_Pos                        (1UL)                     /*!< DC6 CR: DIR (Bit 1)                                         */
#define DC6_CR_DIR_Msk                        (0x2UL)                   /*!< DC6 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC6_CR_SIZE_Pos                       (2UL)                     /*!< DC6 CR: SIZE (Bit 2)                                        */
#define DC6_CR_SIZE_Msk                       (0xcUL)                   /*!< DC6 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC6_CR_PERISEL_Pos                    (8UL)                     /*!< DC6 CR: PERISEL (Bit 8)                                     */
#define DC6_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC6 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC6_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC6 CR: TRANSCNT (Bit 16)                                   */
#define DC6_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC6 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC6_SR  ----------------------------------- */
#define DC6_SR_DMAEN_Pos                      (0UL)                     /*!< DC6 SR: DMAEN (Bit 0)                                       */
#define DC6_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC6 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC6_SR_EOT_Pos                        (7UL)                     /*!< DC6 SR: EOT (Bit 7)                                         */
#define DC6_SR_EOT_Msk                        (0x80UL)                  /*!< DC6 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC6_PAR  ---------------------------------- */
#define DC6_PAR_PAR_Pos                       (0UL)                     /*!< DC6 PAR: PAR (Bit 0)                                        */
#define DC6_PAR_PAR_Msk                       (0xffffUL)                /*!< DC6 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC6_MAR  ---------------------------------- */
#define DC6_MAR_MAR_Pos                       (0UL)                     /*!< DC6 MAR: MAR (Bit 0)                                        */
#define DC6_MAR_MAR_Msk                       (0xffffUL)                /*!< DC6 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC7' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC7_CR  ----------------------------------- */
#define DC7_CR_DIR_Pos                        (1UL)                     /*!< DC7 CR: DIR (Bit 1)                                         */
#define DC7_CR_DIR_Msk                        (0x2UL)                   /*!< DC7 CR: DIR (Bitfield-Mask: 0x01)                           */
#define DC7_CR_SIZE_Pos                       (2UL)                     /*!< DC7 CR: SIZE (Bit 2)                                        */
#define DC7_CR_SIZE_Msk                       (0xcUL)                   /*!< DC7 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC7_CR_PERISEL_Pos                    (8UL)                     /*!< DC7 CR: PERISEL (Bit 8)                                     */
#define DC7_CR_PERISEL_Msk                    (0xf00UL)                 /*!< DC7 CR: PERISEL (Bitfield-Mask: 0x0f)                       */
#define DC7_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC7 CR: TRANSCNT (Bit 16)                                   */
#define DC7_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC7 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC7_SR  ----------------------------------- */
#define DC7_SR_DMAEN_Pos                      (0UL)                     /*!< DC7 SR: DMAEN (Bit 0)                                       */
#define DC7_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC7 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC7_SR_EOT_Pos                        (7UL)                     /*!< DC7 SR: EOT (Bit 7)                                         */
#define DC7_SR_EOT_Msk                        (0x80UL)                  /*!< DC7 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC7_PAR  ---------------------------------- */
#define DC7_PAR_PAR_Pos                       (0UL)                     /*!< DC7 PAR: PAR (Bit 0)                                        */
#define DC7_PAR_PAR_Msk                       (0xffffUL)                /*!< DC7 PAR: PAR (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  DC7_MAR  ---------------------------------- */
#define DC7_MAR_MAR_Pos                       (0UL)                     /*!< DC7 MAR: MAR (Bit 0)                                        */
#define DC7_MAR_MAR_Msk                       (0xffffUL)                /*!< DC7 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'PCA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCA_MR  ----------------------------------- */
#define PCA_MR_P0_Pos                         (0UL)                     /*!< PCA MR: P0 (Bit 0)                                          */
#define PCA_MR_P0_Msk                         (0x3UL)                   /*!< PCA MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P1_Pos                         (2UL)                     /*!< PCA MR: P1 (Bit 2)                                          */
#define PCA_MR_P1_Msk                         (0xcUL)                   /*!< PCA MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P2_Pos                         (4UL)                     /*!< PCA MR: P2 (Bit 4)                                          */
#define PCA_MR_P2_Msk                         (0x30UL)                  /*!< PCA MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P3_Pos                         (6UL)                     /*!< PCA MR: P3 (Bit 6)                                          */
#define PCA_MR_P3_Msk                         (0xc0UL)                  /*!< PCA MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P4_Pos                         (8UL)                     /*!< PCA MR: P4 (Bit 8)                                          */
#define PCA_MR_P4_Msk                         (0x300UL)                 /*!< PCA MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P5_Pos                         (10UL)                    /*!< PCA MR: P5 (Bit 10)                                         */
#define PCA_MR_P5_Msk                         (0xc00UL)                 /*!< PCA MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P6_Pos                         (12UL)                    /*!< PCA MR: P6 (Bit 12)                                         */
#define PCA_MR_P6_Msk                         (0x3000UL)                /*!< PCA MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P7_Pos                         (14UL)                    /*!< PCA MR: P7 (Bit 14)                                         */
#define PCA_MR_P7_Msk                         (0xc000UL)                /*!< PCA MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P8_Pos                         (16UL)                    /*!< PCA MR: P8 (Bit 16)                                         */
#define PCA_MR_P8_Msk                         (0x30000UL)               /*!< PCA MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P9_Pos                         (18UL)                    /*!< PCA MR: P9 (Bit 18)                                         */
#define PCA_MR_P9_Msk                         (0xc0000UL)               /*!< PCA MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P10_Pos                        (20UL)                    /*!< PCA MR: P10 (Bit 20)                                        */
#define PCA_MR_P10_Msk                        (0x300000UL)              /*!< PCA MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P11_Pos                        (22UL)                    /*!< PCA MR: P11 (Bit 22)                                        */
#define PCA_MR_P11_Msk                        (0xc00000UL)              /*!< PCA MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P12_Pos                        (24UL)                    /*!< PCA MR: P12 (Bit 24)                                        */
#define PCA_MR_P12_Msk                        (0x3000000UL)             /*!< PCA MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P13_Pos                        (26UL)                    /*!< PCA MR: P13 (Bit 26)                                        */
#define PCA_MR_P13_Msk                        (0xc000000UL)             /*!< PCA MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P14_Pos                        (28UL)                    /*!< PCA MR: P14 (Bit 28)                                        */
#define PCA_MR_P14_Msk                        (0x30000000UL)            /*!< PCA MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P15_Pos                        (30UL)                    /*!< PCA MR: P15 (Bit 30)                                        */
#define PCA_MR_P15_Msk                        (0xc0000000UL)            /*!< PCA MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCA_CR  ----------------------------------- */
#define PCA_CR_P0_Pos                         (0UL)                     /*!< PCA CR: P0 (Bit 0)                                          */
#define PCA_CR_P0_Msk                         (0x3UL)                   /*!< PCA CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P1_Pos                         (2UL)                     /*!< PCA CR: P1 (Bit 2)                                          */
#define PCA_CR_P1_Msk                         (0xcUL)                   /*!< PCA CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P2_Pos                         (4UL)                     /*!< PCA CR: P2 (Bit 4)                                          */
#define PCA_CR_P2_Msk                         (0x30UL)                  /*!< PCA CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P3_Pos                         (6UL)                     /*!< PCA CR: P3 (Bit 6)                                          */
#define PCA_CR_P3_Msk                         (0xc0UL)                  /*!< PCA CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P4_Pos                         (8UL)                     /*!< PCA CR: P4 (Bit 8)                                          */
#define PCA_CR_P4_Msk                         (0x300UL)                 /*!< PCA CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P5_Pos                         (10UL)                    /*!< PCA CR: P5 (Bit 10)                                         */
#define PCA_CR_P5_Msk                         (0xc00UL)                 /*!< PCA CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P6_Pos                         (12UL)                    /*!< PCA CR: P6 (Bit 12)                                         */
#define PCA_CR_P6_Msk                         (0x3000UL)                /*!< PCA CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P7_Pos                         (14UL)                    /*!< PCA CR: P7 (Bit 14)                                         */
#define PCA_CR_P7_Msk                         (0xc000UL)                /*!< PCA CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P8_Pos                         (16UL)                    /*!< PCA CR: P8 (Bit 16)                                         */
#define PCA_CR_P8_Msk                         (0x30000UL)               /*!< PCA CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P9_Pos                         (18UL)                    /*!< PCA CR: P9 (Bit 18)                                         */
#define PCA_CR_P9_Msk                         (0xc0000UL)               /*!< PCA CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P10_Pos                        (20UL)                    /*!< PCA CR: P10 (Bit 20)                                        */
#define PCA_CR_P10_Msk                        (0x300000UL)              /*!< PCA CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P11_Pos                        (22UL)                    /*!< PCA CR: P11 (Bit 22)                                        */
#define PCA_CR_P11_Msk                        (0xc00000UL)              /*!< PCA CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P12_Pos                        (24UL)                    /*!< PCA CR: P12 (Bit 24)                                        */
#define PCA_CR_P12_Msk                        (0x3000000UL)             /*!< PCA CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P13_Pos                        (26UL)                    /*!< PCA CR: P13 (Bit 26)                                        */
#define PCA_CR_P13_Msk                        (0xc000000UL)             /*!< PCA CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P14_Pos                        (28UL)                    /*!< PCA CR: P14 (Bit 28)                                        */
#define PCA_CR_P14_Msk                        (0x30000000UL)            /*!< PCA CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P15_Pos                        (30UL)                    /*!< PCA CR: P15 (Bit 30)                                        */
#define PCA_CR_P15_Msk                        (0xc0000000UL)            /*!< PCA CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCA_PCR  ---------------------------------- */
#define PCA_PCR_P0_Pos                        (0UL)                     /*!< PCA PCR: P0 (Bit 0)                                         */
#define PCA_PCR_P0_Msk                        (0x1UL)                   /*!< PCA PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P1_Pos                        (1UL)                     /*!< PCA PCR: P1 (Bit 1)                                         */
#define PCA_PCR_P1_Msk                        (0x2UL)                   /*!< PCA PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P2_Pos                        (2UL)                     /*!< PCA PCR: P2 (Bit 2)                                         */
#define PCA_PCR_P2_Msk                        (0x4UL)                   /*!< PCA PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P3_Pos                        (3UL)                     /*!< PCA PCR: P3 (Bit 3)                                         */
#define PCA_PCR_P3_Msk                        (0x8UL)                   /*!< PCA PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P4_Pos                        (4UL)                     /*!< PCA PCR: P4 (Bit 4)                                         */
#define PCA_PCR_P4_Msk                        (0x10UL)                  /*!< PCA PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P5_Pos                        (5UL)                     /*!< PCA PCR: P5 (Bit 5)                                         */
#define PCA_PCR_P5_Msk                        (0x20UL)                  /*!< PCA PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P6_Pos                        (6UL)                     /*!< PCA PCR: P6 (Bit 6)                                         */
#define PCA_PCR_P6_Msk                        (0x40UL)                  /*!< PCA PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P7_Pos                        (7UL)                     /*!< PCA PCR: P7 (Bit 7)                                         */
#define PCA_PCR_P7_Msk                        (0x80UL)                  /*!< PCA PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P8_Pos                        (8UL)                     /*!< PCA PCR: P8 (Bit 8)                                         */
#define PCA_PCR_P8_Msk                        (0x100UL)                 /*!< PCA PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P9_Pos                        (9UL)                     /*!< PCA PCR: P9 (Bit 9)                                         */
#define PCA_PCR_P9_Msk                        (0x200UL)                 /*!< PCA PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P10_Pos                       (10UL)                    /*!< PCA PCR: P10 (Bit 10)                                       */
#define PCA_PCR_P10_Msk                       (0x400UL)                 /*!< PCA PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P11_Pos                       (11UL)                    /*!< PCA PCR: P11 (Bit 11)                                       */
#define PCA_PCR_P11_Msk                       (0x800UL)                 /*!< PCA PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P12_Pos                       (12UL)                    /*!< PCA PCR: P12 (Bit 12)                                       */
#define PCA_PCR_P12_Msk                       (0x1000UL)                /*!< PCA PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P13_Pos                       (13UL)                    /*!< PCA PCR: P13 (Bit 13)                                       */
#define PCA_PCR_P13_Msk                       (0x2000UL)                /*!< PCA PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P14_Pos                       (14UL)                    /*!< PCA PCR: P14 (Bit 14)                                       */
#define PCA_PCR_P14_Msk                       (0x4000UL)                /*!< PCA PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P15_Pos                       (15UL)                    /*!< PCA PCR: P15 (Bit 15)                                       */
#define PCA_PCR_P15_Msk                       (0x8000UL)                /*!< PCA PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCA_DER  ---------------------------------- */
#define PCA_DER_P0_Pos                        (0UL)                     /*!< PCA DER: P0 (Bit 0)                                         */
#define PCA_DER_P0_Msk                        (0x1UL)                   /*!< PCA DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P1_Pos                        (1UL)                     /*!< PCA DER: P1 (Bit 1)                                         */
#define PCA_DER_P1_Msk                        (0x2UL)                   /*!< PCA DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P2_Pos                        (2UL)                     /*!< PCA DER: P2 (Bit 2)                                         */
#define PCA_DER_P2_Msk                        (0x4UL)                   /*!< PCA DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P3_Pos                        (3UL)                     /*!< PCA DER: P3 (Bit 3)                                         */
#define PCA_DER_P3_Msk                        (0x8UL)                   /*!< PCA DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P4_Pos                        (4UL)                     /*!< PCA DER: P4 (Bit 4)                                         */
#define PCA_DER_P4_Msk                        (0x10UL)                  /*!< PCA DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P5_Pos                        (5UL)                     /*!< PCA DER: P5 (Bit 5)                                         */
#define PCA_DER_P5_Msk                        (0x20UL)                  /*!< PCA DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P6_Pos                        (6UL)                     /*!< PCA DER: P6 (Bit 6)                                         */
#define PCA_DER_P6_Msk                        (0x40UL)                  /*!< PCA DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P7_Pos                        (7UL)                     /*!< PCA DER: P7 (Bit 7)                                         */
#define PCA_DER_P7_Msk                        (0x80UL)                  /*!< PCA DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P8_Pos                        (8UL)                     /*!< PCA DER: P8 (Bit 8)                                         */
#define PCA_DER_P8_Msk                        (0x100UL)                 /*!< PCA DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P9_Pos                        (9UL)                     /*!< PCA DER: P9 (Bit 9)                                         */
#define PCA_DER_P9_Msk                        (0x200UL)                 /*!< PCA DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P10_Pos                       (10UL)                    /*!< PCA DER: P10 (Bit 10)                                       */
#define PCA_DER_P10_Msk                       (0x400UL)                 /*!< PCA DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P11_Pos                       (11UL)                    /*!< PCA DER: P11 (Bit 11)                                       */
#define PCA_DER_P11_Msk                       (0x800UL)                 /*!< PCA DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P12_Pos                       (12UL)                    /*!< PCA DER: P12 (Bit 12)                                       */
#define PCA_DER_P12_Msk                       (0x1000UL)                /*!< PCA DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P13_Pos                       (13UL)                    /*!< PCA DER: P13 (Bit 13)                                       */
#define PCA_DER_P13_Msk                       (0x2000UL)                /*!< PCA DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P14_Pos                       (14UL)                    /*!< PCA DER: P14 (Bit 14)                                       */
#define PCA_DER_P14_Msk                       (0x4000UL)                /*!< PCA DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P15_Pos                       (15UL)                    /*!< PCA DER: P15 (Bit 15)                                       */
#define PCA_DER_P15_Msk                       (0x8000UL)                /*!< PCA DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCA_IER  ---------------------------------- */
#define PCA_IER_P0_Pos                        (0UL)                     /*!< PCA IER: P0 (Bit 0)                                         */
#define PCA_IER_P0_Msk                        (0x3UL)                   /*!< PCA IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P1_Pos                        (2UL)                     /*!< PCA IER: P1 (Bit 2)                                         */
#define PCA_IER_P1_Msk                        (0xcUL)                   /*!< PCA IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P2_Pos                        (4UL)                     /*!< PCA IER: P2 (Bit 4)                                         */
#define PCA_IER_P2_Msk                        (0x30UL)                  /*!< PCA IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P3_Pos                        (6UL)                     /*!< PCA IER: P3 (Bit 6)                                         */
#define PCA_IER_P3_Msk                        (0xc0UL)                  /*!< PCA IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P4_Pos                        (8UL)                     /*!< PCA IER: P4 (Bit 8)                                         */
#define PCA_IER_P4_Msk                        (0x300UL)                 /*!< PCA IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P5_Pos                        (10UL)                    /*!< PCA IER: P5 (Bit 10)                                        */
#define PCA_IER_P5_Msk                        (0xc00UL)                 /*!< PCA IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P6_Pos                        (12UL)                    /*!< PCA IER: P6 (Bit 12)                                        */
#define PCA_IER_P6_Msk                        (0x3000UL)                /*!< PCA IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P7_Pos                        (14UL)                    /*!< PCA IER: P7 (Bit 14)                                        */
#define PCA_IER_P7_Msk                        (0xc000UL)                /*!< PCA IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P8_Pos                        (16UL)                    /*!< PCA IER: P8 (Bit 16)                                        */
#define PCA_IER_P8_Msk                        (0x30000UL)               /*!< PCA IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P9_Pos                        (18UL)                    /*!< PCA IER: P9 (Bit 18)                                        */
#define PCA_IER_P9_Msk                        (0xc0000UL)               /*!< PCA IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P10_Pos                       (20UL)                    /*!< PCA IER: P10 (Bit 20)                                       */
#define PCA_IER_P10_Msk                       (0x300000UL)              /*!< PCA IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P11_Pos                       (22UL)                    /*!< PCA IER: P11 (Bit 22)                                       */
#define PCA_IER_P11_Msk                       (0xc00000UL)              /*!< PCA IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P12_Pos                       (24UL)                    /*!< PCA IER: P12 (Bit 24)                                       */
#define PCA_IER_P12_Msk                       (0x3000000UL)             /*!< PCA IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P13_Pos                       (26UL)                    /*!< PCA IER: P13 (Bit 26)                                       */
#define PCA_IER_P13_Msk                       (0xc000000UL)             /*!< PCA IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P14_Pos                       (28UL)                    /*!< PCA IER: P14 (Bit 28)                                       */
#define PCA_IER_P14_Msk                       (0x30000000UL)            /*!< PCA IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P15_Pos                       (30UL)                    /*!< PCA IER: P15 (Bit 30)                                       */
#define PCA_IER_P15_Msk                       (0xc0000000UL)            /*!< PCA IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCA_ISR  ---------------------------------- */
#define PCA_ISR_P0_Pos                        (0UL)                     /*!< PCA ISR: P0 (Bit 0)                                         */
#define PCA_ISR_P0_Msk                        (0x3UL)                   /*!< PCA ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P1_Pos                        (2UL)                     /*!< PCA ISR: P1 (Bit 2)                                         */
#define PCA_ISR_P1_Msk                        (0xcUL)                   /*!< PCA ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P2_Pos                        (4UL)                     /*!< PCA ISR: P2 (Bit 4)                                         */
#define PCA_ISR_P2_Msk                        (0x30UL)                  /*!< PCA ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P3_Pos                        (6UL)                     /*!< PCA ISR: P3 (Bit 6)                                         */
#define PCA_ISR_P3_Msk                        (0xc0UL)                  /*!< PCA ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P4_Pos                        (8UL)                     /*!< PCA ISR: P4 (Bit 8)                                         */
#define PCA_ISR_P4_Msk                        (0x300UL)                 /*!< PCA ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P5_Pos                        (10UL)                    /*!< PCA ISR: P5 (Bit 10)                                        */
#define PCA_ISR_P5_Msk                        (0xc00UL)                 /*!< PCA ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P6_Pos                        (12UL)                    /*!< PCA ISR: P6 (Bit 12)                                        */
#define PCA_ISR_P6_Msk                        (0x3000UL)                /*!< PCA ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P7_Pos                        (14UL)                    /*!< PCA ISR: P7 (Bit 14)                                        */
#define PCA_ISR_P7_Msk                        (0xc000UL)                /*!< PCA ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P8_Pos                        (16UL)                    /*!< PCA ISR: P8 (Bit 16)                                        */
#define PCA_ISR_P8_Msk                        (0x30000UL)               /*!< PCA ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P9_Pos                        (18UL)                    /*!< PCA ISR: P9 (Bit 18)                                        */
#define PCA_ISR_P9_Msk                        (0xc0000UL)               /*!< PCA ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P10_Pos                       (20UL)                    /*!< PCA ISR: P10 (Bit 20)                                       */
#define PCA_ISR_P10_Msk                       (0x300000UL)              /*!< PCA ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P11_Pos                       (22UL)                    /*!< PCA ISR: P11 (Bit 22)                                       */
#define PCA_ISR_P11_Msk                       (0xc00000UL)              /*!< PCA ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P12_Pos                       (24UL)                    /*!< PCA ISR: P12 (Bit 24)                                       */
#define PCA_ISR_P12_Msk                       (0x3000000UL)             /*!< PCA ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P13_Pos                       (26UL)                    /*!< PCA ISR: P13 (Bit 26)                                       */
#define PCA_ISR_P13_Msk                       (0xc000000UL)             /*!< PCA ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P14_Pos                       (28UL)                    /*!< PCA ISR: P14 (Bit 28)                                       */
#define PCA_ISR_P14_Msk                       (0x30000000UL)            /*!< PCA ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P15_Pos                       (30UL)                    /*!< PCA ISR: P15 (Bit 30)                                       */
#define PCA_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCA ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCA_ICR  ---------------------------------- */
#define PCA_ICR_P0_Pos                        (0UL)                     /*!< PCA ICR: P0 (Bit 0)                                         */
#define PCA_ICR_P0_Msk                        (0x3UL)                   /*!< PCA ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P1_Pos                        (2UL)                     /*!< PCA ICR: P1 (Bit 2)                                         */
#define PCA_ICR_P1_Msk                        (0xcUL)                   /*!< PCA ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P2_Pos                        (4UL)                     /*!< PCA ICR: P2 (Bit 4)                                         */
#define PCA_ICR_P2_Msk                        (0x30UL)                  /*!< PCA ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P3_Pos                        (6UL)                     /*!< PCA ICR: P3 (Bit 6)                                         */
#define PCA_ICR_P3_Msk                        (0xc0UL)                  /*!< PCA ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P4_Pos                        (8UL)                     /*!< PCA ICR: P4 (Bit 8)                                         */
#define PCA_ICR_P4_Msk                        (0x300UL)                 /*!< PCA ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P5_Pos                        (10UL)                    /*!< PCA ICR: P5 (Bit 10)                                        */
#define PCA_ICR_P5_Msk                        (0xc00UL)                 /*!< PCA ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P6_Pos                        (12UL)                    /*!< PCA ICR: P6 (Bit 12)                                        */
#define PCA_ICR_P6_Msk                        (0x3000UL)                /*!< PCA ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P7_Pos                        (14UL)                    /*!< PCA ICR: P7 (Bit 14)                                        */
#define PCA_ICR_P7_Msk                        (0xc000UL)                /*!< PCA ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P8_Pos                        (16UL)                    /*!< PCA ICR: P8 (Bit 16)                                        */
#define PCA_ICR_P8_Msk                        (0x30000UL)               /*!< PCA ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P9_Pos                        (18UL)                    /*!< PCA ICR: P9 (Bit 18)                                        */
#define PCA_ICR_P9_Msk                        (0xc0000UL)               /*!< PCA ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P10_Pos                       (20UL)                    /*!< PCA ICR: P10 (Bit 20)                                       */
#define PCA_ICR_P10_Msk                       (0x300000UL)              /*!< PCA ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P11_Pos                       (22UL)                    /*!< PCA ICR: P11 (Bit 22)                                       */
#define PCA_ICR_P11_Msk                       (0xc00000UL)              /*!< PCA ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P12_Pos                       (24UL)                    /*!< PCA ICR: P12 (Bit 24)                                       */
#define PCA_ICR_P12_Msk                       (0x3000000UL)             /*!< PCA ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P13_Pos                       (26UL)                    /*!< PCA ICR: P13 (Bit 26)                                       */
#define PCA_ICR_P13_Msk                       (0xc000000UL)             /*!< PCA ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P14_Pos                       (28UL)                    /*!< PCA ICR: P14 (Bit 28)                                       */
#define PCA_ICR_P14_Msk                       (0x30000000UL)            /*!< PCA ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P15_Pos                       (30UL)                    /*!< PCA ICR: P15 (Bit 30)                                       */
#define PCA_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCA ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCB_MR  ----------------------------------- */
#define PCB_MR_P0_Pos                         (0UL)                     /*!< PCB MR: P0 (Bit 0)                                          */
#define PCB_MR_P0_Msk                         (0x3UL)                   /*!< PCB MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P1_Pos                         (2UL)                     /*!< PCB MR: P1 (Bit 2)                                          */
#define PCB_MR_P1_Msk                         (0xcUL)                   /*!< PCB MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P2_Pos                         (4UL)                     /*!< PCB MR: P2 (Bit 4)                                          */
#define PCB_MR_P2_Msk                         (0x30UL)                  /*!< PCB MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P3_Pos                         (6UL)                     /*!< PCB MR: P3 (Bit 6)                                          */
#define PCB_MR_P3_Msk                         (0xc0UL)                  /*!< PCB MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P4_Pos                         (8UL)                     /*!< PCB MR: P4 (Bit 8)                                          */
#define PCB_MR_P4_Msk                         (0x300UL)                 /*!< PCB MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P5_Pos                         (10UL)                    /*!< PCB MR: P5 (Bit 10)                                         */
#define PCB_MR_P5_Msk                         (0xc00UL)                 /*!< PCB MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P6_Pos                         (12UL)                    /*!< PCB MR: P6 (Bit 12)                                         */
#define PCB_MR_P6_Msk                         (0x3000UL)                /*!< PCB MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P7_Pos                         (14UL)                    /*!< PCB MR: P7 (Bit 14)                                         */
#define PCB_MR_P7_Msk                         (0xc000UL)                /*!< PCB MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P8_Pos                         (16UL)                    /*!< PCB MR: P8 (Bit 16)                                         */
#define PCB_MR_P8_Msk                         (0x30000UL)               /*!< PCB MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P9_Pos                         (18UL)                    /*!< PCB MR: P9 (Bit 18)                                         */
#define PCB_MR_P9_Msk                         (0xc0000UL)               /*!< PCB MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P10_Pos                        (20UL)                    /*!< PCB MR: P10 (Bit 20)                                        */
#define PCB_MR_P10_Msk                        (0x300000UL)              /*!< PCB MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P11_Pos                        (22UL)                    /*!< PCB MR: P11 (Bit 22)                                        */
#define PCB_MR_P11_Msk                        (0xc00000UL)              /*!< PCB MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P12_Pos                        (24UL)                    /*!< PCB MR: P12 (Bit 24)                                        */
#define PCB_MR_P12_Msk                        (0x3000000UL)             /*!< PCB MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P13_Pos                        (26UL)                    /*!< PCB MR: P13 (Bit 26)                                        */
#define PCB_MR_P13_Msk                        (0xc000000UL)             /*!< PCB MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P14_Pos                        (28UL)                    /*!< PCB MR: P14 (Bit 28)                                        */
#define PCB_MR_P14_Msk                        (0x30000000UL)            /*!< PCB MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P15_Pos                        (30UL)                    /*!< PCB MR: P15 (Bit 30)                                        */
#define PCB_MR_P15_Msk                        (0xc0000000UL)            /*!< PCB MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCB_CR  ----------------------------------- */
#define PCB_CR_P0_Pos                         (0UL)                     /*!< PCB CR: P0 (Bit 0)                                          */
#define PCB_CR_P0_Msk                         (0x3UL)                   /*!< PCB CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P1_Pos                         (2UL)                     /*!< PCB CR: P1 (Bit 2)                                          */
#define PCB_CR_P1_Msk                         (0xcUL)                   /*!< PCB CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P2_Pos                         (4UL)                     /*!< PCB CR: P2 (Bit 4)                                          */
#define PCB_CR_P2_Msk                         (0x30UL)                  /*!< PCB CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P3_Pos                         (6UL)                     /*!< PCB CR: P3 (Bit 6)                                          */
#define PCB_CR_P3_Msk                         (0xc0UL)                  /*!< PCB CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P4_Pos                         (8UL)                     /*!< PCB CR: P4 (Bit 8)                                          */
#define PCB_CR_P4_Msk                         (0x300UL)                 /*!< PCB CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P5_Pos                         (10UL)                    /*!< PCB CR: P5 (Bit 10)                                         */
#define PCB_CR_P5_Msk                         (0xc00UL)                 /*!< PCB CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P6_Pos                         (12UL)                    /*!< PCB CR: P6 (Bit 12)                                         */
#define PCB_CR_P6_Msk                         (0x3000UL)                /*!< PCB CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P7_Pos                         (14UL)                    /*!< PCB CR: P7 (Bit 14)                                         */
#define PCB_CR_P7_Msk                         (0xc000UL)                /*!< PCB CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P8_Pos                         (16UL)                    /*!< PCB CR: P8 (Bit 16)                                         */
#define PCB_CR_P8_Msk                         (0x30000UL)               /*!< PCB CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P9_Pos                         (18UL)                    /*!< PCB CR: P9 (Bit 18)                                         */
#define PCB_CR_P9_Msk                         (0xc0000UL)               /*!< PCB CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P10_Pos                        (20UL)                    /*!< PCB CR: P10 (Bit 20)                                        */
#define PCB_CR_P10_Msk                        (0x300000UL)              /*!< PCB CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P11_Pos                        (22UL)                    /*!< PCB CR: P11 (Bit 22)                                        */
#define PCB_CR_P11_Msk                        (0xc00000UL)              /*!< PCB CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P12_Pos                        (24UL)                    /*!< PCB CR: P12 (Bit 24)                                        */
#define PCB_CR_P12_Msk                        (0x3000000UL)             /*!< PCB CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P13_Pos                        (26UL)                    /*!< PCB CR: P13 (Bit 26)                                        */
#define PCB_CR_P13_Msk                        (0xc000000UL)             /*!< PCB CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P14_Pos                        (28UL)                    /*!< PCB CR: P14 (Bit 28)                                        */
#define PCB_CR_P14_Msk                        (0x30000000UL)            /*!< PCB CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P15_Pos                        (30UL)                    /*!< PCB CR: P15 (Bit 30)                                        */
#define PCB_CR_P15_Msk                        (0xc0000000UL)            /*!< PCB CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCB_PCR  ---------------------------------- */
#define PCB_PCR_P0_Pos                        (0UL)                     /*!< PCB PCR: P0 (Bit 0)                                         */
#define PCB_PCR_P0_Msk                        (0x1UL)                   /*!< PCB PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P1_Pos                        (1UL)                     /*!< PCB PCR: P1 (Bit 1)                                         */
#define PCB_PCR_P1_Msk                        (0x2UL)                   /*!< PCB PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P2_Pos                        (2UL)                     /*!< PCB PCR: P2 (Bit 2)                                         */
#define PCB_PCR_P2_Msk                        (0x4UL)                   /*!< PCB PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P3_Pos                        (3UL)                     /*!< PCB PCR: P3 (Bit 3)                                         */
#define PCB_PCR_P3_Msk                        (0x8UL)                   /*!< PCB PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P4_Pos                        (4UL)                     /*!< PCB PCR: P4 (Bit 4)                                         */
#define PCB_PCR_P4_Msk                        (0x10UL)                  /*!< PCB PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P5_Pos                        (5UL)                     /*!< PCB PCR: P5 (Bit 5)                                         */
#define PCB_PCR_P5_Msk                        (0x20UL)                  /*!< PCB PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P6_Pos                        (6UL)                     /*!< PCB PCR: P6 (Bit 6)                                         */
#define PCB_PCR_P6_Msk                        (0x40UL)                  /*!< PCB PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P7_Pos                        (7UL)                     /*!< PCB PCR: P7 (Bit 7)                                         */
#define PCB_PCR_P7_Msk                        (0x80UL)                  /*!< PCB PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P8_Pos                        (8UL)                     /*!< PCB PCR: P8 (Bit 8)                                         */
#define PCB_PCR_P8_Msk                        (0x100UL)                 /*!< PCB PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P9_Pos                        (9UL)                     /*!< PCB PCR: P9 (Bit 9)                                         */
#define PCB_PCR_P9_Msk                        (0x200UL)                 /*!< PCB PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P10_Pos                       (10UL)                    /*!< PCB PCR: P10 (Bit 10)                                       */
#define PCB_PCR_P10_Msk                       (0x400UL)                 /*!< PCB PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P11_Pos                       (11UL)                    /*!< PCB PCR: P11 (Bit 11)                                       */
#define PCB_PCR_P11_Msk                       (0x800UL)                 /*!< PCB PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P12_Pos                       (12UL)                    /*!< PCB PCR: P12 (Bit 12)                                       */
#define PCB_PCR_P12_Msk                       (0x1000UL)                /*!< PCB PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P13_Pos                       (13UL)                    /*!< PCB PCR: P13 (Bit 13)                                       */
#define PCB_PCR_P13_Msk                       (0x2000UL)                /*!< PCB PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P14_Pos                       (14UL)                    /*!< PCB PCR: P14 (Bit 14)                                       */
#define PCB_PCR_P14_Msk                       (0x4000UL)                /*!< PCB PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P15_Pos                       (15UL)                    /*!< PCB PCR: P15 (Bit 15)                                       */
#define PCB_PCR_P15_Msk                       (0x8000UL)                /*!< PCB PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCB_DER  ---------------------------------- */
#define PCB_DER_P0_Pos                        (0UL)                     /*!< PCB DER: P0 (Bit 0)                                         */
#define PCB_DER_P0_Msk                        (0x1UL)                   /*!< PCB DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P1_Pos                        (1UL)                     /*!< PCB DER: P1 (Bit 1)                                         */
#define PCB_DER_P1_Msk                        (0x2UL)                   /*!< PCB DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P2_Pos                        (2UL)                     /*!< PCB DER: P2 (Bit 2)                                         */
#define PCB_DER_P2_Msk                        (0x4UL)                   /*!< PCB DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P3_Pos                        (3UL)                     /*!< PCB DER: P3 (Bit 3)                                         */
#define PCB_DER_P3_Msk                        (0x8UL)                   /*!< PCB DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P4_Pos                        (4UL)                     /*!< PCB DER: P4 (Bit 4)                                         */
#define PCB_DER_P4_Msk                        (0x10UL)                  /*!< PCB DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P5_Pos                        (5UL)                     /*!< PCB DER: P5 (Bit 5)                                         */
#define PCB_DER_P5_Msk                        (0x20UL)                  /*!< PCB DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P6_Pos                        (6UL)                     /*!< PCB DER: P6 (Bit 6)                                         */
#define PCB_DER_P6_Msk                        (0x40UL)                  /*!< PCB DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P7_Pos                        (7UL)                     /*!< PCB DER: P7 (Bit 7)                                         */
#define PCB_DER_P7_Msk                        (0x80UL)                  /*!< PCB DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P8_Pos                        (8UL)                     /*!< PCB DER: P8 (Bit 8)                                         */
#define PCB_DER_P8_Msk                        (0x100UL)                 /*!< PCB DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P9_Pos                        (9UL)                     /*!< PCB DER: P9 (Bit 9)                                         */
#define PCB_DER_P9_Msk                        (0x200UL)                 /*!< PCB DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P10_Pos                       (10UL)                    /*!< PCB DER: P10 (Bit 10)                                       */
#define PCB_DER_P10_Msk                       (0x400UL)                 /*!< PCB DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P11_Pos                       (11UL)                    /*!< PCB DER: P11 (Bit 11)                                       */
#define PCB_DER_P11_Msk                       (0x800UL)                 /*!< PCB DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P12_Pos                       (12UL)                    /*!< PCB DER: P12 (Bit 12)                                       */
#define PCB_DER_P12_Msk                       (0x1000UL)                /*!< PCB DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P13_Pos                       (13UL)                    /*!< PCB DER: P13 (Bit 13)                                       */
#define PCB_DER_P13_Msk                       (0x2000UL)                /*!< PCB DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P14_Pos                       (14UL)                    /*!< PCB DER: P14 (Bit 14)                                       */
#define PCB_DER_P14_Msk                       (0x4000UL)                /*!< PCB DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P15_Pos                       (15UL)                    /*!< PCB DER: P15 (Bit 15)                                       */
#define PCB_DER_P15_Msk                       (0x8000UL)                /*!< PCB DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCB_IER  ---------------------------------- */
#define PCB_IER_P0_Pos                        (0UL)                     /*!< PCB IER: P0 (Bit 0)                                         */
#define PCB_IER_P0_Msk                        (0x3UL)                   /*!< PCB IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P1_Pos                        (2UL)                     /*!< PCB IER: P1 (Bit 2)                                         */
#define PCB_IER_P1_Msk                        (0xcUL)                   /*!< PCB IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P2_Pos                        (4UL)                     /*!< PCB IER: P2 (Bit 4)                                         */
#define PCB_IER_P2_Msk                        (0x30UL)                  /*!< PCB IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P3_Pos                        (6UL)                     /*!< PCB IER: P3 (Bit 6)                                         */
#define PCB_IER_P3_Msk                        (0xc0UL)                  /*!< PCB IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P4_Pos                        (8UL)                     /*!< PCB IER: P4 (Bit 8)                                         */
#define PCB_IER_P4_Msk                        (0x300UL)                 /*!< PCB IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P5_Pos                        (10UL)                    /*!< PCB IER: P5 (Bit 10)                                        */
#define PCB_IER_P5_Msk                        (0xc00UL)                 /*!< PCB IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P6_Pos                        (12UL)                    /*!< PCB IER: P6 (Bit 12)                                        */
#define PCB_IER_P6_Msk                        (0x3000UL)                /*!< PCB IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P7_Pos                        (14UL)                    /*!< PCB IER: P7 (Bit 14)                                        */
#define PCB_IER_P7_Msk                        (0xc000UL)                /*!< PCB IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P8_Pos                        (16UL)                    /*!< PCB IER: P8 (Bit 16)                                        */
#define PCB_IER_P8_Msk                        (0x30000UL)               /*!< PCB IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P9_Pos                        (18UL)                    /*!< PCB IER: P9 (Bit 18)                                        */
#define PCB_IER_P9_Msk                        (0xc0000UL)               /*!< PCB IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P10_Pos                       (20UL)                    /*!< PCB IER: P10 (Bit 20)                                       */
#define PCB_IER_P10_Msk                       (0x300000UL)              /*!< PCB IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P11_Pos                       (22UL)                    /*!< PCB IER: P11 (Bit 22)                                       */
#define PCB_IER_P11_Msk                       (0xc00000UL)              /*!< PCB IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P12_Pos                       (24UL)                    /*!< PCB IER: P12 (Bit 24)                                       */
#define PCB_IER_P12_Msk                       (0x3000000UL)             /*!< PCB IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P13_Pos                       (26UL)                    /*!< PCB IER: P13 (Bit 26)                                       */
#define PCB_IER_P13_Msk                       (0xc000000UL)             /*!< PCB IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P14_Pos                       (28UL)                    /*!< PCB IER: P14 (Bit 28)                                       */
#define PCB_IER_P14_Msk                       (0x30000000UL)            /*!< PCB IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P15_Pos                       (30UL)                    /*!< PCB IER: P15 (Bit 30)                                       */
#define PCB_IER_P15_Msk                       (0xc0000000UL)            /*!< PCB IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCB_ISR  ---------------------------------- */
#define PCB_ISR_P0_Pos                        (0UL)                     /*!< PCB ISR: P0 (Bit 0)                                         */
#define PCB_ISR_P0_Msk                        (0x3UL)                   /*!< PCB ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P1_Pos                        (2UL)                     /*!< PCB ISR: P1 (Bit 2)                                         */
#define PCB_ISR_P1_Msk                        (0xcUL)                   /*!< PCB ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P2_Pos                        (4UL)                     /*!< PCB ISR: P2 (Bit 4)                                         */
#define PCB_ISR_P2_Msk                        (0x30UL)                  /*!< PCB ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P3_Pos                        (6UL)                     /*!< PCB ISR: P3 (Bit 6)                                         */
#define PCB_ISR_P3_Msk                        (0xc0UL)                  /*!< PCB ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P4_Pos                        (8UL)                     /*!< PCB ISR: P4 (Bit 8)                                         */
#define PCB_ISR_P4_Msk                        (0x300UL)                 /*!< PCB ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P5_Pos                        (10UL)                    /*!< PCB ISR: P5 (Bit 10)                                        */
#define PCB_ISR_P5_Msk                        (0xc00UL)                 /*!< PCB ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P6_Pos                        (12UL)                    /*!< PCB ISR: P6 (Bit 12)                                        */
#define PCB_ISR_P6_Msk                        (0x3000UL)                /*!< PCB ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P7_Pos                        (14UL)                    /*!< PCB ISR: P7 (Bit 14)                                        */
#define PCB_ISR_P7_Msk                        (0xc000UL)                /*!< PCB ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P8_Pos                        (16UL)                    /*!< PCB ISR: P8 (Bit 16)                                        */
#define PCB_ISR_P8_Msk                        (0x30000UL)               /*!< PCB ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P9_Pos                        (18UL)                    /*!< PCB ISR: P9 (Bit 18)                                        */
#define PCB_ISR_P9_Msk                        (0xc0000UL)               /*!< PCB ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P10_Pos                       (20UL)                    /*!< PCB ISR: P10 (Bit 20)                                       */
#define PCB_ISR_P10_Msk                       (0x300000UL)              /*!< PCB ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P11_Pos                       (22UL)                    /*!< PCB ISR: P11 (Bit 22)                                       */
#define PCB_ISR_P11_Msk                       (0xc00000UL)              /*!< PCB ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P12_Pos                       (24UL)                    /*!< PCB ISR: P12 (Bit 24)                                       */
#define PCB_ISR_P12_Msk                       (0x3000000UL)             /*!< PCB ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P13_Pos                       (26UL)                    /*!< PCB ISR: P13 (Bit 26)                                       */
#define PCB_ISR_P13_Msk                       (0xc000000UL)             /*!< PCB ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P14_Pos                       (28UL)                    /*!< PCB ISR: P14 (Bit 28)                                       */
#define PCB_ISR_P14_Msk                       (0x30000000UL)            /*!< PCB ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P15_Pos                       (30UL)                    /*!< PCB ISR: P15 (Bit 30)                                       */
#define PCB_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCB ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCB_ICR  ---------------------------------- */
#define PCB_ICR_P0_Pos                        (0UL)                     /*!< PCB ICR: P0 (Bit 0)                                         */
#define PCB_ICR_P0_Msk                        (0x3UL)                   /*!< PCB ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P1_Pos                        (2UL)                     /*!< PCB ICR: P1 (Bit 2)                                         */
#define PCB_ICR_P1_Msk                        (0xcUL)                   /*!< PCB ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P2_Pos                        (4UL)                     /*!< PCB ICR: P2 (Bit 4)                                         */
#define PCB_ICR_P2_Msk                        (0x30UL)                  /*!< PCB ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P3_Pos                        (6UL)                     /*!< PCB ICR: P3 (Bit 6)                                         */
#define PCB_ICR_P3_Msk                        (0xc0UL)                  /*!< PCB ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P4_Pos                        (8UL)                     /*!< PCB ICR: P4 (Bit 8)                                         */
#define PCB_ICR_P4_Msk                        (0x300UL)                 /*!< PCB ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P5_Pos                        (10UL)                    /*!< PCB ICR: P5 (Bit 10)                                        */
#define PCB_ICR_P5_Msk                        (0xc00UL)                 /*!< PCB ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P6_Pos                        (12UL)                    /*!< PCB ICR: P6 (Bit 12)                                        */
#define PCB_ICR_P6_Msk                        (0x3000UL)                /*!< PCB ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P7_Pos                        (14UL)                    /*!< PCB ICR: P7 (Bit 14)                                        */
#define PCB_ICR_P7_Msk                        (0xc000UL)                /*!< PCB ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P8_Pos                        (16UL)                    /*!< PCB ICR: P8 (Bit 16)                                        */
#define PCB_ICR_P8_Msk                        (0x30000UL)               /*!< PCB ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P9_Pos                        (18UL)                    /*!< PCB ICR: P9 (Bit 18)                                        */
#define PCB_ICR_P9_Msk                        (0xc0000UL)               /*!< PCB ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P10_Pos                       (20UL)                    /*!< PCB ICR: P10 (Bit 20)                                       */
#define PCB_ICR_P10_Msk                       (0x300000UL)              /*!< PCB ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P11_Pos                       (22UL)                    /*!< PCB ICR: P11 (Bit 22)                                       */
#define PCB_ICR_P11_Msk                       (0xc00000UL)              /*!< PCB ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P12_Pos                       (24UL)                    /*!< PCB ICR: P12 (Bit 24)                                       */
#define PCB_ICR_P12_Msk                       (0x3000000UL)             /*!< PCB ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P13_Pos                       (26UL)                    /*!< PCB ICR: P13 (Bit 26)                                       */
#define PCB_ICR_P13_Msk                       (0xc000000UL)             /*!< PCB ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P14_Pos                       (28UL)                    /*!< PCB ICR: P14 (Bit 28)                                       */
#define PCB_ICR_P14_Msk                       (0x30000000UL)            /*!< PCB ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P15_Pos                       (30UL)                    /*!< PCB ICR: P15 (Bit 30)                                       */
#define PCB_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCB ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCC_MR  ----------------------------------- */
#define PCC_MR_P0_Pos                         (0UL)                     /*!< PCC MR: P0 (Bit 0)                                          */
#define PCC_MR_P0_Msk                         (0x3UL)                   /*!< PCC MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P1_Pos                         (2UL)                     /*!< PCC MR: P1 (Bit 2)                                          */
#define PCC_MR_P1_Msk                         (0xcUL)                   /*!< PCC MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P2_Pos                         (4UL)                     /*!< PCC MR: P2 (Bit 4)                                          */
#define PCC_MR_P2_Msk                         (0x30UL)                  /*!< PCC MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P3_Pos                         (6UL)                     /*!< PCC MR: P3 (Bit 6)                                          */
#define PCC_MR_P3_Msk                         (0xc0UL)                  /*!< PCC MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P4_Pos                         (8UL)                     /*!< PCC MR: P4 (Bit 8)                                          */
#define PCC_MR_P4_Msk                         (0x300UL)                 /*!< PCC MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P5_Pos                         (10UL)                    /*!< PCC MR: P5 (Bit 10)                                         */
#define PCC_MR_P5_Msk                         (0xc00UL)                 /*!< PCC MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P6_Pos                         (12UL)                    /*!< PCC MR: P6 (Bit 12)                                         */
#define PCC_MR_P6_Msk                         (0x3000UL)                /*!< PCC MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P7_Pos                         (14UL)                    /*!< PCC MR: P7 (Bit 14)                                         */
#define PCC_MR_P7_Msk                         (0xc000UL)                /*!< PCC MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P8_Pos                         (16UL)                    /*!< PCC MR: P8 (Bit 16)                                         */
#define PCC_MR_P8_Msk                         (0x30000UL)               /*!< PCC MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P9_Pos                         (18UL)                    /*!< PCC MR: P9 (Bit 18)                                         */
#define PCC_MR_P9_Msk                         (0xc0000UL)               /*!< PCC MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P10_Pos                        (20UL)                    /*!< PCC MR: P10 (Bit 20)                                        */
#define PCC_MR_P10_Msk                        (0x300000UL)              /*!< PCC MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P11_Pos                        (22UL)                    /*!< PCC MR: P11 (Bit 22)                                        */
#define PCC_MR_P11_Msk                        (0xc00000UL)              /*!< PCC MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P12_Pos                        (24UL)                    /*!< PCC MR: P12 (Bit 24)                                        */
#define PCC_MR_P12_Msk                        (0x3000000UL)             /*!< PCC MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P13_Pos                        (26UL)                    /*!< PCC MR: P13 (Bit 26)                                        */
#define PCC_MR_P13_Msk                        (0xc000000UL)             /*!< PCC MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P14_Pos                        (28UL)                    /*!< PCC MR: P14 (Bit 28)                                        */
#define PCC_MR_P14_Msk                        (0x30000000UL)            /*!< PCC MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P15_Pos                        (30UL)                    /*!< PCC MR: P15 (Bit 30)                                        */
#define PCC_MR_P15_Msk                        (0xc0000000UL)            /*!< PCC MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCC_CR  ----------------------------------- */
#define PCC_CR_P0_Pos                         (0UL)                     /*!< PCC CR: P0 (Bit 0)                                          */
#define PCC_CR_P0_Msk                         (0x3UL)                   /*!< PCC CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P1_Pos                         (2UL)                     /*!< PCC CR: P1 (Bit 2)                                          */
#define PCC_CR_P1_Msk                         (0xcUL)                   /*!< PCC CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P2_Pos                         (4UL)                     /*!< PCC CR: P2 (Bit 4)                                          */
#define PCC_CR_P2_Msk                         (0x30UL)                  /*!< PCC CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P3_Pos                         (6UL)                     /*!< PCC CR: P3 (Bit 6)                                          */
#define PCC_CR_P3_Msk                         (0xc0UL)                  /*!< PCC CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P4_Pos                         (8UL)                     /*!< PCC CR: P4 (Bit 8)                                          */
#define PCC_CR_P4_Msk                         (0x300UL)                 /*!< PCC CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P5_Pos                         (10UL)                    /*!< PCC CR: P5 (Bit 10)                                         */
#define PCC_CR_P5_Msk                         (0xc00UL)                 /*!< PCC CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P6_Pos                         (12UL)                    /*!< PCC CR: P6 (Bit 12)                                         */
#define PCC_CR_P6_Msk                         (0x3000UL)                /*!< PCC CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P7_Pos                         (14UL)                    /*!< PCC CR: P7 (Bit 14)                                         */
#define PCC_CR_P7_Msk                         (0xc000UL)                /*!< PCC CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P8_Pos                         (16UL)                    /*!< PCC CR: P8 (Bit 16)                                         */
#define PCC_CR_P8_Msk                         (0x30000UL)               /*!< PCC CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P9_Pos                         (18UL)                    /*!< PCC CR: P9 (Bit 18)                                         */
#define PCC_CR_P9_Msk                         (0xc0000UL)               /*!< PCC CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P10_Pos                        (20UL)                    /*!< PCC CR: P10 (Bit 20)                                        */
#define PCC_CR_P10_Msk                        (0x300000UL)              /*!< PCC CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P11_Pos                        (22UL)                    /*!< PCC CR: P11 (Bit 22)                                        */
#define PCC_CR_P11_Msk                        (0xc00000UL)              /*!< PCC CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P12_Pos                        (24UL)                    /*!< PCC CR: P12 (Bit 24)                                        */
#define PCC_CR_P12_Msk                        (0x3000000UL)             /*!< PCC CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P13_Pos                        (26UL)                    /*!< PCC CR: P13 (Bit 26)                                        */
#define PCC_CR_P13_Msk                        (0xc000000UL)             /*!< PCC CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P14_Pos                        (28UL)                    /*!< PCC CR: P14 (Bit 28)                                        */
#define PCC_CR_P14_Msk                        (0x30000000UL)            /*!< PCC CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P15_Pos                        (30UL)                    /*!< PCC CR: P15 (Bit 30)                                        */
#define PCC_CR_P15_Msk                        (0xc0000000UL)            /*!< PCC CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCC_PCR  ---------------------------------- */
#define PCC_PCR_P0_Pos                        (0UL)                     /*!< PCC PCR: P0 (Bit 0)                                         */
#define PCC_PCR_P0_Msk                        (0x1UL)                   /*!< PCC PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P1_Pos                        (1UL)                     /*!< PCC PCR: P1 (Bit 1)                                         */
#define PCC_PCR_P1_Msk                        (0x2UL)                   /*!< PCC PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P2_Pos                        (2UL)                     /*!< PCC PCR: P2 (Bit 2)                                         */
#define PCC_PCR_P2_Msk                        (0x4UL)                   /*!< PCC PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P3_Pos                        (3UL)                     /*!< PCC PCR: P3 (Bit 3)                                         */
#define PCC_PCR_P3_Msk                        (0x8UL)                   /*!< PCC PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P4_Pos                        (4UL)                     /*!< PCC PCR: P4 (Bit 4)                                         */
#define PCC_PCR_P4_Msk                        (0x10UL)                  /*!< PCC PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P5_Pos                        (5UL)                     /*!< PCC PCR: P5 (Bit 5)                                         */
#define PCC_PCR_P5_Msk                        (0x20UL)                  /*!< PCC PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P6_Pos                        (6UL)                     /*!< PCC PCR: P6 (Bit 6)                                         */
#define PCC_PCR_P6_Msk                        (0x40UL)                  /*!< PCC PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P7_Pos                        (7UL)                     /*!< PCC PCR: P7 (Bit 7)                                         */
#define PCC_PCR_P7_Msk                        (0x80UL)                  /*!< PCC PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P8_Pos                        (8UL)                     /*!< PCC PCR: P8 (Bit 8)                                         */
#define PCC_PCR_P8_Msk                        (0x100UL)                 /*!< PCC PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P9_Pos                        (9UL)                     /*!< PCC PCR: P9 (Bit 9)                                         */
#define PCC_PCR_P9_Msk                        (0x200UL)                 /*!< PCC PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P10_Pos                       (10UL)                    /*!< PCC PCR: P10 (Bit 10)                                       */
#define PCC_PCR_P10_Msk                       (0x400UL)                 /*!< PCC PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P11_Pos                       (11UL)                    /*!< PCC PCR: P11 (Bit 11)                                       */
#define PCC_PCR_P11_Msk                       (0x800UL)                 /*!< PCC PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P12_Pos                       (12UL)                    /*!< PCC PCR: P12 (Bit 12)                                       */
#define PCC_PCR_P12_Msk                       (0x1000UL)                /*!< PCC PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P13_Pos                       (13UL)                    /*!< PCC PCR: P13 (Bit 13)                                       */
#define PCC_PCR_P13_Msk                       (0x2000UL)                /*!< PCC PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P14_Pos                       (14UL)                    /*!< PCC PCR: P14 (Bit 14)                                       */
#define PCC_PCR_P14_Msk                       (0x4000UL)                /*!< PCC PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P15_Pos                       (15UL)                    /*!< PCC PCR: P15 (Bit 15)                                       */
#define PCC_PCR_P15_Msk                       (0x8000UL)                /*!< PCC PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCC_DER  ---------------------------------- */
#define PCC_DER_P0_Pos                        (0UL)                     /*!< PCC DER: P0 (Bit 0)                                         */
#define PCC_DER_P0_Msk                        (0x1UL)                   /*!< PCC DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P1_Pos                        (1UL)                     /*!< PCC DER: P1 (Bit 1)                                         */
#define PCC_DER_P1_Msk                        (0x2UL)                   /*!< PCC DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P2_Pos                        (2UL)                     /*!< PCC DER: P2 (Bit 2)                                         */
#define PCC_DER_P2_Msk                        (0x4UL)                   /*!< PCC DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P3_Pos                        (3UL)                     /*!< PCC DER: P3 (Bit 3)                                         */
#define PCC_DER_P3_Msk                        (0x8UL)                   /*!< PCC DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P4_Pos                        (4UL)                     /*!< PCC DER: P4 (Bit 4)                                         */
#define PCC_DER_P4_Msk                        (0x10UL)                  /*!< PCC DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P5_Pos                        (5UL)                     /*!< PCC DER: P5 (Bit 5)                                         */
#define PCC_DER_P5_Msk                        (0x20UL)                  /*!< PCC DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P6_Pos                        (6UL)                     /*!< PCC DER: P6 (Bit 6)                                         */
#define PCC_DER_P6_Msk                        (0x40UL)                  /*!< PCC DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P7_Pos                        (7UL)                     /*!< PCC DER: P7 (Bit 7)                                         */
#define PCC_DER_P7_Msk                        (0x80UL)                  /*!< PCC DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P8_Pos                        (8UL)                     /*!< PCC DER: P8 (Bit 8)                                         */
#define PCC_DER_P8_Msk                        (0x100UL)                 /*!< PCC DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P9_Pos                        (9UL)                     /*!< PCC DER: P9 (Bit 9)                                         */
#define PCC_DER_P9_Msk                        (0x200UL)                 /*!< PCC DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P10_Pos                       (10UL)                    /*!< PCC DER: P10 (Bit 10)                                       */
#define PCC_DER_P10_Msk                       (0x400UL)                 /*!< PCC DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P11_Pos                       (11UL)                    /*!< PCC DER: P11 (Bit 11)                                       */
#define PCC_DER_P11_Msk                       (0x800UL)                 /*!< PCC DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P12_Pos                       (12UL)                    /*!< PCC DER: P12 (Bit 12)                                       */
#define PCC_DER_P12_Msk                       (0x1000UL)                /*!< PCC DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P13_Pos                       (13UL)                    /*!< PCC DER: P13 (Bit 13)                                       */
#define PCC_DER_P13_Msk                       (0x2000UL)                /*!< PCC DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P14_Pos                       (14UL)                    /*!< PCC DER: P14 (Bit 14)                                       */
#define PCC_DER_P14_Msk                       (0x4000UL)                /*!< PCC DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P15_Pos                       (15UL)                    /*!< PCC DER: P15 (Bit 15)                                       */
#define PCC_DER_P15_Msk                       (0x8000UL)                /*!< PCC DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCC_IER  ---------------------------------- */
#define PCC_IER_P0_Pos                        (0UL)                     /*!< PCC IER: P0 (Bit 0)                                         */
#define PCC_IER_P0_Msk                        (0x3UL)                   /*!< PCC IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P1_Pos                        (2UL)                     /*!< PCC IER: P1 (Bit 2)                                         */
#define PCC_IER_P1_Msk                        (0xcUL)                   /*!< PCC IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P2_Pos                        (4UL)                     /*!< PCC IER: P2 (Bit 4)                                         */
#define PCC_IER_P2_Msk                        (0x30UL)                  /*!< PCC IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P3_Pos                        (6UL)                     /*!< PCC IER: P3 (Bit 6)                                         */
#define PCC_IER_P3_Msk                        (0xc0UL)                  /*!< PCC IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P4_Pos                        (8UL)                     /*!< PCC IER: P4 (Bit 8)                                         */
#define PCC_IER_P4_Msk                        (0x300UL)                 /*!< PCC IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P5_Pos                        (10UL)                    /*!< PCC IER: P5 (Bit 10)                                        */
#define PCC_IER_P5_Msk                        (0xc00UL)                 /*!< PCC IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P6_Pos                        (12UL)                    /*!< PCC IER: P6 (Bit 12)                                        */
#define PCC_IER_P6_Msk                        (0x3000UL)                /*!< PCC IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P7_Pos                        (14UL)                    /*!< PCC IER: P7 (Bit 14)                                        */
#define PCC_IER_P7_Msk                        (0xc000UL)                /*!< PCC IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P8_Pos                        (16UL)                    /*!< PCC IER: P8 (Bit 16)                                        */
#define PCC_IER_P8_Msk                        (0x30000UL)               /*!< PCC IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P9_Pos                        (18UL)                    /*!< PCC IER: P9 (Bit 18)                                        */
#define PCC_IER_P9_Msk                        (0xc0000UL)               /*!< PCC IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P10_Pos                       (20UL)                    /*!< PCC IER: P10 (Bit 20)                                       */
#define PCC_IER_P10_Msk                       (0x300000UL)              /*!< PCC IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P11_Pos                       (22UL)                    /*!< PCC IER: P11 (Bit 22)                                       */
#define PCC_IER_P11_Msk                       (0xc00000UL)              /*!< PCC IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P12_Pos                       (24UL)                    /*!< PCC IER: P12 (Bit 24)                                       */
#define PCC_IER_P12_Msk                       (0x3000000UL)             /*!< PCC IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P13_Pos                       (26UL)                    /*!< PCC IER: P13 (Bit 26)                                       */
#define PCC_IER_P13_Msk                       (0xc000000UL)             /*!< PCC IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P14_Pos                       (28UL)                    /*!< PCC IER: P14 (Bit 28)                                       */
#define PCC_IER_P14_Msk                       (0x30000000UL)            /*!< PCC IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P15_Pos                       (30UL)                    /*!< PCC IER: P15 (Bit 30)                                       */
#define PCC_IER_P15_Msk                       (0xc0000000UL)            /*!< PCC IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCC_ISR  ---------------------------------- */
#define PCC_ISR_P0_Pos                        (0UL)                     /*!< PCC ISR: P0 (Bit 0)                                         */
#define PCC_ISR_P0_Msk                        (0x3UL)                   /*!< PCC ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P1_Pos                        (2UL)                     /*!< PCC ISR: P1 (Bit 2)                                         */
#define PCC_ISR_P1_Msk                        (0xcUL)                   /*!< PCC ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P2_Pos                        (4UL)                     /*!< PCC ISR: P2 (Bit 4)                                         */
#define PCC_ISR_P2_Msk                        (0x30UL)                  /*!< PCC ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P3_Pos                        (6UL)                     /*!< PCC ISR: P3 (Bit 6)                                         */
#define PCC_ISR_P3_Msk                        (0xc0UL)                  /*!< PCC ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P4_Pos                        (8UL)                     /*!< PCC ISR: P4 (Bit 8)                                         */
#define PCC_ISR_P4_Msk                        (0x300UL)                 /*!< PCC ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P5_Pos                        (10UL)                    /*!< PCC ISR: P5 (Bit 10)                                        */
#define PCC_ISR_P5_Msk                        (0xc00UL)                 /*!< PCC ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P6_Pos                        (12UL)                    /*!< PCC ISR: P6 (Bit 12)                                        */
#define PCC_ISR_P6_Msk                        (0x3000UL)                /*!< PCC ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P7_Pos                        (14UL)                    /*!< PCC ISR: P7 (Bit 14)                                        */
#define PCC_ISR_P7_Msk                        (0xc000UL)                /*!< PCC ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P8_Pos                        (16UL)                    /*!< PCC ISR: P8 (Bit 16)                                        */
#define PCC_ISR_P8_Msk                        (0x30000UL)               /*!< PCC ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P9_Pos                        (18UL)                    /*!< PCC ISR: P9 (Bit 18)                                        */
#define PCC_ISR_P9_Msk                        (0xc0000UL)               /*!< PCC ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P10_Pos                       (20UL)                    /*!< PCC ISR: P10 (Bit 20)                                       */
#define PCC_ISR_P10_Msk                       (0x300000UL)              /*!< PCC ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P11_Pos                       (22UL)                    /*!< PCC ISR: P11 (Bit 22)                                       */
#define PCC_ISR_P11_Msk                       (0xc00000UL)              /*!< PCC ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P12_Pos                       (24UL)                    /*!< PCC ISR: P12 (Bit 24)                                       */
#define PCC_ISR_P12_Msk                       (0x3000000UL)             /*!< PCC ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P13_Pos                       (26UL)                    /*!< PCC ISR: P13 (Bit 26)                                       */
#define PCC_ISR_P13_Msk                       (0xc000000UL)             /*!< PCC ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P14_Pos                       (28UL)                    /*!< PCC ISR: P14 (Bit 28)                                       */
#define PCC_ISR_P14_Msk                       (0x30000000UL)            /*!< PCC ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P15_Pos                       (30UL)                    /*!< PCC ISR: P15 (Bit 30)                                       */
#define PCC_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCC ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCC_ICR  ---------------------------------- */
#define PCC_ICR_P0_Pos                        (0UL)                     /*!< PCC ICR: P0 (Bit 0)                                         */
#define PCC_ICR_P0_Msk                        (0x3UL)                   /*!< PCC ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P1_Pos                        (2UL)                     /*!< PCC ICR: P1 (Bit 2)                                         */
#define PCC_ICR_P1_Msk                        (0xcUL)                   /*!< PCC ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P2_Pos                        (4UL)                     /*!< PCC ICR: P2 (Bit 4)                                         */
#define PCC_ICR_P2_Msk                        (0x30UL)                  /*!< PCC ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P3_Pos                        (6UL)                     /*!< PCC ICR: P3 (Bit 6)                                         */
#define PCC_ICR_P3_Msk                        (0xc0UL)                  /*!< PCC ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P4_Pos                        (8UL)                     /*!< PCC ICR: P4 (Bit 8)                                         */
#define PCC_ICR_P4_Msk                        (0x300UL)                 /*!< PCC ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P5_Pos                        (10UL)                    /*!< PCC ICR: P5 (Bit 10)                                        */
#define PCC_ICR_P5_Msk                        (0xc00UL)                 /*!< PCC ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P6_Pos                        (12UL)                    /*!< PCC ICR: P6 (Bit 12)                                        */
#define PCC_ICR_P6_Msk                        (0x3000UL)                /*!< PCC ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P7_Pos                        (14UL)                    /*!< PCC ICR: P7 (Bit 14)                                        */
#define PCC_ICR_P7_Msk                        (0xc000UL)                /*!< PCC ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P8_Pos                        (16UL)                    /*!< PCC ICR: P8 (Bit 16)                                        */
#define PCC_ICR_P8_Msk                        (0x30000UL)               /*!< PCC ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P9_Pos                        (18UL)                    /*!< PCC ICR: P9 (Bit 18)                                        */
#define PCC_ICR_P9_Msk                        (0xc0000UL)               /*!< PCC ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P10_Pos                       (20UL)                    /*!< PCC ICR: P10 (Bit 20)                                       */
#define PCC_ICR_P10_Msk                       (0x300000UL)              /*!< PCC ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P11_Pos                       (22UL)                    /*!< PCC ICR: P11 (Bit 22)                                       */
#define PCC_ICR_P11_Msk                       (0xc00000UL)              /*!< PCC ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P12_Pos                       (24UL)                    /*!< PCC ICR: P12 (Bit 24)                                       */
#define PCC_ICR_P12_Msk                       (0x3000000UL)             /*!< PCC ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P13_Pos                       (26UL)                    /*!< PCC ICR: P13 (Bit 26)                                       */
#define PCC_ICR_P13_Msk                       (0xc000000UL)             /*!< PCC ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P14_Pos                       (28UL)                    /*!< PCC ICR: P14 (Bit 28)                                       */
#define PCC_ICR_P14_Msk                       (0x30000000UL)            /*!< PCC ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P15_Pos                       (30UL)                    /*!< PCC ICR: P15 (Bit 30)                                       */
#define PCC_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCC ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCD_MR  ----------------------------------- */
#define PCD_MR_P0_Pos                         (0UL)                     /*!< PCD MR: P0 (Bit 0)                                          */
#define PCD_MR_P0_Msk                         (0x3UL)                   /*!< PCD MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P1_Pos                         (2UL)                     /*!< PCD MR: P1 (Bit 2)                                          */
#define PCD_MR_P1_Msk                         (0xcUL)                   /*!< PCD MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P2_Pos                         (4UL)                     /*!< PCD MR: P2 (Bit 4)                                          */
#define PCD_MR_P2_Msk                         (0x30UL)                  /*!< PCD MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P3_Pos                         (6UL)                     /*!< PCD MR: P3 (Bit 6)                                          */
#define PCD_MR_P3_Msk                         (0xc0UL)                  /*!< PCD MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P4_Pos                         (8UL)                     /*!< PCD MR: P4 (Bit 8)                                          */
#define PCD_MR_P4_Msk                         (0x300UL)                 /*!< PCD MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P5_Pos                         (10UL)                    /*!< PCD MR: P5 (Bit 10)                                         */
#define PCD_MR_P5_Msk                         (0xc00UL)                 /*!< PCD MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P6_Pos                         (12UL)                    /*!< PCD MR: P6 (Bit 12)                                         */
#define PCD_MR_P6_Msk                         (0x3000UL)                /*!< PCD MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P7_Pos                         (14UL)                    /*!< PCD MR: P7 (Bit 14)                                         */
#define PCD_MR_P7_Msk                         (0xc000UL)                /*!< PCD MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P8_Pos                         (16UL)                    /*!< PCD MR: P8 (Bit 16)                                         */
#define PCD_MR_P8_Msk                         (0x30000UL)               /*!< PCD MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P9_Pos                         (18UL)                    /*!< PCD MR: P9 (Bit 18)                                         */
#define PCD_MR_P9_Msk                         (0xc0000UL)               /*!< PCD MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P10_Pos                        (20UL)                    /*!< PCD MR: P10 (Bit 20)                                        */
#define PCD_MR_P10_Msk                        (0x300000UL)              /*!< PCD MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P11_Pos                        (22UL)                    /*!< PCD MR: P11 (Bit 22)                                        */
#define PCD_MR_P11_Msk                        (0xc00000UL)              /*!< PCD MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P12_Pos                        (24UL)                    /*!< PCD MR: P12 (Bit 24)                                        */
#define PCD_MR_P12_Msk                        (0x3000000UL)             /*!< PCD MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P13_Pos                        (26UL)                    /*!< PCD MR: P13 (Bit 26)                                        */
#define PCD_MR_P13_Msk                        (0xc000000UL)             /*!< PCD MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P14_Pos                        (28UL)                    /*!< PCD MR: P14 (Bit 28)                                        */
#define PCD_MR_P14_Msk                        (0x30000000UL)            /*!< PCD MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P15_Pos                        (30UL)                    /*!< PCD MR: P15 (Bit 30)                                        */
#define PCD_MR_P15_Msk                        (0xc0000000UL)            /*!< PCD MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCD_CR  ----------------------------------- */
#define PCD_CR_P0_Pos                         (0UL)                     /*!< PCD CR: P0 (Bit 0)                                          */
#define PCD_CR_P0_Msk                         (0x3UL)                   /*!< PCD CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P1_Pos                         (2UL)                     /*!< PCD CR: P1 (Bit 2)                                          */
#define PCD_CR_P1_Msk                         (0xcUL)                   /*!< PCD CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P2_Pos                         (4UL)                     /*!< PCD CR: P2 (Bit 4)                                          */
#define PCD_CR_P2_Msk                         (0x30UL)                  /*!< PCD CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P3_Pos                         (6UL)                     /*!< PCD CR: P3 (Bit 6)                                          */
#define PCD_CR_P3_Msk                         (0xc0UL)                  /*!< PCD CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P4_Pos                         (8UL)                     /*!< PCD CR: P4 (Bit 8)                                          */
#define PCD_CR_P4_Msk                         (0x300UL)                 /*!< PCD CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P5_Pos                         (10UL)                    /*!< PCD CR: P5 (Bit 10)                                         */
#define PCD_CR_P5_Msk                         (0xc00UL)                 /*!< PCD CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P6_Pos                         (12UL)                    /*!< PCD CR: P6 (Bit 12)                                         */
#define PCD_CR_P6_Msk                         (0x3000UL)                /*!< PCD CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P7_Pos                         (14UL)                    /*!< PCD CR: P7 (Bit 14)                                         */
#define PCD_CR_P7_Msk                         (0xc000UL)                /*!< PCD CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P8_Pos                         (16UL)                    /*!< PCD CR: P8 (Bit 16)                                         */
#define PCD_CR_P8_Msk                         (0x30000UL)               /*!< PCD CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P9_Pos                         (18UL)                    /*!< PCD CR: P9 (Bit 18)                                         */
#define PCD_CR_P9_Msk                         (0xc0000UL)               /*!< PCD CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P10_Pos                        (20UL)                    /*!< PCD CR: P10 (Bit 20)                                        */
#define PCD_CR_P10_Msk                        (0x300000UL)              /*!< PCD CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P11_Pos                        (22UL)                    /*!< PCD CR: P11 (Bit 22)                                        */
#define PCD_CR_P11_Msk                        (0xc00000UL)              /*!< PCD CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P12_Pos                        (24UL)                    /*!< PCD CR: P12 (Bit 24)                                        */
#define PCD_CR_P12_Msk                        (0x3000000UL)             /*!< PCD CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P13_Pos                        (26UL)                    /*!< PCD CR: P13 (Bit 26)                                        */
#define PCD_CR_P13_Msk                        (0xc000000UL)             /*!< PCD CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P14_Pos                        (28UL)                    /*!< PCD CR: P14 (Bit 28)                                        */
#define PCD_CR_P14_Msk                        (0x30000000UL)            /*!< PCD CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P15_Pos                        (30UL)                    /*!< PCD CR: P15 (Bit 30)                                        */
#define PCD_CR_P15_Msk                        (0xc0000000UL)            /*!< PCD CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCD_PCR  ---------------------------------- */
#define PCD_PCR_P0_Pos                        (0UL)                     /*!< PCD PCR: P0 (Bit 0)                                         */
#define PCD_PCR_P0_Msk                        (0x1UL)                   /*!< PCD PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P1_Pos                        (1UL)                     /*!< PCD PCR: P1 (Bit 1)                                         */
#define PCD_PCR_P1_Msk                        (0x2UL)                   /*!< PCD PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P2_Pos                        (2UL)                     /*!< PCD PCR: P2 (Bit 2)                                         */
#define PCD_PCR_P2_Msk                        (0x4UL)                   /*!< PCD PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P3_Pos                        (3UL)                     /*!< PCD PCR: P3 (Bit 3)                                         */
#define PCD_PCR_P3_Msk                        (0x8UL)                   /*!< PCD PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P4_Pos                        (4UL)                     /*!< PCD PCR: P4 (Bit 4)                                         */
#define PCD_PCR_P4_Msk                        (0x10UL)                  /*!< PCD PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P5_Pos                        (5UL)                     /*!< PCD PCR: P5 (Bit 5)                                         */
#define PCD_PCR_P5_Msk                        (0x20UL)                  /*!< PCD PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P6_Pos                        (6UL)                     /*!< PCD PCR: P6 (Bit 6)                                         */
#define PCD_PCR_P6_Msk                        (0x40UL)                  /*!< PCD PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P7_Pos                        (7UL)                     /*!< PCD PCR: P7 (Bit 7)                                         */
#define PCD_PCR_P7_Msk                        (0x80UL)                  /*!< PCD PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P8_Pos                        (8UL)                     /*!< PCD PCR: P8 (Bit 8)                                         */
#define PCD_PCR_P8_Msk                        (0x100UL)                 /*!< PCD PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P9_Pos                        (9UL)                     /*!< PCD PCR: P9 (Bit 9)                                         */
#define PCD_PCR_P9_Msk                        (0x200UL)                 /*!< PCD PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P10_Pos                       (10UL)                    /*!< PCD PCR: P10 (Bit 10)                                       */
#define PCD_PCR_P10_Msk                       (0x400UL)                 /*!< PCD PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P11_Pos                       (11UL)                    /*!< PCD PCR: P11 (Bit 11)                                       */
#define PCD_PCR_P11_Msk                       (0x800UL)                 /*!< PCD PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P12_Pos                       (12UL)                    /*!< PCD PCR: P12 (Bit 12)                                       */
#define PCD_PCR_P12_Msk                       (0x1000UL)                /*!< PCD PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P13_Pos                       (13UL)                    /*!< PCD PCR: P13 (Bit 13)                                       */
#define PCD_PCR_P13_Msk                       (0x2000UL)                /*!< PCD PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P14_Pos                       (14UL)                    /*!< PCD PCR: P14 (Bit 14)                                       */
#define PCD_PCR_P14_Msk                       (0x4000UL)                /*!< PCD PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P15_Pos                       (15UL)                    /*!< PCD PCR: P15 (Bit 15)                                       */
#define PCD_PCR_P15_Msk                       (0x8000UL)                /*!< PCD PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCD_DER  ---------------------------------- */
#define PCD_DER_P0_Pos                        (0UL)                     /*!< PCD DER: P0 (Bit 0)                                         */
#define PCD_DER_P0_Msk                        (0x1UL)                   /*!< PCD DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P1_Pos                        (1UL)                     /*!< PCD DER: P1 (Bit 1)                                         */
#define PCD_DER_P1_Msk                        (0x2UL)                   /*!< PCD DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P2_Pos                        (2UL)                     /*!< PCD DER: P2 (Bit 2)                                         */
#define PCD_DER_P2_Msk                        (0x4UL)                   /*!< PCD DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P3_Pos                        (3UL)                     /*!< PCD DER: P3 (Bit 3)                                         */
#define PCD_DER_P3_Msk                        (0x8UL)                   /*!< PCD DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P4_Pos                        (4UL)                     /*!< PCD DER: P4 (Bit 4)                                         */
#define PCD_DER_P4_Msk                        (0x10UL)                  /*!< PCD DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P5_Pos                        (5UL)                     /*!< PCD DER: P5 (Bit 5)                                         */
#define PCD_DER_P5_Msk                        (0x20UL)                  /*!< PCD DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P6_Pos                        (6UL)                     /*!< PCD DER: P6 (Bit 6)                                         */
#define PCD_DER_P6_Msk                        (0x40UL)                  /*!< PCD DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P7_Pos                        (7UL)                     /*!< PCD DER: P7 (Bit 7)                                         */
#define PCD_DER_P7_Msk                        (0x80UL)                  /*!< PCD DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P8_Pos                        (8UL)                     /*!< PCD DER: P8 (Bit 8)                                         */
#define PCD_DER_P8_Msk                        (0x100UL)                 /*!< PCD DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P9_Pos                        (9UL)                     /*!< PCD DER: P9 (Bit 9)                                         */
#define PCD_DER_P9_Msk                        (0x200UL)                 /*!< PCD DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P10_Pos                       (10UL)                    /*!< PCD DER: P10 (Bit 10)                                       */
#define PCD_DER_P10_Msk                       (0x400UL)                 /*!< PCD DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P11_Pos                       (11UL)                    /*!< PCD DER: P11 (Bit 11)                                       */
#define PCD_DER_P11_Msk                       (0x800UL)                 /*!< PCD DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P12_Pos                       (12UL)                    /*!< PCD DER: P12 (Bit 12)                                       */
#define PCD_DER_P12_Msk                       (0x1000UL)                /*!< PCD DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P13_Pos                       (13UL)                    /*!< PCD DER: P13 (Bit 13)                                       */
#define PCD_DER_P13_Msk                       (0x2000UL)                /*!< PCD DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P14_Pos                       (14UL)                    /*!< PCD DER: P14 (Bit 14)                                       */
#define PCD_DER_P14_Msk                       (0x4000UL)                /*!< PCD DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P15_Pos                       (15UL)                    /*!< PCD DER: P15 (Bit 15)                                       */
#define PCD_DER_P15_Msk                       (0x8000UL)                /*!< PCD DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCD_IER  ---------------------------------- */
#define PCD_IER_P0_Pos                        (0UL)                     /*!< PCD IER: P0 (Bit 0)                                         */
#define PCD_IER_P0_Msk                        (0x3UL)                   /*!< PCD IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P1_Pos                        (2UL)                     /*!< PCD IER: P1 (Bit 2)                                         */
#define PCD_IER_P1_Msk                        (0xcUL)                   /*!< PCD IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P2_Pos                        (4UL)                     /*!< PCD IER: P2 (Bit 4)                                         */
#define PCD_IER_P2_Msk                        (0x30UL)                  /*!< PCD IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P3_Pos                        (6UL)                     /*!< PCD IER: P3 (Bit 6)                                         */
#define PCD_IER_P3_Msk                        (0xc0UL)                  /*!< PCD IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P4_Pos                        (8UL)                     /*!< PCD IER: P4 (Bit 8)                                         */
#define PCD_IER_P4_Msk                        (0x300UL)                 /*!< PCD IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P5_Pos                        (10UL)                    /*!< PCD IER: P5 (Bit 10)                                        */
#define PCD_IER_P5_Msk                        (0xc00UL)                 /*!< PCD IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P6_Pos                        (12UL)                    /*!< PCD IER: P6 (Bit 12)                                        */
#define PCD_IER_P6_Msk                        (0x3000UL)                /*!< PCD IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P7_Pos                        (14UL)                    /*!< PCD IER: P7 (Bit 14)                                        */
#define PCD_IER_P7_Msk                        (0xc000UL)                /*!< PCD IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P8_Pos                        (16UL)                    /*!< PCD IER: P8 (Bit 16)                                        */
#define PCD_IER_P8_Msk                        (0x30000UL)               /*!< PCD IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P9_Pos                        (18UL)                    /*!< PCD IER: P9 (Bit 18)                                        */
#define PCD_IER_P9_Msk                        (0xc0000UL)               /*!< PCD IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P10_Pos                       (20UL)                    /*!< PCD IER: P10 (Bit 20)                                       */
#define PCD_IER_P10_Msk                       (0x300000UL)              /*!< PCD IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P11_Pos                       (22UL)                    /*!< PCD IER: P11 (Bit 22)                                       */
#define PCD_IER_P11_Msk                       (0xc00000UL)              /*!< PCD IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P12_Pos                       (24UL)                    /*!< PCD IER: P12 (Bit 24)                                       */
#define PCD_IER_P12_Msk                       (0x3000000UL)             /*!< PCD IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P13_Pos                       (26UL)                    /*!< PCD IER: P13 (Bit 26)                                       */
#define PCD_IER_P13_Msk                       (0xc000000UL)             /*!< PCD IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P14_Pos                       (28UL)                    /*!< PCD IER: P14 (Bit 28)                                       */
#define PCD_IER_P14_Msk                       (0x30000000UL)            /*!< PCD IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P15_Pos                       (30UL)                    /*!< PCD IER: P15 (Bit 30)                                       */
#define PCD_IER_P15_Msk                       (0xc0000000UL)            /*!< PCD IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCD_ISR  ---------------------------------- */
#define PCD_ISR_P0_Pos                        (0UL)                     /*!< PCD ISR: P0 (Bit 0)                                         */
#define PCD_ISR_P0_Msk                        (0x3UL)                   /*!< PCD ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P1_Pos                        (2UL)                     /*!< PCD ISR: P1 (Bit 2)                                         */
#define PCD_ISR_P1_Msk                        (0xcUL)                   /*!< PCD ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P2_Pos                        (4UL)                     /*!< PCD ISR: P2 (Bit 4)                                         */
#define PCD_ISR_P2_Msk                        (0x30UL)                  /*!< PCD ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P3_Pos                        (6UL)                     /*!< PCD ISR: P3 (Bit 6)                                         */
#define PCD_ISR_P3_Msk                        (0xc0UL)                  /*!< PCD ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P4_Pos                        (8UL)                     /*!< PCD ISR: P4 (Bit 8)                                         */
#define PCD_ISR_P4_Msk                        (0x300UL)                 /*!< PCD ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P5_Pos                        (10UL)                    /*!< PCD ISR: P5 (Bit 10)                                        */
#define PCD_ISR_P5_Msk                        (0xc00UL)                 /*!< PCD ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P6_Pos                        (12UL)                    /*!< PCD ISR: P6 (Bit 12)                                        */
#define PCD_ISR_P6_Msk                        (0x3000UL)                /*!< PCD ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P7_Pos                        (14UL)                    /*!< PCD ISR: P7 (Bit 14)                                        */
#define PCD_ISR_P7_Msk                        (0xc000UL)                /*!< PCD ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P8_Pos                        (16UL)                    /*!< PCD ISR: P8 (Bit 16)                                        */
#define PCD_ISR_P8_Msk                        (0x30000UL)               /*!< PCD ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P9_Pos                        (18UL)                    /*!< PCD ISR: P9 (Bit 18)                                        */
#define PCD_ISR_P9_Msk                        (0xc0000UL)               /*!< PCD ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P10_Pos                       (20UL)                    /*!< PCD ISR: P10 (Bit 20)                                       */
#define PCD_ISR_P10_Msk                       (0x300000UL)              /*!< PCD ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P11_Pos                       (22UL)                    /*!< PCD ISR: P11 (Bit 22)                                       */
#define PCD_ISR_P11_Msk                       (0xc00000UL)              /*!< PCD ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P12_Pos                       (24UL)                    /*!< PCD ISR: P12 (Bit 24)                                       */
#define PCD_ISR_P12_Msk                       (0x3000000UL)             /*!< PCD ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P13_Pos                       (26UL)                    /*!< PCD ISR: P13 (Bit 26)                                       */
#define PCD_ISR_P13_Msk                       (0xc000000UL)             /*!< PCD ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P14_Pos                       (28UL)                    /*!< PCD ISR: P14 (Bit 28)                                       */
#define PCD_ISR_P14_Msk                       (0x30000000UL)            /*!< PCD ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P15_Pos                       (30UL)                    /*!< PCD ISR: P15 (Bit 30)                                       */
#define PCD_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCD ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCD_ICR  ---------------------------------- */
#define PCD_ICR_P0_Pos                        (0UL)                     /*!< PCD ICR: P0 (Bit 0)                                         */
#define PCD_ICR_P0_Msk                        (0x3UL)                   /*!< PCD ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P1_Pos                        (2UL)                     /*!< PCD ICR: P1 (Bit 2)                                         */
#define PCD_ICR_P1_Msk                        (0xcUL)                   /*!< PCD ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P2_Pos                        (4UL)                     /*!< PCD ICR: P2 (Bit 4)                                         */
#define PCD_ICR_P2_Msk                        (0x30UL)                  /*!< PCD ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P3_Pos                        (6UL)                     /*!< PCD ICR: P3 (Bit 6)                                         */
#define PCD_ICR_P3_Msk                        (0xc0UL)                  /*!< PCD ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P4_Pos                        (8UL)                     /*!< PCD ICR: P4 (Bit 8)                                         */
#define PCD_ICR_P4_Msk                        (0x300UL)                 /*!< PCD ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P5_Pos                        (10UL)                    /*!< PCD ICR: P5 (Bit 10)                                        */
#define PCD_ICR_P5_Msk                        (0xc00UL)                 /*!< PCD ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P6_Pos                        (12UL)                    /*!< PCD ICR: P6 (Bit 12)                                        */
#define PCD_ICR_P6_Msk                        (0x3000UL)                /*!< PCD ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P7_Pos                        (14UL)                    /*!< PCD ICR: P7 (Bit 14)                                        */
#define PCD_ICR_P7_Msk                        (0xc000UL)                /*!< PCD ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P8_Pos                        (16UL)                    /*!< PCD ICR: P8 (Bit 16)                                        */
#define PCD_ICR_P8_Msk                        (0x30000UL)               /*!< PCD ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P9_Pos                        (18UL)                    /*!< PCD ICR: P9 (Bit 18)                                        */
#define PCD_ICR_P9_Msk                        (0xc0000UL)               /*!< PCD ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P10_Pos                       (20UL)                    /*!< PCD ICR: P10 (Bit 20)                                       */
#define PCD_ICR_P10_Msk                       (0x300000UL)              /*!< PCD ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P11_Pos                       (22UL)                    /*!< PCD ICR: P11 (Bit 22)                                       */
#define PCD_ICR_P11_Msk                       (0xc00000UL)              /*!< PCD ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P12_Pos                       (24UL)                    /*!< PCD ICR: P12 (Bit 24)                                       */
#define PCD_ICR_P12_Msk                       (0x3000000UL)             /*!< PCD ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P13_Pos                       (26UL)                    /*!< PCD ICR: P13 (Bit 26)                                       */
#define PCD_ICR_P13_Msk                       (0xc000000UL)             /*!< PCD ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P14_Pos                       (28UL)                    /*!< PCD ICR: P14 (Bit 28)                                       */
#define PCD_ICR_P14_Msk                       (0x30000000UL)            /*!< PCD ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P15_Pos                       (30UL)                    /*!< PCD ICR: P15 (Bit 30)                                       */
#define PCD_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCD ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCE' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCE_MR  ----------------------------------- */
#define PCE_MR_P0_Pos                         (0UL)                     /*!< PCE MR: P0 (Bit 0)                                          */
#define PCE_MR_P0_Msk                         (0x3UL)                   /*!< PCE MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P1_Pos                         (2UL)                     /*!< PCE MR: P1 (Bit 2)                                          */
#define PCE_MR_P1_Msk                         (0xcUL)                   /*!< PCE MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P2_Pos                         (4UL)                     /*!< PCE MR: P2 (Bit 4)                                          */
#define PCE_MR_P2_Msk                         (0x30UL)                  /*!< PCE MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P3_Pos                         (6UL)                     /*!< PCE MR: P3 (Bit 6)                                          */
#define PCE_MR_P3_Msk                         (0xc0UL)                  /*!< PCE MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P4_Pos                         (8UL)                     /*!< PCE MR: P4 (Bit 8)                                          */
#define PCE_MR_P4_Msk                         (0x300UL)                 /*!< PCE MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P5_Pos                         (10UL)                    /*!< PCE MR: P5 (Bit 10)                                         */
#define PCE_MR_P5_Msk                         (0xc00UL)                 /*!< PCE MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P6_Pos                         (12UL)                    /*!< PCE MR: P6 (Bit 12)                                         */
#define PCE_MR_P6_Msk                         (0x3000UL)                /*!< PCE MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P7_Pos                         (14UL)                    /*!< PCE MR: P7 (Bit 14)                                         */
#define PCE_MR_P7_Msk                         (0xc000UL)                /*!< PCE MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P8_Pos                         (16UL)                    /*!< PCE MR: P8 (Bit 16)                                         */
#define PCE_MR_P8_Msk                         (0x30000UL)               /*!< PCE MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P9_Pos                         (18UL)                    /*!< PCE MR: P9 (Bit 18)                                         */
#define PCE_MR_P9_Msk                         (0xc0000UL)               /*!< PCE MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCE_MR_P10_Pos                        (20UL)                    /*!< PCE MR: P10 (Bit 20)                                        */
#define PCE_MR_P10_Msk                        (0x300000UL)              /*!< PCE MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCE_MR_P11_Pos                        (22UL)                    /*!< PCE MR: P11 (Bit 22)                                        */
#define PCE_MR_P11_Msk                        (0xc00000UL)              /*!< PCE MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCE_MR_P12_Pos                        (24UL)                    /*!< PCE MR: P12 (Bit 24)                                        */
#define PCE_MR_P12_Msk                        (0x3000000UL)             /*!< PCE MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCE_MR_P13_Pos                        (26UL)                    /*!< PCE MR: P13 (Bit 26)                                        */
#define PCE_MR_P13_Msk                        (0xc000000UL)             /*!< PCE MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCE_MR_P14_Pos                        (28UL)                    /*!< PCE MR: P14 (Bit 28)                                        */
#define PCE_MR_P14_Msk                        (0x30000000UL)            /*!< PCE MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCE_MR_P15_Pos                        (30UL)                    /*!< PCE MR: P15 (Bit 30)                                        */
#define PCE_MR_P15_Msk                        (0xc0000000UL)            /*!< PCE MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCE_CR  ----------------------------------- */
#define PCE_CR_P0_Pos                         (0UL)                     /*!< PCE CR: P0 (Bit 0)                                          */
#define PCE_CR_P0_Msk                         (0x3UL)                   /*!< PCE CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P1_Pos                         (2UL)                     /*!< PCE CR: P1 (Bit 2)                                          */
#define PCE_CR_P1_Msk                         (0xcUL)                   /*!< PCE CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P2_Pos                         (4UL)                     /*!< PCE CR: P2 (Bit 4)                                          */
#define PCE_CR_P2_Msk                         (0x30UL)                  /*!< PCE CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P3_Pos                         (6UL)                     /*!< PCE CR: P3 (Bit 6)                                          */
#define PCE_CR_P3_Msk                         (0xc0UL)                  /*!< PCE CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P4_Pos                         (8UL)                     /*!< PCE CR: P4 (Bit 8)                                          */
#define PCE_CR_P4_Msk                         (0x300UL)                 /*!< PCE CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P5_Pos                         (10UL)                    /*!< PCE CR: P5 (Bit 10)                                         */
#define PCE_CR_P5_Msk                         (0xc00UL)                 /*!< PCE CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P6_Pos                         (12UL)                    /*!< PCE CR: P6 (Bit 12)                                         */
#define PCE_CR_P6_Msk                         (0x3000UL)                /*!< PCE CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P7_Pos                         (14UL)                    /*!< PCE CR: P7 (Bit 14)                                         */
#define PCE_CR_P7_Msk                         (0xc000UL)                /*!< PCE CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P8_Pos                         (16UL)                    /*!< PCE CR: P8 (Bit 16)                                         */
#define PCE_CR_P8_Msk                         (0x30000UL)               /*!< PCE CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P9_Pos                         (18UL)                    /*!< PCE CR: P9 (Bit 18)                                         */
#define PCE_CR_P9_Msk                         (0xc0000UL)               /*!< PCE CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCE_CR_P10_Pos                        (20UL)                    /*!< PCE CR: P10 (Bit 20)                                        */
#define PCE_CR_P10_Msk                        (0x300000UL)              /*!< PCE CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCE_CR_P11_Pos                        (22UL)                    /*!< PCE CR: P11 (Bit 22)                                        */
#define PCE_CR_P11_Msk                        (0xc00000UL)              /*!< PCE CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCE_CR_P12_Pos                        (24UL)                    /*!< PCE CR: P12 (Bit 24)                                        */
#define PCE_CR_P12_Msk                        (0x3000000UL)             /*!< PCE CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCE_CR_P13_Pos                        (26UL)                    /*!< PCE CR: P13 (Bit 26)                                        */
#define PCE_CR_P13_Msk                        (0xc000000UL)             /*!< PCE CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCE_CR_P14_Pos                        (28UL)                    /*!< PCE CR: P14 (Bit 28)                                        */
#define PCE_CR_P14_Msk                        (0x30000000UL)            /*!< PCE CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCE_CR_P15_Pos                        (30UL)                    /*!< PCE CR: P15 (Bit 30)                                        */
#define PCE_CR_P15_Msk                        (0xc0000000UL)            /*!< PCE CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCE_PCR  ---------------------------------- */
#define PCE_PCR_P0_Pos                        (0UL)                     /*!< PCE PCR: P0 (Bit 0)                                         */
#define PCE_PCR_P0_Msk                        (0x1UL)                   /*!< PCE PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P1_Pos                        (1UL)                     /*!< PCE PCR: P1 (Bit 1)                                         */
#define PCE_PCR_P1_Msk                        (0x2UL)                   /*!< PCE PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P2_Pos                        (2UL)                     /*!< PCE PCR: P2 (Bit 2)                                         */
#define PCE_PCR_P2_Msk                        (0x4UL)                   /*!< PCE PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P3_Pos                        (3UL)                     /*!< PCE PCR: P3 (Bit 3)                                         */
#define PCE_PCR_P3_Msk                        (0x8UL)                   /*!< PCE PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P4_Pos                        (4UL)                     /*!< PCE PCR: P4 (Bit 4)                                         */
#define PCE_PCR_P4_Msk                        (0x10UL)                  /*!< PCE PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P5_Pos                        (5UL)                     /*!< PCE PCR: P5 (Bit 5)                                         */
#define PCE_PCR_P5_Msk                        (0x20UL)                  /*!< PCE PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P6_Pos                        (6UL)                     /*!< PCE PCR: P6 (Bit 6)                                         */
#define PCE_PCR_P6_Msk                        (0x40UL)                  /*!< PCE PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P7_Pos                        (7UL)                     /*!< PCE PCR: P7 (Bit 7)                                         */
#define PCE_PCR_P7_Msk                        (0x80UL)                  /*!< PCE PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P8_Pos                        (8UL)                     /*!< PCE PCR: P8 (Bit 8)                                         */
#define PCE_PCR_P8_Msk                        (0x100UL)                 /*!< PCE PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P9_Pos                        (9UL)                     /*!< PCE PCR: P9 (Bit 9)                                         */
#define PCE_PCR_P9_Msk                        (0x200UL)                 /*!< PCE PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCE_PCR_P10_Pos                       (10UL)                    /*!< PCE PCR: P10 (Bit 10)                                       */
#define PCE_PCR_P10_Msk                       (0x400UL)                 /*!< PCE PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCE_PCR_P11_Pos                       (11UL)                    /*!< PCE PCR: P11 (Bit 11)                                       */
#define PCE_PCR_P11_Msk                       (0x800UL)                 /*!< PCE PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCE_PCR_P12_Pos                       (12UL)                    /*!< PCE PCR: P12 (Bit 12)                                       */
#define PCE_PCR_P12_Msk                       (0x1000UL)                /*!< PCE PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCE_PCR_P13_Pos                       (13UL)                    /*!< PCE PCR: P13 (Bit 13)                                       */
#define PCE_PCR_P13_Msk                       (0x2000UL)                /*!< PCE PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCE_PCR_P14_Pos                       (14UL)                    /*!< PCE PCR: P14 (Bit 14)                                       */
#define PCE_PCR_P14_Msk                       (0x4000UL)                /*!< PCE PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCE_PCR_P15_Pos                       (15UL)                    /*!< PCE PCR: P15 (Bit 15)                                       */
#define PCE_PCR_P15_Msk                       (0x8000UL)                /*!< PCE PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCE_DER  ---------------------------------- */
#define PCE_DER_P0_Pos                        (0UL)                     /*!< PCE DER: P0 (Bit 0)                                         */
#define PCE_DER_P0_Msk                        (0x1UL)                   /*!< PCE DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P1_Pos                        (1UL)                     /*!< PCE DER: P1 (Bit 1)                                         */
#define PCE_DER_P1_Msk                        (0x2UL)                   /*!< PCE DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P2_Pos                        (2UL)                     /*!< PCE DER: P2 (Bit 2)                                         */
#define PCE_DER_P2_Msk                        (0x4UL)                   /*!< PCE DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P3_Pos                        (3UL)                     /*!< PCE DER: P3 (Bit 3)                                         */
#define PCE_DER_P3_Msk                        (0x8UL)                   /*!< PCE DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P4_Pos                        (4UL)                     /*!< PCE DER: P4 (Bit 4)                                         */
#define PCE_DER_P4_Msk                        (0x10UL)                  /*!< PCE DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P5_Pos                        (5UL)                     /*!< PCE DER: P5 (Bit 5)                                         */
#define PCE_DER_P5_Msk                        (0x20UL)                  /*!< PCE DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P6_Pos                        (6UL)                     /*!< PCE DER: P6 (Bit 6)                                         */
#define PCE_DER_P6_Msk                        (0x40UL)                  /*!< PCE DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P7_Pos                        (7UL)                     /*!< PCE DER: P7 (Bit 7)                                         */
#define PCE_DER_P7_Msk                        (0x80UL)                  /*!< PCE DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P8_Pos                        (8UL)                     /*!< PCE DER: P8 (Bit 8)                                         */
#define PCE_DER_P8_Msk                        (0x100UL)                 /*!< PCE DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P9_Pos                        (9UL)                     /*!< PCE DER: P9 (Bit 9)                                         */
#define PCE_DER_P9_Msk                        (0x200UL)                 /*!< PCE DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCE_DER_P10_Pos                       (10UL)                    /*!< PCE DER: P10 (Bit 10)                                       */
#define PCE_DER_P10_Msk                       (0x400UL)                 /*!< PCE DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCE_DER_P11_Pos                       (11UL)                    /*!< PCE DER: P11 (Bit 11)                                       */
#define PCE_DER_P11_Msk                       (0x800UL)                 /*!< PCE DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCE_DER_P12_Pos                       (12UL)                    /*!< PCE DER: P12 (Bit 12)                                       */
#define PCE_DER_P12_Msk                       (0x1000UL)                /*!< PCE DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCE_DER_P13_Pos                       (13UL)                    /*!< PCE DER: P13 (Bit 13)                                       */
#define PCE_DER_P13_Msk                       (0x2000UL)                /*!< PCE DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCE_DER_P14_Pos                       (14UL)                    /*!< PCE DER: P14 (Bit 14)                                       */
#define PCE_DER_P14_Msk                       (0x4000UL)                /*!< PCE DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCE_DER_P15_Pos                       (15UL)                    /*!< PCE DER: P15 (Bit 15)                                       */
#define PCE_DER_P15_Msk                       (0x8000UL)                /*!< PCE DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCE_IER  ---------------------------------- */
#define PCE_IER_P0_Pos                        (0UL)                     /*!< PCE IER: P0 (Bit 0)                                         */
#define PCE_IER_P0_Msk                        (0x3UL)                   /*!< PCE IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P1_Pos                        (2UL)                     /*!< PCE IER: P1 (Bit 2)                                         */
#define PCE_IER_P1_Msk                        (0xcUL)                   /*!< PCE IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P2_Pos                        (4UL)                     /*!< PCE IER: P2 (Bit 4)                                         */
#define PCE_IER_P2_Msk                        (0x30UL)                  /*!< PCE IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P3_Pos                        (6UL)                     /*!< PCE IER: P3 (Bit 6)                                         */
#define PCE_IER_P3_Msk                        (0xc0UL)                  /*!< PCE IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P4_Pos                        (8UL)                     /*!< PCE IER: P4 (Bit 8)                                         */
#define PCE_IER_P4_Msk                        (0x300UL)                 /*!< PCE IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P5_Pos                        (10UL)                    /*!< PCE IER: P5 (Bit 10)                                        */
#define PCE_IER_P5_Msk                        (0xc00UL)                 /*!< PCE IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P6_Pos                        (12UL)                    /*!< PCE IER: P6 (Bit 12)                                        */
#define PCE_IER_P6_Msk                        (0x3000UL)                /*!< PCE IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P7_Pos                        (14UL)                    /*!< PCE IER: P7 (Bit 14)                                        */
#define PCE_IER_P7_Msk                        (0xc000UL)                /*!< PCE IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P8_Pos                        (16UL)                    /*!< PCE IER: P8 (Bit 16)                                        */
#define PCE_IER_P8_Msk                        (0x30000UL)               /*!< PCE IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P9_Pos                        (18UL)                    /*!< PCE IER: P9 (Bit 18)                                        */
#define PCE_IER_P9_Msk                        (0xc0000UL)               /*!< PCE IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCE_IER_P10_Pos                       (20UL)                    /*!< PCE IER: P10 (Bit 20)                                       */
#define PCE_IER_P10_Msk                       (0x300000UL)              /*!< PCE IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCE_IER_P11_Pos                       (22UL)                    /*!< PCE IER: P11 (Bit 22)                                       */
#define PCE_IER_P11_Msk                       (0xc00000UL)              /*!< PCE IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCE_IER_P12_Pos                       (24UL)                    /*!< PCE IER: P12 (Bit 24)                                       */
#define PCE_IER_P12_Msk                       (0x3000000UL)             /*!< PCE IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCE_IER_P13_Pos                       (26UL)                    /*!< PCE IER: P13 (Bit 26)                                       */
#define PCE_IER_P13_Msk                       (0xc000000UL)             /*!< PCE IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCE_IER_P14_Pos                       (28UL)                    /*!< PCE IER: P14 (Bit 28)                                       */
#define PCE_IER_P14_Msk                       (0x30000000UL)            /*!< PCE IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCE_IER_P15_Pos                       (30UL)                    /*!< PCE IER: P15 (Bit 30)                                       */
#define PCE_IER_P15_Msk                       (0xc0000000UL)            /*!< PCE IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCE_ISR  ---------------------------------- */
#define PCE_ISR_P0_Pos                        (0UL)                     /*!< PCE ISR: P0 (Bit 0)                                         */
#define PCE_ISR_P0_Msk                        (0x3UL)                   /*!< PCE ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P1_Pos                        (2UL)                     /*!< PCE ISR: P1 (Bit 2)                                         */
#define PCE_ISR_P1_Msk                        (0xcUL)                   /*!< PCE ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P2_Pos                        (4UL)                     /*!< PCE ISR: P2 (Bit 4)                                         */
#define PCE_ISR_P2_Msk                        (0x30UL)                  /*!< PCE ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P3_Pos                        (6UL)                     /*!< PCE ISR: P3 (Bit 6)                                         */
#define PCE_ISR_P3_Msk                        (0xc0UL)                  /*!< PCE ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P4_Pos                        (8UL)                     /*!< PCE ISR: P4 (Bit 8)                                         */
#define PCE_ISR_P4_Msk                        (0x300UL)                 /*!< PCE ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P5_Pos                        (10UL)                    /*!< PCE ISR: P5 (Bit 10)                                        */
#define PCE_ISR_P5_Msk                        (0xc00UL)                 /*!< PCE ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P6_Pos                        (12UL)                    /*!< PCE ISR: P6 (Bit 12)                                        */
#define PCE_ISR_P6_Msk                        (0x3000UL)                /*!< PCE ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P7_Pos                        (14UL)                    /*!< PCE ISR: P7 (Bit 14)                                        */
#define PCE_ISR_P7_Msk                        (0xc000UL)                /*!< PCE ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P8_Pos                        (16UL)                    /*!< PCE ISR: P8 (Bit 16)                                        */
#define PCE_ISR_P8_Msk                        (0x30000UL)               /*!< PCE ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P9_Pos                        (18UL)                    /*!< PCE ISR: P9 (Bit 18)                                        */
#define PCE_ISR_P9_Msk                        (0xc0000UL)               /*!< PCE ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCE_ISR_P10_Pos                       (20UL)                    /*!< PCE ISR: P10 (Bit 20)                                       */
#define PCE_ISR_P10_Msk                       (0x300000UL)              /*!< PCE ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCE_ISR_P11_Pos                       (22UL)                    /*!< PCE ISR: P11 (Bit 22)                                       */
#define PCE_ISR_P11_Msk                       (0xc00000UL)              /*!< PCE ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCE_ISR_P12_Pos                       (24UL)                    /*!< PCE ISR: P12 (Bit 24)                                       */
#define PCE_ISR_P12_Msk                       (0x3000000UL)             /*!< PCE ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCE_ISR_P13_Pos                       (26UL)                    /*!< PCE ISR: P13 (Bit 26)                                       */
#define PCE_ISR_P13_Msk                       (0xc000000UL)             /*!< PCE ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCE_ISR_P14_Pos                       (28UL)                    /*!< PCE ISR: P14 (Bit 28)                                       */
#define PCE_ISR_P14_Msk                       (0x30000000UL)            /*!< PCE ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCE_ISR_P15_Pos                       (30UL)                    /*!< PCE ISR: P15 (Bit 30)                                       */
#define PCE_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCE ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCE_ICR  ---------------------------------- */
#define PCE_ICR_P0_Pos                        (0UL)                     /*!< PCE ICR: P0 (Bit 0)                                         */
#define PCE_ICR_P0_Msk                        (0x3UL)                   /*!< PCE ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P1_Pos                        (2UL)                     /*!< PCE ICR: P1 (Bit 2)                                         */
#define PCE_ICR_P1_Msk                        (0xcUL)                   /*!< PCE ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P2_Pos                        (4UL)                     /*!< PCE ICR: P2 (Bit 4)                                         */
#define PCE_ICR_P2_Msk                        (0x30UL)                  /*!< PCE ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P3_Pos                        (6UL)                     /*!< PCE ICR: P3 (Bit 6)                                         */
#define PCE_ICR_P3_Msk                        (0xc0UL)                  /*!< PCE ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P4_Pos                        (8UL)                     /*!< PCE ICR: P4 (Bit 8)                                         */
#define PCE_ICR_P4_Msk                        (0x300UL)                 /*!< PCE ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P5_Pos                        (10UL)                    /*!< PCE ICR: P5 (Bit 10)                                        */
#define PCE_ICR_P5_Msk                        (0xc00UL)                 /*!< PCE ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P6_Pos                        (12UL)                    /*!< PCE ICR: P6 (Bit 12)                                        */
#define PCE_ICR_P6_Msk                        (0x3000UL)                /*!< PCE ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P7_Pos                        (14UL)                    /*!< PCE ICR: P7 (Bit 14)                                        */
#define PCE_ICR_P7_Msk                        (0xc000UL)                /*!< PCE ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P8_Pos                        (16UL)                    /*!< PCE ICR: P8 (Bit 16)                                        */
#define PCE_ICR_P8_Msk                        (0x30000UL)               /*!< PCE ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P9_Pos                        (18UL)                    /*!< PCE ICR: P9 (Bit 18)                                        */
#define PCE_ICR_P9_Msk                        (0xc0000UL)               /*!< PCE ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCE_ICR_P10_Pos                       (20UL)                    /*!< PCE ICR: P10 (Bit 20)                                       */
#define PCE_ICR_P10_Msk                       (0x300000UL)              /*!< PCE ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCE_ICR_P11_Pos                       (22UL)                    /*!< PCE ICR: P11 (Bit 22)                                       */
#define PCE_ICR_P11_Msk                       (0xc00000UL)              /*!< PCE ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCE_ICR_P12_Pos                       (24UL)                    /*!< PCE ICR: P12 (Bit 24)                                       */
#define PCE_ICR_P12_Msk                       (0x3000000UL)             /*!< PCE ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCE_ICR_P13_Pos                       (26UL)                    /*!< PCE ICR: P13 (Bit 26)                                       */
#define PCE_ICR_P13_Msk                       (0xc000000UL)             /*!< PCE ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCE_ICR_P14_Pos                       (28UL)                    /*!< PCE ICR: P14 (Bit 28)                                       */
#define PCE_ICR_P14_Msk                       (0x30000000UL)            /*!< PCE ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCE_ICR_P15_Pos                       (30UL)                    /*!< PCE ICR: P15 (Bit 30)                                       */
#define PCE_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCE ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCF' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCF_MR  ----------------------------------- */
#define PCF_MR_P0_Pos                         (0UL)                     /*!< PCF MR: P0 (Bit 0)                                          */
#define PCF_MR_P0_Msk                         (0x3UL)                   /*!< PCF MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P1_Pos                         (2UL)                     /*!< PCF MR: P1 (Bit 2)                                          */
#define PCF_MR_P1_Msk                         (0xcUL)                   /*!< PCF MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P2_Pos                         (4UL)                     /*!< PCF MR: P2 (Bit 4)                                          */
#define PCF_MR_P2_Msk                         (0x30UL)                  /*!< PCF MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P3_Pos                         (6UL)                     /*!< PCF MR: P3 (Bit 6)                                          */
#define PCF_MR_P3_Msk                         (0xc0UL)                  /*!< PCF MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P4_Pos                         (8UL)                     /*!< PCF MR: P4 (Bit 8)                                          */
#define PCF_MR_P4_Msk                         (0x300UL)                 /*!< PCF MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P5_Pos                         (10UL)                    /*!< PCF MR: P5 (Bit 10)                                         */
#define PCF_MR_P5_Msk                         (0xc00UL)                 /*!< PCF MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P6_Pos                         (12UL)                    /*!< PCF MR: P6 (Bit 12)                                         */
#define PCF_MR_P6_Msk                         (0x3000UL)                /*!< PCF MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P7_Pos                         (14UL)                    /*!< PCF MR: P7 (Bit 14)                                         */
#define PCF_MR_P7_Msk                         (0xc000UL)                /*!< PCF MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P8_Pos                         (16UL)                    /*!< PCF MR: P8 (Bit 16)                                         */
#define PCF_MR_P8_Msk                         (0x30000UL)               /*!< PCF MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P9_Pos                         (18UL)                    /*!< PCF MR: P9 (Bit 18)                                         */
#define PCF_MR_P9_Msk                         (0xc0000UL)               /*!< PCF MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCF_MR_P10_Pos                        (20UL)                    /*!< PCF MR: P10 (Bit 20)                                        */
#define PCF_MR_P10_Msk                        (0x300000UL)              /*!< PCF MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCF_MR_P11_Pos                        (22UL)                    /*!< PCF MR: P11 (Bit 22)                                        */
#define PCF_MR_P11_Msk                        (0xc00000UL)              /*!< PCF MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCF_MR_P12_Pos                        (24UL)                    /*!< PCF MR: P12 (Bit 24)                                        */
#define PCF_MR_P12_Msk                        (0x3000000UL)             /*!< PCF MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCF_MR_P13_Pos                        (26UL)                    /*!< PCF MR: P13 (Bit 26)                                        */
#define PCF_MR_P13_Msk                        (0xc000000UL)             /*!< PCF MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCF_MR_P14_Pos                        (28UL)                    /*!< PCF MR: P14 (Bit 28)                                        */
#define PCF_MR_P14_Msk                        (0x30000000UL)            /*!< PCF MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCF_MR_P15_Pos                        (30UL)                    /*!< PCF MR: P15 (Bit 30)                                        */
#define PCF_MR_P15_Msk                        (0xc0000000UL)            /*!< PCF MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCF_CR  ----------------------------------- */
#define PCF_CR_P0_Pos                         (0UL)                     /*!< PCF CR: P0 (Bit 0)                                          */
#define PCF_CR_P0_Msk                         (0x3UL)                   /*!< PCF CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P1_Pos                         (2UL)                     /*!< PCF CR: P1 (Bit 2)                                          */
#define PCF_CR_P1_Msk                         (0xcUL)                   /*!< PCF CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P2_Pos                         (4UL)                     /*!< PCF CR: P2 (Bit 4)                                          */
#define PCF_CR_P2_Msk                         (0x30UL)                  /*!< PCF CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P3_Pos                         (6UL)                     /*!< PCF CR: P3 (Bit 6)                                          */
#define PCF_CR_P3_Msk                         (0xc0UL)                  /*!< PCF CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P4_Pos                         (8UL)                     /*!< PCF CR: P4 (Bit 8)                                          */
#define PCF_CR_P4_Msk                         (0x300UL)                 /*!< PCF CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P5_Pos                         (10UL)                    /*!< PCF CR: P5 (Bit 10)                                         */
#define PCF_CR_P5_Msk                         (0xc00UL)                 /*!< PCF CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P6_Pos                         (12UL)                    /*!< PCF CR: P6 (Bit 12)                                         */
#define PCF_CR_P6_Msk                         (0x3000UL)                /*!< PCF CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P7_Pos                         (14UL)                    /*!< PCF CR: P7 (Bit 14)                                         */
#define PCF_CR_P7_Msk                         (0xc000UL)                /*!< PCF CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P8_Pos                         (16UL)                    /*!< PCF CR: P8 (Bit 16)                                         */
#define PCF_CR_P8_Msk                         (0x30000UL)               /*!< PCF CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P9_Pos                         (18UL)                    /*!< PCF CR: P9 (Bit 18)                                         */
#define PCF_CR_P9_Msk                         (0xc0000UL)               /*!< PCF CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCF_CR_P10_Pos                        (20UL)                    /*!< PCF CR: P10 (Bit 20)                                        */
#define PCF_CR_P10_Msk                        (0x300000UL)              /*!< PCF CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCF_CR_P11_Pos                        (22UL)                    /*!< PCF CR: P11 (Bit 22)                                        */
#define PCF_CR_P11_Msk                        (0xc00000UL)              /*!< PCF CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCF_CR_P12_Pos                        (24UL)                    /*!< PCF CR: P12 (Bit 24)                                        */
#define PCF_CR_P12_Msk                        (0x3000000UL)             /*!< PCF CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCF_CR_P13_Pos                        (26UL)                    /*!< PCF CR: P13 (Bit 26)                                        */
#define PCF_CR_P13_Msk                        (0xc000000UL)             /*!< PCF CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCF_CR_P14_Pos                        (28UL)                    /*!< PCF CR: P14 (Bit 28)                                        */
#define PCF_CR_P14_Msk                        (0x30000000UL)            /*!< PCF CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCF_CR_P15_Pos                        (30UL)                    /*!< PCF CR: P15 (Bit 30)                                        */
#define PCF_CR_P15_Msk                        (0xc0000000UL)            /*!< PCF CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCF_PCR  ---------------------------------- */
#define PCF_PCR_P0_Pos                        (0UL)                     /*!< PCF PCR: P0 (Bit 0)                                         */
#define PCF_PCR_P0_Msk                        (0x1UL)                   /*!< PCF PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P1_Pos                        (1UL)                     /*!< PCF PCR: P1 (Bit 1)                                         */
#define PCF_PCR_P1_Msk                        (0x2UL)                   /*!< PCF PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P2_Pos                        (2UL)                     /*!< PCF PCR: P2 (Bit 2)                                         */
#define PCF_PCR_P2_Msk                        (0x4UL)                   /*!< PCF PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P3_Pos                        (3UL)                     /*!< PCF PCR: P3 (Bit 3)                                         */
#define PCF_PCR_P3_Msk                        (0x8UL)                   /*!< PCF PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P4_Pos                        (4UL)                     /*!< PCF PCR: P4 (Bit 4)                                         */
#define PCF_PCR_P4_Msk                        (0x10UL)                  /*!< PCF PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P5_Pos                        (5UL)                     /*!< PCF PCR: P5 (Bit 5)                                         */
#define PCF_PCR_P5_Msk                        (0x20UL)                  /*!< PCF PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P6_Pos                        (6UL)                     /*!< PCF PCR: P6 (Bit 6)                                         */
#define PCF_PCR_P6_Msk                        (0x40UL)                  /*!< PCF PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P7_Pos                        (7UL)                     /*!< PCF PCR: P7 (Bit 7)                                         */
#define PCF_PCR_P7_Msk                        (0x80UL)                  /*!< PCF PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P8_Pos                        (8UL)                     /*!< PCF PCR: P8 (Bit 8)                                         */
#define PCF_PCR_P8_Msk                        (0x100UL)                 /*!< PCF PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P9_Pos                        (9UL)                     /*!< PCF PCR: P9 (Bit 9)                                         */
#define PCF_PCR_P9_Msk                        (0x200UL)                 /*!< PCF PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCF_PCR_P10_Pos                       (10UL)                    /*!< PCF PCR: P10 (Bit 10)                                       */
#define PCF_PCR_P10_Msk                       (0x400UL)                 /*!< PCF PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCF_PCR_P11_Pos                       (11UL)                    /*!< PCF PCR: P11 (Bit 11)                                       */
#define PCF_PCR_P11_Msk                       (0x800UL)                 /*!< PCF PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCF_PCR_P12_Pos                       (12UL)                    /*!< PCF PCR: P12 (Bit 12)                                       */
#define PCF_PCR_P12_Msk                       (0x1000UL)                /*!< PCF PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCF_PCR_P13_Pos                       (13UL)                    /*!< PCF PCR: P13 (Bit 13)                                       */
#define PCF_PCR_P13_Msk                       (0x2000UL)                /*!< PCF PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCF_PCR_P14_Pos                       (14UL)                    /*!< PCF PCR: P14 (Bit 14)                                       */
#define PCF_PCR_P14_Msk                       (0x4000UL)                /*!< PCF PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCF_PCR_P15_Pos                       (15UL)                    /*!< PCF PCR: P15 (Bit 15)                                       */
#define PCF_PCR_P15_Msk                       (0x8000UL)                /*!< PCF PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCF_DER  ---------------------------------- */
#define PCF_DER_P0_Pos                        (0UL)                     /*!< PCF DER: P0 (Bit 0)                                         */
#define PCF_DER_P0_Msk                        (0x1UL)                   /*!< PCF DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P1_Pos                        (1UL)                     /*!< PCF DER: P1 (Bit 1)                                         */
#define PCF_DER_P1_Msk                        (0x2UL)                   /*!< PCF DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P2_Pos                        (2UL)                     /*!< PCF DER: P2 (Bit 2)                                         */
#define PCF_DER_P2_Msk                        (0x4UL)                   /*!< PCF DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P3_Pos                        (3UL)                     /*!< PCF DER: P3 (Bit 3)                                         */
#define PCF_DER_P3_Msk                        (0x8UL)                   /*!< PCF DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P4_Pos                        (4UL)                     /*!< PCF DER: P4 (Bit 4)                                         */
#define PCF_DER_P4_Msk                        (0x10UL)                  /*!< PCF DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P5_Pos                        (5UL)                     /*!< PCF DER: P5 (Bit 5)                                         */
#define PCF_DER_P5_Msk                        (0x20UL)                  /*!< PCF DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P6_Pos                        (6UL)                     /*!< PCF DER: P6 (Bit 6)                                         */
#define PCF_DER_P6_Msk                        (0x40UL)                  /*!< PCF DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P7_Pos                        (7UL)                     /*!< PCF DER: P7 (Bit 7)                                         */
#define PCF_DER_P7_Msk                        (0x80UL)                  /*!< PCF DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P8_Pos                        (8UL)                     /*!< PCF DER: P8 (Bit 8)                                         */
#define PCF_DER_P8_Msk                        (0x100UL)                 /*!< PCF DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P9_Pos                        (9UL)                     /*!< PCF DER: P9 (Bit 9)                                         */
#define PCF_DER_P9_Msk                        (0x200UL)                 /*!< PCF DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCF_DER_P10_Pos                       (10UL)                    /*!< PCF DER: P10 (Bit 10)                                       */
#define PCF_DER_P10_Msk                       (0x400UL)                 /*!< PCF DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCF_DER_P11_Pos                       (11UL)                    /*!< PCF DER: P11 (Bit 11)                                       */
#define PCF_DER_P11_Msk                       (0x800UL)                 /*!< PCF DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCF_DER_P12_Pos                       (12UL)                    /*!< PCF DER: P12 (Bit 12)                                       */
#define PCF_DER_P12_Msk                       (0x1000UL)                /*!< PCF DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCF_DER_P13_Pos                       (13UL)                    /*!< PCF DER: P13 (Bit 13)                                       */
#define PCF_DER_P13_Msk                       (0x2000UL)                /*!< PCF DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCF_DER_P14_Pos                       (14UL)                    /*!< PCF DER: P14 (Bit 14)                                       */
#define PCF_DER_P14_Msk                       (0x4000UL)                /*!< PCF DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCF_DER_P15_Pos                       (15UL)                    /*!< PCF DER: P15 (Bit 15)                                       */
#define PCF_DER_P15_Msk                       (0x8000UL)                /*!< PCF DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCF_IER  ---------------------------------- */
#define PCF_IER_P0_Pos                        (0UL)                     /*!< PCF IER: P0 (Bit 0)                                         */
#define PCF_IER_P0_Msk                        (0x3UL)                   /*!< PCF IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P1_Pos                        (2UL)                     /*!< PCF IER: P1 (Bit 2)                                         */
#define PCF_IER_P1_Msk                        (0xcUL)                   /*!< PCF IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P2_Pos                        (4UL)                     /*!< PCF IER: P2 (Bit 4)                                         */
#define PCF_IER_P2_Msk                        (0x30UL)                  /*!< PCF IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P3_Pos                        (6UL)                     /*!< PCF IER: P3 (Bit 6)                                         */
#define PCF_IER_P3_Msk                        (0xc0UL)                  /*!< PCF IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P4_Pos                        (8UL)                     /*!< PCF IER: P4 (Bit 8)                                         */
#define PCF_IER_P4_Msk                        (0x300UL)                 /*!< PCF IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P5_Pos                        (10UL)                    /*!< PCF IER: P5 (Bit 10)                                        */
#define PCF_IER_P5_Msk                        (0xc00UL)                 /*!< PCF IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P6_Pos                        (12UL)                    /*!< PCF IER: P6 (Bit 12)                                        */
#define PCF_IER_P6_Msk                        (0x3000UL)                /*!< PCF IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P7_Pos                        (14UL)                    /*!< PCF IER: P7 (Bit 14)                                        */
#define PCF_IER_P7_Msk                        (0xc000UL)                /*!< PCF IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P8_Pos                        (16UL)                    /*!< PCF IER: P8 (Bit 16)                                        */
#define PCF_IER_P8_Msk                        (0x30000UL)               /*!< PCF IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P9_Pos                        (18UL)                    /*!< PCF IER: P9 (Bit 18)                                        */
#define PCF_IER_P9_Msk                        (0xc0000UL)               /*!< PCF IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCF_IER_P10_Pos                       (20UL)                    /*!< PCF IER: P10 (Bit 20)                                       */
#define PCF_IER_P10_Msk                       (0x300000UL)              /*!< PCF IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCF_IER_P11_Pos                       (22UL)                    /*!< PCF IER: P11 (Bit 22)                                       */
#define PCF_IER_P11_Msk                       (0xc00000UL)              /*!< PCF IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCF_IER_P12_Pos                       (24UL)                    /*!< PCF IER: P12 (Bit 24)                                       */
#define PCF_IER_P12_Msk                       (0x3000000UL)             /*!< PCF IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCF_IER_P13_Pos                       (26UL)                    /*!< PCF IER: P13 (Bit 26)                                       */
#define PCF_IER_P13_Msk                       (0xc000000UL)             /*!< PCF IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCF_IER_P14_Pos                       (28UL)                    /*!< PCF IER: P14 (Bit 28)                                       */
#define PCF_IER_P14_Msk                       (0x30000000UL)            /*!< PCF IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCF_IER_P15_Pos                       (30UL)                    /*!< PCF IER: P15 (Bit 30)                                       */
#define PCF_IER_P15_Msk                       (0xc0000000UL)            /*!< PCF IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCF_ISR  ---------------------------------- */
#define PCF_ISR_P0_Pos                        (0UL)                     /*!< PCF ISR: P0 (Bit 0)                                         */
#define PCF_ISR_P0_Msk                        (0x3UL)                   /*!< PCF ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P1_Pos                        (2UL)                     /*!< PCF ISR: P1 (Bit 2)                                         */
#define PCF_ISR_P1_Msk                        (0xcUL)                   /*!< PCF ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P2_Pos                        (4UL)                     /*!< PCF ISR: P2 (Bit 4)                                         */
#define PCF_ISR_P2_Msk                        (0x30UL)                  /*!< PCF ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P3_Pos                        (6UL)                     /*!< PCF ISR: P3 (Bit 6)                                         */
#define PCF_ISR_P3_Msk                        (0xc0UL)                  /*!< PCF ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P4_Pos                        (8UL)                     /*!< PCF ISR: P4 (Bit 8)                                         */
#define PCF_ISR_P4_Msk                        (0x300UL)                 /*!< PCF ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P5_Pos                        (10UL)                    /*!< PCF ISR: P5 (Bit 10)                                        */
#define PCF_ISR_P5_Msk                        (0xc00UL)                 /*!< PCF ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P6_Pos                        (12UL)                    /*!< PCF ISR: P6 (Bit 12)                                        */
#define PCF_ISR_P6_Msk                        (0x3000UL)                /*!< PCF ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P7_Pos                        (14UL)                    /*!< PCF ISR: P7 (Bit 14)                                        */
#define PCF_ISR_P7_Msk                        (0xc000UL)                /*!< PCF ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P8_Pos                        (16UL)                    /*!< PCF ISR: P8 (Bit 16)                                        */
#define PCF_ISR_P8_Msk                        (0x30000UL)               /*!< PCF ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P9_Pos                        (18UL)                    /*!< PCF ISR: P9 (Bit 18)                                        */
#define PCF_ISR_P9_Msk                        (0xc0000UL)               /*!< PCF ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCF_ISR_P10_Pos                       (20UL)                    /*!< PCF ISR: P10 (Bit 20)                                       */
#define PCF_ISR_P10_Msk                       (0x300000UL)              /*!< PCF ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCF_ISR_P11_Pos                       (22UL)                    /*!< PCF ISR: P11 (Bit 22)                                       */
#define PCF_ISR_P11_Msk                       (0xc00000UL)              /*!< PCF ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCF_ISR_P12_Pos                       (24UL)                    /*!< PCF ISR: P12 (Bit 24)                                       */
#define PCF_ISR_P12_Msk                       (0x3000000UL)             /*!< PCF ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCF_ISR_P13_Pos                       (26UL)                    /*!< PCF ISR: P13 (Bit 26)                                       */
#define PCF_ISR_P13_Msk                       (0xc000000UL)             /*!< PCF ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCF_ISR_P14_Pos                       (28UL)                    /*!< PCF ISR: P14 (Bit 28)                                       */
#define PCF_ISR_P14_Msk                       (0x30000000UL)            /*!< PCF ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCF_ISR_P15_Pos                       (30UL)                    /*!< PCF ISR: P15 (Bit 30)                                       */
#define PCF_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCF ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCF_ICR  ---------------------------------- */
#define PCF_ICR_P0_Pos                        (0UL)                     /*!< PCF ICR: P0 (Bit 0)                                         */
#define PCF_ICR_P0_Msk                        (0x3UL)                   /*!< PCF ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P1_Pos                        (2UL)                     /*!< PCF ICR: P1 (Bit 2)                                         */
#define PCF_ICR_P1_Msk                        (0xcUL)                   /*!< PCF ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P2_Pos                        (4UL)                     /*!< PCF ICR: P2 (Bit 4)                                         */
#define PCF_ICR_P2_Msk                        (0x30UL)                  /*!< PCF ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P3_Pos                        (6UL)                     /*!< PCF ICR: P3 (Bit 6)                                         */
#define PCF_ICR_P3_Msk                        (0xc0UL)                  /*!< PCF ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P4_Pos                        (8UL)                     /*!< PCF ICR: P4 (Bit 8)                                         */
#define PCF_ICR_P4_Msk                        (0x300UL)                 /*!< PCF ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P5_Pos                        (10UL)                    /*!< PCF ICR: P5 (Bit 10)                                        */
#define PCF_ICR_P5_Msk                        (0xc00UL)                 /*!< PCF ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P6_Pos                        (12UL)                    /*!< PCF ICR: P6 (Bit 12)                                        */
#define PCF_ICR_P6_Msk                        (0x3000UL)                /*!< PCF ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P7_Pos                        (14UL)                    /*!< PCF ICR: P7 (Bit 14)                                        */
#define PCF_ICR_P7_Msk                        (0xc000UL)                /*!< PCF ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P8_Pos                        (16UL)                    /*!< PCF ICR: P8 (Bit 16)                                        */
#define PCF_ICR_P8_Msk                        (0x30000UL)               /*!< PCF ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P9_Pos                        (18UL)                    /*!< PCF ICR: P9 (Bit 18)                                        */
#define PCF_ICR_P9_Msk                        (0xc0000UL)               /*!< PCF ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCF_ICR_P10_Pos                       (20UL)                    /*!< PCF ICR: P10 (Bit 20)                                       */
#define PCF_ICR_P10_Msk                       (0x300000UL)              /*!< PCF ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCF_ICR_P11_Pos                       (22UL)                    /*!< PCF ICR: P11 (Bit 22)                                       */
#define PCF_ICR_P11_Msk                       (0xc00000UL)              /*!< PCF ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCF_ICR_P12_Pos                       (24UL)                    /*!< PCF ICR: P12 (Bit 24)                                       */
#define PCF_ICR_P12_Msk                       (0x3000000UL)             /*!< PCF ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCF_ICR_P13_Pos                       (26UL)                    /*!< PCF ICR: P13 (Bit 26)                                       */
#define PCF_ICR_P13_Msk                       (0xc000000UL)             /*!< PCF ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCF_ICR_P14_Pos                       (28UL)                    /*!< PCF ICR: P14 (Bit 28)                                       */
#define PCF_ICR_P14_Msk                       (0x30000000UL)            /*!< PCF ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCF_ICR_P15_Pos                       (30UL)                    /*!< PCF ICR: P15 (Bit 30)                                       */
#define PCF_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCF ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================           struct 'PA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PA_ODR  ----------------------------------- */
#define PA_ODR_P0_Pos                         (0UL)                     /*!< PA ODR: P0 (Bit 0)                                          */
#define PA_ODR_P0_Msk                         (0x1UL)                   /*!< PA ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P1_Pos                         (1UL)                     /*!< PA ODR: P1 (Bit 1)                                          */
#define PA_ODR_P1_Msk                         (0x2UL)                   /*!< PA ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P2_Pos                         (2UL)                     /*!< PA ODR: P2 (Bit 2)                                          */
#define PA_ODR_P2_Msk                         (0x4UL)                   /*!< PA ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P3_Pos                         (3UL)                     /*!< PA ODR: P3 (Bit 3)                                          */
#define PA_ODR_P3_Msk                         (0x8UL)                   /*!< PA ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P4_Pos                         (4UL)                     /*!< PA ODR: P4 (Bit 4)                                          */
#define PA_ODR_P4_Msk                         (0x10UL)                  /*!< PA ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P5_Pos                         (5UL)                     /*!< PA ODR: P5 (Bit 5)                                          */
#define PA_ODR_P5_Msk                         (0x20UL)                  /*!< PA ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P6_Pos                         (6UL)                     /*!< PA ODR: P6 (Bit 6)                                          */
#define PA_ODR_P6_Msk                         (0x40UL)                  /*!< PA ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P7_Pos                         (7UL)                     /*!< PA ODR: P7 (Bit 7)                                          */
#define PA_ODR_P7_Msk                         (0x80UL)                  /*!< PA ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P8_Pos                         (8UL)                     /*!< PA ODR: P8 (Bit 8)                                          */
#define PA_ODR_P8_Msk                         (0x100UL)                 /*!< PA ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P9_Pos                         (9UL)                     /*!< PA ODR: P9 (Bit 9)                                          */
#define PA_ODR_P9_Msk                         (0x200UL)                 /*!< PA ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P10_Pos                        (10UL)                    /*!< PA ODR: P10 (Bit 10)                                        */
#define PA_ODR_P10_Msk                        (0x400UL)                 /*!< PA ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P11_Pos                        (11UL)                    /*!< PA ODR: P11 (Bit 11)                                        */
#define PA_ODR_P11_Msk                        (0x800UL)                 /*!< PA ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P12_Pos                        (12UL)                    /*!< PA ODR: P12 (Bit 12)                                        */
#define PA_ODR_P12_Msk                        (0x1000UL)                /*!< PA ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P13_Pos                        (13UL)                    /*!< PA ODR: P13 (Bit 13)                                        */
#define PA_ODR_P13_Msk                        (0x2000UL)                /*!< PA ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P14_Pos                        (14UL)                    /*!< PA ODR: P14 (Bit 14)                                        */
#define PA_ODR_P14_Msk                        (0x4000UL)                /*!< PA ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P15_Pos                        (15UL)                    /*!< PA ODR: P15 (Bit 15)                                        */
#define PA_ODR_P15_Msk                        (0x8000UL)                /*!< PA ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_IDR  ----------------------------------- */
#define PA_IDR_P0_Pos                         (0UL)                     /*!< PA IDR: P0 (Bit 0)                                          */
#define PA_IDR_P0_Msk                         (0x1UL)                   /*!< PA IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P1_Pos                         (1UL)                     /*!< PA IDR: P1 (Bit 1)                                          */
#define PA_IDR_P1_Msk                         (0x2UL)                   /*!< PA IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P2_Pos                         (2UL)                     /*!< PA IDR: P2 (Bit 2)                                          */
#define PA_IDR_P2_Msk                         (0x4UL)                   /*!< PA IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P3_Pos                         (3UL)                     /*!< PA IDR: P3 (Bit 3)                                          */
#define PA_IDR_P3_Msk                         (0x8UL)                   /*!< PA IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P4_Pos                         (4UL)                     /*!< PA IDR: P4 (Bit 4)                                          */
#define PA_IDR_P4_Msk                         (0x10UL)                  /*!< PA IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P5_Pos                         (5UL)                     /*!< PA IDR: P5 (Bit 5)                                          */
#define PA_IDR_P5_Msk                         (0x20UL)                  /*!< PA IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P6_Pos                         (6UL)                     /*!< PA IDR: P6 (Bit 6)                                          */
#define PA_IDR_P6_Msk                         (0x40UL)                  /*!< PA IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P7_Pos                         (7UL)                     /*!< PA IDR: P7 (Bit 7)                                          */
#define PA_IDR_P7_Msk                         (0x80UL)                  /*!< PA IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P8_Pos                         (8UL)                     /*!< PA IDR: P8 (Bit 8)                                          */
#define PA_IDR_P8_Msk                         (0x100UL)                 /*!< PA IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P9_Pos                         (9UL)                     /*!< PA IDR: P9 (Bit 9)                                          */
#define PA_IDR_P9_Msk                         (0x200UL)                 /*!< PA IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P10_Pos                        (10UL)                    /*!< PA IDR: P10 (Bit 10)                                        */
#define PA_IDR_P10_Msk                        (0x400UL)                 /*!< PA IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P11_Pos                        (11UL)                    /*!< PA IDR: P11 (Bit 11)                                        */
#define PA_IDR_P11_Msk                        (0x800UL)                 /*!< PA IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P12_Pos                        (12UL)                    /*!< PA IDR: P12 (Bit 12)                                        */
#define PA_IDR_P12_Msk                        (0x1000UL)                /*!< PA IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P13_Pos                        (13UL)                    /*!< PA IDR: P13 (Bit 13)                                        */
#define PA_IDR_P13_Msk                        (0x2000UL)                /*!< PA IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P14_Pos                        (14UL)                    /*!< PA IDR: P14 (Bit 14)                                        */
#define PA_IDR_P14_Msk                        (0x4000UL)                /*!< PA IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P15_Pos                        (15UL)                    /*!< PA IDR: P15 (Bit 15)                                        */
#define PA_IDR_P15_Msk                        (0x8000UL)                /*!< PA IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_BSR  ----------------------------------- */
#define PA_BSR_P0_Pos                         (0UL)                     /*!< PA BSR: P0 (Bit 0)                                          */
#define PA_BSR_P0_Msk                         (0x1UL)                   /*!< PA BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P1_Pos                         (1UL)                     /*!< PA BSR: P1 (Bit 1)                                          */
#define PA_BSR_P1_Msk                         (0x2UL)                   /*!< PA BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P2_Pos                         (2UL)                     /*!< PA BSR: P2 (Bit 2)                                          */
#define PA_BSR_P2_Msk                         (0x4UL)                   /*!< PA BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P3_Pos                         (3UL)                     /*!< PA BSR: P3 (Bit 3)                                          */
#define PA_BSR_P3_Msk                         (0x8UL)                   /*!< PA BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P4_Pos                         (4UL)                     /*!< PA BSR: P4 (Bit 4)                                          */
#define PA_BSR_P4_Msk                         (0x10UL)                  /*!< PA BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P5_Pos                         (5UL)                     /*!< PA BSR: P5 (Bit 5)                                          */
#define PA_BSR_P5_Msk                         (0x20UL)                  /*!< PA BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P6_Pos                         (6UL)                     /*!< PA BSR: P6 (Bit 6)                                          */
#define PA_BSR_P6_Msk                         (0x40UL)                  /*!< PA BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P7_Pos                         (7UL)                     /*!< PA BSR: P7 (Bit 7)                                          */
#define PA_BSR_P7_Msk                         (0x80UL)                  /*!< PA BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P8_Pos                         (8UL)                     /*!< PA BSR: P8 (Bit 8)                                          */
#define PA_BSR_P8_Msk                         (0x100UL)                 /*!< PA BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P9_Pos                         (9UL)                     /*!< PA BSR: P9 (Bit 9)                                          */
#define PA_BSR_P9_Msk                         (0x200UL)                 /*!< PA BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P10_Pos                        (10UL)                    /*!< PA BSR: P10 (Bit 10)                                        */
#define PA_BSR_P10_Msk                        (0x400UL)                 /*!< PA BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P11_Pos                        (11UL)                    /*!< PA BSR: P11 (Bit 11)                                        */
#define PA_BSR_P11_Msk                        (0x800UL)                 /*!< PA BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P12_Pos                        (12UL)                    /*!< PA BSR: P12 (Bit 12)                                        */
#define PA_BSR_P12_Msk                        (0x1000UL)                /*!< PA BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P13_Pos                        (13UL)                    /*!< PA BSR: P13 (Bit 13)                                        */
#define PA_BSR_P13_Msk                        (0x2000UL)                /*!< PA BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P14_Pos                        (14UL)                    /*!< PA BSR: P14 (Bit 14)                                        */
#define PA_BSR_P14_Msk                        (0x4000UL)                /*!< PA BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P15_Pos                        (15UL)                    /*!< PA BSR: P15 (Bit 15)                                        */
#define PA_BSR_P15_Msk                        (0x8000UL)                /*!< PA BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_BCR  ----------------------------------- */
#define PA_BCR_P0_Pos                         (0UL)                     /*!< PA BCR: P0 (Bit 0)                                          */
#define PA_BCR_P0_Msk                         (0x1UL)                   /*!< PA BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P1_Pos                         (1UL)                     /*!< PA BCR: P1 (Bit 1)                                          */
#define PA_BCR_P1_Msk                         (0x2UL)                   /*!< PA BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P2_Pos                         (2UL)                     /*!< PA BCR: P2 (Bit 2)                                          */
#define PA_BCR_P2_Msk                         (0x4UL)                   /*!< PA BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P3_Pos                         (3UL)                     /*!< PA BCR: P3 (Bit 3)                                          */
#define PA_BCR_P3_Msk                         (0x8UL)                   /*!< PA BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P4_Pos                         (4UL)                     /*!< PA BCR: P4 (Bit 4)                                          */
#define PA_BCR_P4_Msk                         (0x10UL)                  /*!< PA BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P5_Pos                         (5UL)                     /*!< PA BCR: P5 (Bit 5)                                          */
#define PA_BCR_P5_Msk                         (0x20UL)                  /*!< PA BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P6_Pos                         (6UL)                     /*!< PA BCR: P6 (Bit 6)                                          */
#define PA_BCR_P6_Msk                         (0x40UL)                  /*!< PA BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P7_Pos                         (7UL)                     /*!< PA BCR: P7 (Bit 7)                                          */
#define PA_BCR_P7_Msk                         (0x80UL)                  /*!< PA BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P8_Pos                         (8UL)                     /*!< PA BCR: P8 (Bit 8)                                          */
#define PA_BCR_P8_Msk                         (0x100UL)                 /*!< PA BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P9_Pos                         (9UL)                     /*!< PA BCR: P9 (Bit 9)                                          */
#define PA_BCR_P9_Msk                         (0x200UL)                 /*!< PA BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P10_Pos                        (10UL)                    /*!< PA BCR: P10 (Bit 10)                                        */
#define PA_BCR_P10_Msk                        (0x400UL)                 /*!< PA BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P11_Pos                        (11UL)                    /*!< PA BCR: P11 (Bit 11)                                        */
#define PA_BCR_P11_Msk                        (0x800UL)                 /*!< PA BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P12_Pos                        (12UL)                    /*!< PA BCR: P12 (Bit 12)                                        */
#define PA_BCR_P12_Msk                        (0x1000UL)                /*!< PA BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P13_Pos                        (13UL)                    /*!< PA BCR: P13 (Bit 13)                                        */
#define PA_BCR_P13_Msk                        (0x2000UL)                /*!< PA BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P14_Pos                        (14UL)                    /*!< PA BCR: P14 (Bit 14)                                        */
#define PA_BCR_P14_Msk                        (0x4000UL)                /*!< PA BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P15_Pos                        (15UL)                    /*!< PA BCR: P15 (Bit 15)                                        */
#define PA_BCR_P15_Msk                        (0x8000UL)                /*!< PA BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PB_ODR  ----------------------------------- */
#define PB_ODR_P0_Pos                         (0UL)                     /*!< PB ODR: P0 (Bit 0)                                          */
#define PB_ODR_P0_Msk                         (0x1UL)                   /*!< PB ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P1_Pos                         (1UL)                     /*!< PB ODR: P1 (Bit 1)                                          */
#define PB_ODR_P1_Msk                         (0x2UL)                   /*!< PB ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P2_Pos                         (2UL)                     /*!< PB ODR: P2 (Bit 2)                                          */
#define PB_ODR_P2_Msk                         (0x4UL)                   /*!< PB ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P3_Pos                         (3UL)                     /*!< PB ODR: P3 (Bit 3)                                          */
#define PB_ODR_P3_Msk                         (0x8UL)                   /*!< PB ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P4_Pos                         (4UL)                     /*!< PB ODR: P4 (Bit 4)                                          */
#define PB_ODR_P4_Msk                         (0x10UL)                  /*!< PB ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P5_Pos                         (5UL)                     /*!< PB ODR: P5 (Bit 5)                                          */
#define PB_ODR_P5_Msk                         (0x20UL)                  /*!< PB ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P6_Pos                         (6UL)                     /*!< PB ODR: P6 (Bit 6)                                          */
#define PB_ODR_P6_Msk                         (0x40UL)                  /*!< PB ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P7_Pos                         (7UL)                     /*!< PB ODR: P7 (Bit 7)                                          */
#define PB_ODR_P7_Msk                         (0x80UL)                  /*!< PB ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P8_Pos                         (8UL)                     /*!< PB ODR: P8 (Bit 8)                                          */
#define PB_ODR_P8_Msk                         (0x100UL)                 /*!< PB ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P9_Pos                         (9UL)                     /*!< PB ODR: P9 (Bit 9)                                          */
#define PB_ODR_P9_Msk                         (0x200UL)                 /*!< PB ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P10_Pos                        (10UL)                    /*!< PB ODR: P10 (Bit 10)                                        */
#define PB_ODR_P10_Msk                        (0x400UL)                 /*!< PB ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P11_Pos                        (11UL)                    /*!< PB ODR: P11 (Bit 11)                                        */
#define PB_ODR_P11_Msk                        (0x800UL)                 /*!< PB ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P12_Pos                        (12UL)                    /*!< PB ODR: P12 (Bit 12)                                        */
#define PB_ODR_P12_Msk                        (0x1000UL)                /*!< PB ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P13_Pos                        (13UL)                    /*!< PB ODR: P13 (Bit 13)                                        */
#define PB_ODR_P13_Msk                        (0x2000UL)                /*!< PB ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P14_Pos                        (14UL)                    /*!< PB ODR: P14 (Bit 14)                                        */
#define PB_ODR_P14_Msk                        (0x4000UL)                /*!< PB ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P15_Pos                        (15UL)                    /*!< PB ODR: P15 (Bit 15)                                        */
#define PB_ODR_P15_Msk                        (0x8000UL)                /*!< PB ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_IDR  ----------------------------------- */
#define PB_IDR_P0_Pos                         (0UL)                     /*!< PB IDR: P0 (Bit 0)                                          */
#define PB_IDR_P0_Msk                         (0x1UL)                   /*!< PB IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P1_Pos                         (1UL)                     /*!< PB IDR: P1 (Bit 1)                                          */
#define PB_IDR_P1_Msk                         (0x2UL)                   /*!< PB IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P2_Pos                         (2UL)                     /*!< PB IDR: P2 (Bit 2)                                          */
#define PB_IDR_P2_Msk                         (0x4UL)                   /*!< PB IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P3_Pos                         (3UL)                     /*!< PB IDR: P3 (Bit 3)                                          */
#define PB_IDR_P3_Msk                         (0x8UL)                   /*!< PB IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P4_Pos                         (4UL)                     /*!< PB IDR: P4 (Bit 4)                                          */
#define PB_IDR_P4_Msk                         (0x10UL)                  /*!< PB IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P5_Pos                         (5UL)                     /*!< PB IDR: P5 (Bit 5)                                          */
#define PB_IDR_P5_Msk                         (0x20UL)                  /*!< PB IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P6_Pos                         (6UL)                     /*!< PB IDR: P6 (Bit 6)                                          */
#define PB_IDR_P6_Msk                         (0x40UL)                  /*!< PB IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P7_Pos                         (7UL)                     /*!< PB IDR: P7 (Bit 7)                                          */
#define PB_IDR_P7_Msk                         (0x80UL)                  /*!< PB IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P8_Pos                         (8UL)                     /*!< PB IDR: P8 (Bit 8)                                          */
#define PB_IDR_P8_Msk                         (0x100UL)                 /*!< PB IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P9_Pos                         (9UL)                     /*!< PB IDR: P9 (Bit 9)                                          */
#define PB_IDR_P9_Msk                         (0x200UL)                 /*!< PB IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P10_Pos                        (10UL)                    /*!< PB IDR: P10 (Bit 10)                                        */
#define PB_IDR_P10_Msk                        (0x400UL)                 /*!< PB IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P11_Pos                        (11UL)                    /*!< PB IDR: P11 (Bit 11)                                        */
#define PB_IDR_P11_Msk                        (0x800UL)                 /*!< PB IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P12_Pos                        (12UL)                    /*!< PB IDR: P12 (Bit 12)                                        */
#define PB_IDR_P12_Msk                        (0x1000UL)                /*!< PB IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P13_Pos                        (13UL)                    /*!< PB IDR: P13 (Bit 13)                                        */
#define PB_IDR_P13_Msk                        (0x2000UL)                /*!< PB IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P14_Pos                        (14UL)                    /*!< PB IDR: P14 (Bit 14)                                        */
#define PB_IDR_P14_Msk                        (0x4000UL)                /*!< PB IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P15_Pos                        (15UL)                    /*!< PB IDR: P15 (Bit 15)                                        */
#define PB_IDR_P15_Msk                        (0x8000UL)                /*!< PB IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_BSR  ----------------------------------- */
#define PB_BSR_P0_Pos                         (0UL)                     /*!< PB BSR: P0 (Bit 0)                                          */
#define PB_BSR_P0_Msk                         (0x1UL)                   /*!< PB BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P1_Pos                         (1UL)                     /*!< PB BSR: P1 (Bit 1)                                          */
#define PB_BSR_P1_Msk                         (0x2UL)                   /*!< PB BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P2_Pos                         (2UL)                     /*!< PB BSR: P2 (Bit 2)                                          */
#define PB_BSR_P2_Msk                         (0x4UL)                   /*!< PB BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P3_Pos                         (3UL)                     /*!< PB BSR: P3 (Bit 3)                                          */
#define PB_BSR_P3_Msk                         (0x8UL)                   /*!< PB BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P4_Pos                         (4UL)                     /*!< PB BSR: P4 (Bit 4)                                          */
#define PB_BSR_P4_Msk                         (0x10UL)                  /*!< PB BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P5_Pos                         (5UL)                     /*!< PB BSR: P5 (Bit 5)                                          */
#define PB_BSR_P5_Msk                         (0x20UL)                  /*!< PB BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P6_Pos                         (6UL)                     /*!< PB BSR: P6 (Bit 6)                                          */
#define PB_BSR_P6_Msk                         (0x40UL)                  /*!< PB BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P7_Pos                         (7UL)                     /*!< PB BSR: P7 (Bit 7)                                          */
#define PB_BSR_P7_Msk                         (0x80UL)                  /*!< PB BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P8_Pos                         (8UL)                     /*!< PB BSR: P8 (Bit 8)                                          */
#define PB_BSR_P8_Msk                         (0x100UL)                 /*!< PB BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P9_Pos                         (9UL)                     /*!< PB BSR: P9 (Bit 9)                                          */
#define PB_BSR_P9_Msk                         (0x200UL)                 /*!< PB BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P10_Pos                        (10UL)                    /*!< PB BSR: P10 (Bit 10)                                        */
#define PB_BSR_P10_Msk                        (0x400UL)                 /*!< PB BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P11_Pos                        (11UL)                    /*!< PB BSR: P11 (Bit 11)                                        */
#define PB_BSR_P11_Msk                        (0x800UL)                 /*!< PB BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P12_Pos                        (12UL)                    /*!< PB BSR: P12 (Bit 12)                                        */
#define PB_BSR_P12_Msk                        (0x1000UL)                /*!< PB BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P13_Pos                        (13UL)                    /*!< PB BSR: P13 (Bit 13)                                        */
#define PB_BSR_P13_Msk                        (0x2000UL)                /*!< PB BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P14_Pos                        (14UL)                    /*!< PB BSR: P14 (Bit 14)                                        */
#define PB_BSR_P14_Msk                        (0x4000UL)                /*!< PB BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P15_Pos                        (15UL)                    /*!< PB BSR: P15 (Bit 15)                                        */
#define PB_BSR_P15_Msk                        (0x8000UL)                /*!< PB BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_BCR  ----------------------------------- */
#define PB_BCR_P0_Pos                         (0UL)                     /*!< PB BCR: P0 (Bit 0)                                          */
#define PB_BCR_P0_Msk                         (0x1UL)                   /*!< PB BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P1_Pos                         (1UL)                     /*!< PB BCR: P1 (Bit 1)                                          */
#define PB_BCR_P1_Msk                         (0x2UL)                   /*!< PB BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P2_Pos                         (2UL)                     /*!< PB BCR: P2 (Bit 2)                                          */
#define PB_BCR_P2_Msk                         (0x4UL)                   /*!< PB BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P3_Pos                         (3UL)                     /*!< PB BCR: P3 (Bit 3)                                          */
#define PB_BCR_P3_Msk                         (0x8UL)                   /*!< PB BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P4_Pos                         (4UL)                     /*!< PB BCR: P4 (Bit 4)                                          */
#define PB_BCR_P4_Msk                         (0x10UL)                  /*!< PB BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P5_Pos                         (5UL)                     /*!< PB BCR: P5 (Bit 5)                                          */
#define PB_BCR_P5_Msk                         (0x20UL)                  /*!< PB BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P6_Pos                         (6UL)                     /*!< PB BCR: P6 (Bit 6)                                          */
#define PB_BCR_P6_Msk                         (0x40UL)                  /*!< PB BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P7_Pos                         (7UL)                     /*!< PB BCR: P7 (Bit 7)                                          */
#define PB_BCR_P7_Msk                         (0x80UL)                  /*!< PB BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P8_Pos                         (8UL)                     /*!< PB BCR: P8 (Bit 8)                                          */
#define PB_BCR_P8_Msk                         (0x100UL)                 /*!< PB BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P9_Pos                         (9UL)                     /*!< PB BCR: P9 (Bit 9)                                          */
#define PB_BCR_P9_Msk                         (0x200UL)                 /*!< PB BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P10_Pos                        (10UL)                    /*!< PB BCR: P10 (Bit 10)                                        */
#define PB_BCR_P10_Msk                        (0x400UL)                 /*!< PB BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P11_Pos                        (11UL)                    /*!< PB BCR: P11 (Bit 11)                                        */
#define PB_BCR_P11_Msk                        (0x800UL)                 /*!< PB BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P12_Pos                        (12UL)                    /*!< PB BCR: P12 (Bit 12)                                        */
#define PB_BCR_P12_Msk                        (0x1000UL)                /*!< PB BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P13_Pos                        (13UL)                    /*!< PB BCR: P13 (Bit 13)                                        */
#define PB_BCR_P13_Msk                        (0x2000UL)                /*!< PB BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P14_Pos                        (14UL)                    /*!< PB BCR: P14 (Bit 14)                                        */
#define PB_BCR_P14_Msk                        (0x4000UL)                /*!< PB BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P15_Pos                        (15UL)                    /*!< PB BCR: P15 (Bit 15)                                        */
#define PB_BCR_P15_Msk                        (0x8000UL)                /*!< PB BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PC_ODR  ----------------------------------- */
#define PC_ODR_P0_Pos                         (0UL)                     /*!< PC ODR: P0 (Bit 0)                                          */
#define PC_ODR_P0_Msk                         (0x1UL)                   /*!< PC ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P1_Pos                         (1UL)                     /*!< PC ODR: P1 (Bit 1)                                          */
#define PC_ODR_P1_Msk                         (0x2UL)                   /*!< PC ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P2_Pos                         (2UL)                     /*!< PC ODR: P2 (Bit 2)                                          */
#define PC_ODR_P2_Msk                         (0x4UL)                   /*!< PC ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P3_Pos                         (3UL)                     /*!< PC ODR: P3 (Bit 3)                                          */
#define PC_ODR_P3_Msk                         (0x8UL)                   /*!< PC ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P4_Pos                         (4UL)                     /*!< PC ODR: P4 (Bit 4)                                          */
#define PC_ODR_P4_Msk                         (0x10UL)                  /*!< PC ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P5_Pos                         (5UL)                     /*!< PC ODR: P5 (Bit 5)                                          */
#define PC_ODR_P5_Msk                         (0x20UL)                  /*!< PC ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P6_Pos                         (6UL)                     /*!< PC ODR: P6 (Bit 6)                                          */
#define PC_ODR_P6_Msk                         (0x40UL)                  /*!< PC ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P7_Pos                         (7UL)                     /*!< PC ODR: P7 (Bit 7)                                          */
#define PC_ODR_P7_Msk                         (0x80UL)                  /*!< PC ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P8_Pos                         (8UL)                     /*!< PC ODR: P8 (Bit 8)                                          */
#define PC_ODR_P8_Msk                         (0x100UL)                 /*!< PC ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P9_Pos                         (9UL)                     /*!< PC ODR: P9 (Bit 9)                                          */
#define PC_ODR_P9_Msk                         (0x200UL)                 /*!< PC ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P10_Pos                        (10UL)                    /*!< PC ODR: P10 (Bit 10)                                        */
#define PC_ODR_P10_Msk                        (0x400UL)                 /*!< PC ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P11_Pos                        (11UL)                    /*!< PC ODR: P11 (Bit 11)                                        */
#define PC_ODR_P11_Msk                        (0x800UL)                 /*!< PC ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P12_Pos                        (12UL)                    /*!< PC ODR: P12 (Bit 12)                                        */
#define PC_ODR_P12_Msk                        (0x1000UL)                /*!< PC ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P13_Pos                        (13UL)                    /*!< PC ODR: P13 (Bit 13)                                        */
#define PC_ODR_P13_Msk                        (0x2000UL)                /*!< PC ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P14_Pos                        (14UL)                    /*!< PC ODR: P14 (Bit 14)                                        */
#define PC_ODR_P14_Msk                        (0x4000UL)                /*!< PC ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P15_Pos                        (15UL)                    /*!< PC ODR: P15 (Bit 15)                                        */
#define PC_ODR_P15_Msk                        (0x8000UL)                /*!< PC ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_IDR  ----------------------------------- */
#define PC_IDR_P0_Pos                         (0UL)                     /*!< PC IDR: P0 (Bit 0)                                          */
#define PC_IDR_P0_Msk                         (0x1UL)                   /*!< PC IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P1_Pos                         (1UL)                     /*!< PC IDR: P1 (Bit 1)                                          */
#define PC_IDR_P1_Msk                         (0x2UL)                   /*!< PC IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P2_Pos                         (2UL)                     /*!< PC IDR: P2 (Bit 2)                                          */
#define PC_IDR_P2_Msk                         (0x4UL)                   /*!< PC IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P3_Pos                         (3UL)                     /*!< PC IDR: P3 (Bit 3)                                          */
#define PC_IDR_P3_Msk                         (0x8UL)                   /*!< PC IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P4_Pos                         (4UL)                     /*!< PC IDR: P4 (Bit 4)                                          */
#define PC_IDR_P4_Msk                         (0x10UL)                  /*!< PC IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P5_Pos                         (5UL)                     /*!< PC IDR: P5 (Bit 5)                                          */
#define PC_IDR_P5_Msk                         (0x20UL)                  /*!< PC IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P6_Pos                         (6UL)                     /*!< PC IDR: P6 (Bit 6)                                          */
#define PC_IDR_P6_Msk                         (0x40UL)                  /*!< PC IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P7_Pos                         (7UL)                     /*!< PC IDR: P7 (Bit 7)                                          */
#define PC_IDR_P7_Msk                         (0x80UL)                  /*!< PC IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P8_Pos                         (8UL)                     /*!< PC IDR: P8 (Bit 8)                                          */
#define PC_IDR_P8_Msk                         (0x100UL)                 /*!< PC IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P9_Pos                         (9UL)                     /*!< PC IDR: P9 (Bit 9)                                          */
#define PC_IDR_P9_Msk                         (0x200UL)                 /*!< PC IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P10_Pos                        (10UL)                    /*!< PC IDR: P10 (Bit 10)                                        */
#define PC_IDR_P10_Msk                        (0x400UL)                 /*!< PC IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P11_Pos                        (11UL)                    /*!< PC IDR: P11 (Bit 11)                                        */
#define PC_IDR_P11_Msk                        (0x800UL)                 /*!< PC IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P12_Pos                        (12UL)                    /*!< PC IDR: P12 (Bit 12)                                        */
#define PC_IDR_P12_Msk                        (0x1000UL)                /*!< PC IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P13_Pos                        (13UL)                    /*!< PC IDR: P13 (Bit 13)                                        */
#define PC_IDR_P13_Msk                        (0x2000UL)                /*!< PC IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P14_Pos                        (14UL)                    /*!< PC IDR: P14 (Bit 14)                                        */
#define PC_IDR_P14_Msk                        (0x4000UL)                /*!< PC IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P15_Pos                        (15UL)                    /*!< PC IDR: P15 (Bit 15)                                        */
#define PC_IDR_P15_Msk                        (0x8000UL)                /*!< PC IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_BSR  ----------------------------------- */
#define PC_BSR_P0_Pos                         (0UL)                     /*!< PC BSR: P0 (Bit 0)                                          */
#define PC_BSR_P0_Msk                         (0x1UL)                   /*!< PC BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P1_Pos                         (1UL)                     /*!< PC BSR: P1 (Bit 1)                                          */
#define PC_BSR_P1_Msk                         (0x2UL)                   /*!< PC BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P2_Pos                         (2UL)                     /*!< PC BSR: P2 (Bit 2)                                          */
#define PC_BSR_P2_Msk                         (0x4UL)                   /*!< PC BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P3_Pos                         (3UL)                     /*!< PC BSR: P3 (Bit 3)                                          */
#define PC_BSR_P3_Msk                         (0x8UL)                   /*!< PC BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P4_Pos                         (4UL)                     /*!< PC BSR: P4 (Bit 4)                                          */
#define PC_BSR_P4_Msk                         (0x10UL)                  /*!< PC BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P5_Pos                         (5UL)                     /*!< PC BSR: P5 (Bit 5)                                          */
#define PC_BSR_P5_Msk                         (0x20UL)                  /*!< PC BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P6_Pos                         (6UL)                     /*!< PC BSR: P6 (Bit 6)                                          */
#define PC_BSR_P6_Msk                         (0x40UL)                  /*!< PC BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P7_Pos                         (7UL)                     /*!< PC BSR: P7 (Bit 7)                                          */
#define PC_BSR_P7_Msk                         (0x80UL)                  /*!< PC BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P8_Pos                         (8UL)                     /*!< PC BSR: P8 (Bit 8)                                          */
#define PC_BSR_P8_Msk                         (0x100UL)                 /*!< PC BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P9_Pos                         (9UL)                     /*!< PC BSR: P9 (Bit 9)                                          */
#define PC_BSR_P9_Msk                         (0x200UL)                 /*!< PC BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P10_Pos                        (10UL)                    /*!< PC BSR: P10 (Bit 10)                                        */
#define PC_BSR_P10_Msk                        (0x400UL)                 /*!< PC BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P11_Pos                        (11UL)                    /*!< PC BSR: P11 (Bit 11)                                        */
#define PC_BSR_P11_Msk                        (0x800UL)                 /*!< PC BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P12_Pos                        (12UL)                    /*!< PC BSR: P12 (Bit 12)                                        */
#define PC_BSR_P12_Msk                        (0x1000UL)                /*!< PC BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P13_Pos                        (13UL)                    /*!< PC BSR: P13 (Bit 13)                                        */
#define PC_BSR_P13_Msk                        (0x2000UL)                /*!< PC BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P14_Pos                        (14UL)                    /*!< PC BSR: P14 (Bit 14)                                        */
#define PC_BSR_P14_Msk                        (0x4000UL)                /*!< PC BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P15_Pos                        (15UL)                    /*!< PC BSR: P15 (Bit 15)                                        */
#define PC_BSR_P15_Msk                        (0x8000UL)                /*!< PC BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_BCR  ----------------------------------- */
#define PC_BCR_P0_Pos                         (0UL)                     /*!< PC BCR: P0 (Bit 0)                                          */
#define PC_BCR_P0_Msk                         (0x1UL)                   /*!< PC BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P1_Pos                         (1UL)                     /*!< PC BCR: P1 (Bit 1)                                          */
#define PC_BCR_P1_Msk                         (0x2UL)                   /*!< PC BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P2_Pos                         (2UL)                     /*!< PC BCR: P2 (Bit 2)                                          */
#define PC_BCR_P2_Msk                         (0x4UL)                   /*!< PC BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P3_Pos                         (3UL)                     /*!< PC BCR: P3 (Bit 3)                                          */
#define PC_BCR_P3_Msk                         (0x8UL)                   /*!< PC BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P4_Pos                         (4UL)                     /*!< PC BCR: P4 (Bit 4)                                          */
#define PC_BCR_P4_Msk                         (0x10UL)                  /*!< PC BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P5_Pos                         (5UL)                     /*!< PC BCR: P5 (Bit 5)                                          */
#define PC_BCR_P5_Msk                         (0x20UL)                  /*!< PC BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P6_Pos                         (6UL)                     /*!< PC BCR: P6 (Bit 6)                                          */
#define PC_BCR_P6_Msk                         (0x40UL)                  /*!< PC BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P7_Pos                         (7UL)                     /*!< PC BCR: P7 (Bit 7)                                          */
#define PC_BCR_P7_Msk                         (0x80UL)                  /*!< PC BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P8_Pos                         (8UL)                     /*!< PC BCR: P8 (Bit 8)                                          */
#define PC_BCR_P8_Msk                         (0x100UL)                 /*!< PC BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P9_Pos                         (9UL)                     /*!< PC BCR: P9 (Bit 9)                                          */
#define PC_BCR_P9_Msk                         (0x200UL)                 /*!< PC BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P10_Pos                        (10UL)                    /*!< PC BCR: P10 (Bit 10)                                        */
#define PC_BCR_P10_Msk                        (0x400UL)                 /*!< PC BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P11_Pos                        (11UL)                    /*!< PC BCR: P11 (Bit 11)                                        */
#define PC_BCR_P11_Msk                        (0x800UL)                 /*!< PC BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P12_Pos                        (12UL)                    /*!< PC BCR: P12 (Bit 12)                                        */
#define PC_BCR_P12_Msk                        (0x1000UL)                /*!< PC BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P13_Pos                        (13UL)                    /*!< PC BCR: P13 (Bit 13)                                        */
#define PC_BCR_P13_Msk                        (0x2000UL)                /*!< PC BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P14_Pos                        (14UL)                    /*!< PC BCR: P14 (Bit 14)                                        */
#define PC_BCR_P14_Msk                        (0x4000UL)                /*!< PC BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P15_Pos                        (15UL)                    /*!< PC BCR: P15 (Bit 15)                                        */
#define PC_BCR_P15_Msk                        (0x8000UL)                /*!< PC BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PD_ODR  ----------------------------------- */
#define PD_ODR_P0_Pos                         (0UL)                     /*!< PD ODR: P0 (Bit 0)                                          */
#define PD_ODR_P0_Msk                         (0x1UL)                   /*!< PD ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P1_Pos                         (1UL)                     /*!< PD ODR: P1 (Bit 1)                                          */
#define PD_ODR_P1_Msk                         (0x2UL)                   /*!< PD ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P2_Pos                         (2UL)                     /*!< PD ODR: P2 (Bit 2)                                          */
#define PD_ODR_P2_Msk                         (0x4UL)                   /*!< PD ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P3_Pos                         (3UL)                     /*!< PD ODR: P3 (Bit 3)                                          */
#define PD_ODR_P3_Msk                         (0x8UL)                   /*!< PD ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P4_Pos                         (4UL)                     /*!< PD ODR: P4 (Bit 4)                                          */
#define PD_ODR_P4_Msk                         (0x10UL)                  /*!< PD ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P5_Pos                         (5UL)                     /*!< PD ODR: P5 (Bit 5)                                          */
#define PD_ODR_P5_Msk                         (0x20UL)                  /*!< PD ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P6_Pos                         (6UL)                     /*!< PD ODR: P6 (Bit 6)                                          */
#define PD_ODR_P6_Msk                         (0x40UL)                  /*!< PD ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P7_Pos                         (7UL)                     /*!< PD ODR: P7 (Bit 7)                                          */
#define PD_ODR_P7_Msk                         (0x80UL)                  /*!< PD ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P8_Pos                         (8UL)                     /*!< PD ODR: P8 (Bit 8)                                          */
#define PD_ODR_P8_Msk                         (0x100UL)                 /*!< PD ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P9_Pos                         (9UL)                     /*!< PD ODR: P9 (Bit 9)                                          */
#define PD_ODR_P9_Msk                         (0x200UL)                 /*!< PD ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P10_Pos                        (10UL)                    /*!< PD ODR: P10 (Bit 10)                                        */
#define PD_ODR_P10_Msk                        (0x400UL)                 /*!< PD ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P11_Pos                        (11UL)                    /*!< PD ODR: P11 (Bit 11)                                        */
#define PD_ODR_P11_Msk                        (0x800UL)                 /*!< PD ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P12_Pos                        (12UL)                    /*!< PD ODR: P12 (Bit 12)                                        */
#define PD_ODR_P12_Msk                        (0x1000UL)                /*!< PD ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P13_Pos                        (13UL)                    /*!< PD ODR: P13 (Bit 13)                                        */
#define PD_ODR_P13_Msk                        (0x2000UL)                /*!< PD ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P14_Pos                        (14UL)                    /*!< PD ODR: P14 (Bit 14)                                        */
#define PD_ODR_P14_Msk                        (0x4000UL)                /*!< PD ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P15_Pos                        (15UL)                    /*!< PD ODR: P15 (Bit 15)                                        */
#define PD_ODR_P15_Msk                        (0x8000UL)                /*!< PD ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_IDR  ----------------------------------- */
#define PD_IDR_P0_Pos                         (0UL)                     /*!< PD IDR: P0 (Bit 0)                                          */
#define PD_IDR_P0_Msk                         (0x1UL)                   /*!< PD IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P1_Pos                         (1UL)                     /*!< PD IDR: P1 (Bit 1)                                          */
#define PD_IDR_P1_Msk                         (0x2UL)                   /*!< PD IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P2_Pos                         (2UL)                     /*!< PD IDR: P2 (Bit 2)                                          */
#define PD_IDR_P2_Msk                         (0x4UL)                   /*!< PD IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P3_Pos                         (3UL)                     /*!< PD IDR: P3 (Bit 3)                                          */
#define PD_IDR_P3_Msk                         (0x8UL)                   /*!< PD IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P4_Pos                         (4UL)                     /*!< PD IDR: P4 (Bit 4)                                          */
#define PD_IDR_P4_Msk                         (0x10UL)                  /*!< PD IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P5_Pos                         (5UL)                     /*!< PD IDR: P5 (Bit 5)                                          */
#define PD_IDR_P5_Msk                         (0x20UL)                  /*!< PD IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P6_Pos                         (6UL)                     /*!< PD IDR: P6 (Bit 6)                                          */
#define PD_IDR_P6_Msk                         (0x40UL)                  /*!< PD IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P7_Pos                         (7UL)                     /*!< PD IDR: P7 (Bit 7)                                          */
#define PD_IDR_P7_Msk                         (0x80UL)                  /*!< PD IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P8_Pos                         (8UL)                     /*!< PD IDR: P8 (Bit 8)                                          */
#define PD_IDR_P8_Msk                         (0x100UL)                 /*!< PD IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P9_Pos                         (9UL)                     /*!< PD IDR: P9 (Bit 9)                                          */
#define PD_IDR_P9_Msk                         (0x200UL)                 /*!< PD IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P10_Pos                        (10UL)                    /*!< PD IDR: P10 (Bit 10)                                        */
#define PD_IDR_P10_Msk                        (0x400UL)                 /*!< PD IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P11_Pos                        (11UL)                    /*!< PD IDR: P11 (Bit 11)                                        */
#define PD_IDR_P11_Msk                        (0x800UL)                 /*!< PD IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P12_Pos                        (12UL)                    /*!< PD IDR: P12 (Bit 12)                                        */
#define PD_IDR_P12_Msk                        (0x1000UL)                /*!< PD IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P13_Pos                        (13UL)                    /*!< PD IDR: P13 (Bit 13)                                        */
#define PD_IDR_P13_Msk                        (0x2000UL)                /*!< PD IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P14_Pos                        (14UL)                    /*!< PD IDR: P14 (Bit 14)                                        */
#define PD_IDR_P14_Msk                        (0x4000UL)                /*!< PD IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P15_Pos                        (15UL)                    /*!< PD IDR: P15 (Bit 15)                                        */
#define PD_IDR_P15_Msk                        (0x8000UL)                /*!< PD IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_BSR  ----------------------------------- */
#define PD_BSR_P0_Pos                         (0UL)                     /*!< PD BSR: P0 (Bit 0)                                          */
#define PD_BSR_P0_Msk                         (0x1UL)                   /*!< PD BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P1_Pos                         (1UL)                     /*!< PD BSR: P1 (Bit 1)                                          */
#define PD_BSR_P1_Msk                         (0x2UL)                   /*!< PD BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P2_Pos                         (2UL)                     /*!< PD BSR: P2 (Bit 2)                                          */
#define PD_BSR_P2_Msk                         (0x4UL)                   /*!< PD BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P3_Pos                         (3UL)                     /*!< PD BSR: P3 (Bit 3)                                          */
#define PD_BSR_P3_Msk                         (0x8UL)                   /*!< PD BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P4_Pos                         (4UL)                     /*!< PD BSR: P4 (Bit 4)                                          */
#define PD_BSR_P4_Msk                         (0x10UL)                  /*!< PD BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P5_Pos                         (5UL)                     /*!< PD BSR: P5 (Bit 5)                                          */
#define PD_BSR_P5_Msk                         (0x20UL)                  /*!< PD BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P6_Pos                         (6UL)                     /*!< PD BSR: P6 (Bit 6)                                          */
#define PD_BSR_P6_Msk                         (0x40UL)                  /*!< PD BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P7_Pos                         (7UL)                     /*!< PD BSR: P7 (Bit 7)                                          */
#define PD_BSR_P7_Msk                         (0x80UL)                  /*!< PD BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P8_Pos                         (8UL)                     /*!< PD BSR: P8 (Bit 8)                                          */
#define PD_BSR_P8_Msk                         (0x100UL)                 /*!< PD BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P9_Pos                         (9UL)                     /*!< PD BSR: P9 (Bit 9)                                          */
#define PD_BSR_P9_Msk                         (0x200UL)                 /*!< PD BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P10_Pos                        (10UL)                    /*!< PD BSR: P10 (Bit 10)                                        */
#define PD_BSR_P10_Msk                        (0x400UL)                 /*!< PD BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P11_Pos                        (11UL)                    /*!< PD BSR: P11 (Bit 11)                                        */
#define PD_BSR_P11_Msk                        (0x800UL)                 /*!< PD BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P12_Pos                        (12UL)                    /*!< PD BSR: P12 (Bit 12)                                        */
#define PD_BSR_P12_Msk                        (0x1000UL)                /*!< PD BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P13_Pos                        (13UL)                    /*!< PD BSR: P13 (Bit 13)                                        */
#define PD_BSR_P13_Msk                        (0x2000UL)                /*!< PD BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P14_Pos                        (14UL)                    /*!< PD BSR: P14 (Bit 14)                                        */
#define PD_BSR_P14_Msk                        (0x4000UL)                /*!< PD BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P15_Pos                        (15UL)                    /*!< PD BSR: P15 (Bit 15)                                        */
#define PD_BSR_P15_Msk                        (0x8000UL)                /*!< PD BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_BCR  ----------------------------------- */
#define PD_BCR_P0_Pos                         (0UL)                     /*!< PD BCR: P0 (Bit 0)                                          */
#define PD_BCR_P0_Msk                         (0x1UL)                   /*!< PD BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P1_Pos                         (1UL)                     /*!< PD BCR: P1 (Bit 1)                                          */
#define PD_BCR_P1_Msk                         (0x2UL)                   /*!< PD BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P2_Pos                         (2UL)                     /*!< PD BCR: P2 (Bit 2)                                          */
#define PD_BCR_P2_Msk                         (0x4UL)                   /*!< PD BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P3_Pos                         (3UL)                     /*!< PD BCR: P3 (Bit 3)                                          */
#define PD_BCR_P3_Msk                         (0x8UL)                   /*!< PD BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P4_Pos                         (4UL)                     /*!< PD BCR: P4 (Bit 4)                                          */
#define PD_BCR_P4_Msk                         (0x10UL)                  /*!< PD BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P5_Pos                         (5UL)                     /*!< PD BCR: P5 (Bit 5)                                          */
#define PD_BCR_P5_Msk                         (0x20UL)                  /*!< PD BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P6_Pos                         (6UL)                     /*!< PD BCR: P6 (Bit 6)                                          */
#define PD_BCR_P6_Msk                         (0x40UL)                  /*!< PD BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P7_Pos                         (7UL)                     /*!< PD BCR: P7 (Bit 7)                                          */
#define PD_BCR_P7_Msk                         (0x80UL)                  /*!< PD BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P8_Pos                         (8UL)                     /*!< PD BCR: P8 (Bit 8)                                          */
#define PD_BCR_P8_Msk                         (0x100UL)                 /*!< PD BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P9_Pos                         (9UL)                     /*!< PD BCR: P9 (Bit 9)                                          */
#define PD_BCR_P9_Msk                         (0x200UL)                 /*!< PD BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P10_Pos                        (10UL)                    /*!< PD BCR: P10 (Bit 10)                                        */
#define PD_BCR_P10_Msk                        (0x400UL)                 /*!< PD BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P11_Pos                        (11UL)                    /*!< PD BCR: P11 (Bit 11)                                        */
#define PD_BCR_P11_Msk                        (0x800UL)                 /*!< PD BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P12_Pos                        (12UL)                    /*!< PD BCR: P12 (Bit 12)                                        */
#define PD_BCR_P12_Msk                        (0x1000UL)                /*!< PD BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P13_Pos                        (13UL)                    /*!< PD BCR: P13 (Bit 13)                                        */
#define PD_BCR_P13_Msk                        (0x2000UL)                /*!< PD BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P14_Pos                        (14UL)                    /*!< PD BCR: P14 (Bit 14)                                        */
#define PD_BCR_P14_Msk                        (0x4000UL)                /*!< PD BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P15_Pos                        (15UL)                    /*!< PD BCR: P15 (Bit 15)                                        */
#define PD_BCR_P15_Msk                        (0x8000UL)                /*!< PD BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PE' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PE_ODR  ----------------------------------- */
#define PE_ODR_P0_Pos                         (0UL)                     /*!< PE ODR: P0 (Bit 0)                                          */
#define PE_ODR_P0_Msk                         (0x1UL)                   /*!< PE ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P1_Pos                         (1UL)                     /*!< PE ODR: P1 (Bit 1)                                          */
#define PE_ODR_P1_Msk                         (0x2UL)                   /*!< PE ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P2_Pos                         (2UL)                     /*!< PE ODR: P2 (Bit 2)                                          */
#define PE_ODR_P2_Msk                         (0x4UL)                   /*!< PE ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P3_Pos                         (3UL)                     /*!< PE ODR: P3 (Bit 3)                                          */
#define PE_ODR_P3_Msk                         (0x8UL)                   /*!< PE ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P4_Pos                         (4UL)                     /*!< PE ODR: P4 (Bit 4)                                          */
#define PE_ODR_P4_Msk                         (0x10UL)                  /*!< PE ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P5_Pos                         (5UL)                     /*!< PE ODR: P5 (Bit 5)                                          */
#define PE_ODR_P5_Msk                         (0x20UL)                  /*!< PE ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P6_Pos                         (6UL)                     /*!< PE ODR: P6 (Bit 6)                                          */
#define PE_ODR_P6_Msk                         (0x40UL)                  /*!< PE ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P7_Pos                         (7UL)                     /*!< PE ODR: P7 (Bit 7)                                          */
#define PE_ODR_P7_Msk                         (0x80UL)                  /*!< PE ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P8_Pos                         (8UL)                     /*!< PE ODR: P8 (Bit 8)                                          */
#define PE_ODR_P8_Msk                         (0x100UL)                 /*!< PE ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P9_Pos                         (9UL)                     /*!< PE ODR: P9 (Bit 9)                                          */
#define PE_ODR_P9_Msk                         (0x200UL)                 /*!< PE ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PE_ODR_P10_Pos                        (10UL)                    /*!< PE ODR: P10 (Bit 10)                                        */
#define PE_ODR_P10_Msk                        (0x400UL)                 /*!< PE ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PE_ODR_P11_Pos                        (11UL)                    /*!< PE ODR: P11 (Bit 11)                                        */
#define PE_ODR_P11_Msk                        (0x800UL)                 /*!< PE ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PE_ODR_P12_Pos                        (12UL)                    /*!< PE ODR: P12 (Bit 12)                                        */
#define PE_ODR_P12_Msk                        (0x1000UL)                /*!< PE ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PE_ODR_P13_Pos                        (13UL)                    /*!< PE ODR: P13 (Bit 13)                                        */
#define PE_ODR_P13_Msk                        (0x2000UL)                /*!< PE ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PE_ODR_P14_Pos                        (14UL)                    /*!< PE ODR: P14 (Bit 14)                                        */
#define PE_ODR_P14_Msk                        (0x4000UL)                /*!< PE ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PE_ODR_P15_Pos                        (15UL)                    /*!< PE ODR: P15 (Bit 15)                                        */
#define PE_ODR_P15_Msk                        (0x8000UL)                /*!< PE ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PE_IDR  ----------------------------------- */
#define PE_IDR_P0_Pos                         (0UL)                     /*!< PE IDR: P0 (Bit 0)                                          */
#define PE_IDR_P0_Msk                         (0x1UL)                   /*!< PE IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P1_Pos                         (1UL)                     /*!< PE IDR: P1 (Bit 1)                                          */
#define PE_IDR_P1_Msk                         (0x2UL)                   /*!< PE IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P2_Pos                         (2UL)                     /*!< PE IDR: P2 (Bit 2)                                          */
#define PE_IDR_P2_Msk                         (0x4UL)                   /*!< PE IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P3_Pos                         (3UL)                     /*!< PE IDR: P3 (Bit 3)                                          */
#define PE_IDR_P3_Msk                         (0x8UL)                   /*!< PE IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P4_Pos                         (4UL)                     /*!< PE IDR: P4 (Bit 4)                                          */
#define PE_IDR_P4_Msk                         (0x10UL)                  /*!< PE IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P5_Pos                         (5UL)                     /*!< PE IDR: P5 (Bit 5)                                          */
#define PE_IDR_P5_Msk                         (0x20UL)                  /*!< PE IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P6_Pos                         (6UL)                     /*!< PE IDR: P6 (Bit 6)                                          */
#define PE_IDR_P6_Msk                         (0x40UL)                  /*!< PE IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P7_Pos                         (7UL)                     /*!< PE IDR: P7 (Bit 7)                                          */
#define PE_IDR_P7_Msk                         (0x80UL)                  /*!< PE IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P8_Pos                         (8UL)                     /*!< PE IDR: P8 (Bit 8)                                          */
#define PE_IDR_P8_Msk                         (0x100UL)                 /*!< PE IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P9_Pos                         (9UL)                     /*!< PE IDR: P9 (Bit 9)                                          */
#define PE_IDR_P9_Msk                         (0x200UL)                 /*!< PE IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PE_IDR_P10_Pos                        (10UL)                    /*!< PE IDR: P10 (Bit 10)                                        */
#define PE_IDR_P10_Msk                        (0x400UL)                 /*!< PE IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PE_IDR_P11_Pos                        (11UL)                    /*!< PE IDR: P11 (Bit 11)                                        */
#define PE_IDR_P11_Msk                        (0x800UL)                 /*!< PE IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PE_IDR_P12_Pos                        (12UL)                    /*!< PE IDR: P12 (Bit 12)                                        */
#define PE_IDR_P12_Msk                        (0x1000UL)                /*!< PE IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PE_IDR_P13_Pos                        (13UL)                    /*!< PE IDR: P13 (Bit 13)                                        */
#define PE_IDR_P13_Msk                        (0x2000UL)                /*!< PE IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PE_IDR_P14_Pos                        (14UL)                    /*!< PE IDR: P14 (Bit 14)                                        */
#define PE_IDR_P14_Msk                        (0x4000UL)                /*!< PE IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PE_IDR_P15_Pos                        (15UL)                    /*!< PE IDR: P15 (Bit 15)                                        */
#define PE_IDR_P15_Msk                        (0x8000UL)                /*!< PE IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PE_BSR  ----------------------------------- */
#define PE_BSR_P0_Pos                         (0UL)                     /*!< PE BSR: P0 (Bit 0)                                          */
#define PE_BSR_P0_Msk                         (0x1UL)                   /*!< PE BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P1_Pos                         (1UL)                     /*!< PE BSR: P1 (Bit 1)                                          */
#define PE_BSR_P1_Msk                         (0x2UL)                   /*!< PE BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P2_Pos                         (2UL)                     /*!< PE BSR: P2 (Bit 2)                                          */
#define PE_BSR_P2_Msk                         (0x4UL)                   /*!< PE BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P3_Pos                         (3UL)                     /*!< PE BSR: P3 (Bit 3)                                          */
#define PE_BSR_P3_Msk                         (0x8UL)                   /*!< PE BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P4_Pos                         (4UL)                     /*!< PE BSR: P4 (Bit 4)                                          */
#define PE_BSR_P4_Msk                         (0x10UL)                  /*!< PE BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P5_Pos                         (5UL)                     /*!< PE BSR: P5 (Bit 5)                                          */
#define PE_BSR_P5_Msk                         (0x20UL)                  /*!< PE BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P6_Pos                         (6UL)                     /*!< PE BSR: P6 (Bit 6)                                          */
#define PE_BSR_P6_Msk                         (0x40UL)                  /*!< PE BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P7_Pos                         (7UL)                     /*!< PE BSR: P7 (Bit 7)                                          */
#define PE_BSR_P7_Msk                         (0x80UL)                  /*!< PE BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P8_Pos                         (8UL)                     /*!< PE BSR: P8 (Bit 8)                                          */
#define PE_BSR_P8_Msk                         (0x100UL)                 /*!< PE BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P9_Pos                         (9UL)                     /*!< PE BSR: P9 (Bit 9)                                          */
#define PE_BSR_P9_Msk                         (0x200UL)                 /*!< PE BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PE_BSR_P10_Pos                        (10UL)                    /*!< PE BSR: P10 (Bit 10)                                        */
#define PE_BSR_P10_Msk                        (0x400UL)                 /*!< PE BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PE_BSR_P11_Pos                        (11UL)                    /*!< PE BSR: P11 (Bit 11)                                        */
#define PE_BSR_P11_Msk                        (0x800UL)                 /*!< PE BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PE_BSR_P12_Pos                        (12UL)                    /*!< PE BSR: P12 (Bit 12)                                        */
#define PE_BSR_P12_Msk                        (0x1000UL)                /*!< PE BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PE_BSR_P13_Pos                        (13UL)                    /*!< PE BSR: P13 (Bit 13)                                        */
#define PE_BSR_P13_Msk                        (0x2000UL)                /*!< PE BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PE_BSR_P14_Pos                        (14UL)                    /*!< PE BSR: P14 (Bit 14)                                        */
#define PE_BSR_P14_Msk                        (0x4000UL)                /*!< PE BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PE_BSR_P15_Pos                        (15UL)                    /*!< PE BSR: P15 (Bit 15)                                        */
#define PE_BSR_P15_Msk                        (0x8000UL)                /*!< PE BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PE_BCR  ----------------------------------- */
#define PE_BCR_P0_Pos                         (0UL)                     /*!< PE BCR: P0 (Bit 0)                                          */
#define PE_BCR_P0_Msk                         (0x1UL)                   /*!< PE BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P1_Pos                         (1UL)                     /*!< PE BCR: P1 (Bit 1)                                          */
#define PE_BCR_P1_Msk                         (0x2UL)                   /*!< PE BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P2_Pos                         (2UL)                     /*!< PE BCR: P2 (Bit 2)                                          */
#define PE_BCR_P2_Msk                         (0x4UL)                   /*!< PE BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P3_Pos                         (3UL)                     /*!< PE BCR: P3 (Bit 3)                                          */
#define PE_BCR_P3_Msk                         (0x8UL)                   /*!< PE BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P4_Pos                         (4UL)                     /*!< PE BCR: P4 (Bit 4)                                          */
#define PE_BCR_P4_Msk                         (0x10UL)                  /*!< PE BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P5_Pos                         (5UL)                     /*!< PE BCR: P5 (Bit 5)                                          */
#define PE_BCR_P5_Msk                         (0x20UL)                  /*!< PE BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P6_Pos                         (6UL)                     /*!< PE BCR: P6 (Bit 6)                                          */
#define PE_BCR_P6_Msk                         (0x40UL)                  /*!< PE BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P7_Pos                         (7UL)                     /*!< PE BCR: P7 (Bit 7)                                          */
#define PE_BCR_P7_Msk                         (0x80UL)                  /*!< PE BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P8_Pos                         (8UL)                     /*!< PE BCR: P8 (Bit 8)                                          */
#define PE_BCR_P8_Msk                         (0x100UL)                 /*!< PE BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P9_Pos                         (9UL)                     /*!< PE BCR: P9 (Bit 9)                                          */
#define PE_BCR_P9_Msk                         (0x200UL)                 /*!< PE BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PE_BCR_P10_Pos                        (10UL)                    /*!< PE BCR: P10 (Bit 10)                                        */
#define PE_BCR_P10_Msk                        (0x400UL)                 /*!< PE BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PE_BCR_P11_Pos                        (11UL)                    /*!< PE BCR: P11 (Bit 11)                                        */
#define PE_BCR_P11_Msk                        (0x800UL)                 /*!< PE BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PE_BCR_P12_Pos                        (12UL)                    /*!< PE BCR: P12 (Bit 12)                                        */
#define PE_BCR_P12_Msk                        (0x1000UL)                /*!< PE BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PE_BCR_P13_Pos                        (13UL)                    /*!< PE BCR: P13 (Bit 13)                                        */
#define PE_BCR_P13_Msk                        (0x2000UL)                /*!< PE BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PE_BCR_P14_Pos                        (14UL)                    /*!< PE BCR: P14 (Bit 14)                                        */
#define PE_BCR_P14_Msk                        (0x4000UL)                /*!< PE BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PE_BCR_P15_Pos                        (15UL)                    /*!< PE BCR: P15 (Bit 15)                                        */
#define PE_BCR_P15_Msk                        (0x8000UL)                /*!< PE BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PF' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PF_ODR  ----------------------------------- */
#define PF_ODR_P0_Pos                         (0UL)                     /*!< PF ODR: P0 (Bit 0)                                          */
#define PF_ODR_P0_Msk                         (0x1UL)                   /*!< PF ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P1_Pos                         (1UL)                     /*!< PF ODR: P1 (Bit 1)                                          */
#define PF_ODR_P1_Msk                         (0x2UL)                   /*!< PF ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P2_Pos                         (2UL)                     /*!< PF ODR: P2 (Bit 2)                                          */
#define PF_ODR_P2_Msk                         (0x4UL)                   /*!< PF ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P3_Pos                         (3UL)                     /*!< PF ODR: P3 (Bit 3)                                          */
#define PF_ODR_P3_Msk                         (0x8UL)                   /*!< PF ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P4_Pos                         (4UL)                     /*!< PF ODR: P4 (Bit 4)                                          */
#define PF_ODR_P4_Msk                         (0x10UL)                  /*!< PF ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P5_Pos                         (5UL)                     /*!< PF ODR: P5 (Bit 5)                                          */
#define PF_ODR_P5_Msk                         (0x20UL)                  /*!< PF ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P6_Pos                         (6UL)                     /*!< PF ODR: P6 (Bit 6)                                          */
#define PF_ODR_P6_Msk                         (0x40UL)                  /*!< PF ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P7_Pos                         (7UL)                     /*!< PF ODR: P7 (Bit 7)                                          */
#define PF_ODR_P7_Msk                         (0x80UL)                  /*!< PF ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P8_Pos                         (8UL)                     /*!< PF ODR: P8 (Bit 8)                                          */
#define PF_ODR_P8_Msk                         (0x100UL)                 /*!< PF ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P9_Pos                         (9UL)                     /*!< PF ODR: P9 (Bit 9)                                          */
#define PF_ODR_P9_Msk                         (0x200UL)                 /*!< PF ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PF_ODR_P10_Pos                        (10UL)                    /*!< PF ODR: P10 (Bit 10)                                        */
#define PF_ODR_P10_Msk                        (0x400UL)                 /*!< PF ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PF_ODR_P11_Pos                        (11UL)                    /*!< PF ODR: P11 (Bit 11)                                        */
#define PF_ODR_P11_Msk                        (0x800UL)                 /*!< PF ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PF_ODR_P12_Pos                        (12UL)                    /*!< PF ODR: P12 (Bit 12)                                        */
#define PF_ODR_P12_Msk                        (0x1000UL)                /*!< PF ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PF_ODR_P13_Pos                        (13UL)                    /*!< PF ODR: P13 (Bit 13)                                        */
#define PF_ODR_P13_Msk                        (0x2000UL)                /*!< PF ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PF_ODR_P14_Pos                        (14UL)                    /*!< PF ODR: P14 (Bit 14)                                        */
#define PF_ODR_P14_Msk                        (0x4000UL)                /*!< PF ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PF_ODR_P15_Pos                        (15UL)                    /*!< PF ODR: P15 (Bit 15)                                        */
#define PF_ODR_P15_Msk                        (0x8000UL)                /*!< PF ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PF_IDR  ----------------------------------- */
#define PF_IDR_P0_Pos                         (0UL)                     /*!< PF IDR: P0 (Bit 0)                                          */
#define PF_IDR_P0_Msk                         (0x1UL)                   /*!< PF IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P1_Pos                         (1UL)                     /*!< PF IDR: P1 (Bit 1)                                          */
#define PF_IDR_P1_Msk                         (0x2UL)                   /*!< PF IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P2_Pos                         (2UL)                     /*!< PF IDR: P2 (Bit 2)                                          */
#define PF_IDR_P2_Msk                         (0x4UL)                   /*!< PF IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P3_Pos                         (3UL)                     /*!< PF IDR: P3 (Bit 3)                                          */
#define PF_IDR_P3_Msk                         (0x8UL)                   /*!< PF IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P4_Pos                         (4UL)                     /*!< PF IDR: P4 (Bit 4)                                          */
#define PF_IDR_P4_Msk                         (0x10UL)                  /*!< PF IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P5_Pos                         (5UL)                     /*!< PF IDR: P5 (Bit 5)                                          */
#define PF_IDR_P5_Msk                         (0x20UL)                  /*!< PF IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P6_Pos                         (6UL)                     /*!< PF IDR: P6 (Bit 6)                                          */
#define PF_IDR_P6_Msk                         (0x40UL)                  /*!< PF IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P7_Pos                         (7UL)                     /*!< PF IDR: P7 (Bit 7)                                          */
#define PF_IDR_P7_Msk                         (0x80UL)                  /*!< PF IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P8_Pos                         (8UL)                     /*!< PF IDR: P8 (Bit 8)                                          */
#define PF_IDR_P8_Msk                         (0x100UL)                 /*!< PF IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P9_Pos                         (9UL)                     /*!< PF IDR: P9 (Bit 9)                                          */
#define PF_IDR_P9_Msk                         (0x200UL)                 /*!< PF IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PF_IDR_P10_Pos                        (10UL)                    /*!< PF IDR: P10 (Bit 10)                                        */
#define PF_IDR_P10_Msk                        (0x400UL)                 /*!< PF IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PF_IDR_P11_Pos                        (11UL)                    /*!< PF IDR: P11 (Bit 11)                                        */
#define PF_IDR_P11_Msk                        (0x800UL)                 /*!< PF IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PF_IDR_P12_Pos                        (12UL)                    /*!< PF IDR: P12 (Bit 12)                                        */
#define PF_IDR_P12_Msk                        (0x1000UL)                /*!< PF IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PF_IDR_P13_Pos                        (13UL)                    /*!< PF IDR: P13 (Bit 13)                                        */
#define PF_IDR_P13_Msk                        (0x2000UL)                /*!< PF IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PF_IDR_P14_Pos                        (14UL)                    /*!< PF IDR: P14 (Bit 14)                                        */
#define PF_IDR_P14_Msk                        (0x4000UL)                /*!< PF IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PF_IDR_P15_Pos                        (15UL)                    /*!< PF IDR: P15 (Bit 15)                                        */
#define PF_IDR_P15_Msk                        (0x8000UL)                /*!< PF IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PF_BSR  ----------------------------------- */
#define PF_BSR_P0_Pos                         (0UL)                     /*!< PF BSR: P0 (Bit 0)                                          */
#define PF_BSR_P0_Msk                         (0x1UL)                   /*!< PF BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P1_Pos                         (1UL)                     /*!< PF BSR: P1 (Bit 1)                                          */
#define PF_BSR_P1_Msk                         (0x2UL)                   /*!< PF BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P2_Pos                         (2UL)                     /*!< PF BSR: P2 (Bit 2)                                          */
#define PF_BSR_P2_Msk                         (0x4UL)                   /*!< PF BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P3_Pos                         (3UL)                     /*!< PF BSR: P3 (Bit 3)                                          */
#define PF_BSR_P3_Msk                         (0x8UL)                   /*!< PF BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P4_Pos                         (4UL)                     /*!< PF BSR: P4 (Bit 4)                                          */
#define PF_BSR_P4_Msk                         (0x10UL)                  /*!< PF BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P5_Pos                         (5UL)                     /*!< PF BSR: P5 (Bit 5)                                          */
#define PF_BSR_P5_Msk                         (0x20UL)                  /*!< PF BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P6_Pos                         (6UL)                     /*!< PF BSR: P6 (Bit 6)                                          */
#define PF_BSR_P6_Msk                         (0x40UL)                  /*!< PF BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P7_Pos                         (7UL)                     /*!< PF BSR: P7 (Bit 7)                                          */
#define PF_BSR_P7_Msk                         (0x80UL)                  /*!< PF BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P8_Pos                         (8UL)                     /*!< PF BSR: P8 (Bit 8)                                          */
#define PF_BSR_P8_Msk                         (0x100UL)                 /*!< PF BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P9_Pos                         (9UL)                     /*!< PF BSR: P9 (Bit 9)                                          */
#define PF_BSR_P9_Msk                         (0x200UL)                 /*!< PF BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PF_BSR_P10_Pos                        (10UL)                    /*!< PF BSR: P10 (Bit 10)                                        */
#define PF_BSR_P10_Msk                        (0x400UL)                 /*!< PF BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PF_BSR_P11_Pos                        (11UL)                    /*!< PF BSR: P11 (Bit 11)                                        */
#define PF_BSR_P11_Msk                        (0x800UL)                 /*!< PF BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PF_BSR_P12_Pos                        (12UL)                    /*!< PF BSR: P12 (Bit 12)                                        */
#define PF_BSR_P12_Msk                        (0x1000UL)                /*!< PF BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PF_BSR_P13_Pos                        (13UL)                    /*!< PF BSR: P13 (Bit 13)                                        */
#define PF_BSR_P13_Msk                        (0x2000UL)                /*!< PF BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PF_BSR_P14_Pos                        (14UL)                    /*!< PF BSR: P14 (Bit 14)                                        */
#define PF_BSR_P14_Msk                        (0x4000UL)                /*!< PF BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PF_BSR_P15_Pos                        (15UL)                    /*!< PF BSR: P15 (Bit 15)                                        */
#define PF_BSR_P15_Msk                        (0x8000UL)                /*!< PF BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PF_BCR  ----------------------------------- */
#define PF_BCR_P0_Pos                         (0UL)                     /*!< PF BCR: P0 (Bit 0)                                          */
#define PF_BCR_P0_Msk                         (0x1UL)                   /*!< PF BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P1_Pos                         (1UL)                     /*!< PF BCR: P1 (Bit 1)                                          */
#define PF_BCR_P1_Msk                         (0x2UL)                   /*!< PF BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P2_Pos                         (2UL)                     /*!< PF BCR: P2 (Bit 2)                                          */
#define PF_BCR_P2_Msk                         (0x4UL)                   /*!< PF BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P3_Pos                         (3UL)                     /*!< PF BCR: P3 (Bit 3)                                          */
#define PF_BCR_P3_Msk                         (0x8UL)                   /*!< PF BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P4_Pos                         (4UL)                     /*!< PF BCR: P4 (Bit 4)                                          */
#define PF_BCR_P4_Msk                         (0x10UL)                  /*!< PF BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P5_Pos                         (5UL)                     /*!< PF BCR: P5 (Bit 5)                                          */
#define PF_BCR_P5_Msk                         (0x20UL)                  /*!< PF BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P6_Pos                         (6UL)                     /*!< PF BCR: P6 (Bit 6)                                          */
#define PF_BCR_P6_Msk                         (0x40UL)                  /*!< PF BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P7_Pos                         (7UL)                     /*!< PF BCR: P7 (Bit 7)                                          */
#define PF_BCR_P7_Msk                         (0x80UL)                  /*!< PF BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P8_Pos                         (8UL)                     /*!< PF BCR: P8 (Bit 8)                                          */
#define PF_BCR_P8_Msk                         (0x100UL)                 /*!< PF BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P9_Pos                         (9UL)                     /*!< PF BCR: P9 (Bit 9)                                          */
#define PF_BCR_P9_Msk                         (0x200UL)                 /*!< PF BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PF_BCR_P10_Pos                        (10UL)                    /*!< PF BCR: P10 (Bit 10)                                        */
#define PF_BCR_P10_Msk                        (0x400UL)                 /*!< PF BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PF_BCR_P11_Pos                        (11UL)                    /*!< PF BCR: P11 (Bit 11)                                        */
#define PF_BCR_P11_Msk                        (0x800UL)                 /*!< PF BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PF_BCR_P12_Pos                        (12UL)                    /*!< PF BCR: P12 (Bit 12)                                        */
#define PF_BCR_P12_Msk                        (0x1000UL)                /*!< PF BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PF_BCR_P13_Pos                        (13UL)                    /*!< PF BCR: P13 (Bit 13)                                        */
#define PF_BCR_P13_Msk                        (0x2000UL)                /*!< PF BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PF_BCR_P14_Pos                        (14UL)                    /*!< PF BCR: P14 (Bit 14)                                        */
#define PF_BCR_P14_Msk                        (0x4000UL)                /*!< PF BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PF_BCR_P15_Pos                        (15UL)                    /*!< PF BCR: P15 (Bit 15)                                        */
#define PF_BCR_P15_Msk                        (0x8000UL)                /*!< PF BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'T0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T0_CR1  ----------------------------------- */
#define T0_CR1_MODE_Pos                       (0UL)                     /*!< T0 CR1: MODE (Bit 0)                                        */
#define T0_CR1_MODE_Msk                       (0x3UL)                   /*!< T0 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T0_CR1_CLRMD_Pos                      (2UL)                     /*!< T0 CR1: CLRMD (Bit 2)                                       */
#define T0_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T0 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T0_CR1_CKSEL_Pos                      (4UL)                     /*!< T0 CR1: CKSEL (Bit 4)                                       */
#define T0_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T0 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T0_CR1_STARTLVL_Pos                   (7UL)                     /*!< T0 CR1: STARTLVL (Bit 7)                                    */
#define T0_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T0 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T0_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T0 CR1: ADCTRGEN (Bit 8)                                    */
#define T0_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T0 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T0_CR1_OUTPOL_Pos                     (12UL)                    /*!< T0 CR1: OUTPOL (Bit 12)                                     */
#define T0_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T0 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T0_CR1_UAO_Pos                        (13UL)                    /*!< T0 CR1: UAO (Bit 13)                                        */
#define T0_CR1_UAO_Msk                        (0x2000UL)                /*!< T0 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T0_CR1_CSYNC_Pos                      (14UL)                    /*!< T0 CR1: CSYNC (Bit 14)                                      */
#define T0_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T0 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T0_CR1_SSYNC_Pos                      (15UL)                    /*!< T0 CR1: SSYNC (Bit 15)                                      */
#define T0_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T0 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T0_CR2  ----------------------------------- */
#define T0_CR2_TEN_Pos                        (0UL)                     /*!< T0 CR2: TEN (Bit 0)                                         */
#define T0_CR2_TEN_Msk                        (0x1UL)                   /*!< T0 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T0_CR2_TCLR_Pos                       (1UL)                     /*!< T0 CR2: TCLR (Bit 1)                                        */
#define T0_CR2_TCLR_Msk                       (0x2UL)                   /*!< T0 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T0_PRS  ----------------------------------- */
#define T0_PRS_PRS_Pos                        (0UL)                     /*!< T0 PRS: PRS (Bit 0)                                         */
#define T0_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T0 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T0_GRA  ----------------------------------- */
#define T0_GRA_GRA_Pos                        (0UL)                     /*!< T0 GRA: GRA (Bit 0)                                         */
#define T0_GRA_GRA_Msk                        (0xffffUL)                /*!< T0 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T0_GRB  ----------------------------------- */
#define T0_GRB_GRB_Pos                        (0UL)                     /*!< T0 GRB: GRB (Bit 0)                                         */
#define T0_GRB_GRB_Msk                        (0xffffUL)                /*!< T0 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T0_CNT  ----------------------------------- */
#define T0_CNT_CNT_Pos                        (0UL)                     /*!< T0 CNT: CNT (Bit 0)                                         */
#define T0_CNT_CNT_Msk                        (0xffffUL)                /*!< T0 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T0_SR  ----------------------------------- */
#define T0_SR_OVF_Pos                         (0UL)                     /*!< T0 SR: OVF (Bit 0)                                          */
#define T0_SR_OVF_Msk                         (0x1UL)                   /*!< T0 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T0_SR_MFB_Pos                         (1UL)                     /*!< T0 SR: MFB (Bit 1)                                          */
#define T0_SR_MFB_Msk                         (0x2UL)                   /*!< T0 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T0_SR_MFA_Pos                         (2UL)                     /*!< T0 SR: MFA (Bit 2)                                          */
#define T0_SR_MFA_Msk                         (0x4UL)                   /*!< T0 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T0_IER  ----------------------------------- */
#define T0_IER_OVIE_Pos                       (0UL)                     /*!< T0 IER: OVIE (Bit 0)                                        */
#define T0_IER_OVIE_Msk                       (0x1UL)                   /*!< T0 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_MBIE_Pos                       (1UL)                     /*!< T0 IER: MBIE (Bit 1)                                        */
#define T0_IER_MBIE_Msk                       (0x2UL)                   /*!< T0 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_MAIE_Pos                       (2UL)                     /*!< T0 IER: MAIE (Bit 2)                                        */
#define T0_IER_MAIE_Msk                       (0x4UL)                   /*!< T0 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T1_CR1  ----------------------------------- */
#define T1_CR1_MODE_Pos                       (0UL)                     /*!< T1 CR1: MODE (Bit 0)                                        */
#define T1_CR1_MODE_Msk                       (0x3UL)                   /*!< T1 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T1_CR1_CLRMD_Pos                      (2UL)                     /*!< T1 CR1: CLRMD (Bit 2)                                       */
#define T1_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T1 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T1_CR1_CKSEL_Pos                      (4UL)                     /*!< T1 CR1: CKSEL (Bit 4)                                       */
#define T1_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T1 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T1_CR1_STARTLVL_Pos                   (7UL)                     /*!< T1 CR1: STARTLVL (Bit 7)                                    */
#define T1_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T1 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T1_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T1 CR1: ADCTRGEN (Bit 8)                                    */
#define T1_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T1 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T1_CR1_OUTPOL_Pos                     (12UL)                    /*!< T1 CR1: OUTPOL (Bit 12)                                     */
#define T1_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T1 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T1_CR1_UAO_Pos                        (13UL)                    /*!< T1 CR1: UAO (Bit 13)                                        */
#define T1_CR1_UAO_Msk                        (0x2000UL)                /*!< T1 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T1_CR1_CSYNC_Pos                      (14UL)                    /*!< T1 CR1: CSYNC (Bit 14)                                      */
#define T1_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T1 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T1_CR1_SSYNC_Pos                      (15UL)                    /*!< T1 CR1: SSYNC (Bit 15)                                      */
#define T1_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T1 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T1_CR2  ----------------------------------- */
#define T1_CR2_TEN_Pos                        (0UL)                     /*!< T1 CR2: TEN (Bit 0)                                         */
#define T1_CR2_TEN_Msk                        (0x1UL)                   /*!< T1 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T1_CR2_TCLR_Pos                       (1UL)                     /*!< T1 CR2: TCLR (Bit 1)                                        */
#define T1_CR2_TCLR_Msk                       (0x2UL)                   /*!< T1 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T1_PRS  ----------------------------------- */
#define T1_PRS_PRS_Pos                        (0UL)                     /*!< T1 PRS: PRS (Bit 0)                                         */
#define T1_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T1 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T1_GRA  ----------------------------------- */
#define T1_GRA_GRA_Pos                        (0UL)                     /*!< T1 GRA: GRA (Bit 0)                                         */
#define T1_GRA_GRA_Msk                        (0xffffUL)                /*!< T1 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T1_GRB  ----------------------------------- */
#define T1_GRB_GRB_Pos                        (0UL)                     /*!< T1 GRB: GRB (Bit 0)                                         */
#define T1_GRB_GRB_Msk                        (0xffffUL)                /*!< T1 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T1_CNT  ----------------------------------- */
#define T1_CNT_CNT_Pos                        (0UL)                     /*!< T1 CNT: CNT (Bit 0)                                         */
#define T1_CNT_CNT_Msk                        (0xffffUL)                /*!< T1 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T1_SR  ----------------------------------- */
#define T1_SR_OVF_Pos                         (0UL)                     /*!< T1 SR: OVF (Bit 0)                                          */
#define T1_SR_OVF_Msk                         (0x1UL)                   /*!< T1 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T1_SR_MFB_Pos                         (1UL)                     /*!< T1 SR: MFB (Bit 1)                                          */
#define T1_SR_MFB_Msk                         (0x2UL)                   /*!< T1 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T1_SR_MFA_Pos                         (2UL)                     /*!< T1 SR: MFA (Bit 2)                                          */
#define T1_SR_MFA_Msk                         (0x4UL)                   /*!< T1 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T1_IER  ----------------------------------- */
#define T1_IER_OVIE_Pos                       (0UL)                     /*!< T1 IER: OVIE (Bit 0)                                        */
#define T1_IER_OVIE_Msk                       (0x1UL)                   /*!< T1 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_MBIE_Pos                       (1UL)                     /*!< T1 IER: MBIE (Bit 1)                                        */
#define T1_IER_MBIE_Msk                       (0x2UL)                   /*!< T1 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_MAIE_Pos                       (2UL)                     /*!< T1 IER: MAIE (Bit 2)                                        */
#define T1_IER_MAIE_Msk                       (0x4UL)                   /*!< T1 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T2_CR1  ----------------------------------- */
#define T2_CR1_MODE_Pos                       (0UL)                     /*!< T2 CR1: MODE (Bit 0)                                        */
#define T2_CR1_MODE_Msk                       (0x3UL)                   /*!< T2 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T2_CR1_CLRMD_Pos                      (2UL)                     /*!< T2 CR1: CLRMD (Bit 2)                                       */
#define T2_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T2 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T2_CR1_CKSEL_Pos                      (4UL)                     /*!< T2 CR1: CKSEL (Bit 4)                                       */
#define T2_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T2 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T2_CR1_STARTLVL_Pos                   (7UL)                     /*!< T2 CR1: STARTLVL (Bit 7)                                    */
#define T2_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T2 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T2_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T2 CR1: ADCTRGEN (Bit 8)                                    */
#define T2_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T2 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T2_CR1_OUTPOL_Pos                     (12UL)                    /*!< T2 CR1: OUTPOL (Bit 12)                                     */
#define T2_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T2 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T2_CR1_UAO_Pos                        (13UL)                    /*!< T2 CR1: UAO (Bit 13)                                        */
#define T2_CR1_UAO_Msk                        (0x2000UL)                /*!< T2 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T2_CR1_CSYNC_Pos                      (14UL)                    /*!< T2 CR1: CSYNC (Bit 14)                                      */
#define T2_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T2 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T2_CR1_SSYNC_Pos                      (15UL)                    /*!< T2 CR1: SSYNC (Bit 15)                                      */
#define T2_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T2 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T2_CR2  ----------------------------------- */
#define T2_CR2_TEN_Pos                        (0UL)                     /*!< T2 CR2: TEN (Bit 0)                                         */
#define T2_CR2_TEN_Msk                        (0x1UL)                   /*!< T2 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T2_CR2_TCLR_Pos                       (1UL)                     /*!< T2 CR2: TCLR (Bit 1)                                        */
#define T2_CR2_TCLR_Msk                       (0x2UL)                   /*!< T2 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T2_PRS  ----------------------------------- */
#define T2_PRS_PRS_Pos                        (0UL)                     /*!< T2 PRS: PRS (Bit 0)                                         */
#define T2_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T2 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T2_GRA  ----------------------------------- */
#define T2_GRA_GRA_Pos                        (0UL)                     /*!< T2 GRA: GRA (Bit 0)                                         */
#define T2_GRA_GRA_Msk                        (0xffffUL)                /*!< T2 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T2_GRB  ----------------------------------- */
#define T2_GRB_GRB_Pos                        (0UL)                     /*!< T2 GRB: GRB (Bit 0)                                         */
#define T2_GRB_GRB_Msk                        (0xffffUL)                /*!< T2 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T2_CNT  ----------------------------------- */
#define T2_CNT_CNT_Pos                        (0UL)                     /*!< T2 CNT: CNT (Bit 0)                                         */
#define T2_CNT_CNT_Msk                        (0xffffUL)                /*!< T2 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T2_SR  ----------------------------------- */
#define T2_SR_OVF_Pos                         (0UL)                     /*!< T2 SR: OVF (Bit 0)                                          */
#define T2_SR_OVF_Msk                         (0x1UL)                   /*!< T2 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T2_SR_MFB_Pos                         (1UL)                     /*!< T2 SR: MFB (Bit 1)                                          */
#define T2_SR_MFB_Msk                         (0x2UL)                   /*!< T2 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T2_SR_MFA_Pos                         (2UL)                     /*!< T2 SR: MFA (Bit 2)                                          */
#define T2_SR_MFA_Msk                         (0x4UL)                   /*!< T2 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T2_IER  ----------------------------------- */
#define T2_IER_OVIE_Pos                       (0UL)                     /*!< T2 IER: OVIE (Bit 0)                                        */
#define T2_IER_OVIE_Msk                       (0x1UL)                   /*!< T2 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_MBIE_Pos                       (1UL)                     /*!< T2 IER: MBIE (Bit 1)                                        */
#define T2_IER_MBIE_Msk                       (0x2UL)                   /*!< T2 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_MAIE_Pos                       (2UL)                     /*!< T2 IER: MAIE (Bit 2)                                        */
#define T2_IER_MAIE_Msk                       (0x4UL)                   /*!< T2 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T3_CR1  ----------------------------------- */
#define T3_CR1_MODE_Pos                       (0UL)                     /*!< T3 CR1: MODE (Bit 0)                                        */
#define T3_CR1_MODE_Msk                       (0x3UL)                   /*!< T3 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T3_CR1_CLRMD_Pos                      (2UL)                     /*!< T3 CR1: CLRMD (Bit 2)                                       */
#define T3_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T3 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T3_CR1_CKSEL_Pos                      (4UL)                     /*!< T3 CR1: CKSEL (Bit 4)                                       */
#define T3_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T3 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T3_CR1_STARTLVL_Pos                   (7UL)                     /*!< T3 CR1: STARTLVL (Bit 7)                                    */
#define T3_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T3 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T3_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T3 CR1: ADCTRGEN (Bit 8)                                    */
#define T3_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T3 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T3_CR1_OUTPOL_Pos                     (12UL)                    /*!< T3 CR1: OUTPOL (Bit 12)                                     */
#define T3_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T3 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T3_CR1_UAO_Pos                        (13UL)                    /*!< T3 CR1: UAO (Bit 13)                                        */
#define T3_CR1_UAO_Msk                        (0x2000UL)                /*!< T3 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T3_CR1_CSYNC_Pos                      (14UL)                    /*!< T3 CR1: CSYNC (Bit 14)                                      */
#define T3_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T3 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T3_CR1_SSYNC_Pos                      (15UL)                    /*!< T3 CR1: SSYNC (Bit 15)                                      */
#define T3_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T3 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T3_CR2  ----------------------------------- */
#define T3_CR2_TEN_Pos                        (0UL)                     /*!< T3 CR2: TEN (Bit 0)                                         */
#define T3_CR2_TEN_Msk                        (0x1UL)                   /*!< T3 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T3_CR2_TCLR_Pos                       (1UL)                     /*!< T3 CR2: TCLR (Bit 1)                                        */
#define T3_CR2_TCLR_Msk                       (0x2UL)                   /*!< T3 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T3_PRS  ----------------------------------- */
#define T3_PRS_PRS_Pos                        (0UL)                     /*!< T3 PRS: PRS (Bit 0)                                         */
#define T3_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T3 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T3_GRA  ----------------------------------- */
#define T3_GRA_GRA_Pos                        (0UL)                     /*!< T3 GRA: GRA (Bit 0)                                         */
#define T3_GRA_GRA_Msk                        (0xffffUL)                /*!< T3 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T3_GRB  ----------------------------------- */
#define T3_GRB_GRB_Pos                        (0UL)                     /*!< T3 GRB: GRB (Bit 0)                                         */
#define T3_GRB_GRB_Msk                        (0xffffUL)                /*!< T3 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T3_CNT  ----------------------------------- */
#define T3_CNT_CNT_Pos                        (0UL)                     /*!< T3 CNT: CNT (Bit 0)                                         */
#define T3_CNT_CNT_Msk                        (0xffffUL)                /*!< T3 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T3_SR  ----------------------------------- */
#define T3_SR_OVF_Pos                         (0UL)                     /*!< T3 SR: OVF (Bit 0)                                          */
#define T3_SR_OVF_Msk                         (0x1UL)                   /*!< T3 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T3_SR_MFB_Pos                         (1UL)                     /*!< T3 SR: MFB (Bit 1)                                          */
#define T3_SR_MFB_Msk                         (0x2UL)                   /*!< T3 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T3_SR_MFA_Pos                         (2UL)                     /*!< T3 SR: MFA (Bit 2)                                          */
#define T3_SR_MFA_Msk                         (0x4UL)                   /*!< T3 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T3_IER  ----------------------------------- */
#define T3_IER_OVIE_Pos                       (0UL)                     /*!< T3 IER: OVIE (Bit 0)                                        */
#define T3_IER_OVIE_Msk                       (0x1UL)                   /*!< T3 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_MBIE_Pos                       (1UL)                     /*!< T3 IER: MBIE (Bit 1)                                        */
#define T3_IER_MBIE_Msk                       (0x2UL)                   /*!< T3 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_MAIE_Pos                       (2UL)                     /*!< T3 IER: MAIE (Bit 2)                                        */
#define T3_IER_MAIE_Msk                       (0x4UL)                   /*!< T3 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T4' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T4_CR1  ----------------------------------- */
#define T4_CR1_MODE_Pos                       (0UL)                     /*!< T4 CR1: MODE (Bit 0)                                        */
#define T4_CR1_MODE_Msk                       (0x3UL)                   /*!< T4 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T4_CR1_CLRMD_Pos                      (2UL)                     /*!< T4 CR1: CLRMD (Bit 2)                                       */
#define T4_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T4 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T4_CR1_CKSEL_Pos                      (4UL)                     /*!< T4 CR1: CKSEL (Bit 4)                                       */
#define T4_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T4 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T4_CR1_STARTLVL_Pos                   (7UL)                     /*!< T4 CR1: STARTLVL (Bit 7)                                    */
#define T4_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T4 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T4_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T4 CR1: ADCTRGEN (Bit 8)                                    */
#define T4_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T4 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T4_CR1_OUTPOL_Pos                     (12UL)                    /*!< T4 CR1: OUTPOL (Bit 12)                                     */
#define T4_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T4 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T4_CR1_UAO_Pos                        (13UL)                    /*!< T4 CR1: UAO (Bit 13)                                        */
#define T4_CR1_UAO_Msk                        (0x2000UL)                /*!< T4 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T4_CR1_CSYNC_Pos                      (14UL)                    /*!< T4 CR1: CSYNC (Bit 14)                                      */
#define T4_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T4 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T4_CR1_SSYNC_Pos                      (15UL)                    /*!< T4 CR1: SSYNC (Bit 15)                                      */
#define T4_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T4 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T4_CR2  ----------------------------------- */
#define T4_CR2_TEN_Pos                        (0UL)                     /*!< T4 CR2: TEN (Bit 0)                                         */
#define T4_CR2_TEN_Msk                        (0x1UL)                   /*!< T4 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T4_CR2_TCLR_Pos                       (1UL)                     /*!< T4 CR2: TCLR (Bit 1)                                        */
#define T4_CR2_TCLR_Msk                       (0x2UL)                   /*!< T4 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T4_PRS  ----------------------------------- */
#define T4_PRS_PRS_Pos                        (0UL)                     /*!< T4 PRS: PRS (Bit 0)                                         */
#define T4_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T4 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T4_GRA  ----------------------------------- */
#define T4_GRA_GRA_Pos                        (0UL)                     /*!< T4 GRA: GRA (Bit 0)                                         */
#define T4_GRA_GRA_Msk                        (0xffffUL)                /*!< T4 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T4_GRB  ----------------------------------- */
#define T4_GRB_GRB_Pos                        (0UL)                     /*!< T4 GRB: GRB (Bit 0)                                         */
#define T4_GRB_GRB_Msk                        (0xffffUL)                /*!< T4 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T4_CNT  ----------------------------------- */
#define T4_CNT_CNT_Pos                        (0UL)                     /*!< T4 CNT: CNT (Bit 0)                                         */
#define T4_CNT_CNT_Msk                        (0xffffUL)                /*!< T4 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T4_SR  ----------------------------------- */
#define T4_SR_OVF_Pos                         (0UL)                     /*!< T4 SR: OVF (Bit 0)                                          */
#define T4_SR_OVF_Msk                         (0x1UL)                   /*!< T4 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T4_SR_MFB_Pos                         (1UL)                     /*!< T4 SR: MFB (Bit 1)                                          */
#define T4_SR_MFB_Msk                         (0x2UL)                   /*!< T4 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T4_SR_MFA_Pos                         (2UL)                     /*!< T4 SR: MFA (Bit 2)                                          */
#define T4_SR_MFA_Msk                         (0x4UL)                   /*!< T4 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T4_IER  ----------------------------------- */
#define T4_IER_OVIE_Pos                       (0UL)                     /*!< T4 IER: OVIE (Bit 0)                                        */
#define T4_IER_OVIE_Msk                       (0x1UL)                   /*!< T4 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T4_IER_MBIE_Pos                       (1UL)                     /*!< T4 IER: MBIE (Bit 1)                                        */
#define T4_IER_MBIE_Msk                       (0x2UL)                   /*!< T4 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T4_IER_MAIE_Pos                       (2UL)                     /*!< T4 IER: MAIE (Bit 2)                                        */
#define T4_IER_MAIE_Msk                       (0x4UL)                   /*!< T4 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T5' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T5_CR1  ----------------------------------- */
#define T5_CR1_MODE_Pos                       (0UL)                     /*!< T5 CR1: MODE (Bit 0)                                        */
#define T5_CR1_MODE_Msk                       (0x3UL)                   /*!< T5 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T5_CR1_CLRMD_Pos                      (2UL)                     /*!< T5 CR1: CLRMD (Bit 2)                                       */
#define T5_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T5 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T5_CR1_CKSEL_Pos                      (4UL)                     /*!< T5 CR1: CKSEL (Bit 4)                                       */
#define T5_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T5 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T5_CR1_STARTLVL_Pos                   (7UL)                     /*!< T5 CR1: STARTLVL (Bit 7)                                    */
#define T5_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T5 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T5_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T5 CR1: ADCTRGEN (Bit 8)                                    */
#define T5_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T5 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T5_CR1_OUTPOL_Pos                     (12UL)                    /*!< T5 CR1: OUTPOL (Bit 12)                                     */
#define T5_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T5 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T5_CR1_UAO_Pos                        (13UL)                    /*!< T5 CR1: UAO (Bit 13)                                        */
#define T5_CR1_UAO_Msk                        (0x2000UL)                /*!< T5 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T5_CR1_CSYNC_Pos                      (14UL)                    /*!< T5 CR1: CSYNC (Bit 14)                                      */
#define T5_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T5 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T5_CR1_SSYNC_Pos                      (15UL)                    /*!< T5 CR1: SSYNC (Bit 15)                                      */
#define T5_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T5 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T5_CR2  ----------------------------------- */
#define T5_CR2_TEN_Pos                        (0UL)                     /*!< T5 CR2: TEN (Bit 0)                                         */
#define T5_CR2_TEN_Msk                        (0x1UL)                   /*!< T5 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T5_CR2_TCLR_Pos                       (1UL)                     /*!< T5 CR2: TCLR (Bit 1)                                        */
#define T5_CR2_TCLR_Msk                       (0x2UL)                   /*!< T5 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T5_PRS  ----------------------------------- */
#define T5_PRS_PRS_Pos                        (0UL)                     /*!< T5 PRS: PRS (Bit 0)                                         */
#define T5_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T5 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T5_GRA  ----------------------------------- */
#define T5_GRA_GRA_Pos                        (0UL)                     /*!< T5 GRA: GRA (Bit 0)                                         */
#define T5_GRA_GRA_Msk                        (0xffffUL)                /*!< T5 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T5_GRB  ----------------------------------- */
#define T5_GRB_GRB_Pos                        (0UL)                     /*!< T5 GRB: GRB (Bit 0)                                         */
#define T5_GRB_GRB_Msk                        (0xffffUL)                /*!< T5 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T5_CNT  ----------------------------------- */
#define T5_CNT_CNT_Pos                        (0UL)                     /*!< T5 CNT: CNT (Bit 0)                                         */
#define T5_CNT_CNT_Msk                        (0xffffUL)                /*!< T5 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T5_SR  ----------------------------------- */
#define T5_SR_OVF_Pos                         (0UL)                     /*!< T5 SR: OVF (Bit 0)                                          */
#define T5_SR_OVF_Msk                         (0x1UL)                   /*!< T5 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T5_SR_MFB_Pos                         (1UL)                     /*!< T5 SR: MFB (Bit 1)                                          */
#define T5_SR_MFB_Msk                         (0x2UL)                   /*!< T5 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T5_SR_MFA_Pos                         (2UL)                     /*!< T5 SR: MFA (Bit 2)                                          */
#define T5_SR_MFA_Msk                         (0x4UL)                   /*!< T5 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T5_IER  ----------------------------------- */
#define T5_IER_OVIE_Pos                       (0UL)                     /*!< T5 IER: OVIE (Bit 0)                                        */
#define T5_IER_OVIE_Msk                       (0x1UL)                   /*!< T5 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T5_IER_MBIE_Pos                       (1UL)                     /*!< T5 IER: MBIE (Bit 1)                                        */
#define T5_IER_MBIE_Msk                       (0x2UL)                   /*!< T5 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T5_IER_MAIE_Pos                       (2UL)                     /*!< T5 IER: MAIE (Bit 2)                                        */
#define T5_IER_MAIE_Msk                       (0x4UL)                   /*!< T5 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T6' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T6_CR1  ----------------------------------- */
#define T6_CR1_MODE_Pos                       (0UL)                     /*!< T6 CR1: MODE (Bit 0)                                        */
#define T6_CR1_MODE_Msk                       (0x3UL)                   /*!< T6 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T6_CR1_CLRMD_Pos                      (2UL)                     /*!< T6 CR1: CLRMD (Bit 2)                                       */
#define T6_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T6 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T6_CR1_CKSEL_Pos                      (4UL)                     /*!< T6 CR1: CKSEL (Bit 4)                                       */
#define T6_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T6 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T6_CR1_STARTLVL_Pos                   (7UL)                     /*!< T6 CR1: STARTLVL (Bit 7)                                    */
#define T6_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T6 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T6_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T6 CR1: ADCTRGEN (Bit 8)                                    */
#define T6_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T6 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T6_CR1_OUTPOL_Pos                     (12UL)                    /*!< T6 CR1: OUTPOL (Bit 12)                                     */
#define T6_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T6 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T6_CR1_UAO_Pos                        (13UL)                    /*!< T6 CR1: UAO (Bit 13)                                        */
#define T6_CR1_UAO_Msk                        (0x2000UL)                /*!< T6 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T6_CR1_CSYNC_Pos                      (14UL)                    /*!< T6 CR1: CSYNC (Bit 14)                                      */
#define T6_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T6 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T6_CR1_SSYNC_Pos                      (15UL)                    /*!< T6 CR1: SSYNC (Bit 15)                                      */
#define T6_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T6 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T6_CR2  ----------------------------------- */
#define T6_CR2_TEN_Pos                        (0UL)                     /*!< T6 CR2: TEN (Bit 0)                                         */
#define T6_CR2_TEN_Msk                        (0x1UL)                   /*!< T6 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T6_CR2_TCLR_Pos                       (1UL)                     /*!< T6 CR2: TCLR (Bit 1)                                        */
#define T6_CR2_TCLR_Msk                       (0x2UL)                   /*!< T6 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T6_PRS  ----------------------------------- */
#define T6_PRS_PRS_Pos                        (0UL)                     /*!< T6 PRS: PRS (Bit 0)                                         */
#define T6_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T6 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T6_GRA  ----------------------------------- */
#define T6_GRA_GRA_Pos                        (0UL)                     /*!< T6 GRA: GRA (Bit 0)                                         */
#define T6_GRA_GRA_Msk                        (0xffffUL)                /*!< T6 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T6_GRB  ----------------------------------- */
#define T6_GRB_GRB_Pos                        (0UL)                     /*!< T6 GRB: GRB (Bit 0)                                         */
#define T6_GRB_GRB_Msk                        (0xffffUL)                /*!< T6 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T6_CNT  ----------------------------------- */
#define T6_CNT_CNT_Pos                        (0UL)                     /*!< T6 CNT: CNT (Bit 0)                                         */
#define T6_CNT_CNT_Msk                        (0xffffUL)                /*!< T6 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T6_SR  ----------------------------------- */
#define T6_SR_OVF_Pos                         (0UL)                     /*!< T6 SR: OVF (Bit 0)                                          */
#define T6_SR_OVF_Msk                         (0x1UL)                   /*!< T6 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T6_SR_MFB_Pos                         (1UL)                     /*!< T6 SR: MFB (Bit 1)                                          */
#define T6_SR_MFB_Msk                         (0x2UL)                   /*!< T6 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T6_SR_MFA_Pos                         (2UL)                     /*!< T6 SR: MFA (Bit 2)                                          */
#define T6_SR_MFA_Msk                         (0x4UL)                   /*!< T6 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T6_IER  ----------------------------------- */
#define T6_IER_OVIE_Pos                       (0UL)                     /*!< T6 IER: OVIE (Bit 0)                                        */
#define T6_IER_OVIE_Msk                       (0x1UL)                   /*!< T6 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T6_IER_MBIE_Pos                       (1UL)                     /*!< T6 IER: MBIE (Bit 1)                                        */
#define T6_IER_MBIE_Msk                       (0x2UL)                   /*!< T6 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T6_IER_MAIE_Pos                       (2UL)                     /*!< T6 IER: MAIE (Bit 2)                                        */
#define T6_IER_MAIE_Msk                       (0x4UL)                   /*!< T6 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T7' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T7_CR1  ----------------------------------- */
#define T7_CR1_MODE_Pos                       (0UL)                     /*!< T7 CR1: MODE (Bit 0)                                        */
#define T7_CR1_MODE_Msk                       (0x3UL)                   /*!< T7 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T7_CR1_CLRMD_Pos                      (2UL)                     /*!< T7 CR1: CLRMD (Bit 2)                                       */
#define T7_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T7 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T7_CR1_CKSEL_Pos                      (4UL)                     /*!< T7 CR1: CKSEL (Bit 4)                                       */
#define T7_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T7 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T7_CR1_STARTLVL_Pos                   (7UL)                     /*!< T7 CR1: STARTLVL (Bit 7)                                    */
#define T7_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T7 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T7_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T7 CR1: ADCTRGEN (Bit 8)                                    */
#define T7_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T7 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T7_CR1_OUTPOL_Pos                     (12UL)                    /*!< T7 CR1: OUTPOL (Bit 12)                                     */
#define T7_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T7 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T7_CR1_UAO_Pos                        (13UL)                    /*!< T7 CR1: UAO (Bit 13)                                        */
#define T7_CR1_UAO_Msk                        (0x2000UL)                /*!< T7 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T7_CR1_CSYNC_Pos                      (14UL)                    /*!< T7 CR1: CSYNC (Bit 14)                                      */
#define T7_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T7 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T7_CR1_SSYNC_Pos                      (15UL)                    /*!< T7 CR1: SSYNC (Bit 15)                                      */
#define T7_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T7 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T7_CR2  ----------------------------------- */
#define T7_CR2_TEN_Pos                        (0UL)                     /*!< T7 CR2: TEN (Bit 0)                                         */
#define T7_CR2_TEN_Msk                        (0x1UL)                   /*!< T7 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T7_CR2_TCLR_Pos                       (1UL)                     /*!< T7 CR2: TCLR (Bit 1)                                        */
#define T7_CR2_TCLR_Msk                       (0x2UL)                   /*!< T7 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T7_PRS  ----------------------------------- */
#define T7_PRS_PRS_Pos                        (0UL)                     /*!< T7 PRS: PRS (Bit 0)                                         */
#define T7_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T7 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T7_GRA  ----------------------------------- */
#define T7_GRA_GRA_Pos                        (0UL)                     /*!< T7 GRA: GRA (Bit 0)                                         */
#define T7_GRA_GRA_Msk                        (0xffffUL)                /*!< T7 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T7_GRB  ----------------------------------- */
#define T7_GRB_GRB_Pos                        (0UL)                     /*!< T7 GRB: GRB (Bit 0)                                         */
#define T7_GRB_GRB_Msk                        (0xffffUL)                /*!< T7 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T7_CNT  ----------------------------------- */
#define T7_CNT_CNT_Pos                        (0UL)                     /*!< T7 CNT: CNT (Bit 0)                                         */
#define T7_CNT_CNT_Msk                        (0xffffUL)                /*!< T7 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T7_SR  ----------------------------------- */
#define T7_SR_OVF_Pos                         (0UL)                     /*!< T7 SR: OVF (Bit 0)                                          */
#define T7_SR_OVF_Msk                         (0x1UL)                   /*!< T7 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T7_SR_MFB_Pos                         (1UL)                     /*!< T7 SR: MFB (Bit 1)                                          */
#define T7_SR_MFB_Msk                         (0x2UL)                   /*!< T7 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T7_SR_MFA_Pos                         (2UL)                     /*!< T7 SR: MFA (Bit 2)                                          */
#define T7_SR_MFA_Msk                         (0x4UL)                   /*!< T7 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T7_IER  ----------------------------------- */
#define T7_IER_OVIE_Pos                       (0UL)                     /*!< T7 IER: OVIE (Bit 0)                                        */
#define T7_IER_OVIE_Msk                       (0x1UL)                   /*!< T7 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T7_IER_MBIE_Pos                       (1UL)                     /*!< T7 IER: MBIE (Bit 1)                                        */
#define T7_IER_MBIE_Msk                       (0x2UL)                   /*!< T7 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T7_IER_MAIE_Pos                       (2UL)                     /*!< T7 IER: MAIE (Bit 2)                                        */
#define T7_IER_MAIE_Msk                       (0x4UL)                   /*!< T7 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T8' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T8_CR1  ----------------------------------- */
#define T8_CR1_MODE_Pos                       (0UL)                     /*!< T8 CR1: MODE (Bit 0)                                        */
#define T8_CR1_MODE_Msk                       (0x3UL)                   /*!< T8 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T8_CR1_CLRMD_Pos                      (2UL)                     /*!< T8 CR1: CLRMD (Bit 2)                                       */
#define T8_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T8 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T8_CR1_CKSEL_Pos                      (4UL)                     /*!< T8 CR1: CKSEL (Bit 4)                                       */
#define T8_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T8 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T8_CR1_STARTLVL_Pos                   (7UL)                     /*!< T8 CR1: STARTLVL (Bit 7)                                    */
#define T8_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T8 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T8_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T8 CR1: ADCTRGEN (Bit 8)                                    */
#define T8_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T8 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T8_CR1_OUTPOL_Pos                     (12UL)                    /*!< T8 CR1: OUTPOL (Bit 12)                                     */
#define T8_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T8 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T8_CR1_UAO_Pos                        (13UL)                    /*!< T8 CR1: UAO (Bit 13)                                        */
#define T8_CR1_UAO_Msk                        (0x2000UL)                /*!< T8 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T8_CR1_CSYNC_Pos                      (14UL)                    /*!< T8 CR1: CSYNC (Bit 14)                                      */
#define T8_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T8 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T8_CR1_SSYNC_Pos                      (15UL)                    /*!< T8 CR1: SSYNC (Bit 15)                                      */
#define T8_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T8 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T8_CR2  ----------------------------------- */
#define T8_CR2_TEN_Pos                        (0UL)                     /*!< T8 CR2: TEN (Bit 0)                                         */
#define T8_CR2_TEN_Msk                        (0x1UL)                   /*!< T8 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T8_CR2_TCLR_Pos                       (1UL)                     /*!< T8 CR2: TCLR (Bit 1)                                        */
#define T8_CR2_TCLR_Msk                       (0x2UL)                   /*!< T8 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T8_PRS  ----------------------------------- */
#define T8_PRS_PRS_Pos                        (0UL)                     /*!< T8 PRS: PRS (Bit 0)                                         */
#define T8_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T8 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T8_GRA  ----------------------------------- */
#define T8_GRA_GRA_Pos                        (0UL)                     /*!< T8 GRA: GRA (Bit 0)                                         */
#define T8_GRA_GRA_Msk                        (0xffffUL)                /*!< T8 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T8_GRB  ----------------------------------- */
#define T8_GRB_GRB_Pos                        (0UL)                     /*!< T8 GRB: GRB (Bit 0)                                         */
#define T8_GRB_GRB_Msk                        (0xffffUL)                /*!< T8 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T8_CNT  ----------------------------------- */
#define T8_CNT_CNT_Pos                        (0UL)                     /*!< T8 CNT: CNT (Bit 0)                                         */
#define T8_CNT_CNT_Msk                        (0xffffUL)                /*!< T8 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T8_SR  ----------------------------------- */
#define T8_SR_OVF_Pos                         (0UL)                     /*!< T8 SR: OVF (Bit 0)                                          */
#define T8_SR_OVF_Msk                         (0x1UL)                   /*!< T8 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T8_SR_MFB_Pos                         (1UL)                     /*!< T8 SR: MFB (Bit 1)                                          */
#define T8_SR_MFB_Msk                         (0x2UL)                   /*!< T8 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T8_SR_MFA_Pos                         (2UL)                     /*!< T8 SR: MFA (Bit 2)                                          */
#define T8_SR_MFA_Msk                         (0x4UL)                   /*!< T8 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T8_IER  ----------------------------------- */
#define T8_IER_OVIE_Pos                       (0UL)                     /*!< T8 IER: OVIE (Bit 0)                                        */
#define T8_IER_OVIE_Msk                       (0x1UL)                   /*!< T8 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T8_IER_MBIE_Pos                       (1UL)                     /*!< T8 IER: MBIE (Bit 1)                                        */
#define T8_IER_MBIE_Msk                       (0x2UL)                   /*!< T8 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T8_IER_MAIE_Pos                       (2UL)                     /*!< T8 IER: MAIE (Bit 2)                                        */
#define T8_IER_MAIE_Msk                       (0x4UL)                   /*!< T8 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================           struct 'T9' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T9_CR1  ----------------------------------- */
#define T9_CR1_MODE_Pos                       (0UL)                     /*!< T9 CR1: MODE (Bit 0)                                        */
#define T9_CR1_MODE_Msk                       (0x3UL)                   /*!< T9 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T9_CR1_CLRMD_Pos                      (2UL)                     /*!< T9 CR1: CLRMD (Bit 2)                                       */
#define T9_CR1_CLRMD_Msk                      (0xcUL)                   /*!< T9 CR1: CLRMD (Bitfield-Mask: 0x03)                         */
#define T9_CR1_CKSEL_Pos                      (4UL)                     /*!< T9 CR1: CKSEL (Bit 4)                                       */
#define T9_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T9 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T9_CR1_STARTLVL_Pos                   (7UL)                     /*!< T9 CR1: STARTLVL (Bit 7)                                    */
#define T9_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T9 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T9_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T9 CR1: ADCTRGEN (Bit 8)                                    */
#define T9_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T9 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */
#define T9_CR1_OUTPOL_Pos                     (12UL)                    /*!< T9 CR1: OUTPOL (Bit 12)                                     */
#define T9_CR1_OUTPOL_Msk                     (0x1000UL)                /*!< T9 CR1: OUTPOL (Bitfield-Mask: 0x01)                        */
#define T9_CR1_UAO_Pos                        (13UL)                    /*!< T9 CR1: UAO (Bit 13)                                        */
#define T9_CR1_UAO_Msk                        (0x2000UL)                /*!< T9 CR1: UAO (Bitfield-Mask: 0x01)                           */
#define T9_CR1_CSYNC_Pos                      (14UL)                    /*!< T9 CR1: CSYNC (Bit 14)                                      */
#define T9_CR1_CSYNC_Msk                      (0x4000UL)                /*!< T9 CR1: CSYNC (Bitfield-Mask: 0x01)                         */
#define T9_CR1_SSYNC_Pos                      (15UL)                    /*!< T9 CR1: SSYNC (Bit 15)                                      */
#define T9_CR1_SSYNC_Msk                      (0x8000UL)                /*!< T9 CR1: SSYNC (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  T9_CR2  ----------------------------------- */
#define T9_CR2_TEN_Pos                        (0UL)                     /*!< T9 CR2: TEN (Bit 0)                                         */
#define T9_CR2_TEN_Msk                        (0x1UL)                   /*!< T9 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T9_CR2_TCLR_Pos                       (1UL)                     /*!< T9 CR2: TCLR (Bit 1)                                        */
#define T9_CR2_TCLR_Msk                       (0x2UL)                   /*!< T9 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T9_PRS  ----------------------------------- */
#define T9_PRS_PRS_Pos                        (0UL)                     /*!< T9 PRS: PRS (Bit 0)                                         */
#define T9_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T9 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T9_GRA  ----------------------------------- */
#define T9_GRA_GRA_Pos                        (0UL)                     /*!< T9 GRA: GRA (Bit 0)                                         */
#define T9_GRA_GRA_Msk                        (0xffffUL)                /*!< T9 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T9_GRB  ----------------------------------- */
#define T9_GRB_GRB_Pos                        (0UL)                     /*!< T9 GRB: GRB (Bit 0)                                         */
#define T9_GRB_GRB_Msk                        (0xffffUL)                /*!< T9 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T9_CNT  ----------------------------------- */
#define T9_CNT_CNT_Pos                        (0UL)                     /*!< T9 CNT: CNT (Bit 0)                                         */
#define T9_CNT_CNT_Msk                        (0xffffUL)                /*!< T9 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T9_SR  ----------------------------------- */
#define T9_SR_OVF_Pos                         (0UL)                     /*!< T9 SR: OVF (Bit 0)                                          */
#define T9_SR_OVF_Msk                         (0x1UL)                   /*!< T9 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T9_SR_MFB_Pos                         (1UL)                     /*!< T9 SR: MFB (Bit 1)                                          */
#define T9_SR_MFB_Msk                         (0x2UL)                   /*!< T9 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T9_SR_MFA_Pos                         (2UL)                     /*!< T9 SR: MFA (Bit 2)                                          */
#define T9_SR_MFA_Msk                         (0x4UL)                   /*!< T9 SR: MFA (Bitfield-Mask: 0x01)                            */

/* -----------------------------------  T9_IER  ----------------------------------- */
#define T9_IER_OVIE_Pos                       (0UL)                     /*!< T9 IER: OVIE (Bit 0)                                        */
#define T9_IER_OVIE_Msk                       (0x1UL)                   /*!< T9 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T9_IER_MBIE_Pos                       (1UL)                     /*!< T9 IER: MBIE (Bit 1)                                        */
#define T9_IER_MBIE_Msk                       (0x2UL)                   /*!< T9 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T9_IER_MAIE_Pos                       (2UL)                     /*!< T9 IER: MAIE (Bit 2)                                        */
#define T9_IER_MAIE_Msk                       (0x4UL)                   /*!< T9 IER: MAIE (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================          struct 'FRT' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  FRT_MR  ----------------------------------- */
#define FRT_MR_MIE_Pos                        (0UL)                     /*!< FRT MR: MIE (Bit 0)                                         */
#define FRT_MR_MIE_Msk                        (0x1UL)                   /*!< FRT MR: MIE (Bitfield-Mask: 0x01)                           */
#define FRT_MR_OVIE_Pos                       (1UL)                     /*!< FRT MR: OVIE (Bit 1)                                        */
#define FRT_MR_OVIE_Msk                       (0x2UL)                   /*!< FRT MR: OVIE (Bitfield-Mask: 0x01)                          */
#define FRT_MR_MCD_Pos                        (2UL)                     /*!< FRT MR: MCD (Bit 2)                                         */
#define FRT_MR_MCD_Msk                        (0x4UL)                   /*!< FRT MR: MCD (Bitfield-Mask: 0x01)                           */
#define FRT_MR_CLKSEL_Pos                     (3UL)                     /*!< FRT MR: CLKSEL (Bit 3)                                      */
#define FRT_MR_CLKSEL_Msk                     (0x18UL)                  /*!< FRT MR: CLKSEL (Bitfield-Mask: 0x03)                        */

/* -----------------------------------  FRT_CR  ----------------------------------- */
#define FRT_CR_FEN_Pos                        (0UL)                     /*!< FRT CR: FEN (Bit 0)                                         */
#define FRT_CR_FEN_Msk                        (0x1UL)                   /*!< FRT CR: FEN (Bitfield-Mask: 0x01)                           */
#define FRT_CR_FHOLD_Pos                      (1UL)                     /*!< FRT CR: FHOLD (Bit 1)                                       */
#define FRT_CR_FHOLD_Msk                      (0x2UL)                   /*!< FRT CR: FHOLD (Bitfield-Mask: 0x01)                         */
#define FRT_CR_FCLR_Pos                       (2UL)                     /*!< FRT CR: FCLR (Bit 2)                                        */
#define FRT_CR_FCLR_Msk                       (0x4UL)                   /*!< FRT CR: FCLR (Bitfield-Mask: 0x01)                          */
#define FRT_CR_CNTREQ_Pos                     (3UL)                     /*!< FRT CR: CNTREQ (Bit 3)                                      */
#define FRT_CR_CNTREQ_Msk                     (0x8UL)                   /*!< FRT CR: CNTREQ (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  FRT_PER  ---------------------------------- */
#define FRT_PER_DATA_Pos                      (0UL)                     /*!< FRT PER: DATA (Bit 0)                                       */
#define FRT_PER_DATA_Msk                      (0xffffffffUL)            /*!< FRT PER: DATA (Bitfield-Mask: 0xffffffff)                   */

/* -----------------------------------  FRT_SR  ----------------------------------- */
#define FRT_SR_MIF_Pos                        (0UL)                     /*!< FRT SR: MIF (Bit 0)                                         */
#define FRT_SR_MIF_Msk                        (0x1UL)                   /*!< FRT SR: MIF (Bitfield-Mask: 0x01)                           */
#define FRT_SR_OVIF_Pos                       (1UL)                     /*!< FRT SR: OVIF (Bit 1)                                        */
#define FRT_SR_OVIF_Msk                       (0x2UL)                   /*!< FRT SR: OVIF (Bitfield-Mask: 0x01)                          */
#define FRT_SR_RACK_Pos                       (2UL)                     /*!< FRT SR: RACK (Bit 2)                                        */
#define FRT_SR_RACK_Msk                       (0x4UL)                   /*!< FRT SR: RACK (Bitfield-Mask: 0x01)                          */


/* ================================================================================ */
/* ================          struct 'MP0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  MP0_MR  ----------------------------------- */
#define MP0_MR_UPDOWN_Pos                     (0UL)                     /*!< MP0 MR: UPDOWN (Bit 0)                                      */
#define MP0_MR_UPDOWN_Msk                     (0x1UL)                   /*!< MP0 MR: UPDOWN (Bitfield-Mask: 0x01)                        */
#define MP0_MR_MCHMOD_Pos                     (1UL)                     /*!< MP0 MR: MCHMOD (Bit 1)                                      */
#define MP0_MR_MCHMOD_Msk                     (0x6UL)                   /*!< MP0 MR: MCHMOD (Bitfield-Mask: 0x03)                        */
#define MP0_MR_BUP_Pos                        (4UL)                     /*!< MP0 MR: BUP (Bit 4)                                         */
#define MP0_MR_BUP_Msk                        (0x10UL)                  /*!< MP0 MR: BUP (Bitfield-Mask: 0x01)                           */
#define MP0_MR_TUP_Pos                        (5UL)                     /*!< MP0 MR: TUP (Bit 5)                                         */
#define MP0_MR_TUP_Msk                        (0x20UL)                  /*!< MP0 MR: TUP (Bitfield-Mask: 0x01)                           */
#define MP0_MR_UAO_Pos                        (7UL)                     /*!< MP0 MR: UAO (Bit 7)                                         */
#define MP0_MR_UAO_Msk                        (0x80UL)                  /*!< MP0 MR: UAO (Bitfield-Mask: 0x01)                           */
#define MP0_MR_MOTORB_Pos                     (15UL)                    /*!< MP0 MR: MOTORB (Bit 15)                                     */
#define MP0_MR_MOTORB_Msk                     (0x8000UL)                /*!< MP0 MR: MOTORB (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP0_OLR  ---------------------------------- */
#define MP0_OLR_ULL_Pos                       (0UL)                     /*!< MP0 OLR: ULL (Bit 0)                                        */
#define MP0_OLR_ULL_Msk                       (0x1UL)                   /*!< MP0 OLR: ULL (Bitfield-Mask: 0x01)                          */
#define MP0_OLR_VLL_Pos                       (1UL)                     /*!< MP0 OLR: VLL (Bit 1)                                        */
#define MP0_OLR_VLL_Msk                       (0x2UL)                   /*!< MP0 OLR: VLL (Bitfield-Mask: 0x01)                          */
#define MP0_OLR_WLL_Pos                       (2UL)                     /*!< MP0 OLR: WLL (Bit 2)                                        */
#define MP0_OLR_WLL_Msk                       (0x4UL)                   /*!< MP0 OLR: WLL (Bitfield-Mask: 0x01)                          */
#define MP0_OLR_UHL_Pos                       (3UL)                     /*!< MP0 OLR: UHL (Bit 3)                                        */
#define MP0_OLR_UHL_Msk                       (0x8UL)                   /*!< MP0 OLR: UHL (Bitfield-Mask: 0x01)                          */
#define MP0_OLR_VHL_Pos                       (4UL)                     /*!< MP0 OLR: VHL (Bit 4)                                        */
#define MP0_OLR_VHL_Msk                       (0x10UL)                  /*!< MP0 OLR: VHL (Bitfield-Mask: 0x01)                          */
#define MP0_OLR_WHL_Pos                       (5UL)                     /*!< MP0 OLR: WHL (Bit 5)                                        */
#define MP0_OLR_WHL_Msk                       (0x20UL)                  /*!< MP0 OLR: WHL (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP0_FOR  ---------------------------------- */
#define MP0_FOR_ULFL_Pos                      (0UL)                     /*!< MP0 FOR: ULFL (Bit 0)                                       */
#define MP0_FOR_ULFL_Msk                      (0x1UL)                   /*!< MP0 FOR: ULFL (Bitfield-Mask: 0x01)                         */
#define MP0_FOR_VLFL_Pos                      (1UL)                     /*!< MP0 FOR: VLFL (Bit 1)                                       */
#define MP0_FOR_VLFL_Msk                      (0x2UL)                   /*!< MP0 FOR: VLFL (Bitfield-Mask: 0x01)                         */
#define MP0_FOR_WLFL_Pos                      (2UL)                     /*!< MP0 FOR: WLFL (Bit 2)                                       */
#define MP0_FOR_WLFL_Msk                      (0x4UL)                   /*!< MP0 FOR: WLFL (Bitfield-Mask: 0x01)                         */
#define MP0_FOR_UHFL_Pos                      (3UL)                     /*!< MP0 FOR: UHFL (Bit 3)                                       */
#define MP0_FOR_UHFL_Msk                      (0x8UL)                   /*!< MP0 FOR: UHFL (Bitfield-Mask: 0x01)                         */
#define MP0_FOR_VHFL_Pos                      (4UL)                     /*!< MP0 FOR: VHFL (Bit 4)                                       */
#define MP0_FOR_VHFL_Msk                      (0x10UL)                  /*!< MP0 FOR: VHFL (Bitfield-Mask: 0x01)                         */
#define MP0_FOR_WHFL_Pos                      (5UL)                     /*!< MP0 FOR: WHFL (Bit 5)                                       */
#define MP0_FOR_WHFL_Msk                      (0x20UL)                  /*!< MP0 FOR: WHFL (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP0_PRD  ---------------------------------- */
#define MP0_PRD_PERIOD_Pos                    (0UL)                     /*!< MP0 PRD: PERIOD (Bit 0)                                     */
#define MP0_PRD_PERIOD_Msk                    (0xffffUL)                /*!< MP0 PRD: PERIOD (Bitfield-Mask: 0xffff)                     */

/* -----------------------------------  MP0_DUH  ---------------------------------- */
#define MP0_DUH_DUTY_Pos                      (0UL)                     /*!< MP0 DUH: DUTY (Bit 0)                                       */
#define MP0_DUH_DUTY_Msk                      (0xffffUL)                /*!< MP0 DUH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DVH  ---------------------------------- */
#define MP0_DVH_DUTY_Pos                      (0UL)                     /*!< MP0 DVH: DUTY (Bit 0)                                       */
#define MP0_DVH_DUTY_Msk                      (0xffffUL)                /*!< MP0 DVH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DWH  ---------------------------------- */
#define MP0_DWH_DUTY_Pos                      (0UL)                     /*!< MP0 DWH: DUTY (Bit 0)                                       */
#define MP0_DWH_DUTY_Msk                      (0xffffUL)                /*!< MP0 DWH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DUL  ---------------------------------- */
#define MP0_DUL_DUTY_Pos                      (0UL)                     /*!< MP0 DUL: DUTY (Bit 0)                                       */
#define MP0_DUL_DUTY_Msk                      (0xffffUL)                /*!< MP0 DUL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DVL  ---------------------------------- */
#define MP0_DVL_DUTY_Pos                      (0UL)                     /*!< MP0 DVL: DUTY (Bit 0)                                       */
#define MP0_DVL_DUTY_Msk                      (0xffffUL)                /*!< MP0 DVL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DWL  ---------------------------------- */
#define MP0_DWL_DUTY_Pos                      (0UL)                     /*!< MP0 DWL: DUTY (Bit 0)                                       */
#define MP0_DWL_DUTY_Msk                      (0xffffUL)                /*!< MP0 DWL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_CR1  ---------------------------------- */
#define MP0_CR1_PWMEN_Pos                     (0UL)                     /*!< MP0 CR1: PWMEN (Bit 0)                                      */
#define MP0_CR1_PWMEN_Msk                     (0x1UL)                   /*!< MP0 CR1: PWMEN (Bitfield-Mask: 0x01)                        */
#define MP0_CR1_IRQN_Pos                      (8UL)                     /*!< MP0 CR1: IRQN (Bit 8)                                       */
#define MP0_CR1_IRQN_Msk                      (0x700UL)                 /*!< MP0 CR1: IRQN (Bitfield-Mask: 0x07)                         */

/* -----------------------------------  MP0_CR2  ---------------------------------- */
#define MP0_CR2_PSTART_Pos                    (0UL)                     /*!< MP0 CR2: PSTART (Bit 0)                                     */
#define MP0_CR2_PSTART_Msk                    (0x1UL)                   /*!< MP0 CR2: PSTART (Bitfield-Mask: 0x01)                       */
#define MP0_CR2_HALT_Pos                      (7UL)                     /*!< MP0 CR2: HALT (Bit 7)                                       */
#define MP0_CR2_HALT_Msk                      (0x80UL)                  /*!< MP0 CR2: HALT (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP0_SR  ----------------------------------- */
#define MP0_SR_DUL_ATR1IF_Pos                 (0UL)                     /*!< MP0 SR: DUL_ATR1IF (Bit 0)                                  */
#define MP0_SR_DUL_ATR1IF_Msk                 (0x1UL)                   /*!< MP0 SR: DUL_ATR1IF (Bitfield-Mask: 0x01)                    */
#define MP0_SR_DVL_ATR2IF_Pos                 (1UL)                     /*!< MP0 SR: DVL_ATR2IF (Bit 1)                                  */
#define MP0_SR_DVL_ATR2IF_Msk                 (0x2UL)                   /*!< MP0 SR: DVL_ATR2IF (Bitfield-Mask: 0x01)                    */
#define MP0_SR_DWL_ATR3IF_Pos                 (2UL)                     /*!< MP0 SR: DWL_ATR3IF (Bit 2)                                  */
#define MP0_SR_DWL_ATR3IF_Msk                 (0x4UL)                   /*!< MP0 SR: DWL_ATR3IF (Bitfield-Mask: 0x01)                    */
#define MP0_SR_DUH_ATR4IF_Pos                 (3UL)                     /*!< MP0 SR: DUH_ATR4IF (Bit 3)                                  */
#define MP0_SR_DUH_ATR4IF_Msk                 (0x8UL)                   /*!< MP0 SR: DUH_ATR4IF (Bitfield-Mask: 0x01)                    */
#define MP0_SR_DVH_ATR5IF_Pos                 (4UL)                     /*!< MP0 SR: DVH_ATR5IF (Bit 4)                                  */
#define MP0_SR_DVH_ATR5IF_Msk                 (0x10UL)                  /*!< MP0 SR: DVH_ATR5IF (Bitfield-Mask: 0x01)                    */
#define MP0_SR_DWH_ATR6IF_Pos                 (5UL)                     /*!< MP0 SR: DWH_ATR6IF (Bit 5)                                  */
#define MP0_SR_DWH_ATR6IF_Msk                 (0x20UL)                  /*!< MP0 SR: DWH_ATR6IF (Bitfield-Mask: 0x01)                    */
#define MP0_SR_BOTIF_Pos                      (6UL)                     /*!< MP0 SR: BOTIF (Bit 6)                                       */
#define MP0_SR_BOTIF_Msk                      (0x40UL)                  /*!< MP0 SR: BOTIF (Bitfield-Mask: 0x01)                         */
#define MP0_SR_PRDIF_Pos                      (7UL)                     /*!< MP0 SR: PRDIF (Bit 7)                                       */
#define MP0_SR_PRDIF_Msk                      (0x80UL)                  /*!< MP0 SR: PRDIF (Bitfield-Mask: 0x01)                         */
#define MP0_SR_IRQCNT_Pos                     (12UL)                    /*!< MP0 SR: IRQCNT (Bit 12)                                     */
#define MP0_SR_IRQCNT_Msk                     (0x7000UL)                /*!< MP0 SR: IRQCNT (Bitfield-Mask: 0x07)                        */
#define MP0_SR_DOWN_Pos                       (15UL)                    /*!< MP0 SR: DOWN (Bit 15)                                       */
#define MP0_SR_DOWN_Msk                       (0x8000UL)                /*!< MP0 SR: DOWN (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP0_IER  ---------------------------------- */
#define MP0_IER_DUL_ATR1IEN_Pos               (0UL)                     /*!< MP0 IER: DUL_ATR1IEN (Bit 0)                                */
#define MP0_IER_DUL_ATR1IEN_Msk               (0x1UL)                   /*!< MP0 IER: DUL_ATR1IEN (Bitfield-Mask: 0x01)                  */
#define MP0_IER_DVL_ATR2IEN_Pos               (1UL)                     /*!< MP0 IER: DVL_ATR2IEN (Bit 1)                                */
#define MP0_IER_DVL_ATR2IEN_Msk               (0x2UL)                   /*!< MP0 IER: DVL_ATR2IEN (Bitfield-Mask: 0x01)                  */
#define MP0_IER_DWL_ATR3IEN_Pos               (2UL)                     /*!< MP0 IER: DWL_ATR3IEN (Bit 2)                                */
#define MP0_IER_DWL_ATR3IEN_Msk               (0x4UL)                   /*!< MP0 IER: DWL_ATR3IEN (Bitfield-Mask: 0x01)                  */
#define MP0_IER_DUH_ATR4IEN_Pos               (3UL)                     /*!< MP0 IER: DUH_ATR4IEN (Bit 3)                                */
#define MP0_IER_DUH_ATR4IEN_Msk               (0x8UL)                   /*!< MP0 IER: DUH_ATR4IEN (Bitfield-Mask: 0x01)                  */
#define MP0_IER_DVH_ATR5IEN_Pos               (4UL)                     /*!< MP0 IER: DVH_ATR5IEN (Bit 4)                                */
#define MP0_IER_DVH_ATR5IEN_Msk               (0x10UL)                  /*!< MP0 IER: DVH_ATR5IEN (Bitfield-Mask: 0x01)                  */
#define MP0_IER_DWH_ATR6IEN_Pos               (5UL)                     /*!< MP0 IER: DWH_ATR6IEN (Bit 5)                                */
#define MP0_IER_DWH_ATR6IEN_Msk               (0x20UL)                  /*!< MP0 IER: DWH_ATR6IEN (Bitfield-Mask: 0x01)                  */
#define MP0_IER_BOTIE_Pos                     (6UL)                     /*!< MP0 IER: BOTIE (Bit 6)                                      */
#define MP0_IER_BOTIE_Msk                     (0x40UL)                  /*!< MP0 IER: BOTIE (Bitfield-Mask: 0x01)                        */
#define MP0_IER_PRDIEN_Pos                    (7UL)                     /*!< MP0 IER: PRDIEN (Bit 7)                                     */
#define MP0_IER_PRDIEN_Msk                    (0x80UL)                  /*!< MP0 IER: PRDIEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP0_CNT  ---------------------------------- */
#define MP0_CNT_CNT_Pos                       (0UL)                     /*!< MP0 CNT: CNT (Bit 0)                                        */
#define MP0_CNT_CNT_Msk                       (0xffffUL)                /*!< MP0 CNT: CNT (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP0_DTR  ---------------------------------- */
#define MP0_DTR_DT_Pos                        (0UL)                     /*!< MP0 DTR: DT (Bit 0)                                         */
#define MP0_DTR_DT_Msk                        (0xffUL)                  /*!< MP0 DTR: DT (Bitfield-Mask: 0xff)                           */
#define MP0_DTR_DTCLK_Pos                     (8UL)                     /*!< MP0 DTR: DTCLK (Bit 8)                                      */
#define MP0_DTR_DTCLK_Msk                     (0x100UL)                 /*!< MP0 DTR: DTCLK (Bitfield-Mask: 0x01)                        */
#define MP0_DTR_PSHRT_Pos                     (14UL)                    /*!< MP0 DTR: PSHRT (Bit 14)                                     */
#define MP0_DTR_PSHRT_Msk                     (0x4000UL)                /*!< MP0 DTR: PSHRT (Bitfield-Mask: 0x01)                        */
#define MP0_DTR_DTEN_Pos                      (15UL)                    /*!< MP0 DTR: DTEN (Bit 15)                                      */
#define MP0_DTR_DTEN_Msk                      (0x8000UL)                /*!< MP0 DTR: DTEN (Bitfield-Mask: 0x01)                         */

/* ----------------------------------  MP0_PCR0  ---------------------------------- */
#define MP0_PCR0_ULPROTM_Pos                  (0UL)                     /*!< MP0 PCR0: ULPROTM (Bit 0)                                   */
#define MP0_PCR0_ULPROTM_Msk                  (0x1UL)                   /*!< MP0 PCR0: ULPROTM (Bitfield-Mask: 0x01)                     */
#define MP0_PCR0_VLPROTM_Pos                  (1UL)                     /*!< MP0 PCR0: VLPROTM (Bit 1)                                   */
#define MP0_PCR0_VLPROTM_Msk                  (0x2UL)                   /*!< MP0 PCR0: VLPROTM (Bitfield-Mask: 0x01)                     */
#define MP0_PCR0_WLPROTM_Pos                  (2UL)                     /*!< MP0 PCR0: WLPROTM (Bit 2)                                   */
#define MP0_PCR0_WLPROTM_Msk                  (0x4UL)                   /*!< MP0 PCR0: WLPROTM (Bitfield-Mask: 0x01)                     */
#define MP0_PCR0_UHPROTM_Pos                  (3UL)                     /*!< MP0 PCR0: UHPROTM (Bit 3)                                   */
#define MP0_PCR0_UHPROTM_Msk                  (0x8UL)                   /*!< MP0 PCR0: UHPROTM (Bitfield-Mask: 0x01)                     */
#define MP0_PCR0_VHPROTM_Pos                  (4UL)                     /*!< MP0 PCR0: VHPROTM (Bit 4)                                   */
#define MP0_PCR0_VHPROTM_Msk                  (0x10UL)                  /*!< MP0 PCR0: VHPROTM (Bitfield-Mask: 0x01)                     */
#define MP0_PCR0_WHPROTM_Pos                  (5UL)                     /*!< MP0 PCR0: WHPROTM (Bit 5)                                   */
#define MP0_PCR0_WHPROTM_Msk                  (0x20UL)                  /*!< MP0 PCR0: WHPROTM (Bitfield-Mask: 0x01)                     */
#define MP0_PCR0_PROTIE_Pos                   (7UL)                     /*!< MP0 PCR0: PROTIE (Bit 7)                                    */
#define MP0_PCR0_PROTIE_Msk                   (0x80UL)                  /*!< MP0 PCR0: PROTIE (Bitfield-Mask: 0x01)                      */
#define MP0_PCR0_PROTD_Pos                    (8UL)                     /*!< MP0 PCR0: PROTD (Bit 8)                                     */
#define MP0_PCR0_PROTD_Msk                    (0x700UL)                 /*!< MP0 PCR0: PROTD (Bitfield-Mask: 0x07)                       */
#define MP0_PCR0_PROTPOL_Pos                  (14UL)                    /*!< MP0 PCR0: PROTPOL (Bit 14)                                  */
#define MP0_PCR0_PROTPOL_Msk                  (0x4000UL)                /*!< MP0 PCR0: PROTPOL (Bitfield-Mask: 0x01)                     */
#define MP0_PCR0_PROTOEN_Pos                  (15UL)                    /*!< MP0 PCR0: PROTOEN (Bit 15)                                  */
#define MP0_PCR0_PROTOEN_Msk                  (0x8000UL)                /*!< MP0 PCR0: PROTOEN (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  MP0_PSR0  ---------------------------------- */
#define MP0_PSR0_ULPROTF_Pos                  (0UL)                     /*!< MP0 PSR0: ULPROTF (Bit 0)                                   */
#define MP0_PSR0_ULPROTF_Msk                  (0x1UL)                   /*!< MP0 PSR0: ULPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR0_VLPROTF_Pos                  (1UL)                     /*!< MP0 PSR0: VLPROTF (Bit 1)                                   */
#define MP0_PSR0_VLPROTF_Msk                  (0x2UL)                   /*!< MP0 PSR0: VLPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR0_WLPROTF_Pos                  (2UL)                     /*!< MP0 PSR0: WLPROTF (Bit 2)                                   */
#define MP0_PSR0_WLPROTF_Msk                  (0x4UL)                   /*!< MP0 PSR0: WLPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR0_UHPROTF_Pos                  (3UL)                     /*!< MP0 PSR0: UHPROTF (Bit 3)                                   */
#define MP0_PSR0_UHPROTF_Msk                  (0x8UL)                   /*!< MP0 PSR0: UHPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR0_VHPROTF_Pos                  (4UL)                     /*!< MP0 PSR0: VHPROTF (Bit 4)                                   */
#define MP0_PSR0_VHPROTF_Msk                  (0x10UL)                  /*!< MP0 PSR0: VHPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR0_WHPROTF_Pos                  (5UL)                     /*!< MP0 PSR0: WHPROTF (Bit 5)                                   */
#define MP0_PSR0_WHPROTF_Msk                  (0x20UL)                  /*!< MP0 PSR0: WHPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR0_PROTIF_Pos                   (7UL)                     /*!< MP0 PSR0: PROTIF (Bit 7)                                    */
#define MP0_PSR0_PROTIF_Msk                   (0x80UL)                  /*!< MP0 PSR0: PROTIF (Bitfield-Mask: 0x01)                      */
#define MP0_PSR0_PROTKEY_Pos                  (8UL)                     /*!< MP0 PSR0: PROTKEY (Bit 8)                                   */
#define MP0_PSR0_PROTKEY_Msk                  (0xff00UL)                /*!< MP0 PSR0: PROTKEY (Bitfield-Mask: 0xff)                     */

/* ----------------------------------  MP0_PCR1  ---------------------------------- */
#define MP0_PCR1_ULPROT_Pos                   (0UL)                     /*!< MP0 PCR1: ULPROT (Bit 0)                                    */
#define MP0_PCR1_ULPROT_Msk                   (0x1UL)                   /*!< MP0 PCR1: ULPROT (Bitfield-Mask: 0x01)                      */
#define MP0_PCR1_VLPROT_Pos                   (1UL)                     /*!< MP0 PCR1: VLPROT (Bit 1)                                    */
#define MP0_PCR1_VLPROT_Msk                   (0x2UL)                   /*!< MP0 PCR1: VLPROT (Bitfield-Mask: 0x01)                      */
#define MP0_PCR1_WLPROT_Pos                   (2UL)                     /*!< MP0 PCR1: WLPROT (Bit 2)                                    */
#define MP0_PCR1_WLPROT_Msk                   (0x4UL)                   /*!< MP0 PCR1: WLPROT (Bitfield-Mask: 0x01)                      */
#define MP0_PCR1_UHPROT_Pos                   (3UL)                     /*!< MP0 PCR1: UHPROT (Bit 3)                                    */
#define MP0_PCR1_UHPROT_Msk                   (0x8UL)                   /*!< MP0 PCR1: UHPROT (Bitfield-Mask: 0x01)                      */
#define MP0_PCR1_VHPROT_Pos                   (4UL)                     /*!< MP0 PCR1: VHPROT (Bit 4)                                    */
#define MP0_PCR1_VHPROT_Msk                   (0x10UL)                  /*!< MP0 PCR1: VHPROT (Bitfield-Mask: 0x01)                      */
#define MP0_PCR1_WHPROT_Pos                   (5UL)                     /*!< MP0 PCR1: WHPROT (Bit 5)                                    */
#define MP0_PCR1_WHPROT_Msk                   (0x20UL)                  /*!< MP0 PCR1: WHPROT (Bitfield-Mask: 0x01)                      */
#define MP0_PCR1_PROTIE_Pos                   (7UL)                     /*!< MP0 PCR1: PROTIE (Bit 7)                                    */
#define MP0_PCR1_PROTIE_Msk                   (0x80UL)                  /*!< MP0 PCR1: PROTIE (Bitfield-Mask: 0x01)                      */
#define MP0_PCR1_PROTD_Pos                    (8UL)                     /*!< MP0 PCR1: PROTD (Bit 8)                                     */
#define MP0_PCR1_PROTD_Msk                    (0x700UL)                 /*!< MP0 PCR1: PROTD (Bitfield-Mask: 0x07)                       */
#define MP0_PCR1_PROTPOL_Pos                  (14UL)                    /*!< MP0 PCR1: PROTPOL (Bit 14)                                  */
#define MP0_PCR1_PROTPOL_Msk                  (0x4000UL)                /*!< MP0 PCR1: PROTPOL (Bitfield-Mask: 0x01)                     */
#define MP0_PCR1_PROTOEN_Pos                  (15UL)                    /*!< MP0 PCR1: PROTOEN (Bit 15)                                  */
#define MP0_PCR1_PROTOEN_Msk                  (0x8000UL)                /*!< MP0 PCR1: PROTOEN (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  MP0_PSR1  ---------------------------------- */
#define MP0_PSR1_ULPROTF_Pos                  (0UL)                     /*!< MP0 PSR1: ULPROTF (Bit 0)                                   */
#define MP0_PSR1_ULPROTF_Msk                  (0x1UL)                   /*!< MP0 PSR1: ULPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR1_VLPROTF_Pos                  (1UL)                     /*!< MP0 PSR1: VLPROTF (Bit 1)                                   */
#define MP0_PSR1_VLPROTF_Msk                  (0x2UL)                   /*!< MP0 PSR1: VLPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR1_WLPROTF_Pos                  (2UL)                     /*!< MP0 PSR1: WLPROTF (Bit 2)                                   */
#define MP0_PSR1_WLPROTF_Msk                  (0x4UL)                   /*!< MP0 PSR1: WLPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR1_UHPROTF_Pos                  (3UL)                     /*!< MP0 PSR1: UHPROTF (Bit 3)                                   */
#define MP0_PSR1_UHPROTF_Msk                  (0x8UL)                   /*!< MP0 PSR1: UHPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR1_VHPROTF_Pos                  (4UL)                     /*!< MP0 PSR1: VHPROTF (Bit 4)                                   */
#define MP0_PSR1_VHPROTF_Msk                  (0x10UL)                  /*!< MP0 PSR1: VHPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR1_WHPROTF_Pos                  (5UL)                     /*!< MP0 PSR1: WHPROTF (Bit 5)                                   */
#define MP0_PSR1_WHPROTF_Msk                  (0x20UL)                  /*!< MP0 PSR1: WHPROTF (Bitfield-Mask: 0x01)                     */
#define MP0_PSR1_PROTIF_Pos                   (7UL)                     /*!< MP0 PSR1: PROTIF (Bit 7)                                    */
#define MP0_PSR1_PROTIF_Msk                   (0x80UL)                  /*!< MP0 PSR1: PROTIF (Bitfield-Mask: 0x01)                      */
#define MP0_PSR1_PROTKEY_Pos                  (8UL)                     /*!< MP0 PSR1: PROTKEY (Bit 8)                                   */
#define MP0_PSR1_PROTKEY_Msk                  (0xff00UL)                /*!< MP0 PSR1: PROTKEY (Bitfield-Mask: 0xff)                     */

/* ----------------------------------  MP0_ATR1  ---------------------------------- */
#define MP0_ATR1_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR1: ATCNT (Bit 0)                                     */
#define MP0_ATR1_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR1: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR1_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR1: ATMOD (Bit 16)                                    */
#define MP0_ATR1_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR1: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR1_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR1: ATUDT (Bit 19)                                    */
#define MP0_ATR1_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR1: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR2  ---------------------------------- */
#define MP0_ATR2_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR2: ATCNT (Bit 0)                                     */
#define MP0_ATR2_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR2: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR2_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR2: ATMOD (Bit 16)                                    */
#define MP0_ATR2_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR2: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR2_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR2: ATUDT (Bit 19)                                    */
#define MP0_ATR2_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR2: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR3  ---------------------------------- */
#define MP0_ATR3_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR3: ATCNT (Bit 0)                                     */
#define MP0_ATR3_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR3: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR3_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR3: ATMOD (Bit 16)                                    */
#define MP0_ATR3_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR3: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR3_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR3: ATUDT (Bit 19)                                    */
#define MP0_ATR3_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR3: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR4  ---------------------------------- */
#define MP0_ATR4_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR4: ATCNT (Bit 0)                                     */
#define MP0_ATR4_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR4: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR4_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR4: ATMOD (Bit 16)                                    */
#define MP0_ATR4_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR4: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR4_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR4: ATUDT (Bit 19)                                    */
#define MP0_ATR4_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR4: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR5  ---------------------------------- */
#define MP0_ATR5_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR5: ATCNT (Bit 0)                                     */
#define MP0_ATR5_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR5: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR5_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR5: ATMOD (Bit 16)                                    */
#define MP0_ATR5_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR5: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR5_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR5: ATUDT (Bit 19)                                    */
#define MP0_ATR5_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR5: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR6  ---------------------------------- */
#define MP0_ATR6_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR6: ATCNT (Bit 0)                                     */
#define MP0_ATR6_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR6: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR6_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR6: ATMOD (Bit 16)                                    */
#define MP0_ATR6_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR6: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR6_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR6: ATUDT (Bit 19)                                    */
#define MP0_ATR6_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR6: ATUDT (Bitfield-Mask: 0x01)                       */


/* ================================================================================ */
/* ================          struct 'MP1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  MP1_MR  ----------------------------------- */
#define MP1_MR_UPDOWN_Pos                     (0UL)                     /*!< MP1 MR: UPDOWN (Bit 0)                                      */
#define MP1_MR_UPDOWN_Msk                     (0x1UL)                   /*!< MP1 MR: UPDOWN (Bitfield-Mask: 0x01)                        */
#define MP1_MR_MCHMOD_Pos                     (1UL)                     /*!< MP1 MR: MCHMOD (Bit 1)                                      */
#define MP1_MR_MCHMOD_Msk                     (0x6UL)                   /*!< MP1 MR: MCHMOD (Bitfield-Mask: 0x03)                        */
#define MP1_MR_BUP_Pos                        (4UL)                     /*!< MP1 MR: BUP (Bit 4)                                         */
#define MP1_MR_BUP_Msk                        (0x10UL)                  /*!< MP1 MR: BUP (Bitfield-Mask: 0x01)                           */
#define MP1_MR_TUP_Pos                        (5UL)                     /*!< MP1 MR: TUP (Bit 5)                                         */
#define MP1_MR_TUP_Msk                        (0x20UL)                  /*!< MP1 MR: TUP (Bitfield-Mask: 0x01)                           */
#define MP1_MR_UAO_Pos                        (7UL)                     /*!< MP1 MR: UAO (Bit 7)                                         */
#define MP1_MR_UAO_Msk                        (0x80UL)                  /*!< MP1 MR: UAO (Bitfield-Mask: 0x01)                           */
#define MP1_MR_MOTORB_Pos                     (15UL)                    /*!< MP1 MR: MOTORB (Bit 15)                                     */
#define MP1_MR_MOTORB_Msk                     (0x8000UL)                /*!< MP1 MR: MOTORB (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP1_OLR  ---------------------------------- */
#define MP1_OLR_ULL_Pos                       (0UL)                     /*!< MP1 OLR: ULL (Bit 0)                                        */
#define MP1_OLR_ULL_Msk                       (0x1UL)                   /*!< MP1 OLR: ULL (Bitfield-Mask: 0x01)                          */
#define MP1_OLR_VLL_Pos                       (1UL)                     /*!< MP1 OLR: VLL (Bit 1)                                        */
#define MP1_OLR_VLL_Msk                       (0x2UL)                   /*!< MP1 OLR: VLL (Bitfield-Mask: 0x01)                          */
#define MP1_OLR_WLL_Pos                       (2UL)                     /*!< MP1 OLR: WLL (Bit 2)                                        */
#define MP1_OLR_WLL_Msk                       (0x4UL)                   /*!< MP1 OLR: WLL (Bitfield-Mask: 0x01)                          */
#define MP1_OLR_UHL_Pos                       (3UL)                     /*!< MP1 OLR: UHL (Bit 3)                                        */
#define MP1_OLR_UHL_Msk                       (0x8UL)                   /*!< MP1 OLR: UHL (Bitfield-Mask: 0x01)                          */
#define MP1_OLR_VHL_Pos                       (4UL)                     /*!< MP1 OLR: VHL (Bit 4)                                        */
#define MP1_OLR_VHL_Msk                       (0x10UL)                  /*!< MP1 OLR: VHL (Bitfield-Mask: 0x01)                          */
#define MP1_OLR_WHL_Pos                       (5UL)                     /*!< MP1 OLR: WHL (Bit 5)                                        */
#define MP1_OLR_WHL_Msk                       (0x20UL)                  /*!< MP1 OLR: WHL (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP1_FOR  ---------------------------------- */
#define MP1_FOR_ULFL_Pos                      (0UL)                     /*!< MP1 FOR: ULFL (Bit 0)                                       */
#define MP1_FOR_ULFL_Msk                      (0x1UL)                   /*!< MP1 FOR: ULFL (Bitfield-Mask: 0x01)                         */
#define MP1_FOR_VLFL_Pos                      (1UL)                     /*!< MP1 FOR: VLFL (Bit 1)                                       */
#define MP1_FOR_VLFL_Msk                      (0x2UL)                   /*!< MP1 FOR: VLFL (Bitfield-Mask: 0x01)                         */
#define MP1_FOR_WLFL_Pos                      (2UL)                     /*!< MP1 FOR: WLFL (Bit 2)                                       */
#define MP1_FOR_WLFL_Msk                      (0x4UL)                   /*!< MP1 FOR: WLFL (Bitfield-Mask: 0x01)                         */
#define MP1_FOR_UHFL_Pos                      (3UL)                     /*!< MP1 FOR: UHFL (Bit 3)                                       */
#define MP1_FOR_UHFL_Msk                      (0x8UL)                   /*!< MP1 FOR: UHFL (Bitfield-Mask: 0x01)                         */
#define MP1_FOR_VHFL_Pos                      (4UL)                     /*!< MP1 FOR: VHFL (Bit 4)                                       */
#define MP1_FOR_VHFL_Msk                      (0x10UL)                  /*!< MP1 FOR: VHFL (Bitfield-Mask: 0x01)                         */
#define MP1_FOR_WHFL_Pos                      (5UL)                     /*!< MP1 FOR: WHFL (Bit 5)                                       */
#define MP1_FOR_WHFL_Msk                      (0x20UL)                  /*!< MP1 FOR: WHFL (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP1_PRD  ---------------------------------- */
#define MP1_PRD_PERIOD_Pos                    (0UL)                     /*!< MP1 PRD: PERIOD (Bit 0)                                     */
#define MP1_PRD_PERIOD_Msk                    (0xffffUL)                /*!< MP1 PRD: PERIOD (Bitfield-Mask: 0xffff)                     */

/* -----------------------------------  MP1_DUH  ---------------------------------- */
#define MP1_DUH_DUTY_Pos                      (0UL)                     /*!< MP1 DUH: DUTY (Bit 0)                                       */
#define MP1_DUH_DUTY_Msk                      (0xffffUL)                /*!< MP1 DUH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DVH  ---------------------------------- */
#define MP1_DVH_DUTY_Pos                      (0UL)                     /*!< MP1 DVH: DUTY (Bit 0)                                       */
#define MP1_DVH_DUTY_Msk                      (0xffffUL)                /*!< MP1 DVH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DWH  ---------------------------------- */
#define MP1_DWH_DUTY_Pos                      (0UL)                     /*!< MP1 DWH: DUTY (Bit 0)                                       */
#define MP1_DWH_DUTY_Msk                      (0xffffUL)                /*!< MP1 DWH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DUL  ---------------------------------- */
#define MP1_DUL_DUTY_Pos                      (0UL)                     /*!< MP1 DUL: DUTY (Bit 0)                                       */
#define MP1_DUL_DUTY_Msk                      (0xffffUL)                /*!< MP1 DUL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DVL  ---------------------------------- */
#define MP1_DVL_DUTY_Pos                      (0UL)                     /*!< MP1 DVL: DUTY (Bit 0)                                       */
#define MP1_DVL_DUTY_Msk                      (0xffffUL)                /*!< MP1 DVL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DWL  ---------------------------------- */
#define MP1_DWL_DUTY_Pos                      (0UL)                     /*!< MP1 DWL: DUTY (Bit 0)                                       */
#define MP1_DWL_DUTY_Msk                      (0xffffUL)                /*!< MP1 DWL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_CR1  ---------------------------------- */
#define MP1_CR1_PWMEN_Pos                     (0UL)                     /*!< MP1 CR1: PWMEN (Bit 0)                                      */
#define MP1_CR1_PWMEN_Msk                     (0x1UL)                   /*!< MP1 CR1: PWMEN (Bitfield-Mask: 0x01)                        */
#define MP1_CR1_IRQN_Pos                      (8UL)                     /*!< MP1 CR1: IRQN (Bit 8)                                       */
#define MP1_CR1_IRQN_Msk                      (0x700UL)                 /*!< MP1 CR1: IRQN (Bitfield-Mask: 0x07)                         */

/* -----------------------------------  MP1_CR2  ---------------------------------- */
#define MP1_CR2_PSTART_Pos                    (0UL)                     /*!< MP1 CR2: PSTART (Bit 0)                                     */
#define MP1_CR2_PSTART_Msk                    (0x1UL)                   /*!< MP1 CR2: PSTART (Bitfield-Mask: 0x01)                       */
#define MP1_CR2_HALT_Pos                      (7UL)                     /*!< MP1 CR2: HALT (Bit 7)                                       */
#define MP1_CR2_HALT_Msk                      (0x80UL)                  /*!< MP1 CR2: HALT (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP1_SR  ----------------------------------- */
#define MP1_SR_DUL_ATR1IF_Pos                 (0UL)                     /*!< MP1 SR: DUL_ATR1IF (Bit 0)                                  */
#define MP1_SR_DUL_ATR1IF_Msk                 (0x1UL)                   /*!< MP1 SR: DUL_ATR1IF (Bitfield-Mask: 0x01)                    */
#define MP1_SR_DVL_ATR2IF_Pos                 (1UL)                     /*!< MP1 SR: DVL_ATR2IF (Bit 1)                                  */
#define MP1_SR_DVL_ATR2IF_Msk                 (0x2UL)                   /*!< MP1 SR: DVL_ATR2IF (Bitfield-Mask: 0x01)                    */
#define MP1_SR_DWL_ATR3IF_Pos                 (2UL)                     /*!< MP1 SR: DWL_ATR3IF (Bit 2)                                  */
#define MP1_SR_DWL_ATR3IF_Msk                 (0x4UL)                   /*!< MP1 SR: DWL_ATR3IF (Bitfield-Mask: 0x01)                    */
#define MP1_SR_DUH_ATR4IF_Pos                 (3UL)                     /*!< MP1 SR: DUH_ATR4IF (Bit 3)                                  */
#define MP1_SR_DUH_ATR4IF_Msk                 (0x8UL)                   /*!< MP1 SR: DUH_ATR4IF (Bitfield-Mask: 0x01)                    */
#define MP1_SR_DVH_ATR5IF_Pos                 (4UL)                     /*!< MP1 SR: DVH_ATR5IF (Bit 4)                                  */
#define MP1_SR_DVH_ATR5IF_Msk                 (0x10UL)                  /*!< MP1 SR: DVH_ATR5IF (Bitfield-Mask: 0x01)                    */
#define MP1_SR_DWH_ATR6IF_Pos                 (5UL)                     /*!< MP1 SR: DWH_ATR6IF (Bit 5)                                  */
#define MP1_SR_DWH_ATR6IF_Msk                 (0x20UL)                  /*!< MP1 SR: DWH_ATR6IF (Bitfield-Mask: 0x01)                    */
#define MP1_SR_BOTIF_Pos                      (6UL)                     /*!< MP1 SR: BOTIF (Bit 6)                                       */
#define MP1_SR_BOTIF_Msk                      (0x40UL)                  /*!< MP1 SR: BOTIF (Bitfield-Mask: 0x01)                         */
#define MP1_SR_PRDIF_Pos                      (7UL)                     /*!< MP1 SR: PRDIF (Bit 7)                                       */
#define MP1_SR_PRDIF_Msk                      (0x80UL)                  /*!< MP1 SR: PRDIF (Bitfield-Mask: 0x01)                         */
#define MP1_SR_IRQCNT_Pos                     (12UL)                    /*!< MP1 SR: IRQCNT (Bit 12)                                     */
#define MP1_SR_IRQCNT_Msk                     (0x7000UL)                /*!< MP1 SR: IRQCNT (Bitfield-Mask: 0x07)                        */
#define MP1_SR_DOWN_Pos                       (15UL)                    /*!< MP1 SR: DOWN (Bit 15)                                       */
#define MP1_SR_DOWN_Msk                       (0x8000UL)                /*!< MP1 SR: DOWN (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP1_IER  ---------------------------------- */
#define MP1_IER_DUL_ATR1IEN_Pos               (0UL)                     /*!< MP1 IER: DUL_ATR1IEN (Bit 0)                                */
#define MP1_IER_DUL_ATR1IEN_Msk               (0x1UL)                   /*!< MP1 IER: DUL_ATR1IEN (Bitfield-Mask: 0x01)                  */
#define MP1_IER_DVL_ATR2IEN_Pos               (1UL)                     /*!< MP1 IER: DVL_ATR2IEN (Bit 1)                                */
#define MP1_IER_DVL_ATR2IEN_Msk               (0x2UL)                   /*!< MP1 IER: DVL_ATR2IEN (Bitfield-Mask: 0x01)                  */
#define MP1_IER_DWL_ATR3IEN_Pos               (2UL)                     /*!< MP1 IER: DWL_ATR3IEN (Bit 2)                                */
#define MP1_IER_DWL_ATR3IEN_Msk               (0x4UL)                   /*!< MP1 IER: DWL_ATR3IEN (Bitfield-Mask: 0x01)                  */
#define MP1_IER_DUH_ATR4IEN_Pos               (3UL)                     /*!< MP1 IER: DUH_ATR4IEN (Bit 3)                                */
#define MP1_IER_DUH_ATR4IEN_Msk               (0x8UL)                   /*!< MP1 IER: DUH_ATR4IEN (Bitfield-Mask: 0x01)                  */
#define MP1_IER_DVH_ATR5IEN_Pos               (4UL)                     /*!< MP1 IER: DVH_ATR5IEN (Bit 4)                                */
#define MP1_IER_DVH_ATR5IEN_Msk               (0x10UL)                  /*!< MP1 IER: DVH_ATR5IEN (Bitfield-Mask: 0x01)                  */
#define MP1_IER_DWH_ATR6IEN_Pos               (5UL)                     /*!< MP1 IER: DWH_ATR6IEN (Bit 5)                                */
#define MP1_IER_DWH_ATR6IEN_Msk               (0x20UL)                  /*!< MP1 IER: DWH_ATR6IEN (Bitfield-Mask: 0x01)                  */
#define MP1_IER_BOTIE_Pos                     (6UL)                     /*!< MP1 IER: BOTIE (Bit 6)                                      */
#define MP1_IER_BOTIE_Msk                     (0x40UL)                  /*!< MP1 IER: BOTIE (Bitfield-Mask: 0x01)                        */
#define MP1_IER_PRDIEN_Pos                    (7UL)                     /*!< MP1 IER: PRDIEN (Bit 7)                                     */
#define MP1_IER_PRDIEN_Msk                    (0x80UL)                  /*!< MP1 IER: PRDIEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP1_CNT  ---------------------------------- */
#define MP1_CNT_CNT_Pos                       (0UL)                     /*!< MP1 CNT: CNT (Bit 0)                                        */
#define MP1_CNT_CNT_Msk                       (0xffffUL)                /*!< MP1 CNT: CNT (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP1_DTR  ---------------------------------- */
#define MP1_DTR_DT_Pos                        (0UL)                     /*!< MP1 DTR: DT (Bit 0)                                         */
#define MP1_DTR_DT_Msk                        (0xffUL)                  /*!< MP1 DTR: DT (Bitfield-Mask: 0xff)                           */
#define MP1_DTR_DTCLK_Pos                     (8UL)                     /*!< MP1 DTR: DTCLK (Bit 8)                                      */
#define MP1_DTR_DTCLK_Msk                     (0x100UL)                 /*!< MP1 DTR: DTCLK (Bitfield-Mask: 0x01)                        */
#define MP1_DTR_PSHRT_Pos                     (14UL)                    /*!< MP1 DTR: PSHRT (Bit 14)                                     */
#define MP1_DTR_PSHRT_Msk                     (0x4000UL)                /*!< MP1 DTR: PSHRT (Bitfield-Mask: 0x01)                        */
#define MP1_DTR_DTEN_Pos                      (15UL)                    /*!< MP1 DTR: DTEN (Bit 15)                                      */
#define MP1_DTR_DTEN_Msk                      (0x8000UL)                /*!< MP1 DTR: DTEN (Bitfield-Mask: 0x01)                         */

/* ----------------------------------  MP1_PCR0  ---------------------------------- */
#define MP1_PCR0_ULPROTM_Pos                  (0UL)                     /*!< MP1 PCR0: ULPROTM (Bit 0)                                   */
#define MP1_PCR0_ULPROTM_Msk                  (0x1UL)                   /*!< MP1 PCR0: ULPROTM (Bitfield-Mask: 0x01)                     */
#define MP1_PCR0_VLPROTM_Pos                  (1UL)                     /*!< MP1 PCR0: VLPROTM (Bit 1)                                   */
#define MP1_PCR0_VLPROTM_Msk                  (0x2UL)                   /*!< MP1 PCR0: VLPROTM (Bitfield-Mask: 0x01)                     */
#define MP1_PCR0_WLPROTM_Pos                  (2UL)                     /*!< MP1 PCR0: WLPROTM (Bit 2)                                   */
#define MP1_PCR0_WLPROTM_Msk                  (0x4UL)                   /*!< MP1 PCR0: WLPROTM (Bitfield-Mask: 0x01)                     */
#define MP1_PCR0_UHPROTM_Pos                  (3UL)                     /*!< MP1 PCR0: UHPROTM (Bit 3)                                   */
#define MP1_PCR0_UHPROTM_Msk                  (0x8UL)                   /*!< MP1 PCR0: UHPROTM (Bitfield-Mask: 0x01)                     */
#define MP1_PCR0_VHPROTM_Pos                  (4UL)                     /*!< MP1 PCR0: VHPROTM (Bit 4)                                   */
#define MP1_PCR0_VHPROTM_Msk                  (0x10UL)                  /*!< MP1 PCR0: VHPROTM (Bitfield-Mask: 0x01)                     */
#define MP1_PCR0_WHPROTM_Pos                  (5UL)                     /*!< MP1 PCR0: WHPROTM (Bit 5)                                   */
#define MP1_PCR0_WHPROTM_Msk                  (0x20UL)                  /*!< MP1 PCR0: WHPROTM (Bitfield-Mask: 0x01)                     */
#define MP1_PCR0_PROTIE_Pos                   (7UL)                     /*!< MP1 PCR0: PROTIE (Bit 7)                                    */
#define MP1_PCR0_PROTIE_Msk                   (0x80UL)                  /*!< MP1 PCR0: PROTIE (Bitfield-Mask: 0x01)                      */
#define MP1_PCR0_PROTD_Pos                    (8UL)                     /*!< MP1 PCR0: PROTD (Bit 8)                                     */
#define MP1_PCR0_PROTD_Msk                    (0x700UL)                 /*!< MP1 PCR0: PROTD (Bitfield-Mask: 0x07)                       */
#define MP1_PCR0_PROTPOL_Pos                  (14UL)                    /*!< MP1 PCR0: PROTPOL (Bit 14)                                  */
#define MP1_PCR0_PROTPOL_Msk                  (0x4000UL)                /*!< MP1 PCR0: PROTPOL (Bitfield-Mask: 0x01)                     */
#define MP1_PCR0_PROTOEN_Pos                  (15UL)                    /*!< MP1 PCR0: PROTOEN (Bit 15)                                  */
#define MP1_PCR0_PROTOEN_Msk                  (0x8000UL)                /*!< MP1 PCR0: PROTOEN (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  MP1_PSR0  ---------------------------------- */
#define MP1_PSR0_ULPROTF_Pos                  (0UL)                     /*!< MP1 PSR0: ULPROTF (Bit 0)                                   */
#define MP1_PSR0_ULPROTF_Msk                  (0x1UL)                   /*!< MP1 PSR0: ULPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR0_VLPROTF_Pos                  (1UL)                     /*!< MP1 PSR0: VLPROTF (Bit 1)                                   */
#define MP1_PSR0_VLPROTF_Msk                  (0x2UL)                   /*!< MP1 PSR0: VLPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR0_WLPROTF_Pos                  (2UL)                     /*!< MP1 PSR0: WLPROTF (Bit 2)                                   */
#define MP1_PSR0_WLPROTF_Msk                  (0x4UL)                   /*!< MP1 PSR0: WLPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR0_UHPROTF_Pos                  (3UL)                     /*!< MP1 PSR0: UHPROTF (Bit 3)                                   */
#define MP1_PSR0_UHPROTF_Msk                  (0x8UL)                   /*!< MP1 PSR0: UHPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR0_VHPROTF_Pos                  (4UL)                     /*!< MP1 PSR0: VHPROTF (Bit 4)                                   */
#define MP1_PSR0_VHPROTF_Msk                  (0x10UL)                  /*!< MP1 PSR0: VHPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR0_WHPROTF_Pos                  (5UL)                     /*!< MP1 PSR0: WHPROTF (Bit 5)                                   */
#define MP1_PSR0_WHPROTF_Msk                  (0x20UL)                  /*!< MP1 PSR0: WHPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR0_PROTIF_Pos                   (7UL)                     /*!< MP1 PSR0: PROTIF (Bit 7)                                    */
#define MP1_PSR0_PROTIF_Msk                   (0x80UL)                  /*!< MP1 PSR0: PROTIF (Bitfield-Mask: 0x01)                      */
#define MP1_PSR0_PROTKEY_Pos                  (8UL)                     /*!< MP1 PSR0: PROTKEY (Bit 8)                                   */
#define MP1_PSR0_PROTKEY_Msk                  (0xff00UL)                /*!< MP1 PSR0: PROTKEY (Bitfield-Mask: 0xff)                     */

/* ----------------------------------  MP1_PCR1  ---------------------------------- */
#define MP1_PCR1_ULPROT_Pos                   (0UL)                     /*!< MP1 PCR1: ULPROT (Bit 0)                                    */
#define MP1_PCR1_ULPROT_Msk                   (0x1UL)                   /*!< MP1 PCR1: ULPROT (Bitfield-Mask: 0x01)                      */
#define MP1_PCR1_VLPROT_Pos                   (1UL)                     /*!< MP1 PCR1: VLPROT (Bit 1)                                    */
#define MP1_PCR1_VLPROT_Msk                   (0x2UL)                   /*!< MP1 PCR1: VLPROT (Bitfield-Mask: 0x01)                      */
#define MP1_PCR1_WLPROT_Pos                   (2UL)                     /*!< MP1 PCR1: WLPROT (Bit 2)                                    */
#define MP1_PCR1_WLPROT_Msk                   (0x4UL)                   /*!< MP1 PCR1: WLPROT (Bitfield-Mask: 0x01)                      */
#define MP1_PCR1_UHPROT_Pos                   (3UL)                     /*!< MP1 PCR1: UHPROT (Bit 3)                                    */
#define MP1_PCR1_UHPROT_Msk                   (0x8UL)                   /*!< MP1 PCR1: UHPROT (Bitfield-Mask: 0x01)                      */
#define MP1_PCR1_VHPROT_Pos                   (4UL)                     /*!< MP1 PCR1: VHPROT (Bit 4)                                    */
#define MP1_PCR1_VHPROT_Msk                   (0x10UL)                  /*!< MP1 PCR1: VHPROT (Bitfield-Mask: 0x01)                      */
#define MP1_PCR1_WHPROT_Pos                   (5UL)                     /*!< MP1 PCR1: WHPROT (Bit 5)                                    */
#define MP1_PCR1_WHPROT_Msk                   (0x20UL)                  /*!< MP1 PCR1: WHPROT (Bitfield-Mask: 0x01)                      */
#define MP1_PCR1_PROTIE_Pos                   (7UL)                     /*!< MP1 PCR1: PROTIE (Bit 7)                                    */
#define MP1_PCR1_PROTIE_Msk                   (0x80UL)                  /*!< MP1 PCR1: PROTIE (Bitfield-Mask: 0x01)                      */
#define MP1_PCR1_PROTD_Pos                    (8UL)                     /*!< MP1 PCR1: PROTD (Bit 8)                                     */
#define MP1_PCR1_PROTD_Msk                    (0x700UL)                 /*!< MP1 PCR1: PROTD (Bitfield-Mask: 0x07)                       */
#define MP1_PCR1_PROTPOL_Pos                  (14UL)                    /*!< MP1 PCR1: PROTPOL (Bit 14)                                  */
#define MP1_PCR1_PROTPOL_Msk                  (0x4000UL)                /*!< MP1 PCR1: PROTPOL (Bitfield-Mask: 0x01)                     */
#define MP1_PCR1_PROTOEN_Pos                  (15UL)                    /*!< MP1 PCR1: PROTOEN (Bit 15)                                  */
#define MP1_PCR1_PROTOEN_Msk                  (0x8000UL)                /*!< MP1 PCR1: PROTOEN (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  MP1_PSR1  ---------------------------------- */
#define MP1_PSR1_ULPROTF_Pos                  (0UL)                     /*!< MP1 PSR1: ULPROTF (Bit 0)                                   */
#define MP1_PSR1_ULPROTF_Msk                  (0x1UL)                   /*!< MP1 PSR1: ULPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR1_VLPROTF_Pos                  (1UL)                     /*!< MP1 PSR1: VLPROTF (Bit 1)                                   */
#define MP1_PSR1_VLPROTF_Msk                  (0x2UL)                   /*!< MP1 PSR1: VLPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR1_WLPROTF_Pos                  (2UL)                     /*!< MP1 PSR1: WLPROTF (Bit 2)                                   */
#define MP1_PSR1_WLPROTF_Msk                  (0x4UL)                   /*!< MP1 PSR1: WLPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR1_UHPROTF_Pos                  (3UL)                     /*!< MP1 PSR1: UHPROTF (Bit 3)                                   */
#define MP1_PSR1_UHPROTF_Msk                  (0x8UL)                   /*!< MP1 PSR1: UHPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR1_VHPROTF_Pos                  (4UL)                     /*!< MP1 PSR1: VHPROTF (Bit 4)                                   */
#define MP1_PSR1_VHPROTF_Msk                  (0x10UL)                  /*!< MP1 PSR1: VHPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR1_WHPROTF_Pos                  (5UL)                     /*!< MP1 PSR1: WHPROTF (Bit 5)                                   */
#define MP1_PSR1_WHPROTF_Msk                  (0x20UL)                  /*!< MP1 PSR1: WHPROTF (Bitfield-Mask: 0x01)                     */
#define MP1_PSR1_PROTIF_Pos                   (7UL)                     /*!< MP1 PSR1: PROTIF (Bit 7)                                    */
#define MP1_PSR1_PROTIF_Msk                   (0x80UL)                  /*!< MP1 PSR1: PROTIF (Bitfield-Mask: 0x01)                      */
#define MP1_PSR1_PROTKEY_Pos                  (8UL)                     /*!< MP1 PSR1: PROTKEY (Bit 8)                                   */
#define MP1_PSR1_PROTKEY_Msk                  (0xff00UL)                /*!< MP1 PSR1: PROTKEY (Bitfield-Mask: 0xff)                     */

/* ----------------------------------  MP1_ATR1  ---------------------------------- */
#define MP1_ATR1_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR1: ATCNT (Bit 0)                                     */
#define MP1_ATR1_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR1: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR1_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR1: ATMOD (Bit 16)                                    */
#define MP1_ATR1_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR1: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR1_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR1: ATUDT (Bit 19)                                    */
#define MP1_ATR1_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR1: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR2  ---------------------------------- */
#define MP1_ATR2_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR2: ATCNT (Bit 0)                                     */
#define MP1_ATR2_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR2: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR2_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR2: ATMOD (Bit 16)                                    */
#define MP1_ATR2_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR2: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR2_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR2: ATUDT (Bit 19)                                    */
#define MP1_ATR2_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR2: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR3  ---------------------------------- */
#define MP1_ATR3_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR3: ATCNT (Bit 0)                                     */
#define MP1_ATR3_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR3: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR3_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR3: ATMOD (Bit 16)                                    */
#define MP1_ATR3_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR3: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR3_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR3: ATUDT (Bit 19)                                    */
#define MP1_ATR3_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR3: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR4  ---------------------------------- */
#define MP1_ATR4_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR4: ATCNT (Bit 0)                                     */
#define MP1_ATR4_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR4: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR4_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR4: ATMOD (Bit 16)                                    */
#define MP1_ATR4_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR4: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR4_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR4: ATUDT (Bit 19)                                    */
#define MP1_ATR4_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR4: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR5  ---------------------------------- */
#define MP1_ATR5_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR5: ATCNT (Bit 0)                                     */
#define MP1_ATR5_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR5: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR5_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR5: ATMOD (Bit 16)                                    */
#define MP1_ATR5_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR5: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR5_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR5: ATUDT (Bit 19)                                    */
#define MP1_ATR5_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR5: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR6  ---------------------------------- */
#define MP1_ATR6_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR6: ATCNT (Bit 0)                                     */
#define MP1_ATR6_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR6: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR6_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR6: ATMOD (Bit 16)                                    */
#define MP1_ATR6_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR6: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR6_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR6: ATUDT (Bit 19)                                    */
#define MP1_ATR6_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR6: ATUDT (Bitfield-Mask: 0x01)                       */


/* ================================================================================ */
/* ================           struct 'U0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U0_RBR  ----------------------------------- */
#define U0_RBR_RBR_Pos                        (0UL)                     /*!< U0 RBR: RBR (Bit 0)                                         */
#define U0_RBR_RBR_Msk                        (0xffUL)                  /*!< U0 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_THR  ----------------------------------- */
#define U0_THR_THR_Pos                        (0UL)                     /*!< U0 THR: THR (Bit 0)                                         */
#define U0_THR_THR_Msk                        (0xffUL)                  /*!< U0 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_IER  ----------------------------------- */
#define U0_IER_DRIE_Pos                       (0UL)                     /*!< U0 IER: DRIE (Bit 0)                                        */
#define U0_IER_DRIE_Msk                       (0x1UL)                   /*!< U0 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U0_IER_THREIE_Pos                     (1UL)                     /*!< U0 IER: THREIE (Bit 1)                                      */
#define U0_IER_THREIE_Msk                     (0x2UL)                   /*!< U0 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U0_IER_RLSIE_Pos                      (2UL)                     /*!< U0 IER: RLSIE (Bit 2)                                       */
#define U0_IER_RLSIE_Msk                      (0x4UL)                   /*!< U0 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U0_IER_TXEIE_Pos                      (3UL)                     /*!< U0 IER: TXEIE (Bit 3)                                       */
#define U0_IER_TXEIE_Msk                      (0x8UL)                   /*!< U0 IER: TXEIE (Bitfield-Mask: 0x01)                         */
#define U0_IER_DRXIEN_Pos                     (4UL)                     /*!< U0 IER: DRXIEN (Bit 4)                                      */
#define U0_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U0 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U0_IER_DTXIEN_Pos                     (5UL)                     /*!< U0 IER: DTXIEN (Bit 5)                                      */
#define U0_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U0 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U0_IIR  ----------------------------------- */
#define U0_IIR_IPEN_Pos                       (0UL)                     /*!< U0 IIR: IPEN (Bit 0)                                        */
#define U0_IIR_IPEN_Msk                       (0x1UL)                   /*!< U0 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U0_IIR_IID_Pos                        (1UL)                     /*!< U0 IIR: IID (Bit 1)                                         */
#define U0_IIR_IID_Msk                        (0xeUL)                   /*!< U0 IIR: IID (Bitfield-Mask: 0x07)                           */
#define U0_IIR_TXE_Pos                        (4UL)                     /*!< U0 IIR: TXE (Bit 4)                                         */
#define U0_IIR_TXE_Msk                        (0x10UL)                  /*!< U0 IIR: TXE (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  U0_LCR  ----------------------------------- */
#define U0_LCR_DLEN_Pos                       (0UL)                     /*!< U0 LCR: DLEN (Bit 0)                                        */
#define U0_LCR_DLEN_Msk                       (0x3UL)                   /*!< U0 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U0_LCR_STOPBIT_Pos                    (2UL)                     /*!< U0 LCR: STOPBIT (Bit 2)                                     */
#define U0_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U0 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U0_LCR_PEN_Pos                        (3UL)                     /*!< U0 LCR: PEN (Bit 3)                                         */
#define U0_LCR_PEN_Msk                        (0x8UL)                   /*!< U0 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U0_LCR_PARITY_Pos                     (4UL)                     /*!< U0 LCR: PARITY (Bit 4)                                      */
#define U0_LCR_PARITY_Msk                     (0x10UL)                  /*!< U0 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U0_LCR_STICKP_Pos                     (5UL)                     /*!< U0 LCR: STICKP (Bit 5)                                      */
#define U0_LCR_STICKP_Msk                     (0x20UL)                  /*!< U0 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U0_LCR_BREAK_Pos                      (6UL)                     /*!< U0 LCR: BREAK (Bit 6)                                       */
#define U0_LCR_BREAK_Msk                      (0x40UL)                  /*!< U0 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U0_DCR  ----------------------------------- */
#define U0_DCR_TXINV_Pos                      (2UL)                     /*!< U0 DCR: TXINV (Bit 2)                                       */
#define U0_DCR_TXINV_Msk                      (0x4UL)                   /*!< U0 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U0_DCR_RXINV_Pos                      (3UL)                     /*!< U0 DCR: RXINV (Bit 3)                                       */
#define U0_DCR_RXINV_Msk                      (0x8UL)                   /*!< U0 DCR: RXINV (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U0_LSR  ----------------------------------- */
#define U0_LSR_DR_Pos                         (0UL)                     /*!< U0 LSR: DR (Bit 0)                                          */
#define U0_LSR_DR_Msk                         (0x1UL)                   /*!< U0 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U0_LSR_OE_Pos                         (1UL)                     /*!< U0 LSR: OE (Bit 1)                                          */
#define U0_LSR_OE_Msk                         (0x2UL)                   /*!< U0 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_PE_Pos                         (2UL)                     /*!< U0 LSR: PE (Bit 2)                                          */
#define U0_LSR_PE_Msk                         (0x4UL)                   /*!< U0 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_FE_Pos                         (3UL)                     /*!< U0 LSR: FE (Bit 3)                                          */
#define U0_LSR_FE_Msk                         (0x8UL)                   /*!< U0 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_BI_Pos                         (4UL)                     /*!< U0 LSR: BI (Bit 4)                                          */
#define U0_LSR_BI_Msk                         (0x10UL)                  /*!< U0 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U0_LSR_THRE_Pos                       (5UL)                     /*!< U0 LSR: THRE (Bit 5)                                        */
#define U0_LSR_THRE_Msk                       (0x20UL)                  /*!< U0 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U0_LSR_TEMT_Pos                       (6UL)                     /*!< U0 LSR: TEMT (Bit 6)                                        */
#define U0_LSR_TEMT_Msk                       (0x40UL)                  /*!< U0 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U0_BDR  ----------------------------------- */
#define U0_BDR_BDR_Pos                        (0UL)                     /*!< U0 BDR: BDR (Bit 0)                                         */
#define U0_BDR_BDR_Msk                        (0xffffUL)                /*!< U0 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U0_BFR  ----------------------------------- */
#define U0_BFR_BFR_Pos                        (0UL)                     /*!< U0 BFR: BFR (Bit 0)                                         */
#define U0_BFR_BFR_Msk                        (0xffUL)                  /*!< U0 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_IDTR  ---------------------------------- */
#define U0_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U0 IDTR: WAITVAL (Bit 0)                                    */
#define U0_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U0 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================           struct 'U1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U1_THR  ----------------------------------- */
#define U1_THR_THR_Pos                        (0UL)                     /*!< U1 THR: THR (Bit 0)                                         */
#define U1_THR_THR_Msk                        (0xffUL)                  /*!< U1 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_RBR  ----------------------------------- */
#define U1_RBR_RBR_Pos                        (0UL)                     /*!< U1 RBR: RBR (Bit 0)                                         */
#define U1_RBR_RBR_Msk                        (0xffUL)                  /*!< U1 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_IER  ----------------------------------- */
#define U1_IER_DRIE_Pos                       (0UL)                     /*!< U1 IER: DRIE (Bit 0)                                        */
#define U1_IER_DRIE_Msk                       (0x1UL)                   /*!< U1 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U1_IER_THREIE_Pos                     (1UL)                     /*!< U1 IER: THREIE (Bit 1)                                      */
#define U1_IER_THREIE_Msk                     (0x2UL)                   /*!< U1 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U1_IER_RLSIE_Pos                      (2UL)                     /*!< U1 IER: RLSIE (Bit 2)                                       */
#define U1_IER_RLSIE_Msk                      (0x4UL)                   /*!< U1 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U1_IER_TXEIE_Pos                      (3UL)                     /*!< U1 IER: TXEIE (Bit 3)                                       */
#define U1_IER_TXEIE_Msk                      (0x8UL)                   /*!< U1 IER: TXEIE (Bitfield-Mask: 0x01)                         */
#define U1_IER_DRXIEN_Pos                     (4UL)                     /*!< U1 IER: DRXIEN (Bit 4)                                      */
#define U1_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U1 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U1_IER_DTXIEN_Pos                     (5UL)                     /*!< U1 IER: DTXIEN (Bit 5)                                      */
#define U1_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U1 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U1_IIR  ----------------------------------- */
#define U1_IIR_IPEN_Pos                       (0UL)                     /*!< U1 IIR: IPEN (Bit 0)                                        */
#define U1_IIR_IPEN_Msk                       (0x1UL)                   /*!< U1 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U1_IIR_IID_Pos                        (1UL)                     /*!< U1 IIR: IID (Bit 1)                                         */
#define U1_IIR_IID_Msk                        (0xeUL)                   /*!< U1 IIR: IID (Bitfield-Mask: 0x07)                           */
#define U1_IIR_TXE_Pos                        (4UL)                     /*!< U1 IIR: TXE (Bit 4)                                         */
#define U1_IIR_TXE_Msk                        (0x10UL)                  /*!< U1 IIR: TXE (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  U1_LCR  ----------------------------------- */
#define U1_LCR_DLEN_Pos                       (0UL)                     /*!< U1 LCR: DLEN (Bit 0)                                        */
#define U1_LCR_DLEN_Msk                       (0x3UL)                   /*!< U1 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U1_LCR_STOPBIT_Pos                    (2UL)                     /*!< U1 LCR: STOPBIT (Bit 2)                                     */
#define U1_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U1 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U1_LCR_PEN_Pos                        (3UL)                     /*!< U1 LCR: PEN (Bit 3)                                         */
#define U1_LCR_PEN_Msk                        (0x8UL)                   /*!< U1 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U1_LCR_PARITY_Pos                     (4UL)                     /*!< U1 LCR: PARITY (Bit 4)                                      */
#define U1_LCR_PARITY_Msk                     (0x10UL)                  /*!< U1 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U1_LCR_STICKP_Pos                     (5UL)                     /*!< U1 LCR: STICKP (Bit 5)                                      */
#define U1_LCR_STICKP_Msk                     (0x20UL)                  /*!< U1 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U1_LCR_BREAK_Pos                      (6UL)                     /*!< U1 LCR: BREAK (Bit 6)                                       */
#define U1_LCR_BREAK_Msk                      (0x40UL)                  /*!< U1 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U1_DCR  ----------------------------------- */
#define U1_DCR_TXINV_Pos                      (2UL)                     /*!< U1 DCR: TXINV (Bit 2)                                       */
#define U1_DCR_TXINV_Msk                      (0x4UL)                   /*!< U1 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U1_DCR_RXINV_Pos                      (3UL)                     /*!< U1 DCR: RXINV (Bit 3)                                       */
#define U1_DCR_RXINV_Msk                      (0x8UL)                   /*!< U1 DCR: RXINV (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U1_LSR  ----------------------------------- */
#define U1_LSR_DR_Pos                         (0UL)                     /*!< U1 LSR: DR (Bit 0)                                          */
#define U1_LSR_DR_Msk                         (0x1UL)                   /*!< U1 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U1_LSR_OE_Pos                         (1UL)                     /*!< U1 LSR: OE (Bit 1)                                          */
#define U1_LSR_OE_Msk                         (0x2UL)                   /*!< U1 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_PE_Pos                         (2UL)                     /*!< U1 LSR: PE (Bit 2)                                          */
#define U1_LSR_PE_Msk                         (0x4UL)                   /*!< U1 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_FE_Pos                         (3UL)                     /*!< U1 LSR: FE (Bit 3)                                          */
#define U1_LSR_FE_Msk                         (0x8UL)                   /*!< U1 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_BI_Pos                         (4UL)                     /*!< U1 LSR: BI (Bit 4)                                          */
#define U1_LSR_BI_Msk                         (0x10UL)                  /*!< U1 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U1_LSR_THRE_Pos                       (5UL)                     /*!< U1 LSR: THRE (Bit 5)                                        */
#define U1_LSR_THRE_Msk                       (0x20UL)                  /*!< U1 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U1_LSR_TEMT_Pos                       (6UL)                     /*!< U1 LSR: TEMT (Bit 6)                                        */
#define U1_LSR_TEMT_Msk                       (0x40UL)                  /*!< U1 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U1_BDR  ----------------------------------- */
#define U1_BDR_BDR_Pos                        (0UL)                     /*!< U1 BDR: BDR (Bit 0)                                         */
#define U1_BDR_BDR_Msk                        (0xffffUL)                /*!< U1 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U1_BFR  ----------------------------------- */
#define U1_BFR_BFR_Pos                        (0UL)                     /*!< U1 BFR: BFR (Bit 0)                                         */
#define U1_BFR_BFR_Msk                        (0xffUL)                  /*!< U1 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_IDTR  ---------------------------------- */
#define U1_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U1 IDTR: WAITVAL (Bit 0)                                    */
#define U1_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U1 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================           struct 'U2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U2_THR  ----------------------------------- */
#define U2_THR_THR_Pos                        (0UL)                     /*!< U2 THR: THR (Bit 0)                                         */
#define U2_THR_THR_Msk                        (0xffUL)                  /*!< U2 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U2_RBR  ----------------------------------- */
#define U2_RBR_RBR_Pos                        (0UL)                     /*!< U2 RBR: RBR (Bit 0)                                         */
#define U2_RBR_RBR_Msk                        (0xffUL)                  /*!< U2 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U2_IER  ----------------------------------- */
#define U2_IER_DRIE_Pos                       (0UL)                     /*!< U2 IER: DRIE (Bit 0)                                        */
#define U2_IER_DRIE_Msk                       (0x1UL)                   /*!< U2 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U2_IER_THREIE_Pos                     (1UL)                     /*!< U2 IER: THREIE (Bit 1)                                      */
#define U2_IER_THREIE_Msk                     (0x2UL)                   /*!< U2 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U2_IER_RLSIE_Pos                      (2UL)                     /*!< U2 IER: RLSIE (Bit 2)                                       */
#define U2_IER_RLSIE_Msk                      (0x4UL)                   /*!< U2 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U2_IER_TXEIE_Pos                      (3UL)                     /*!< U2 IER: TXEIE (Bit 3)                                       */
#define U2_IER_TXEIE_Msk                      (0x8UL)                   /*!< U2 IER: TXEIE (Bitfield-Mask: 0x01)                         */
#define U2_IER_DRXIEN_Pos                     (4UL)                     /*!< U2 IER: DRXIEN (Bit 4)                                      */
#define U2_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U2 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U2_IER_DTXIEN_Pos                     (5UL)                     /*!< U2 IER: DTXIEN (Bit 5)                                      */
#define U2_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U2 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U2_IIR  ----------------------------------- */
#define U2_IIR_IPEN_Pos                       (0UL)                     /*!< U2 IIR: IPEN (Bit 0)                                        */
#define U2_IIR_IPEN_Msk                       (0x1UL)                   /*!< U2 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U2_IIR_IID_Pos                        (1UL)                     /*!< U2 IIR: IID (Bit 1)                                         */
#define U2_IIR_IID_Msk                        (0xeUL)                   /*!< U2 IIR: IID (Bitfield-Mask: 0x07)                           */
#define U2_IIR_TXE_Pos                        (4UL)                     /*!< U2 IIR: TXE (Bit 4)                                         */
#define U2_IIR_TXE_Msk                        (0x10UL)                  /*!< U2 IIR: TXE (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  U2_LCR  ----------------------------------- */
#define U2_LCR_DLEN_Pos                       (0UL)                     /*!< U2 LCR: DLEN (Bit 0)                                        */
#define U2_LCR_DLEN_Msk                       (0x3UL)                   /*!< U2 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U2_LCR_STOPBIT_Pos                    (2UL)                     /*!< U2 LCR: STOPBIT (Bit 2)                                     */
#define U2_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U2 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U2_LCR_PEN_Pos                        (3UL)                     /*!< U2 LCR: PEN (Bit 3)                                         */
#define U2_LCR_PEN_Msk                        (0x8UL)                   /*!< U2 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U2_LCR_PARITY_Pos                     (4UL)                     /*!< U2 LCR: PARITY (Bit 4)                                      */
#define U2_LCR_PARITY_Msk                     (0x10UL)                  /*!< U2 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U2_LCR_STICKP_Pos                     (5UL)                     /*!< U2 LCR: STICKP (Bit 5)                                      */
#define U2_LCR_STICKP_Msk                     (0x20UL)                  /*!< U2 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U2_LCR_BREAK_Pos                      (6UL)                     /*!< U2 LCR: BREAK (Bit 6)                                       */
#define U2_LCR_BREAK_Msk                      (0x40UL)                  /*!< U2 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U2_DCR  ----------------------------------- */
#define U2_DCR_TXINV_Pos                      (2UL)                     /*!< U2 DCR: TXINV (Bit 2)                                       */
#define U2_DCR_TXINV_Msk                      (0x4UL)                   /*!< U2 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U2_DCR_RXINV_Pos                      (3UL)                     /*!< U2 DCR: RXINV (Bit 3)                                       */
#define U2_DCR_RXINV_Msk                      (0x8UL)                   /*!< U2 DCR: RXINV (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U2_LSR  ----------------------------------- */
#define U2_LSR_DR_Pos                         (0UL)                     /*!< U2 LSR: DR (Bit 0)                                          */
#define U2_LSR_DR_Msk                         (0x1UL)                   /*!< U2 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U2_LSR_OE_Pos                         (1UL)                     /*!< U2 LSR: OE (Bit 1)                                          */
#define U2_LSR_OE_Msk                         (0x2UL)                   /*!< U2 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U2_LSR_PE_Pos                         (2UL)                     /*!< U2 LSR: PE (Bit 2)                                          */
#define U2_LSR_PE_Msk                         (0x4UL)                   /*!< U2 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U2_LSR_FE_Pos                         (3UL)                     /*!< U2 LSR: FE (Bit 3)                                          */
#define U2_LSR_FE_Msk                         (0x8UL)                   /*!< U2 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U2_LSR_BI_Pos                         (4UL)                     /*!< U2 LSR: BI (Bit 4)                                          */
#define U2_LSR_BI_Msk                         (0x10UL)                  /*!< U2 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U2_LSR_THRE_Pos                       (5UL)                     /*!< U2 LSR: THRE (Bit 5)                                        */
#define U2_LSR_THRE_Msk                       (0x20UL)                  /*!< U2 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U2_LSR_TEMT_Pos                       (6UL)                     /*!< U2 LSR: TEMT (Bit 6)                                        */
#define U2_LSR_TEMT_Msk                       (0x40UL)                  /*!< U2 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U2_BDR  ----------------------------------- */
#define U2_BDR_BDR_Pos                        (0UL)                     /*!< U2 BDR: BDR (Bit 0)                                         */
#define U2_BDR_BDR_Msk                        (0xffffUL)                /*!< U2 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U2_BFR  ----------------------------------- */
#define U2_BFR_BFR_Pos                        (0UL)                     /*!< U2 BFR: BFR (Bit 0)                                         */
#define U2_BFR_BFR_Msk                        (0xffUL)                  /*!< U2 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U2_IDTR  ---------------------------------- */
#define U2_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U2 IDTR: WAITVAL (Bit 0)                                    */
#define U2_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U2 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================           struct 'U3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U3_THR  ----------------------------------- */
#define U3_THR_THR_Pos                        (0UL)                     /*!< U3 THR: THR (Bit 0)                                         */
#define U3_THR_THR_Msk                        (0xffUL)                  /*!< U3 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U3_RBR  ----------------------------------- */
#define U3_RBR_RBR_Pos                        (0UL)                     /*!< U3 RBR: RBR (Bit 0)                                         */
#define U3_RBR_RBR_Msk                        (0xffUL)                  /*!< U3 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U3_IER  ----------------------------------- */
#define U3_IER_DRIE_Pos                       (0UL)                     /*!< U3 IER: DRIE (Bit 0)                                        */
#define U3_IER_DRIE_Msk                       (0x1UL)                   /*!< U3 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U3_IER_THREIE_Pos                     (1UL)                     /*!< U3 IER: THREIE (Bit 1)                                      */
#define U3_IER_THREIE_Msk                     (0x2UL)                   /*!< U3 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U3_IER_RLSIE_Pos                      (2UL)                     /*!< U3 IER: RLSIE (Bit 2)                                       */
#define U3_IER_RLSIE_Msk                      (0x4UL)                   /*!< U3 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U3_IER_TXEIE_Pos                      (3UL)                     /*!< U3 IER: TXEIE (Bit 3)                                       */
#define U3_IER_TXEIE_Msk                      (0x8UL)                   /*!< U3 IER: TXEIE (Bitfield-Mask: 0x01)                         */
#define U3_IER_DRXIEN_Pos                     (4UL)                     /*!< U3 IER: DRXIEN (Bit 4)                                      */
#define U3_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U3 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U3_IER_DTXIEN_Pos                     (5UL)                     /*!< U3 IER: DTXIEN (Bit 5)                                      */
#define U3_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U3 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U3_IIR  ----------------------------------- */
#define U3_IIR_IPEN_Pos                       (0UL)                     /*!< U3 IIR: IPEN (Bit 0)                                        */
#define U3_IIR_IPEN_Msk                       (0x1UL)                   /*!< U3 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U3_IIR_IID_Pos                        (1UL)                     /*!< U3 IIR: IID (Bit 1)                                         */
#define U3_IIR_IID_Msk                        (0xeUL)                   /*!< U3 IIR: IID (Bitfield-Mask: 0x07)                           */
#define U3_IIR_TXE_Pos                        (4UL)                     /*!< U3 IIR: TXE (Bit 4)                                         */
#define U3_IIR_TXE_Msk                        (0x10UL)                  /*!< U3 IIR: TXE (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  U3_LCR  ----------------------------------- */
#define U3_LCR_DLEN_Pos                       (0UL)                     /*!< U3 LCR: DLEN (Bit 0)                                        */
#define U3_LCR_DLEN_Msk                       (0x3UL)                   /*!< U3 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U3_LCR_STOPBIT_Pos                    (2UL)                     /*!< U3 LCR: STOPBIT (Bit 2)                                     */
#define U3_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U3 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U3_LCR_PEN_Pos                        (3UL)                     /*!< U3 LCR: PEN (Bit 3)                                         */
#define U3_LCR_PEN_Msk                        (0x8UL)                   /*!< U3 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U3_LCR_PARITY_Pos                     (4UL)                     /*!< U3 LCR: PARITY (Bit 4)                                      */
#define U3_LCR_PARITY_Msk                     (0x10UL)                  /*!< U3 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U3_LCR_STICKP_Pos                     (5UL)                     /*!< U3 LCR: STICKP (Bit 5)                                      */
#define U3_LCR_STICKP_Msk                     (0x20UL)                  /*!< U3 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U3_LCR_BREAK_Pos                      (6UL)                     /*!< U3 LCR: BREAK (Bit 6)                                       */
#define U3_LCR_BREAK_Msk                      (0x40UL)                  /*!< U3 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U3_DCR  ----------------------------------- */
#define U3_DCR_TXINV_Pos                      (2UL)                     /*!< U3 DCR: TXINV (Bit 2)                                       */
#define U3_DCR_TXINV_Msk                      (0x4UL)                   /*!< U3 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U3_DCR_RXINV_Pos                      (3UL)                     /*!< U3 DCR: RXINV (Bit 3)                                       */
#define U3_DCR_RXINV_Msk                      (0x8UL)                   /*!< U3 DCR: RXINV (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U3_LSR  ----------------------------------- */
#define U3_LSR_DR_Pos                         (0UL)                     /*!< U3 LSR: DR (Bit 0)                                          */
#define U3_LSR_DR_Msk                         (0x1UL)                   /*!< U3 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U3_LSR_OE_Pos                         (1UL)                     /*!< U3 LSR: OE (Bit 1)                                          */
#define U3_LSR_OE_Msk                         (0x2UL)                   /*!< U3 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U3_LSR_PE_Pos                         (2UL)                     /*!< U3 LSR: PE (Bit 2)                                          */
#define U3_LSR_PE_Msk                         (0x4UL)                   /*!< U3 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U3_LSR_FE_Pos                         (3UL)                     /*!< U3 LSR: FE (Bit 3)                                          */
#define U3_LSR_FE_Msk                         (0x8UL)                   /*!< U3 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U3_LSR_BI_Pos                         (4UL)                     /*!< U3 LSR: BI (Bit 4)                                          */
#define U3_LSR_BI_Msk                         (0x10UL)                  /*!< U3 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U3_LSR_THRE_Pos                       (5UL)                     /*!< U3 LSR: THRE (Bit 5)                                        */
#define U3_LSR_THRE_Msk                       (0x20UL)                  /*!< U3 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U3_LSR_TEMT_Pos                       (6UL)                     /*!< U3 LSR: TEMT (Bit 6)                                        */
#define U3_LSR_TEMT_Msk                       (0x40UL)                  /*!< U3 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U3_BDR  ----------------------------------- */
#define U3_BDR_BDR_Pos                        (0UL)                     /*!< U3 BDR: BDR (Bit 0)                                         */
#define U3_BDR_BDR_Msk                        (0xffffUL)                /*!< U3 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U3_BFR  ----------------------------------- */
#define U3_BFR_BFR_Pos                        (0UL)                     /*!< U3 BFR: BFR (Bit 0)                                         */
#define U3_BFR_BFR_Msk                        (0xffUL)                  /*!< U3 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U3_IDTR  ---------------------------------- */
#define U3_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U3 IDTR: WAITVAL (Bit 0)                                    */
#define U3_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U3 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================          struct 'SP0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SP0_RDR  ---------------------------------- */
#define SP0_RDR_RDR_Pos                       (0UL)                     /*!< SP0 RDR: RDR (Bit 0)                                        */
#define SP0_RDR_RDR_Msk                       (0x1ffffUL)               /*!< SP0 RDR: RDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP0_TDR  ---------------------------------- */
#define SP0_TDR_TDR_Pos                       (0UL)                     /*!< SP0 TDR: TDR (Bit 0)                                        */
#define SP0_TDR_TDR_Msk                       (0x1ffffUL)               /*!< SP0 TDR: TDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP0_CR  ----------------------------------- */
#define SP0_CR_BITSZ_Pos                      (0UL)                     /*!< SP0 CR: BITSZ (Bit 0)                                       */
#define SP0_CR_BITSZ_Msk                      (0x3UL)                   /*!< SP0 CR: BITSZ (Bitfield-Mask: 0x03)                         */
#define SP0_CR_CPOL_Pos                       (2UL)                     /*!< SP0 CR: CPOL (Bit 2)                                        */
#define SP0_CR_CPOL_Msk                       (0x4UL)                   /*!< SP0 CR: CPOL (Bitfield-Mask: 0x01)                          */
#define SP0_CR_CPHA_Pos                       (3UL)                     /*!< SP0 CR: CPHA (Bit 3)                                        */
#define SP0_CR_CPHA_Msk                       (0x8UL)                   /*!< SP0 CR: CPHA (Bitfield-Mask: 0x01)                          */
#define SP0_CR_MSBF_Pos                       (4UL)                     /*!< SP0 CR: MSBF (Bit 4)                                        */
#define SP0_CR_MSBF_Msk                       (0x10UL)                  /*!< SP0 CR: MSBF (Bitfield-Mask: 0x01)                          */
#define SP0_CR_MS_Pos                         (5UL)                     /*!< SP0 CR: MS (Bit 5)                                          */
#define SP0_CR_MS_Msk                         (0x20UL)                  /*!< SP0 CR: MS (Bitfield-Mask: 0x01)                            */
#define SP0_CR_SSPOL_Pos                      (8UL)                     /*!< SP0 CR: SSPOL (Bit 8)                                       */
#define SP0_CR_SSPOL_Msk                      (0x100UL)                 /*!< SP0 CR: SSPOL (Bitfield-Mask: 0x01)                         */
#define SP0_CR_SSMO_Pos                       (9UL)                     /*!< SP0 CR: SSMO (Bit 9)                                        */
#define SP0_CR_SSMO_Msk                       (0x200UL)                 /*!< SP0 CR: SSMO (Bitfield-Mask: 0x01)                          */
#define SP0_CR_SSMASK_Pos                     (10UL)                    /*!< SP0 CR: SSMASK (Bit 10)                                     */
#define SP0_CR_SSMASK_Msk                     (0x400UL)                 /*!< SP0 CR: SSMASK (Bitfield-Mask: 0x01)                        */
#define SP0_CR_LBE_Pos                        (11UL)                    /*!< SP0 CR: LBE (Bit 11)                                        */
#define SP0_CR_LBE_Msk                        (0x800UL)                 /*!< SP0 CR: LBE (Bitfield-Mask: 0x01)                           */
#define SP0_CR_SSOUT_Pos                      (12UL)                    /*!< SP0 CR: SSOUT (Bit 12)                                      */
#define SP0_CR_SSOUT_Msk                      (0x1000UL)                /*!< SP0 CR: SSOUT (Bitfield-Mask: 0x01)                         */
#define SP0_CR_SSMOD_Pos                      (13UL)                    /*!< SP0 CR: SSMOD (Bit 13)                                      */
#define SP0_CR_SSMOD_Msk                      (0x2000UL)                /*!< SP0 CR: SSMOD (Bitfield-Mask: 0x01)                         */
#define SP0_CR_RXIE_Pos                       (14UL)                    /*!< SP0 CR: RXIE (Bit 14)                                       */
#define SP0_CR_RXIE_Msk                       (0x4000UL)                /*!< SP0 CR: RXIE (Bitfield-Mask: 0x01)                          */
#define SP0_CR_TXIE_Pos                       (15UL)                    /*!< SP0 CR: TXIE (Bit 15)                                       */
#define SP0_CR_TXIE_Msk                       (0x8000UL)                /*!< SP0 CR: TXIE (Bitfield-Mask: 0x01)                          */
#define SP0_CR_SSCIE_Pos                      (16UL)                    /*!< SP0 CR: SSCIE (Bit 16)                                      */
#define SP0_CR_SSCIE_Msk                      (0x10000UL)               /*!< SP0 CR: SSCIE (Bitfield-Mask: 0x01)                         */
#define SP0_CR_DRXIE_Pos                      (17UL)                    /*!< SP0 CR: DRXIE (Bit 17)                                      */
#define SP0_CR_DRXIE_Msk                      (0x20000UL)               /*!< SP0 CR: DRXIE (Bitfield-Mask: 0x01)                         */
#define SP0_CR_DTXIE_Pos                      (18UL)                    /*!< SP0 CR: DTXIE (Bit 18)                                      */
#define SP0_CR_DTXIE_Msk                      (0x40000UL)               /*!< SP0 CR: DTXIE (Bitfield-Mask: 0x01)                         */
#define SP0_CR_RXBC_Pos                       (19UL)                    /*!< SP0 CR: RXBC (Bit 19)                                       */
#define SP0_CR_RXBC_Msk                       (0x80000UL)               /*!< SP0 CR: RXBC (Bitfield-Mask: 0x01)                          */
#define SP0_CR_TXBC_Pos                       (20UL)                    /*!< SP0 CR: TXBC (Bit 20)                                       */
#define SP0_CR_TXBC_Msk                       (0x100000UL)              /*!< SP0 CR: TXBC (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  SP0_SR  ----------------------------------- */
#define SP0_SR_RRDY_Pos                       (0UL)                     /*!< SP0 SR: RRDY (Bit 0)                                        */
#define SP0_SR_RRDY_Msk                       (0x1UL)                   /*!< SP0 SR: RRDY (Bitfield-Mask: 0x01)                          */
#define SP0_SR_TRDY_Pos                       (1UL)                     /*!< SP0 SR: TRDY (Bit 1)                                        */
#define SP0_SR_TRDY_Msk                       (0x2UL)                   /*!< SP0 SR: TRDY (Bitfield-Mask: 0x01)                          */
#define SP0_SR_SRDY_Pos                       (2UL)                     /*!< SP0 SR: SRDY (Bit 2)                                        */
#define SP0_SR_SRDY_Msk                       (0x4UL)                   /*!< SP0 SR: SRDY (Bitfield-Mask: 0x01)                          */
#define SP0_SR_UDRF_Pos                       (3UL)                     /*!< SP0 SR: UDRF (Bit 3)                                        */
#define SP0_SR_UDRF_Msk                       (0x8UL)                   /*!< SP0 SR: UDRF (Bitfield-Mask: 0x01)                          */
#define SP0_SR_OVRF_Pos                       (4UL)                     /*!< SP0 SR: OVRF (Bit 4)                                        */
#define SP0_SR_OVRF_Msk                       (0x10UL)                  /*!< SP0 SR: OVRF (Bitfield-Mask: 0x01)                          */
#define SP0_SR_SSON_Pos                       (5UL)                     /*!< SP0 SR: SSON (Bit 5)                                        */
#define SP0_SR_SSON_Msk                       (0x20UL)                  /*!< SP0 SR: SSON (Bitfield-Mask: 0x01)                          */
#define SP0_SR_SSDET_Pos                      (6UL)                     /*!< SP0 SR: SSDET (Bit 6)                                       */
#define SP0_SR_SSDET_Msk                      (0x40UL)                  /*!< SP0 SR: SSDET (Bitfield-Mask: 0x01)                         */
#define SP0_SR_SBUSY_Pos                      (7UL)                     /*!< SP0 SR: SBUSY (Bit 7)                                       */
#define SP0_SR_SBUSY_Msk                      (0x80UL)                  /*!< SP0 SR: SBUSY (Bitfield-Mask: 0x01)                         */
#define SP0_SR_RXDMAF_Pos                     (8UL)                     /*!< SP0 SR: RXDMAF (Bit 8)                                      */
#define SP0_SR_RXDMAF_Msk                     (0x100UL)                 /*!< SP0 SR: RXDMAF (Bitfield-Mask: 0x01)                        */
#define SP0_SR_TXDMAF_Pos                     (9UL)                     /*!< SP0 SR: TXDMAF (Bit 9)                                      */
#define SP0_SR_TXDMAF_Msk                     (0x200UL)                 /*!< SP0 SR: TXDMAF (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP0_BR  ----------------------------------- */
#define SP0_BR_BR_Pos                         (0UL)                     /*!< SP0 BR: BR (Bit 0)                                          */
#define SP0_BR_BR_Msk                         (0xffffUL)                /*!< SP0 BR: BR (Bitfield-Mask: 0xffff)                          */

/* -----------------------------------  SP0_EN  ----------------------------------- */
#define SP0_EN_ENABLE_Pos                     (0UL)                     /*!< SP0 EN: ENABLE (Bit 0)                                      */
#define SP0_EN_ENABLE_Msk                     (0x1UL)                   /*!< SP0 EN: ENABLE (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP0_LR  ----------------------------------- */
#define SP0_LR_STL_Pos                        (0UL)                     /*!< SP0 LR: STL (Bit 0)                                         */
#define SP0_LR_STL_Msk                        (0xffUL)                  /*!< SP0 LR: STL (Bitfield-Mask: 0xff)                           */
#define SP0_LR_BTL_Pos                        (8UL)                     /*!< SP0 LR: BTL (Bit 8)                                         */
#define SP0_LR_BTL_Msk                        (0xff00UL)                /*!< SP0 LR: BTL (Bitfield-Mask: 0xff)                           */
#define SP0_LR_SPL_Pos                        (16UL)                    /*!< SP0 LR: SPL (Bit 16)                                        */
#define SP0_LR_SPL_Msk                        (0xff0000UL)              /*!< SP0 LR: SPL (Bitfield-Mask: 0xff)                           */


/* ================================================================================ */
/* ================          struct 'SP1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SP1_TDR  ---------------------------------- */
#define SP1_TDR_TDR_Pos                       (0UL)                     /*!< SP1 TDR: TDR (Bit 0)                                        */
#define SP1_TDR_TDR_Msk                       (0x1ffffUL)               /*!< SP1 TDR: TDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP1_RDR  ---------------------------------- */
#define SP1_RDR_RDR_Pos                       (0UL)                     /*!< SP1 RDR: RDR (Bit 0)                                        */
#define SP1_RDR_RDR_Msk                       (0x1ffffUL)               /*!< SP1 RDR: RDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP1_CR  ----------------------------------- */
#define SP1_CR_BITSZ_Pos                      (0UL)                     /*!< SP1 CR: BITSZ (Bit 0)                                       */
#define SP1_CR_BITSZ_Msk                      (0x3UL)                   /*!< SP1 CR: BITSZ (Bitfield-Mask: 0x03)                         */
#define SP1_CR_CPOL_Pos                       (2UL)                     /*!< SP1 CR: CPOL (Bit 2)                                        */
#define SP1_CR_CPOL_Msk                       (0x4UL)                   /*!< SP1 CR: CPOL (Bitfield-Mask: 0x01)                          */
#define SP1_CR_CPHA_Pos                       (3UL)                     /*!< SP1 CR: CPHA (Bit 3)                                        */
#define SP1_CR_CPHA_Msk                       (0x8UL)                   /*!< SP1 CR: CPHA (Bitfield-Mask: 0x01)                          */
#define SP1_CR_MSBF_Pos                       (4UL)                     /*!< SP1 CR: MSBF (Bit 4)                                        */
#define SP1_CR_MSBF_Msk                       (0x10UL)                  /*!< SP1 CR: MSBF (Bitfield-Mask: 0x01)                          */
#define SP1_CR_MS_Pos                         (5UL)                     /*!< SP1 CR: MS (Bit 5)                                          */
#define SP1_CR_MS_Msk                         (0x20UL)                  /*!< SP1 CR: MS (Bitfield-Mask: 0x01)                            */
#define SP1_CR_SSPOL_Pos                      (8UL)                     /*!< SP1 CR: SSPOL (Bit 8)                                       */
#define SP1_CR_SSPOL_Msk                      (0x100UL)                 /*!< SP1 CR: SSPOL (Bitfield-Mask: 0x01)                         */
#define SP1_CR_SSMO_Pos                       (9UL)                     /*!< SP1 CR: SSMO (Bit 9)                                        */
#define SP1_CR_SSMO_Msk                       (0x200UL)                 /*!< SP1 CR: SSMO (Bitfield-Mask: 0x01)                          */
#define SP1_CR_SSMASK_Pos                     (10UL)                    /*!< SP1 CR: SSMASK (Bit 10)                                     */
#define SP1_CR_SSMASK_Msk                     (0x400UL)                 /*!< SP1 CR: SSMASK (Bitfield-Mask: 0x01)                        */
#define SP1_CR_LBE_Pos                        (11UL)                    /*!< SP1 CR: LBE (Bit 11)                                        */
#define SP1_CR_LBE_Msk                        (0x800UL)                 /*!< SP1 CR: LBE (Bitfield-Mask: 0x01)                           */
#define SP1_CR_SSOUT_Pos                      (12UL)                    /*!< SP1 CR: SSOUT (Bit 12)                                      */
#define SP1_CR_SSOUT_Msk                      (0x1000UL)                /*!< SP1 CR: SSOUT (Bitfield-Mask: 0x01)                         */
#define SP1_CR_SSMOD_Pos                      (13UL)                    /*!< SP1 CR: SSMOD (Bit 13)                                      */
#define SP1_CR_SSMOD_Msk                      (0x2000UL)                /*!< SP1 CR: SSMOD (Bitfield-Mask: 0x01)                         */
#define SP1_CR_RXIE_Pos                       (14UL)                    /*!< SP1 CR: RXIE (Bit 14)                                       */
#define SP1_CR_RXIE_Msk                       (0x4000UL)                /*!< SP1 CR: RXIE (Bitfield-Mask: 0x01)                          */
#define SP1_CR_TXIE_Pos                       (15UL)                    /*!< SP1 CR: TXIE (Bit 15)                                       */
#define SP1_CR_TXIE_Msk                       (0x8000UL)                /*!< SP1 CR: TXIE (Bitfield-Mask: 0x01)                          */
#define SP1_CR_SSCIE_Pos                      (16UL)                    /*!< SP1 CR: SSCIE (Bit 16)                                      */
#define SP1_CR_SSCIE_Msk                      (0x10000UL)               /*!< SP1 CR: SSCIE (Bitfield-Mask: 0x01)                         */
#define SP1_CR_DRXIE_Pos                      (17UL)                    /*!< SP1 CR: DRXIE (Bit 17)                                      */
#define SP1_CR_DRXIE_Msk                      (0x20000UL)               /*!< SP1 CR: DRXIE (Bitfield-Mask: 0x01)                         */
#define SP1_CR_DTXIE_Pos                      (18UL)                    /*!< SP1 CR: DTXIE (Bit 18)                                      */
#define SP1_CR_DTXIE_Msk                      (0x40000UL)               /*!< SP1 CR: DTXIE (Bitfield-Mask: 0x01)                         */
#define SP1_CR_RXBC_Pos                       (19UL)                    /*!< SP1 CR: RXBC (Bit 19)                                       */
#define SP1_CR_RXBC_Msk                       (0x80000UL)               /*!< SP1 CR: RXBC (Bitfield-Mask: 0x01)                          */
#define SP1_CR_TXBC_Pos                       (20UL)                    /*!< SP1 CR: TXBC (Bit 20)                                       */
#define SP1_CR_TXBC_Msk                       (0x100000UL)              /*!< SP1 CR: TXBC (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  SP1_SR  ----------------------------------- */
#define SP1_SR_RRDY_Pos                       (0UL)                     /*!< SP1 SR: RRDY (Bit 0)                                        */
#define SP1_SR_RRDY_Msk                       (0x1UL)                   /*!< SP1 SR: RRDY (Bitfield-Mask: 0x01)                          */
#define SP1_SR_TRDY_Pos                       (1UL)                     /*!< SP1 SR: TRDY (Bit 1)                                        */
#define SP1_SR_TRDY_Msk                       (0x2UL)                   /*!< SP1 SR: TRDY (Bitfield-Mask: 0x01)                          */
#define SP1_SR_SRDY_Pos                       (2UL)                     /*!< SP1 SR: SRDY (Bit 2)                                        */
#define SP1_SR_SRDY_Msk                       (0x4UL)                   /*!< SP1 SR: SRDY (Bitfield-Mask: 0x01)                          */
#define SP1_SR_UDRF_Pos                       (3UL)                     /*!< SP1 SR: UDRF (Bit 3)                                        */
#define SP1_SR_UDRF_Msk                       (0x8UL)                   /*!< SP1 SR: UDRF (Bitfield-Mask: 0x01)                          */
#define SP1_SR_OVRF_Pos                       (4UL)                     /*!< SP1 SR: OVRF (Bit 4)                                        */
#define SP1_SR_OVRF_Msk                       (0x10UL)                  /*!< SP1 SR: OVRF (Bitfield-Mask: 0x01)                          */
#define SP1_SR_SSON_Pos                       (5UL)                     /*!< SP1 SR: SSON (Bit 5)                                        */
#define SP1_SR_SSON_Msk                       (0x20UL)                  /*!< SP1 SR: SSON (Bitfield-Mask: 0x01)                          */
#define SP1_SR_SSDET_Pos                      (6UL)                     /*!< SP1 SR: SSDET (Bit 6)                                       */
#define SP1_SR_SSDET_Msk                      (0x40UL)                  /*!< SP1 SR: SSDET (Bitfield-Mask: 0x01)                         */
#define SP1_SR_SBUSY_Pos                      (7UL)                     /*!< SP1 SR: SBUSY (Bit 7)                                       */
#define SP1_SR_SBUSY_Msk                      (0x80UL)                  /*!< SP1 SR: SBUSY (Bitfield-Mask: 0x01)                         */
#define SP1_SR_RXDMAF_Pos                     (8UL)                     /*!< SP1 SR: RXDMAF (Bit 8)                                      */
#define SP1_SR_RXDMAF_Msk                     (0x100UL)                 /*!< SP1 SR: RXDMAF (Bitfield-Mask: 0x01)                        */
#define SP1_SR_TXDMAF_Pos                     (9UL)                     /*!< SP1 SR: TXDMAF (Bit 9)                                      */
#define SP1_SR_TXDMAF_Msk                     (0x200UL)                 /*!< SP1 SR: TXDMAF (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP1_BR  ----------------------------------- */
#define SP1_BR_BR_Pos                         (0UL)                     /*!< SP1 BR: BR (Bit 0)                                          */
#define SP1_BR_BR_Msk                         (0xffffUL)                /*!< SP1 BR: BR (Bitfield-Mask: 0xffff)                          */

/* -----------------------------------  SP1_EN  ----------------------------------- */
#define SP1_EN_ENABLE_Pos                     (0UL)                     /*!< SP1 EN: ENABLE (Bit 0)                                      */
#define SP1_EN_ENABLE_Msk                     (0x1UL)                   /*!< SP1 EN: ENABLE (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP1_LR  ----------------------------------- */
#define SP1_LR_STL_Pos                        (0UL)                     /*!< SP1 LR: STL (Bit 0)                                         */
#define SP1_LR_STL_Msk                        (0xffUL)                  /*!< SP1 LR: STL (Bitfield-Mask: 0xff)                           */
#define SP1_LR_BTL_Pos                        (8UL)                     /*!< SP1 LR: BTL (Bit 8)                                         */
#define SP1_LR_BTL_Msk                        (0xff00UL)                /*!< SP1 LR: BTL (Bitfield-Mask: 0xff)                           */
#define SP1_LR_SPL_Pos                        (16UL)                    /*!< SP1 LR: SPL (Bit 16)                                        */
#define SP1_LR_SPL_Msk                        (0xff0000UL)              /*!< SP1 LR: SPL (Bitfield-Mask: 0xff)                           */


/* ================================================================================ */
/* ================          struct 'IC0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  IC0_DR  ----------------------------------- */
#define IC0_DR_DR_Pos                         (0UL)                     /*!< IC0 DR: DR (Bit 0)                                          */
#define IC0_DR_DR_Msk                         (0xffUL)                  /*!< IC0 DR: DR (Bitfield-Mask: 0xff)                            */

/* -----------------------------------  IC0_SR  ----------------------------------- */
#define IC0_SR_RXACK_Pos                      (0UL)                     /*!< IC0 SR: RXACK (Bit 0)                                       */
#define IC0_SR_RXACK_Msk                      (0x1UL)                   /*!< IC0 SR: RXACK (Bitfield-Mask: 0x01)                         */
#define IC0_SR_TMODE_Pos                      (1UL)                     /*!< IC0 SR: TMODE (Bit 1)                                       */
#define IC0_SR_TMODE_Msk                      (0x2UL)                   /*!< IC0 SR: TMODE (Bitfield-Mask: 0x01)                         */
#define IC0_SR_BUSY_Pos                       (2UL)                     /*!< IC0 SR: BUSY (Bit 2)                                        */
#define IC0_SR_BUSY_Msk                       (0x4UL)                   /*!< IC0 SR: BUSY (Bitfield-Mask: 0x01)                          */
#define IC0_SR_MLOST_Pos                      (3UL)                     /*!< IC0 SR: MLOST (Bit 3)                                       */
#define IC0_SR_MLOST_Msk                      (0x8UL)                   /*!< IC0 SR: MLOST (Bitfield-Mask: 0x01)                         */
#define IC0_SR_SSEL_Pos                       (4UL)                     /*!< IC0 SR: SSEL (Bit 4)                                        */
#define IC0_SR_SSEL_Msk                       (0x10UL)                  /*!< IC0 SR: SSEL (Bitfield-Mask: 0x01)                          */
#define IC0_SR_STOP_Pos                       (5UL)                     /*!< IC0 SR: STOP (Bit 5)                                        */
#define IC0_SR_STOP_Msk                       (0x20UL)                  /*!< IC0 SR: STOP (Bitfield-Mask: 0x01)                          */
#define IC0_SR_TEND_Pos                       (6UL)                     /*!< IC0 SR: TEND (Bit 6)                                        */
#define IC0_SR_TEND_Msk                       (0x40UL)                  /*!< IC0 SR: TEND (Bitfield-Mask: 0x01)                          */
#define IC0_SR_GCALL_Pos                      (7UL)                     /*!< IC0 SR: GCALL (Bit 7)                                       */
#define IC0_SR_GCALL_Msk                      (0x80UL)                  /*!< IC0 SR: GCALL (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  IC0_SAR  ---------------------------------- */
#define IC0_SAR_GCEN_Pos                      (0UL)                     /*!< IC0 SAR: GCEN (Bit 0)                                       */
#define IC0_SAR_GCEN_Msk                      (0x1UL)                   /*!< IC0 SAR: GCEN (Bitfield-Mask: 0x01)                         */
#define IC0_SAR_SVAD_Pos                      (1UL)                     /*!< IC0 SAR: SVAD (Bit 1)                                       */
#define IC0_SAR_SVAD_Msk                      (0xfeUL)                  /*!< IC0 SAR: SVAD (Bitfield-Mask: 0x7f)                         */

/* -----------------------------------  IC0_CR  ----------------------------------- */
#define IC0_CR_START_Pos                      (0UL)                     /*!< IC0 CR: START (Bit 0)                                       */
#define IC0_CR_START_Msk                      (0x1UL)                   /*!< IC0 CR: START (Bitfield-Mask: 0x01)                         */
#define IC0_CR_STOP_Pos                       (1UL)                     /*!< IC0 CR: STOP (Bit 1)                                        */
#define IC0_CR_STOP_Msk                       (0x2UL)                   /*!< IC0 CR: STOP (Bitfield-Mask: 0x01)                          */
#define IC0_CR_ACKEN_Pos                      (3UL)                     /*!< IC0 CR: ACKEN (Bit 3)                                       */
#define IC0_CR_ACKEN_Msk                      (0x8UL)                   /*!< IC0 CR: ACKEN (Bitfield-Mask: 0x01)                         */
#define IC0_CR_INTEN_Pos                      (4UL)                     /*!< IC0 CR: INTEN (Bit 4)                                       */
#define IC0_CR_INTEN_Msk                      (0x10UL)                  /*!< IC0 CR: INTEN (Bitfield-Mask: 0x01)                         */
#define IC0_CR_SOFTRST_Pos                    (5UL)                     /*!< IC0 CR: SOFTRST (Bit 5)                                     */
#define IC0_CR_SOFTRST_Msk                    (0x20UL)                  /*!< IC0 CR: SOFTRST (Bitfield-Mask: 0x01)                       */
#define IC0_CR_I2CEN_Pos                      (6UL)                     /*!< IC0 CR: I2CEN (Bit 6)                                       */
#define IC0_CR_I2CEN_Msk                      (0x40UL)                  /*!< IC0 CR: I2CEN (Bitfield-Mask: 0x01)                         */
#define IC0_CR_IIF_Pos                        (7UL)                     /*!< IC0 CR: IIF (Bit 7)                                         */
#define IC0_CR_IIF_Msk                        (0x80UL)                  /*!< IC0 CR: IIF (Bitfield-Mask: 0x01)                           */
#define IC0_CR_INTDEL_Pos                     (8UL)                     /*!< IC0 CR: INTDEL (Bit 8)                                      */
#define IC0_CR_INTDEL_Msk                     (0x300UL)                 /*!< IC0 CR: INTDEL (Bitfield-Mask: 0x03)                        */

/* ----------------------------------  IC0_SCLL  ---------------------------------- */
#define IC0_SCLL_SCLL_Pos                     (0UL)                     /*!< IC0 SCLL: SCLL (Bit 0)                                      */
#define IC0_SCLL_SCLL_Msk                     (0xffffUL)                /*!< IC0 SCLL: SCLL (Bitfield-Mask: 0xffff)                      */

/* ----------------------------------  IC0_SCLH  ---------------------------------- */
#define IC0_SCLH_SCLH_Pos                     (0UL)                     /*!< IC0 SCLH: SCLH (Bit 0)                                      */
#define IC0_SCLH_SCLH_Msk                     (0xffffUL)                /*!< IC0 SCLH: SCLH (Bitfield-Mask: 0xffff)                      */

/* -----------------------------------  IC0_SDH  ---------------------------------- */
#define IC0_SDH_SDH_Pos                       (0UL)                     /*!< IC0 SDH: SDH (Bit 0)                                        */
#define IC0_SDH_SDH_Msk                       (0x7fffUL)                /*!< IC0 SDH: SDH (Bitfield-Mask: 0x7fff)                        */


/* ================================================================================ */
/* ================          struct 'IC1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  IC1_DR  ----------------------------------- */
#define IC1_DR_DR_Pos                         (0UL)                     /*!< IC1 DR: DR (Bit 0)                                          */
#define IC1_DR_DR_Msk                         (0xffUL)                  /*!< IC1 DR: DR (Bitfield-Mask: 0xff)                            */

/* -----------------------------------  IC1_SR  ----------------------------------- */
#define IC1_SR_RXACK_Pos                      (0UL)                     /*!< IC1 SR: RXACK (Bit 0)                                       */
#define IC1_SR_RXACK_Msk                      (0x1UL)                   /*!< IC1 SR: RXACK (Bitfield-Mask: 0x01)                         */
#define IC1_SR_TMODE_Pos                      (1UL)                     /*!< IC1 SR: TMODE (Bit 1)                                       */
#define IC1_SR_TMODE_Msk                      (0x2UL)                   /*!< IC1 SR: TMODE (Bitfield-Mask: 0x01)                         */
#define IC1_SR_BUSY_Pos                       (2UL)                     /*!< IC1 SR: BUSY (Bit 2)                                        */
#define IC1_SR_BUSY_Msk                       (0x4UL)                   /*!< IC1 SR: BUSY (Bitfield-Mask: 0x01)                          */
#define IC1_SR_MLOST_Pos                      (3UL)                     /*!< IC1 SR: MLOST (Bit 3)                                       */
#define IC1_SR_MLOST_Msk                      (0x8UL)                   /*!< IC1 SR: MLOST (Bitfield-Mask: 0x01)                         */
#define IC1_SR_SSEL_Pos                       (4UL)                     /*!< IC1 SR: SSEL (Bit 4)                                        */
#define IC1_SR_SSEL_Msk                       (0x10UL)                  /*!< IC1 SR: SSEL (Bitfield-Mask: 0x01)                          */
#define IC1_SR_STOP_Pos                       (5UL)                     /*!< IC1 SR: STOP (Bit 5)                                        */
#define IC1_SR_STOP_Msk                       (0x20UL)                  /*!< IC1 SR: STOP (Bitfield-Mask: 0x01)                          */
#define IC1_SR_TEND_Pos                       (6UL)                     /*!< IC1 SR: TEND (Bit 6)                                        */
#define IC1_SR_TEND_Msk                       (0x40UL)                  /*!< IC1 SR: TEND (Bitfield-Mask: 0x01)                          */
#define IC1_SR_GCALL_Pos                      (7UL)                     /*!< IC1 SR: GCALL (Bit 7)                                       */
#define IC1_SR_GCALL_Msk                      (0x80UL)                  /*!< IC1 SR: GCALL (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  IC1_SAR  ---------------------------------- */
#define IC1_SAR_GCEN_Pos                      (0UL)                     /*!< IC1 SAR: GCEN (Bit 0)                                       */
#define IC1_SAR_GCEN_Msk                      (0x1UL)                   /*!< IC1 SAR: GCEN (Bitfield-Mask: 0x01)                         */
#define IC1_SAR_SVAD_Pos                      (1UL)                     /*!< IC1 SAR: SVAD (Bit 1)                                       */
#define IC1_SAR_SVAD_Msk                      (0xfeUL)                  /*!< IC1 SAR: SVAD (Bitfield-Mask: 0x7f)                         */

/* -----------------------------------  IC1_CR  ----------------------------------- */
#define IC1_CR_START_Pos                      (0UL)                     /*!< IC1 CR: START (Bit 0)                                       */
#define IC1_CR_START_Msk                      (0x1UL)                   /*!< IC1 CR: START (Bitfield-Mask: 0x01)                         */
#define IC1_CR_STOP_Pos                       (1UL)                     /*!< IC1 CR: STOP (Bit 1)                                        */
#define IC1_CR_STOP_Msk                       (0x2UL)                   /*!< IC1 CR: STOP (Bitfield-Mask: 0x01)                          */
#define IC1_CR_ACKEN_Pos                      (3UL)                     /*!< IC1 CR: ACKEN (Bit 3)                                       */
#define IC1_CR_ACKEN_Msk                      (0x8UL)                   /*!< IC1 CR: ACKEN (Bitfield-Mask: 0x01)                         */
#define IC1_CR_INTEN_Pos                      (4UL)                     /*!< IC1 CR: INTEN (Bit 4)                                       */
#define IC1_CR_INTEN_Msk                      (0x10UL)                  /*!< IC1 CR: INTEN (Bitfield-Mask: 0x01)                         */
#define IC1_CR_SOFTRST_Pos                    (5UL)                     /*!< IC1 CR: SOFTRST (Bit 5)                                     */
#define IC1_CR_SOFTRST_Msk                    (0x20UL)                  /*!< IC1 CR: SOFTRST (Bitfield-Mask: 0x01)                       */
#define IC1_CR_I2CEN_Pos                      (6UL)                     /*!< IC1 CR: I2CEN (Bit 6)                                       */
#define IC1_CR_I2CEN_Msk                      (0x40UL)                  /*!< IC1 CR: I2CEN (Bitfield-Mask: 0x01)                         */
#define IC1_CR_IIF_Pos                        (7UL)                     /*!< IC1 CR: IIF (Bit 7)                                         */
#define IC1_CR_IIF_Msk                        (0x80UL)                  /*!< IC1 CR: IIF (Bitfield-Mask: 0x01)                           */
#define IC1_CR_INTDEL_Pos                     (8UL)                     /*!< IC1 CR: INTDEL (Bit 8)                                      */
#define IC1_CR_INTDEL_Msk                     (0x300UL)                 /*!< IC1 CR: INTDEL (Bitfield-Mask: 0x03)                        */

/* ----------------------------------  IC1_SCLL  ---------------------------------- */
#define IC1_SCLL_SCLL_Pos                     (0UL)                     /*!< IC1 SCLL: SCLL (Bit 0)                                      */
#define IC1_SCLL_SCLL_Msk                     (0xffffUL)                /*!< IC1 SCLL: SCLL (Bitfield-Mask: 0xffff)                      */

/* ----------------------------------  IC1_SCLH  ---------------------------------- */
#define IC1_SCLH_SCLH_Pos                     (0UL)                     /*!< IC1 SCLH: SCLH (Bit 0)                                      */
#define IC1_SCLH_SCLH_Msk                     (0xffffUL)                /*!< IC1 SCLH: SCLH (Bitfield-Mask: 0xffff)                      */

/* -----------------------------------  IC1_SDH  ---------------------------------- */
#define IC1_SDH_SDH_Pos                       (0UL)                     /*!< IC1 SDH: SDH (Bit 0)                                        */
#define IC1_SDH_SDH_Msk                       (0x7fffUL)                /*!< IC1 SDH: SDH (Bitfield-Mask: 0x7fff)                        */


/* ================================================================================ */
/* ================          struct 'AD0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  AD0_MR  ----------------------------------- */
#define AD0_MR_TRGSEL_Pos                     (0UL)                     /*!< AD0 MR: TRGSEL (Bit 0)                                      */
#define AD0_MR_TRGSEL_Msk                     (0x3UL)                   /*!< AD0 MR: TRGSEL (Bitfield-Mask: 0x03)                        */
#define AD0_MR_ADCMOD_Pos                     (4UL)                     /*!< AD0 MR: ADCMOD (Bit 4)                                      */
#define AD0_MR_ADCMOD_Msk                     (0x30UL)                  /*!< AD0 MR: ADCMOD (Bitfield-Mask: 0x03)                        */
#define AD0_MR_ARST_Pos                       (6UL)                     /*!< AD0 MR: ARST (Bit 6)                                        */
#define AD0_MR_ARST_Msk                       (0x40UL)                  /*!< AD0 MR: ARST (Bitfield-Mask: 0x01)                          */
#define AD0_MR_ADEN_Pos                       (7UL)                     /*!< AD0 MR: ADEN (Bit 7)                                        */
#define AD0_MR_ADEN_Msk                       (0x80UL)                  /*!< AD0 MR: ADEN (Bitfield-Mask: 0x01)                          */
#define AD0_MR_SEQCNT_Pos                     (8UL)                     /*!< AD0 MR: SEQCNT (Bit 8)                                      */
#define AD0_MR_SEQCNT_Msk                     (0x700UL)                 /*!< AD0 MR: SEQCNT (Bitfield-Mask: 0x07)                        */
#define AD0_MR_STSEL_Pos                      (12UL)                    /*!< AD0 MR: STSEL (Bit 12)                                      */
#define AD0_MR_STSEL_Msk                      (0x1f000UL)               /*!< AD0 MR: STSEL (Bitfield-Mask: 0x1f)                         */
#define AD0_MR_DMAEN_Pos                      (17UL)                    /*!< AD0 MR: DMAEN (Bit 17)                                      */
#define AD0_MR_DMAEN_Msk                      (0x20000UL)               /*!< AD0 MR: DMAEN (Bitfield-Mask: 0x01)                         */
#define AD0_MR_DMACH_Pos                      (18UL)                    /*!< AD0 MR: DMACH (Bit 18)                                      */
#define AD0_MR_DMACH_Msk                      (0x40000UL)               /*!< AD0 MR: DMACH (Bitfield-Mask: 0x01)                         */

/* ----------------------------------  AD0_CSCR  ---------------------------------- */
#define AD0_CSCR_CACH_Pos                     (0UL)                     /*!< AD0 CSCR: CACH (Bit 0)                                      */
#define AD0_CSCR_CACH_Msk                     (0xfUL)                   /*!< AD0 CSCR: CACH (Bitfield-Mask: 0x0f)                        */
#define AD0_CSCR_CSEQN_Pos                    (4UL)                     /*!< AD0 CSCR: CSEQN (Bit 4)                                     */
#define AD0_CSCR_CSEQN_Msk                    (0x70UL)                  /*!< AD0 CSCR: CSEQN (Bitfield-Mask: 0x07)                       */

/* -----------------------------------  AD0_CR1  ---------------------------------- */
#define AD0_CR1_CLKINVT_Pos                   (5UL)                     /*!< AD0 CR1: CLKINVT (Bit 5)                                    */
#define AD0_CR1_CLKINVT_Msk                   (0x20UL)                  /*!< AD0 CR1: CLKINVT (Bitfield-Mask: 0x01)                      */
#define AD0_CR1_EXTCLK_Pos                    (6UL)                     /*!< AD0 CR1: EXTCLK (Bit 6)                                     */
#define AD0_CR1_EXTCLK_Msk                    (0x40UL)                  /*!< AD0 CR1: EXTCLK (Bitfield-Mask: 0x01)                       */
#define AD0_CR1_ADCPD_Pos                     (7UL)                     /*!< AD0 CR1: ADCPD (Bit 7)                                      */
#define AD0_CR1_ADCPD_Msk                     (0x80UL)                  /*!< AD0 CR1: ADCPD (Bitfield-Mask: 0x01)                        */
#define AD0_CR1_CLKDIV_Pos                    (8UL)                     /*!< AD0 CR1: CLKDIV (Bit 8)                                     */
#define AD0_CR1_CLKDIV_Msk                    (0x7f00UL)                /*!< AD0 CR1: CLKDIV (Bitfield-Mask: 0x7f)                       */
#define AD0_CR1_ADCPDA_Pos                    (15UL)                    /*!< AD0 CR1: ADCPDA (Bit 15)                                    */
#define AD0_CR1_ADCPDA_Msk                    (0x8000UL)                /*!< AD0 CR1: ADCPDA (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  AD0_TRG  ---------------------------------- */
#define AD0_TRG_SEQTRG0_Pos                   (0UL)                     /*!< AD0 TRG: SEQTRG0 (Bit 0)                                    */
#define AD0_TRG_SEQTRG0_Msk                   (0x7UL)                   /*!< AD0 TRG: SEQTRG0 (Bitfield-Mask: 0x07)                      */
#define AD0_TRG_SEQTRG1_Pos                   (4UL)                     /*!< AD0 TRG: SEQTRG1 (Bit 4)                                    */
#define AD0_TRG_SEQTRG1_Msk                   (0x70UL)                  /*!< AD0 TRG: SEQTRG1 (Bitfield-Mask: 0x07)                      */
#define AD0_TRG_SEQTRG2_Pos                   (8UL)                     /*!< AD0 TRG: SEQTRG2 (Bit 8)                                    */
#define AD0_TRG_SEQTRG2_Msk                   (0x700UL)                 /*!< AD0 TRG: SEQTRG2 (Bitfield-Mask: 0x07)                      */
#define AD0_TRG_SEQTRG3_Pos                   (12UL)                    /*!< AD0 TRG: SEQTRG3 (Bit 12)                                   */
#define AD0_TRG_SEQTRG3_Msk                   (0x7000UL)                /*!< AD0 TRG: SEQTRG3 (Bitfield-Mask: 0x07)                      */
#define AD0_TRG_SEQTRG4_Pos                   (16UL)                    /*!< AD0 TRG: SEQTRG4 (Bit 16)                                   */
#define AD0_TRG_SEQTRG4_Msk                   (0x70000UL)               /*!< AD0 TRG: SEQTRG4 (Bitfield-Mask: 0x07)                      */
#define AD0_TRG_SEQTRG5_Pos                   (20UL)                    /*!< AD0 TRG: SEQTRG5 (Bit 20)                                   */
#define AD0_TRG_SEQTRG5_Msk                   (0x700000UL)              /*!< AD0 TRG: SEQTRG5 (Bitfield-Mask: 0x07)                      */
#define AD0_TRG_SEQTRG6_Pos                   (24UL)                    /*!< AD0 TRG: SEQTRG6 (Bit 24)                                   */
#define AD0_TRG_SEQTRG6_Msk                   (0x7000000UL)             /*!< AD0 TRG: SEQTRG6 (Bitfield-Mask: 0x07)                      */
#define AD0_TRG_SEQTRG7_Pos                   (28UL)                    /*!< AD0 TRG: SEQTRG7 (Bit 28)                                   */
#define AD0_TRG_SEQTRG7_Msk                   (0x70000000UL)            /*!< AD0 TRG: SEQTRG7 (Bitfield-Mask: 0x07)                      */

/* ----------------------------------  AD0_SCSR  ---------------------------------- */
#define AD0_SCSR_SEQ0CH_Pos                   (0UL)                     /*!< AD0 SCSR: SEQ0CH (Bit 0)                                    */
#define AD0_SCSR_SEQ0CH_Msk                   (0xfUL)                   /*!< AD0 SCSR: SEQ0CH (Bitfield-Mask: 0x0f)                      */
#define AD0_SCSR_SEQ1CH_Pos                   (4UL)                     /*!< AD0 SCSR: SEQ1CH (Bit 4)                                    */
#define AD0_SCSR_SEQ1CH_Msk                   (0xf0UL)                  /*!< AD0 SCSR: SEQ1CH (Bitfield-Mask: 0x0f)                      */
#define AD0_SCSR_SEQ2CH_Pos                   (8UL)                     /*!< AD0 SCSR: SEQ2CH (Bit 8)                                    */
#define AD0_SCSR_SEQ2CH_Msk                   (0xf00UL)                 /*!< AD0 SCSR: SEQ2CH (Bitfield-Mask: 0x0f)                      */
#define AD0_SCSR_SEQ3CH_Pos                   (12UL)                    /*!< AD0 SCSR: SEQ3CH (Bit 12)                                   */
#define AD0_SCSR_SEQ3CH_Msk                   (0xf000UL)                /*!< AD0 SCSR: SEQ3CH (Bitfield-Mask: 0x0f)                      */
#define AD0_SCSR_SEQ4CH_Pos                   (16UL)                    /*!< AD0 SCSR: SEQ4CH (Bit 16)                                   */
#define AD0_SCSR_SEQ4CH_Msk                   (0xf0000UL)               /*!< AD0 SCSR: SEQ4CH (Bitfield-Mask: 0x0f)                      */
#define AD0_SCSR_SEQ5CH_Pos                   (20UL)                    /*!< AD0 SCSR: SEQ5CH (Bit 20)                                   */
#define AD0_SCSR_SEQ5CH_Msk                   (0xf00000UL)              /*!< AD0 SCSR: SEQ5CH (Bitfield-Mask: 0x0f)                      */
#define AD0_SCSR_SEQ6CH_Pos                   (24UL)                    /*!< AD0 SCSR: SEQ6CH (Bit 24)                                   */
#define AD0_SCSR_SEQ6CH_Msk                   (0xf000000UL)             /*!< AD0 SCSR: SEQ6CH (Bitfield-Mask: 0x0f)                      */
#define AD0_SCSR_SEQ7CH_Pos                   (28UL)                    /*!< AD0 SCSR: SEQ7CH (Bit 28)                                   */
#define AD0_SCSR_SEQ7CH_Msk                   (0xf0000000UL)            /*!< AD0 SCSR: SEQ7CH (Bitfield-Mask: 0x0f)                      */

/* -----------------------------------  AD0_CR  ----------------------------------- */
#define AD0_CR_START_Pos                      (0UL)                     /*!< AD0 CR: START (Bit 0)                                       */
#define AD0_CR_START_Msk                      (0x1UL)                   /*!< AD0 CR: START (Bitfield-Mask: 0x01)                         */
#define AD0_CR_ASTOP_Pos                      (7UL)                     /*!< AD0 CR: ASTOP (Bit 7)                                       */
#define AD0_CR_ASTOP_Msk                      (0x80UL)                  /*!< AD0 CR: ASTOP (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  AD0_SR  ----------------------------------- */
#define AD0_SR_EOCIRQ_Pos                     (0UL)                     /*!< AD0 SR: EOCIRQ (Bit 0)                                      */
#define AD0_SR_EOCIRQ_Msk                     (0x1UL)                   /*!< AD0 SR: EOCIRQ (Bitfield-Mask: 0x01)                        */
#define AD0_SR_EOSIRQ_Pos                     (2UL)                     /*!< AD0 SR: EOSIRQ (Bit 2)                                      */
#define AD0_SR_EOSIRQ_Msk                     (0x4UL)                   /*!< AD0 SR: EOSIRQ (Bitfield-Mask: 0x01)                        */
#define AD0_SR_TRGIRQ_Pos                     (3UL)                     /*!< AD0 SR: TRGIRQ (Bit 3)                                      */
#define AD0_SR_TRGIRQ_Msk                     (0x8UL)                   /*!< AD0 SR: TRGIRQ (Bitfield-Mask: 0x01)                        */
#define AD0_SR_DMAIRQ_Pos                     (4UL)                     /*!< AD0 SR: DMAIRQ (Bit 4)                                      */
#define AD0_SR_DMAIRQ_Msk                     (0x10UL)                  /*!< AD0 SR: DMAIRQ (Bitfield-Mask: 0x01)                        */
#define AD0_SR_DOVRUN_Pos                     (5UL)                     /*!< AD0 SR: DOVRUN (Bit 5)                                      */
#define AD0_SR_DOVRUN_Msk                     (0x20UL)                  /*!< AD0 SR: DOVRUN (Bitfield-Mask: 0x01)                        */
#define AD0_SR_ABUSY_Pos                      (6UL)                     /*!< AD0 SR: ABUSY (Bit 6)                                       */
#define AD0_SR_ABUSY_Msk                      (0x40UL)                  /*!< AD0 SR: ABUSY (Bitfield-Mask: 0x01)                         */
#define AD0_SR_EOC_Pos                        (7UL)                     /*!< AD0 SR: EOC (Bit 7)                                         */
#define AD0_SR_EOC_Msk                        (0x80UL)                  /*!< AD0 SR: EOC (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  AD0_IER  ---------------------------------- */
#define AD0_IER_EOCIRQE_Pos                   (0UL)                     /*!< AD0 IER: EOCIRQE (Bit 0)                                    */
#define AD0_IER_EOCIRQE_Msk                   (0x1UL)                   /*!< AD0 IER: EOCIRQE (Bitfield-Mask: 0x01)                      */
#define AD0_IER_EOSIRQE_Pos                   (2UL)                     /*!< AD0 IER: EOSIRQE (Bit 2)                                    */
#define AD0_IER_EOSIRQE_Msk                   (0x4UL)                   /*!< AD0 IER: EOSIRQE (Bitfield-Mask: 0x01)                      */
#define AD0_IER_TRGIRQE_Pos                   (3UL)                     /*!< AD0 IER: TRGIRQE (Bit 3)                                    */
#define AD0_IER_TRGIRQE_Msk                   (0x8UL)                   /*!< AD0 IER: TRGIRQE (Bitfield-Mask: 0x01)                      */
#define AD0_IER_DMAIRQE_Pos                   (4UL)                     /*!< AD0 IER: DMAIRQE (Bit 4)                                    */
#define AD0_IER_DMAIRQE_Msk                   (0x10UL)                  /*!< AD0 IER: DMAIRQE (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  AD0_DDR  ---------------------------------- */
#define AD0_DDR_ADMACH_Pos                    (0UL)                     /*!< AD0 DDR: ADMACH (Bit 0)                                     */
#define AD0_DDR_ADMACH_Msk                    (0xfUL)                   /*!< AD0 DDR: ADMACH (Bitfield-Mask: 0x0f)                       */
#define AD0_DDR_ADDMAR_Pos                    (4UL)                     /*!< AD0 DDR: ADDMAR (Bit 4)                                     */
#define AD0_DDR_ADDMAR_Msk                    (0xfff0UL)                /*!< AD0 DDR: ADDMAR (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD0_DR0  ---------------------------------- */
#define AD0_DR0_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR0: ADCDATA (Bit 4)                                    */
#define AD0_DR0_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR0: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD0_DR1  ---------------------------------- */
#define AD0_DR1_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR1: ADCDATA (Bit 4)                                    */
#define AD0_DR1_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR1: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD0_DR2  ---------------------------------- */
#define AD0_DR2_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR2: ADCDATA (Bit 4)                                    */
#define AD0_DR2_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR2: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD0_DR3  ---------------------------------- */
#define AD0_DR3_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR3: ADCDATA (Bit 4)                                    */
#define AD0_DR3_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR3: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD0_DR4  ---------------------------------- */
#define AD0_DR4_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR4: ADCDATA (Bit 4)                                    */
#define AD0_DR4_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR4: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD0_DR5  ---------------------------------- */
#define AD0_DR5_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR5: ADCDATA (Bit 4)                                    */
#define AD0_DR5_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR5: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD0_DR6  ---------------------------------- */
#define AD0_DR6_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR6: ADCDATA (Bit 4)                                    */
#define AD0_DR6_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR6: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD0_DR7  ---------------------------------- */
#define AD0_DR7_ADCDATA_Pos                   (4UL)                     /*!< AD0 DR7: ADCDATA (Bit 4)                                    */
#define AD0_DR7_ADCDATA_Msk                   (0xfff0UL)                /*!< AD0 DR7: ADCDATA (Bitfield-Mask: 0xfff)                     */


/* ================================================================================ */
/* ================          struct 'AD1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  AD1_MR  ----------------------------------- */
#define AD1_MR_TRGSEL_Pos                     (0UL)                     /*!< AD1 MR: TRGSEL (Bit 0)                                      */
#define AD1_MR_TRGSEL_Msk                     (0x3UL)                   /*!< AD1 MR: TRGSEL (Bitfield-Mask: 0x03)                        */
#define AD1_MR_ADCMOD_Pos                     (4UL)                     /*!< AD1 MR: ADCMOD (Bit 4)                                      */
#define AD1_MR_ADCMOD_Msk                     (0x30UL)                  /*!< AD1 MR: ADCMOD (Bitfield-Mask: 0x03)                        */
#define AD1_MR_ARST_Pos                       (6UL)                     /*!< AD1 MR: ARST (Bit 6)                                        */
#define AD1_MR_ARST_Msk                       (0x40UL)                  /*!< AD1 MR: ARST (Bitfield-Mask: 0x01)                          */
#define AD1_MR_ADEN_Pos                       (7UL)                     /*!< AD1 MR: ADEN (Bit 7)                                        */
#define AD1_MR_ADEN_Msk                       (0x80UL)                  /*!< AD1 MR: ADEN (Bitfield-Mask: 0x01)                          */
#define AD1_MR_SEQCNT_Pos                     (8UL)                     /*!< AD1 MR: SEQCNT (Bit 8)                                      */
#define AD1_MR_SEQCNT_Msk                     (0x700UL)                 /*!< AD1 MR: SEQCNT (Bitfield-Mask: 0x07)                        */
#define AD1_MR_STSEL_Pos                      (12UL)                    /*!< AD1 MR: STSEL (Bit 12)                                      */
#define AD1_MR_STSEL_Msk                      (0x1f000UL)               /*!< AD1 MR: STSEL (Bitfield-Mask: 0x1f)                         */
#define AD1_MR_DMAEN_Pos                      (17UL)                    /*!< AD1 MR: DMAEN (Bit 17)                                      */
#define AD1_MR_DMAEN_Msk                      (0x20000UL)               /*!< AD1 MR: DMAEN (Bitfield-Mask: 0x01)                         */
#define AD1_MR_DMACH_Pos                      (18UL)                    /*!< AD1 MR: DMACH (Bit 18)                                      */
#define AD1_MR_DMACH_Msk                      (0x40000UL)               /*!< AD1 MR: DMACH (Bitfield-Mask: 0x01)                         */

/* ----------------------------------  AD1_CSCR  ---------------------------------- */
#define AD1_CSCR_CACH_Pos                     (0UL)                     /*!< AD1 CSCR: CACH (Bit 0)                                      */
#define AD1_CSCR_CACH_Msk                     (0xfUL)                   /*!< AD1 CSCR: CACH (Bitfield-Mask: 0x0f)                        */
#define AD1_CSCR_CSEQN_Pos                    (4UL)                     /*!< AD1 CSCR: CSEQN (Bit 4)                                     */
#define AD1_CSCR_CSEQN_Msk                    (0x70UL)                  /*!< AD1 CSCR: CSEQN (Bitfield-Mask: 0x07)                       */

/* -----------------------------------  AD1_CR1  ---------------------------------- */
#define AD1_CR1_CLKINVT_Pos                   (5UL)                     /*!< AD1 CR1: CLKINVT (Bit 5)                                    */
#define AD1_CR1_CLKINVT_Msk                   (0x20UL)                  /*!< AD1 CR1: CLKINVT (Bitfield-Mask: 0x01)                      */
#define AD1_CR1_EXTCLK_Pos                    (6UL)                     /*!< AD1 CR1: EXTCLK (Bit 6)                                     */
#define AD1_CR1_EXTCLK_Msk                    (0x40UL)                  /*!< AD1 CR1: EXTCLK (Bitfield-Mask: 0x01)                       */
#define AD1_CR1_ADCPD_Pos                     (7UL)                     /*!< AD1 CR1: ADCPD (Bit 7)                                      */
#define AD1_CR1_ADCPD_Msk                     (0x80UL)                  /*!< AD1 CR1: ADCPD (Bitfield-Mask: 0x01)                        */
#define AD1_CR1_CLKDIV_Pos                    (8UL)                     /*!< AD1 CR1: CLKDIV (Bit 8)                                     */
#define AD1_CR1_CLKDIV_Msk                    (0x7f00UL)                /*!< AD1 CR1: CLKDIV (Bitfield-Mask: 0x7f)                       */
#define AD1_CR1_ADCPDA_Pos                    (15UL)                    /*!< AD1 CR1: ADCPDA (Bit 15)                                    */
#define AD1_CR1_ADCPDA_Msk                    (0x8000UL)                /*!< AD1 CR1: ADCPDA (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  AD1_TRG  ---------------------------------- */
#define AD1_TRG_SEQTRG0_Pos                   (0UL)                     /*!< AD1 TRG: SEQTRG0 (Bit 0)                                    */
#define AD1_TRG_SEQTRG0_Msk                   (0x7UL)                   /*!< AD1 TRG: SEQTRG0 (Bitfield-Mask: 0x07)                      */
#define AD1_TRG_SEQTRG1_Pos                   (4UL)                     /*!< AD1 TRG: SEQTRG1 (Bit 4)                                    */
#define AD1_TRG_SEQTRG1_Msk                   (0x70UL)                  /*!< AD1 TRG: SEQTRG1 (Bitfield-Mask: 0x07)                      */
#define AD1_TRG_SEQTRG2_Pos                   (8UL)                     /*!< AD1 TRG: SEQTRG2 (Bit 8)                                    */
#define AD1_TRG_SEQTRG2_Msk                   (0x700UL)                 /*!< AD1 TRG: SEQTRG2 (Bitfield-Mask: 0x07)                      */
#define AD1_TRG_SEQTRG3_Pos                   (12UL)                    /*!< AD1 TRG: SEQTRG3 (Bit 12)                                   */
#define AD1_TRG_SEQTRG3_Msk                   (0x7000UL)                /*!< AD1 TRG: SEQTRG3 (Bitfield-Mask: 0x07)                      */
#define AD1_TRG_SEQTRG4_Pos                   (16UL)                    /*!< AD1 TRG: SEQTRG4 (Bit 16)                                   */
#define AD1_TRG_SEQTRG4_Msk                   (0x70000UL)               /*!< AD1 TRG: SEQTRG4 (Bitfield-Mask: 0x07)                      */
#define AD1_TRG_SEQTRG5_Pos                   (20UL)                    /*!< AD1 TRG: SEQTRG5 (Bit 20)                                   */
#define AD1_TRG_SEQTRG5_Msk                   (0x700000UL)              /*!< AD1 TRG: SEQTRG5 (Bitfield-Mask: 0x07)                      */
#define AD1_TRG_SEQTRG6_Pos                   (24UL)                    /*!< AD1 TRG: SEQTRG6 (Bit 24)                                   */
#define AD1_TRG_SEQTRG6_Msk                   (0x7000000UL)             /*!< AD1 TRG: SEQTRG6 (Bitfield-Mask: 0x07)                      */
#define AD1_TRG_SEQTRG7_Pos                   (28UL)                    /*!< AD1 TRG: SEQTRG7 (Bit 28)                                   */
#define AD1_TRG_SEQTRG7_Msk                   (0x70000000UL)            /*!< AD1 TRG: SEQTRG7 (Bitfield-Mask: 0x07)                      */

/* ----------------------------------  AD1_SCSR  ---------------------------------- */
#define AD1_SCSR_SEQ0CH_Pos                   (0UL)                     /*!< AD1 SCSR: SEQ0CH (Bit 0)                                    */
#define AD1_SCSR_SEQ0CH_Msk                   (0xfUL)                   /*!< AD1 SCSR: SEQ0CH (Bitfield-Mask: 0x0f)                      */
#define AD1_SCSR_SEQ1CH_Pos                   (4UL)                     /*!< AD1 SCSR: SEQ1CH (Bit 4)                                    */
#define AD1_SCSR_SEQ1CH_Msk                   (0xf0UL)                  /*!< AD1 SCSR: SEQ1CH (Bitfield-Mask: 0x0f)                      */
#define AD1_SCSR_SEQ2CH_Pos                   (8UL)                     /*!< AD1 SCSR: SEQ2CH (Bit 8)                                    */
#define AD1_SCSR_SEQ2CH_Msk                   (0xf00UL)                 /*!< AD1 SCSR: SEQ2CH (Bitfield-Mask: 0x0f)                      */
#define AD1_SCSR_SEQ3CH_Pos                   (12UL)                    /*!< AD1 SCSR: SEQ3CH (Bit 12)                                   */
#define AD1_SCSR_SEQ3CH_Msk                   (0xf000UL)                /*!< AD1 SCSR: SEQ3CH (Bitfield-Mask: 0x0f)                      */
#define AD1_SCSR_SEQ4CH_Pos                   (16UL)                    /*!< AD1 SCSR: SEQ4CH (Bit 16)                                   */
#define AD1_SCSR_SEQ4CH_Msk                   (0xf0000UL)               /*!< AD1 SCSR: SEQ4CH (Bitfield-Mask: 0x0f)                      */
#define AD1_SCSR_SEQ5CH_Pos                   (20UL)                    /*!< AD1 SCSR: SEQ5CH (Bit 20)                                   */
#define AD1_SCSR_SEQ5CH_Msk                   (0xf00000UL)              /*!< AD1 SCSR: SEQ5CH (Bitfield-Mask: 0x0f)                      */
#define AD1_SCSR_SEQ6CH_Pos                   (24UL)                    /*!< AD1 SCSR: SEQ6CH (Bit 24)                                   */
#define AD1_SCSR_SEQ6CH_Msk                   (0xf000000UL)             /*!< AD1 SCSR: SEQ6CH (Bitfield-Mask: 0x0f)                      */
#define AD1_SCSR_SEQ7CH_Pos                   (28UL)                    /*!< AD1 SCSR: SEQ7CH (Bit 28)                                   */
#define AD1_SCSR_SEQ7CH_Msk                   (0xf0000000UL)            /*!< AD1 SCSR: SEQ7CH (Bitfield-Mask: 0x0f)                      */

/* -----------------------------------  AD1_CR  ----------------------------------- */
#define AD1_CR_START_Pos                      (0UL)                     /*!< AD1 CR: START (Bit 0)                                       */
#define AD1_CR_START_Msk                      (0x1UL)                   /*!< AD1 CR: START (Bitfield-Mask: 0x01)                         */
#define AD1_CR_ASTOP_Pos                      (7UL)                     /*!< AD1 CR: ASTOP (Bit 7)                                       */
#define AD1_CR_ASTOP_Msk                      (0x80UL)                  /*!< AD1 CR: ASTOP (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  AD1_SR  ----------------------------------- */
#define AD1_SR_EOCIRQ_Pos                     (0UL)                     /*!< AD1 SR: EOCIRQ (Bit 0)                                      */
#define AD1_SR_EOCIRQ_Msk                     (0x1UL)                   /*!< AD1 SR: EOCIRQ (Bitfield-Mask: 0x01)                        */
#define AD1_SR_EOSIRQ_Pos                     (2UL)                     /*!< AD1 SR: EOSIRQ (Bit 2)                                      */
#define AD1_SR_EOSIRQ_Msk                     (0x4UL)                   /*!< AD1 SR: EOSIRQ (Bitfield-Mask: 0x01)                        */
#define AD1_SR_TRGIRQ_Pos                     (3UL)                     /*!< AD1 SR: TRGIRQ (Bit 3)                                      */
#define AD1_SR_TRGIRQ_Msk                     (0x8UL)                   /*!< AD1 SR: TRGIRQ (Bitfield-Mask: 0x01)                        */
#define AD1_SR_DMAIRQ_Pos                     (4UL)                     /*!< AD1 SR: DMAIRQ (Bit 4)                                      */
#define AD1_SR_DMAIRQ_Msk                     (0x10UL)                  /*!< AD1 SR: DMAIRQ (Bitfield-Mask: 0x01)                        */
#define AD1_SR_DOVRUN_Pos                     (5UL)                     /*!< AD1 SR: DOVRUN (Bit 5)                                      */
#define AD1_SR_DOVRUN_Msk                     (0x20UL)                  /*!< AD1 SR: DOVRUN (Bitfield-Mask: 0x01)                        */
#define AD1_SR_ABUSY_Pos                      (6UL)                     /*!< AD1 SR: ABUSY (Bit 6)                                       */
#define AD1_SR_ABUSY_Msk                      (0x40UL)                  /*!< AD1 SR: ABUSY (Bitfield-Mask: 0x01)                         */
#define AD1_SR_EOC_Pos                        (7UL)                     /*!< AD1 SR: EOC (Bit 7)                                         */
#define AD1_SR_EOC_Msk                        (0x80UL)                  /*!< AD1 SR: EOC (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  AD1_IER  ---------------------------------- */
#define AD1_IER_EOCIRQE_Pos                   (0UL)                     /*!< AD1 IER: EOCIRQE (Bit 0)                                    */
#define AD1_IER_EOCIRQE_Msk                   (0x1UL)                   /*!< AD1 IER: EOCIRQE (Bitfield-Mask: 0x01)                      */
#define AD1_IER_EOSIRQE_Pos                   (2UL)                     /*!< AD1 IER: EOSIRQE (Bit 2)                                    */
#define AD1_IER_EOSIRQE_Msk                   (0x4UL)                   /*!< AD1 IER: EOSIRQE (Bitfield-Mask: 0x01)                      */
#define AD1_IER_TRGIRQE_Pos                   (3UL)                     /*!< AD1 IER: TRGIRQE (Bit 3)                                    */
#define AD1_IER_TRGIRQE_Msk                   (0x8UL)                   /*!< AD1 IER: TRGIRQE (Bitfield-Mask: 0x01)                      */
#define AD1_IER_DMAIRQE_Pos                   (4UL)                     /*!< AD1 IER: DMAIRQE (Bit 4)                                    */
#define AD1_IER_DMAIRQE_Msk                   (0x10UL)                  /*!< AD1 IER: DMAIRQE (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  AD1_DDR  ---------------------------------- */
#define AD1_DDR_ADMACH_Pos                    (0UL)                     /*!< AD1 DDR: ADMACH (Bit 0)                                     */
#define AD1_DDR_ADMACH_Msk                    (0xfUL)                   /*!< AD1 DDR: ADMACH (Bitfield-Mask: 0x0f)                       */
#define AD1_DDR_ADDMAR_Pos                    (4UL)                     /*!< AD1 DDR: ADDMAR (Bit 4)                                     */
#define AD1_DDR_ADDMAR_Msk                    (0xfff0UL)                /*!< AD1 DDR: ADDMAR (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD1_DR0  ---------------------------------- */
#define AD1_DR0_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR0: ADCDATA (Bit 4)                                    */
#define AD1_DR0_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR0: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD1_DR1  ---------------------------------- */
#define AD1_DR1_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR1: ADCDATA (Bit 4)                                    */
#define AD1_DR1_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR1: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD1_DR2  ---------------------------------- */
#define AD1_DR2_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR2: ADCDATA (Bit 4)                                    */
#define AD1_DR2_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR2: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD1_DR3  ---------------------------------- */
#define AD1_DR3_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR3: ADCDATA (Bit 4)                                    */
#define AD1_DR3_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR3: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD1_DR4  ---------------------------------- */
#define AD1_DR4_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR4: ADCDATA (Bit 4)                                    */
#define AD1_DR4_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR4: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD1_DR5  ---------------------------------- */
#define AD1_DR5_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR5: ADCDATA (Bit 4)                                    */
#define AD1_DR5_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR5: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD1_DR6  ---------------------------------- */
#define AD1_DR6_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR6: ADCDATA (Bit 4)                                    */
#define AD1_DR6_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR6: ADCDATA (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  AD1_DR7  ---------------------------------- */
#define AD1_DR7_ADCDATA_Pos                   (4UL)                     /*!< AD1 DR7: ADCDATA (Bit 4)                                    */
#define AD1_DR7_ADCDATA_Msk                   (0xfff0UL)                /*!< AD1 DR7: ADCDATA (Bitfield-Mask: 0xfff)                     */



/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define SCU_BASE                        0x40000000UL
#define FM_BASE                         0x40000100UL
#define WDT_BASE                        0x40000200UL
#define DC0_BASE                        0x40000400UL
#define DC1_BASE                        0x40000410UL
#define DC2_BASE                        0x40000420UL
#define DC3_BASE                        0x40000430UL
#define DC4_BASE                        0x40000440UL
#define DC5_BASE                        0x40000450UL
#define DC6_BASE                        0x40000460UL
#define DC7_BASE                        0x40000470UL
#define PCA_BASE                        0x40001000UL
#define PCB_BASE                        0x40001100UL
#define PCC_BASE                        0x40001200UL
#define PCD_BASE                        0x40001300UL
#define PCE_BASE                        0x40001400UL
#define PCF_BASE                        0x40001500UL
#define PORTEN_BASE                     0x40001FF0UL
#define PA_BASE                         0x40002000UL
#define PB_BASE                         0x40002100UL
#define PC_BASE                         0x40002200UL
#define PD_BASE                         0x40002300UL
#define PE_BASE                         0x40002400UL
#define PF_BASE                         0x40002500UL
#define T0_BASE                         0x40003000UL
#define T1_BASE                         0x40003020UL
#define T2_BASE                         0x40003040UL
#define T3_BASE                         0x40003060UL
#define T4_BASE                         0x40003080UL
#define T5_BASE                         0x400030A0UL
#define T6_BASE                         0x400030C0UL
#define T7_BASE                         0x400030E0UL
#define T8_BASE                         0x40003100UL
#define T9_BASE                         0x40003120UL
#define FRT_BASE                        0x40000600UL
#define MP0_BASE                        0x40004000UL
#define MP1_BASE                        0x40005000UL
#define U0_BASE                         0x40008000UL
#define U1_BASE                         0x40008100UL
#define U2_BASE                         0x40008200UL
#define U3_BASE                         0x40008300UL
#define SP0_BASE                        0x40009000UL
#define SP1_BASE                        0x40009100UL
#define IC0_BASE                        0x4000A000UL
#define IC1_BASE                        0x4000A100UL
#define AD0_BASE                        0x4000B000UL
#define AD1_BASE                        0x4000B100UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define SCU                             ((SCU_Type                *) SCU_BASE)
#define FM                              ((FM_Type                 *) FM_BASE)
#define WDT                             ((WDT_Type                *) WDT_BASE)
#define DC0                             ((DC0_Type                *) DC0_BASE)
#define DC1                             ((DC0_Type                *) DC1_BASE)
#define DC2                             ((DC0_Type                *) DC2_BASE)
#define DC3                             ((DC0_Type                *) DC3_BASE)
#define DC4                             ((DC0_Type                *) DC4_BASE)
#define DC5                             ((DC0_Type                *) DC5_BASE)
#define DC6                             ((DC0_Type                *) DC6_BASE)
#define DC7                             ((DC0_Type                *) DC7_BASE)
#define PCA                             ((PCA_Type                *) PCA_BASE)
#define PCB                             ((PCA_Type                *) PCB_BASE)
#define PCC                             ((PCA_Type                *) PCC_BASE)
#define PCD                             ((PCA_Type                *) PCD_BASE)
#define PCE                             ((PCA_Type                *) PCE_BASE)
#define PCF                             ((PCA_Type                *) PCF_BASE)
#define PORTEN                          ((PORTEN_Type             *) PORTEN_BASE)
#define PA                              ((PA_Type                 *) PA_BASE)
#define PB                              ((PA_Type                 *) PB_BASE)
#define PC                              ((PA_Type                 *) PC_BASE)
#define PD                              ((PA_Type                 *) PD_BASE)
#define PE                              ((PA_Type                 *) PE_BASE)
#define PF                              ((PA_Type                 *) PF_BASE)
#define T0                              ((T0_Type                 *) T0_BASE)
#define T1                              ((T0_Type                 *) T1_BASE)
#define T2                              ((T0_Type                 *) T2_BASE)
#define T3                              ((T0_Type                 *) T3_BASE)
#define T4                              ((T0_Type                 *) T4_BASE)
#define T5                              ((T0_Type                 *) T5_BASE)
#define T6                              ((T0_Type                 *) T6_BASE)
#define T7                              ((T0_Type                 *) T7_BASE)
#define T8                              ((T0_Type                 *) T8_BASE)
#define T9                              ((T0_Type                 *) T9_BASE)
#define FRT                             ((FRT_Type                *) FRT_BASE)
#define MP0                             ((MP0_Type                *) MP0_BASE)
#define MP1                             ((MP0_Type                *) MP1_BASE)
#define U0                              ((U0_Type                 *) U0_BASE)
#define U1                              ((U0_Type                 *) U1_BASE)
#define U2                              ((U0_Type                 *) U2_BASE)
#define U3                              ((U0_Type                 *) U3_BASE)
#define SP0                             ((SP0_Type                *) SP0_BASE)
#define SP1                             ((SP0_Type                *) SP1_BASE)
#define IC0                             ((IC0_Type                *) IC0_BASE)
#define IC1                             ((IC0_Type                *) IC1_BASE)
#define AD0                             ((AD0_Type                *) AD0_BASE)
#define AD1                             ((AD0_Type                *) AD1_BASE)


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group Z32F3841 */
/** @} */ /* End of group Zilog, Inc */

#ifdef __cplusplus
}
#endif


#endif  /* Z32F3841_H */

